;******************************************************************************
;* TMS320C6x ANSI C Codegen                                      Version 4.00 *
;* Date/Time created: Wed Apr 04 13:59:47 2001                                *
;******************************************************************************

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C620x                                          *
;*   Optimization      : Enabled at level 3                                   *
;*   Optimizing for    : Speed                                                *
;*                       Based on options: -o3, no -ms                        *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Memory Model      : Small                                                *
;*   Calls to RTS      : Near                                                 *
;*   Pipelining        : Enabled                                              *
;*   Speculative Load  : Disabled                                             *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : Debug                                                *
;*                                                                            *
;******************************************************************************

FP	.set	A15
DP	.set	B14
SP	.set	B15
	.global	$bss

;	opt6x -q -O3 C:\WINDOWS\TEMP\TI143971_2 C:\WINDOWS\TEMP\TI143971_4 -w D:\ti_proj\Dual 
	.file	"dual.c"
	.file	"C:\ti\c6000\cgtools\include\stdlib.h"
	.file	"C:\ti\c6000\cgtools\include\stdio.h"
	.file	"C:\ti\c6000\cgtools\include\math.h"
	.file	"dual.c"
	.file	"C:\ti\c6000\cgtools\include\c6x.h"
	.file	"dual.c"
	.global	_in
	.bss	_in,4,4
	.sym	_in,_in, 4, 2, 32
	.global	_out
	.bss	_out,4,4
	.sym	_out,_out, 4, 2, 32

	.sect	".cinit"
	.align	8
	.field  	IR_1,32
	.field  	_T0$1+0,32
	.word	07ae147aeh,040282e14h		; _T0$1[0] @ 0
	.word	0eb851eb8h,0402ab851h		; _T0$1[1] @ 64
	.word	070a3d70ah,0402d8a3dh		; _T0$1[2] @ 128
	.word	0e147ae14h,04030547ah		; _T0$1[3] @ 192
	.word	0ae147ae1h,0401be147h		; _T0$1[4] @ 256
	.word	0cccccccdh,0401ecccch		; _T0$1[5] @ 320
	.word	070a3d70ah,040210a3dh		; _T0$1[6] @ 384
	.word	0b851eb85h,04023051eh		; _T0$1[7] @ 448
IR_1:	.set	64

	.sect	".text"
	.sect	".text"
	.global	_main
	.sym	_main,_main, 36, 2, 0
	.func	24

;******************************************************************************
;* FUNCTION NAME: _main                                                       *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,   *
;*                           A15,B0,B1,B2,B3,B4,B5,B6,B7,B8,B9,B10,B11,B12,   *
;*                           B13,SP                                           *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,   *
;*                           A15,B0,B1,B2,B3,B4,B5,B6,B7,B8,B9,B10,B11,B12,   *
;*                           B13,DP,SP                                        *
;*   Local Frame Size  : 0 Args + 248 Auto + 44 Save = 292 byte               *
;******************************************************************************
_main:
;** --------------------------------------------------------------------------*
	.bss	_T0$1,64,8
	.sym	_T0,_T0$1, 55, 3, 512,, 8
	.sym	C$1,26, 7, 4, 64
	.sym	C$2,26, 7, 4, 64
	.sym	C$3,0, 14, 4, 32
	.sym	C$4,20, 7, 4, 64
	.sym	C$5,10, 7, 4, 64
	.sym	Y$0,12, 7, 4, 64
	.sym	Y$1,0, 7, 4, 64
	.sym	W$1,15, 23, 4, 32
	.sym	W$2,29, 23, 4, 32
	.sym	_previous,14, 4, 4, 32
	.sym	_next,0, 4, 4, 32
	.sym	L$1,13, 4, 4, 32
	.sym	K$79,248, 4, 1, 32
	.sym	K$37,10, 7, 4, 64
	.sym	K$58,28, 14, 4, 32
	.sym	U$31,27, 23, 4, 32
	.sym	U$27,12, 23, 4, 32
	.sym	U$19,26, 23, 4, 32
	.sym	_f,8, 55, 1, 512,, 8
	.sym	_A,72, 55, 1, 512,, 8
	.sym	_C,136, 55, 1, 512,, 8
	.sym	_y1,200, 55, 1, 192,, 3
	.sym	_y2,224, 55, 1, 192,, 3
           ADDK    .S2     -296,SP           ; |24| 
           STW     .D2T1   A10,*+SP(256)     ; |24| 
           STW     .D2T1   A11,*+SP(260)     ; |24| 
           STW     .D2T1   A12,*+SP(264)     ; |24| 
           STW     .D2T1   A13,*+SP(268)     ; |24| 
           STW     .D2T1   A14,*+SP(272)     ; |24| 
           STW     .D2T2   B3,*+SP(276)      ; |24| 
           STW     .D2T2   B10,*+SP(280)     ; |24| 
           STW     .D2T2   B11,*+SP(284)     ; |24| 
           STW     .D2T2   B12,*+SP(288)     ; |24| 
           STW     .D2T2   B13,*+SP(292)     ; |24| 
           STW     .D2T1   A15,*+SP(296)     ; |24| 
	.line	4
           B       .S1     __strasg          ; |27| 
           MVK     .S2     (_T0$1-$bss),B4   ; |27| 
           MVKL    .S2     RL0,B3            ; |27| 
           MVKH    .S2     RL0,B3            ; |27| 
           ADD     .L1X    8,SP,A4           ; 

           ADD     .L2     DP,B4,B4          ; 
||         MVK     .S1     0x40,A6           ; |27| 

RL0:       ; CALL OCCURS                     ; |27| 
	.line	9
           MVK     .S1     256,A0            ; |32| 
           MVC     .S2X    A0,CSR            ; |32| 
	.line	10
           MVK     .S1     1,A0              ; |33| 
           MVC     .S2X    A0,IER            ; |33| 
	.line	11
           ZERO    .L2     B4                ; |34| 
           SET     .S2     B4,0x0,0xf,B4     ; |34| 
           MVC     .S2     B4,ICR            ; |34| 
           NOP             1
	.line	13
           ZERO    .L1     A0                ; |36| 

           MVK     .S2     13056,B4          ; |36| 
||         MVKH    .S1     0x1800000,A0      ; |36| 

           STW     .D1T2   B4,*A0            ; |36| 
	.line	14
           MVKL    .S1     0x1800004,A0      ; |37| 

           MVK     .S2     -221,B4           ; |37| 
||         MVKH    .S1     0x1800004,A0      ; |37| 

           STW     .D1T2   B4,*A0            ; |37| 
	.line	20
           MVK     .S2     136,B4            ; |43| 

           ADDAW   .D2     SP,18,B4          ; |43| 
||         ADD     .L2     B4,SP,B11         ; |43| 

           MV      .L1X    B4,A12            ; |43| 
||         ADD     .L2     8,SP,B10          ; |43| 
||         MVK     .S1     0x8,A13           ; |43| 

;** --------------------------------------------------------------------------*
L1:    
	.line	21

           B       .S1     __divd            ; |44| 
||         LDW     .D2T2   *B10++,B4         ; 

           LDW     .D2T2   *B10++,B5         ; 
           MVKL    .S1     0x4d12d84a,A4     ; |44| 
           MVKL    .S1     0x401921fb,A5     ; |44| 

           MVKH    .S1     0x4d12d84a,A4     ; |44| 
||         MVKL    .S2     RL4,B3            ; |44| 

           MVKH    .S2     RL4,B3            ; |44| 
||         MVKH    .S1     0x401921fb,A5     ; |44| 

RL4:       ; CALL OCCURS                     ; |44| 

           B       .S1     __divd            ; |44| 
||         MVKL    .S2     RL6,B3            ; |44| 

           MVKL    .S2     0x9999999a,B4     ; |44| 
           MVKL    .S2     0x3fe99999,B5     ; |44| 
           MVKH    .S2     RL6,B3            ; |44| 
           MVKH    .S2     0x9999999a,B4     ; |44| 
           MVKH    .S2     0x3fe99999,B5     ; |44| 
RL6:       ; CALL OCCURS                     ; |44| 

           MV      .L1     A5,A11            ; 
||         MV      .S1     A4,A10            ; 

           B       .S1     _cos              ; |44| 
           MVKL    .S2     RL10,B3           ; |44| 
           MVKH    .S2     RL10,B3           ; |44| 
           NOP             3
RL10:      ; CALL OCCURS                     ; |44| 
           B       .S1     __mpyd            ; |44| 
           MVKL    .S2     RL12,B3           ; |44| 
           ZERO    .L2     B5                ; |44| 
           MVKH    .S2     0x40000000,B5     ; |44| 
           MVKH    .S2     RL12,B3           ; |44| 
           ZERO    .L2     B4                ; |44| 
RL12:      ; CALL OCCURS                     ; |44| 
           STW     .D1T1   A4,*A12++         ; |44| 
           STW     .D1T1   A5,*A12++         ; |44| 
	.line	22
           B       .S1     _sin              ; |45| 
           MVKL    .S2     RL14,B3           ; |45| 
           MVKH    .S2     RL14,B3           ; |45| 
           MV      .L1     A11,A5            ; |45| 
           MV      .S1     A10,A4            ; |45| 
           NOP             1
RL14:      ; CALL OCCURS                     ; |45| 

           STW     .D2T1   A4,*B11++         ; |45| 
||         MV      .L2X    A5,B4             ; |45| 

           STW     .D2T2   B4,*B11++         ; |45| 
	.line	23
           SUB     .L1     A13,1,A1          ; 
   [ A1]   B       .S1     L1                ; |46| 
           SUB     .L1     A13,1,A13         ; 
           NOP             4
           ; BRANCH OCCURS                   ; |46| 
;** --------------------------------------------------------------------------*
	.line	25
           ZERO    .L1     A3                ; 

           STW     .D2T1   A3,*+SP(216)      ; |48| 
||         ZERO    .L1     A0                ; 

           STW     .D2T1   A0,*+SP(200)      ; |48| 
           STW     .D2T1   A0,*+SP(208)      ; |48| 
           STW     .D2T1   A3,*+SP(220)      ; |48| 
           STW     .D2T1   A0,*+SP(204)      ; |48| 

           ZERO    .L2     B4                ; 
||         STW     .D2T1   A0,*+SP(212)      ; |48| 
||         ZERO    .S2     B5                ; 

	.line	26
           STW     .D2T2   B4,*+SP(232)      ; |49| 
           STW     .D2T2   B4,*+SP(224)      ; |49| 
           STW     .D2T2   B5,*+SP(236)      ; |49| 

           MV      .L1X    B4,A0             ; 
||         STW     .D2T2   B5,*+SP(228)      ; |49| 

           STW     .D2T1   A0,*+SP(240)      ; |49| 
||         MV      .L1X    B4,A10            ; 
||         MV      .L2     B5,B6             ; 

           MV      .L1X    B5,A11            ; 
||         STW     .D2T2   B6,*+SP(244)      ; |49| 

	.line	28
           MVKH    .S1     0x90080000,A0     ; |51| 
           LDW     .D1T1   *A0,A0            ; |51| 
           MVK     .S1     0x20,A3           ; |51| 
           ZERO    .L2     B12               ; |51| 
           STW     .D2T1   A3,*+SP(248)      ; |51| 
           MVKH    .S2     0x7000000,B12     ; |51| 
           EXTU    .S1     A0,5,29,A14       ; |51| 
;** --------------------------------------------------------------------------*
L2:    
	.line	31
           ZERO    .L2     B4                ; |54| 
           MVKH    .S2     0x90080000,B4     ; |54| 
           LDW     .D2T2   *B4,B5            ; |54| 
           ZERO    .L2     B4                ; |54| 
           MVKH    .S2     0x90080000,B4     ; |54| 
           NOP             2
           AND     .L2     B12,B5,B5         ; |54| 
           STW     .D2T2   B5,*B4            ; |54| 
	.line	33
           ZERO    .L1     A0                ; |56| 
           MVKH    .S1     0x90080000,A0     ; |56| 
           LDW     .D1T1   *A0,A0            ; |56| 
           NOP             4
           EXTU    .S1     A0,5,29,A0        ; |56| 
	.line	34
           CMPEQ   .L1     A14,A0,A1         ; |57| 
   [ A1]   B       .S1     L3                ; |57| 
           NOP             5
           ; BRANCH OCCURS                   ; |57| 
;** --------------------------------------------------------------------------*
	.line	35
           MV      .L1     A0,A14            ; |58| 
	.line	36
           EXTU    .S1     A14,30,30,A0      ; |59| 

           SHL     .S2X    A0,3,B5           ; |59| 
||         ADDAW   .D2     SP,18,B4          ; |59| 

           ADD     .L2     B4,B5,B13         ; 
	.line	37
           EXTU    .S1     A14,1,3,A3        ; |60| 

           ADDAW   .D2     SP,18,B4          ; |60| 
||         SHL     .S1     A3,3,A3           ; |60| 

           ADD     .L1X    B4,A3,A3          ; |60| 
           ADDAW   .D1     A3,8,A15          ; |60| 
	.line	38
           MVK     .S1     136,A3            ; |61| 

           ADD     .L1X    A3,SP,A3          ; |61| 
||         SHL     .S1     A0,3,A0           ; |61| 

           ADD     .L1     A3,A0,A0          ; |61| 
           LDW     .D1T1   *A0,A3            ; |61| 
           LDW     .D1T1   *+A0(4),A0        ; |61| 
           NOP             3
           STW     .D2T1   A3,*+SP(208)      ; |61| 
           STW     .D2T1   A0,*+SP(212)      ; |61| 
	.line	39
           MV      .L2X    A10,B4            ; |62| 
           STW     .D2T2   B4,*+SP(216)      ; |62| 
           STW     .D2T2   B4,*+SP(200)      ; |62| 
           STW     .D2T1   A11,*+SP(220)     ; |62| 
           STW     .D2T1   A11,*+SP(204)     ; |62| 
	.line	40
           LDW     .D2T1   *+SP(248),A3      ; |63| 
           ZERO    .L1     A0                ; |63| 
           SET     .S1     A0,0x2,0x1e,A0    ; |63| 
           AND     .L1     A0,A14,A0         ; |63| 
           MVK     .S2     136,B4            ; |63| 

           ADDAH   .D1     A3,A0,A0          ; |63| 
||         ADD     .L2     B4,SP,B4          ; |63| 

           ADD     .L2X    B4,A0,B4          ; |63| 
           LDW     .D2T2   *B4,B5            ; |63| 
           LDW     .D2T2   *+B4(4),B4        ; |63| 
           NOP             3
           STW     .D2T2   B5,*+SP(232)      ; |63| 
           STW     .D2T2   B4,*+SP(236)      ; |63| 
	.line	41
           MV      .L2X    A10,B4            ; |64| 
           STW     .D2T2   B4,*+SP(240)      ; |64| 

           STW     .D2T2   B4,*+SP(224)      ; |64| 
||         MV      .L2X    A11,B5            ; |64| 

           STW     .D2T2   B5,*+SP(244)      ; |64| 
           STW     .D2T2   B5,*+SP(228)      ; |64| 
	.line	42
           CMPEQ   .L2X    A14,7,B0          ; |65| 
   [ B0]   MV      .L2X    A10,B4            ; |65| 

   [ B0]   STW     .D2T2   B4,*+SP(208)      ; |65| 
|| [ B0]   MV      .L2X    A11,B5            ; |65| 

   [ B0]   STW     .D2T2   B5,*+SP(212)      ; |65| 
   [ B0]   STW     .D2T2   B4,*+SP(232)      ; |65| 
   [ B0]   STW     .D2T2   B5,*+SP(236)      ; |65| 
;** --------------------------------------------------------------------------*
L3:    
	.line	45
           LDW     .D2T2   *+SP(208),B10     ; |68| 
           LDW     .D2T2   *+SP(212),B11     ; |68| 
           MV      .L1X    B13,A0

           B       .S1     __mpyd            ; |68| 
||         LDW     .D1T1   *A0,A4            ; 

           LDW     .D1T1   *+A0(4),A5        ; 
           MVKL    .S2     RL18,B3           ; |68| 
           MV      .L2     B11,B5            ; |68| 
           MV      .D2     B10,B4            ; |68| 
           MVKH    .S2     RL18,B3           ; |68| 
RL18:      ; CALL OCCURS                     ; |68| 

           B       .S1     __subd            ; |68| 
||         LDW     .D2T2   *+SP(216),B4      ; 

           LDW     .D2T2   *+SP(220),B5      ; 
           MVKL    .S2     RL20,B3           ; |68| 
           MVKH    .S2     RL20,B3           ; |68| 
           NOP             2
RL20:      ; CALL OCCURS                     ; |68| 
           MV      .L1     A4,A12            ; 

           STW     .D2T1   A12,*+SP(200)     ; |68| 
||         MV      .L1     A5,A13            ; 

           STW     .D2T1   A13,*+SP(204)     ; |68| 
	.line	46
           STW     .D2T2   B10,*+SP(216)     ; |69| 
           STW     .D2T2   B11,*+SP(220)     ; |69| 
	.line	47
           STW     .D2T1   A12,*+SP(208)     ; |70| 
           STW     .D2T1   A13,*+SP(212)     ; |70| 
	.line	49
           LDW     .D2T2   *+SP(232),B10     ; |72| 
           LDW     .D2T2   *+SP(236),B11     ; |72| 

           B       .S1     __mpyd            ; |72| 
||         LDW     .D1T1   *A15,A4           ; 

           LDW     .D1T1   *+A15(4),A5       ; 
           MVKL    .S2     RL24,B3           ; |72| 
           MV      .L2     B10,B4            ; |72| 
           MV      .D2     B11,B5            ; |72| 
           MVKH    .S2     RL24,B3           ; |72| 
RL24:      ; CALL OCCURS                     ; |72| 

           B       .S1     __subd            ; |72| 
||         LDW     .D2T2   *+SP(240),B4      ; 

           LDW     .D2T2   *+SP(244),B5      ; 
           MVKL    .S2     RL26,B3           ; |72| 
           MVKH    .S2     RL26,B3           ; |72| 
           NOP             2
RL26:      ; CALL OCCURS                     ; |72| 
           MV      .L1     A4,A0             ; 

           MV      .L1     A5,A1             ; 
||         STW     .D2T1   A0,*+SP(224)      ; |72| 

           STW     .D2T1   A1,*+SP(228)      ; |72| 
	.line	50
           STW     .D2T2   B10,*+SP(240)     ; |73| 
           STW     .D2T2   B11,*+SP(244)     ; |73| 
	.line	51
           STW     .D2T1   A0,*+SP(232)      ; |74| 
           STW     .D2T1   A1,*+SP(236)      ; |74| 
	.line	54
           B       .S1     __addd            ; |77| 
           MVKL    .S2     RL42,B3           ; |77| 
           MV      .L2X    A1,B5             ; |77| 
           MV      .L2X    A0,B4             ; |77| 
           MVKH    .S2     RL42,B3           ; |77| 

           MV      .L1     A12,A4            ; |77| 
||         MV      .S1     A13,A5            ; |77| 

RL42:      ; CALL OCCURS                     ; |77| 
           B       .S1     __mpyd            ; |77| 
           MVKL    .S2     RL44,B3           ; |77| 
           ZERO    .L2     B5                ; |77| 
           MVKH    .S2     0x40f00000,B5     ; |77| 
           MVKH    .S2     RL44,B3           ; |77| 
           ZERO    .L2     B4                ; |77| 
RL44:      ; CALL OCCURS                     ; |77| 
           B       .S1     __divd            ; |77| 
           MVKL    .S2     RL46,B3           ; |77| 
           ZERO    .L2     B5                ; |77| 
           MVKH    .S2     0x40100000,B5     ; |77| 
           MVKH    .S2     RL46,B3           ; |77| 
           ZERO    .L2     B4                ; |77| 
RL46:      ; CALL OCCURS                     ; |77| 
           B       .S1     __fixdu           ; |77| 
           MVKL    .S2     RL48,B3           ; |77| 
           MVKH    .S2     RL48,B3           ; |77| 
           NOP             3
RL48:      ; CALL OCCURS                     ; |77| 
           EXTU    .S1     A4,16,17,A0       ; |77| 
           SHL     .S1     A0,1,A0           ; |77| 
           STW     .D2T1   A0,*+DP(_out)     ; |77| 
	.line	58
           B       .S1     L2                ; |81| 
           NOP             5
           ; BRANCH OCCURS                   ; |81| 
;** --------------------------------------------------------------------------*
	.line	61
	.endfunc	84,03c08fc00h,296


;******************************************************************************
;* UNDEFINED EXTERNAL REFERENCES                                              *
;******************************************************************************
	.global	_sin
	.global	_cos
	.global	__strasg
	.global	__divd
	.global	__mpyd
	.global	__subd
	.global	__addd
	.global	__fixdu
