function dsp
% Prezentacja kodowania sigma-delta


% Na pocztek naley opisa o OX
Skad = 0.1;                % Dla jakiego X rozpoczyna obliczenia?
Dokad= 10;                 % Dla jakiego X zakoczyc obliczenia?
Ile = 50;                  % Ile ma by prbek (w przedziale okrelonym wczeniej)?

% Tworzenie macierzy X zawierajcej poszczeglne wartoci osi OX
% np.: dla wartoci skd=0 , dokd=10 , ile=11 otrzymamy
% X = [0 1 2 3 4 5 6 7 8 9 10]
osX = linspace (Skad, Dokad, Ile);

% Deklaracja ziarna, czyli najmniejszej wartoci o jak bdzie si
% zmienia sygna zdekodowany
Ziarno = 1;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Obliczenie wartoci funkcji WEJCIOWEJ
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Wej = sin (osX) * 4;                                          % sinus
%Wej = log (osX*4)*5;                                          % logarytm
%Wej = (sin (osX) *10) ./ (osX);                               % (sin x) / x
%Wej = osX;                                                    % liniowy y=x
%Wej = linspace ( 14.4, 14.41, Ile);                           % y=14.4
%Wej = (cos (osX) * 3) ./ osX;                                 % (cos x) /x
%Wej = sign (sin (osX*1.5)) * 2.2;                             % prawie prostokt :)
Wej = mod ( osX, 3) * 2 - 3;                                  % trjkt

subplot ( 2, 1, 1);
plot( osX, Wej, 'r-');                                         % rysujemy ten wykres
hold on;      % i zatrzymujemy wykres aby na nim mona byo dorysowa nastpne
title('Przebieg wejsciowy (czerwony) i wyjsciowy (czarny)');

% Deklaracja wektora, w ktrym bda przechowywane wartoci bitw
Bity = zeros( 1, Ile);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Obliczenie wartoci poszczeglnych bitw
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Poprzednia=0;                      % dekodowanie bdziem zaczynali od zera
for I = 2:Ile;                     % 1. element bdzie zerem, dlatego zaczynam od 2
   if Poprzednia < Wej (I)         % jeeli poprzednia warto bya mniejsza
      Bit=1;                       % to bit bdzie 1   
   else                            % a jeli mniejsza lub rwna
      Bit=0;                       % to bit bdzie rwny 0
   end;
   % (wyraenie (Bit-1) wystpuje dlatego, e bit ma warto 0 a nie -1
   Poprzednia = Poprzednia + Bit * Ziarno + (Bit-1)* Ziarno;
   Bity(I) = Bit;                  % wpisanie bitu do tablicy
end;
  
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Dekodowanie 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Wyj = zeros ( 1, Ile);              % najpierw deklaracja macierzy
for I = 2:Ile;
   if Bity(I)
      Wyj(I) = Wyj(I-1) + Ziarno;   % gdy bit jest 1 to dodajemy ziarno
   else
      Wyj(I) = Wyj(I-1) - Ziarno;   % gdy bit jest 0 to odejmujemy ziarno
   end;
end;
  
stairs ( osX, Wyj, 'k-');           % i rysowanie funkcji 
hold off;

subplot ( 2, 1, 2);                 % teraz bdziemy operowa na drugim wykresie  
% Wywietlenie wartoci bitw, ktrymi zakodowalimy f-kcj wejciow
plot (osX,Bity, 'g.');
axis([Skad, Dokad, -0.2, 1.2]);     % zmiana skali osi OY
title('Wartosci bitw, ktrymi zakodowano przebieg');

hold off;