%Modulacja AM
%Autor: Pawe Jarosz

SAMPLE=4400;
Nosna=10;

%sygnal np. Sinus
%Czas od 0 do 1 z SAMPLE ilosci prbek
t = (0:1/SAMPLE:5)';
% x = sin(2*pi*t);	% np. jeden okres sinusoidy

% x = sawtooth(2*pi*t,.5); % Trjkt
% x = square(2*pi*t); %Prostokt
 x = 0.3*sin(2*pi*t)+0.5*sin(3*pi*t)+0.2*sin(4*pi*t);	% np. jeden okres sinusoidy

%Przykadowy sygna modulowany amplitudowo -> Nona
%Warto pomocnicza, dziaa troch szybciej, do uzyskania czstotliwoci modulujcej
v=2*pi*Nosna;

%Zasadnicza modulacja sygna wejciowy * nona = A(t)*sin(2*pi*Fm*t) - DSP
% y=x.*sin(v*t+pi/4);

% Modulacja na el. o charakterystyce kwadratowej np. z. pn - Analog
p=x+sin(v*t);
y=p.*p;

[b,a]=cheby2(5,1,[0.37 0.54]); %Filtr rodkowo - przepustowy
% y=filter(b,a,y); 
%Poka rezultat -> sygna po modulacji (niebieski) i oryginalny (czerwony)
plot(t,y,'b-',t,x,'r-') , title('Modulacja AM')
pause;
%pokaz FFT
Q=fft(y,256);

%Modu
Pyy = Q.*conj(Q)/127;
f=(SAMPLE/512)*(0:127);

plot(f,Pyy(1:128)) , title('Analiza widma')

pause;

%
%Demodulacja AM
Pasmo=100;
yd=y;
yd = yd.*sin(2*pi*Nosna*t);
%FFT po wymnoeniu -> odzysk sygnau pierwotnego
Q=fft(yd,256);
%Modu
Pyy = Q.*conj(Q)/127;
f=(SAMPLE/512)*(0:127);
plot(f,Pyy(1:128)) , title('Analiza widma po *sin')
pause;
% i Jeszcze tylko filtr dolnoprzepustowy
norm=2*Pasmo/SAMPLE; %Normalizacja do 1 - poowa czstotliwoci prbkowania
[b,a]=butter(5,norm);
o=filter(b,a,yd);

%I poka wynik
plot(t,o,'b-',t,x,'g--'), title('Sygna po demodulacji (niebieski) v sygna przed modulacj (zielony)')

sprintf('Koniec dema demodulacji AM - Nacinij dowolny klawisz')
pause;
