%Modulacja AM
%Autor: Pawe Jarosz

SAMPLE=100;
Nosna=5;

%sygnal np. Sinus
%Czas od 0 do 1 z SAMPLE ilosci prbek
t = (0:1/SAMPLE:2)';

x = square(2*pi*t); %Prostokt

%Przykadowy sygna modulowany amplitudowo -> Nona
%Warto pomocnicza, dziaa troch szybciej, do uzyskania czstotliwoci modulujcej
v=2*pi*Nosna;

%Zasadnicza modulacja sygna wejciowy * nona = A(t)*sin(2*pi*Fm*t) - DSP
for i=1:size(x)
   if x(i)>0
      y(i)=sin(v*t(i));
   else
      y(i)=-sin(v*t(i));
   end;
end;
y=y(:);
%Poka rezultat -> sygna po modulacji (niebieski) i oryginalny (czerwony)
plot(t,y,'b-',t,x,'r-') , title('Modulacja AM')
pause;
%pokaz FFT
Q=fft(y,256);

%Modu
Pyy = Q.*conj(Q)/127;
f=(SAMPLE/512)*(0:127);

plot(f,Pyy(1:128)) , title('Analiza widma')

pause;

%
%Demodulacja DRS
Pasmo=10;
n=sin(2*pi*Nosna*t);
o=(y+n)/2;
o=o.*sin(2*pi*Nosna*t);

%I poka wynik
plot(t,o,'b-',t,x,'g--'), title('Sygna po demodulacji (niebieski) v sygna przed modulacj (zielony)')

sprintf('Koniec dema demodulacji RDS - Nacinij dowolny klawisz')
pause;
