start_x = 0;
end_x = 1000;

for i = 1: 2001, nx(i) = i-1000; end
  
load noise16.xy
rnd = rand(1001,1)*2-1;
sig_corr = xcorr(noise16(:,2), 'biased');
rnd_corr = xcorr(rnd, 'biased');

subplot(2,2,1); stem(noise16(:,2));
axis([start_x, end_x, -1, 1]);
xlabel('prbki'); ylabel('warto');
title('Szum wygenerowany wielomianem 15-stopnia');

subplot(2,2,2); stem(rnd);
axis([start_x, end_x, -1, 1]);
xlabel('prbki'); ylabel('warto');
title('Szum jednostajny(-1,1) wygenerowany przez MATLABa');

subplot(2,2,3); plot(nx, sig_corr);
axis([-1000, 1000, -0.5, 0.5]);
xlabel('przesunicie'); ylabel('autokorelacja');
title('Autokorelacja wygenerowanego szumu');

subplot(2,2,4); plot(nx, rnd_corr);
axis([-1000, 1000, -0.5, 0.5]);
xlabel('przesunicie'); ylabel('autokorelacja');
title('Autokorelacja przykadowego szumu');

pause;
close;



load noise15.xy
rnd = rand(1001,1)*2-1;
sig_corr = xcorr(noise15(:,2), 'biased');
rnd_corr = xcorr(rnd, 'biased');

subplot(2,2,1); stem(noise15(:,2));
axis([start_x, end_x, -1, 1]);
xlabel('prbki'); ylabel('warto');
title('Szum wygenerowany wielomianem 14-stopnia');

subplot(2,2,2); stem(rnd);
axis([start_x, end_x, -1, 1]);
xlabel('prbki'); ylabel('warto');
title('Szum jednostajny(-1,1) wygenerowany przez MATLABa');

subplot(2,2,3); plot(nx, sig_corr);
axis([-1000, 1000, -0.5, 0.5]);
xlabel('przesunicie'); ylabel('autokorelacja');
title('Autokorelacja wygenerowanego szumu');

subplot(2,2,4); plot(nx, rnd_corr);
axis([-1000, 1000, -0.5, 0.5]);
xlabel('przesunicie'); ylabel('autokorelacja');
title('Autokorelacja przykadowego szumu');

pause;
close;

clear;