close;

mu = 255;
B=8;         % ile bitow do przeslania 

n=[0:1000];

%x=1/500*n - 1;                         % x
%x=sin(2*pi/4000.*n.*n);           %chirp
x=sin(2*pi*n/200);                 %sinus
%x=rand(size(n));                    %random

% ------------------------------ kompresja

if x == 0 
   y = x;
else
   y = (log(1+mu*abs(x))/(log(1+mu))).*sign(x);
end


% ------------------------------- quantize


swing = (2^B-1)/2;
s = round(y*swing+swing);

% --------------------------- dekwantyzacja

swing = (2^B-1)/2;
sl = ((s-swing)/swing);

% --------------------------- dekompresja


if mu == 0
  sq = sl;
else
  sq = (((1+mu).^(abs(sl))-1)/mu).*sign(sl);
end

subplot(3,1,1);plot(n,x)
xlabel('n');ylabel('sygnal wejsciowy');
axis([0,1000,-1.2,1.2])

subplot(3,1,2);plot(n,y)
xlabel('n');ylabel('kompresja');
axis([0,1000,-1.2,1.2])

subplot(3,1,3);plot(n,s)
xlabel('n');ylabel('kwantyzacja');
axis([0,1000,-1,2^B])

pause;
close;

subplot(3,1,1);plot(n,s)
xlabel('n');ylabel('sygnal swantowany');
axis([0,1000,-1,2^B])

subplot(3,1,2);plot(n,sl)
xlabel('n');ylabel('dekwantyzacja');
axis([0,1000,-1.2,1.2])

subplot(3,1,3);plot(n,sq)
xlabel('n');ylabel('dekompresja');
axis([0,1000,-1.2,1.2])

pause;
close ;

subplot(3,1,1);plot(n,x)
xlabel('n');ylabel('sygnal wejsciowy');
axis([0,1000,-1.2,1.2])

subplot(3,1,2);plot(n,sq)
xlabel('n');ylabel('dekompresja');
axis([0,1000,-1.2,1.2])

subplot(3,1,3);plot(n,x-sq)
xlabel('n');ylabel('blad');
axis([0,1000,-10/2^B,10/2^B])

pause;
close ;

