function [d,d1,df,d1f] = demod(x,y,Fc,Fs,t,TAU)
    
    d = 2*y.*cos(2*pi*Fc*t+TAU);
    d1 = 2*y.*sin(2*pi*Fc*t+TAU);

    [b,a]=butter(5,Fc*2/Fs);
    for i = 1:size(x,2),
        df(:,i) = filtfilt(b,a,d(:,i));
        d1f(:,i) = filtfilt(b,a,d1(:,i));
    end