%TAU=0
%TAU=pi/4
TAU=pi/2
%przebiegu prostoktnego
x=zeros(1,Fs);
x2=zeros(1,Fs);
x1=zeros(1,Fs);

z=0;
for j = 1:Fs,
  if rem(j,Fs/4)==0
    if z==1 
      z=0; 
      else 
      z=1; 
      end  
    end
  x(j)=z; 
end

%Generacja przebiegu trjktnego
f=Fs/4;
zn=1/f;				
wart=0;
for i = 1:Fs,
  if rem(i,f)==0	
    if zn==1/f 
      zn=-1/f; 
      else 
      zn=1/f; 
      end  
    end
  x1(i)=wart; 
  wart=wart+zn;
end

%Generacja przebiegu kosinusoidalnego

for i = 1:Fs,
  x2(i)=cos(2*pi*i/500);
end

%Generacja przebiegu sinusoidalnego

for i = 1:Fs,
  x3(i)=sin(2*pi*i/800);
end



[r,c]=size(x);
if r*c == 0,
    y = []; return
end
if (r==1),
    x = x(:);  len = c;
else
    len = r;
end


    [r2,c2] = size(x2);
    if r2 == 1
        x2 = x2.';
    end
    if any(size(x2)~=size(x)),
            error(' 1 Przy modulacji kwadraturowej tablice sygnaw musz mie ten sam rozmiar')
    end

    [r1,c1] = size(x1);
    if r1 == 1
        x1 = x1.';
    end

    [r3,c3] = size(x3);
    if r3 == 1
        x3 = x3.';
    end
    if any(size(x3)~=size(x1)),
            error(' 2 Przy modulacji kwadraturowej tablice sygnaw musz mie ten sam rozmiar')
    end


    t = (0:1/Fs:((len-1)/Fs))';
    t = t(:,ones(1,size(x,2)));

%Modulacja

    y = moduluj(x,x2,Fc,t); 
    y1 = moduluj(x1,x3,Fc,t);
    y2 = moduluj(x,x1,Fc,t);
    y3 = moduluj(x2,x3,Fc,t);

%Demodulacja

    [d,d2,df,d2f]=demod(x,y,Fc,Fs,t,TAU);
    [d1,d3,d1f,d3f]=demod(x,y1,Fc,Fs,t,TAU);
    [d20,d21,d20f,d21f]=demod(x,y2,Fc,Fs,t,TAU);
    [d32,d33,d32f,d33f]=demod(x,y3,Fc,Fs,t,TAU);

%Rysowanie przebiegw
rysuj(x,x2,y,d,d2,df,d2f);
rysuj(x1,x3,y1,d1,d3,d1f,d3f);
rysuj(x,x1,y2,d20,d21,d20f,d21f);
rysuj(x2,x3,y3,d32,d33,d32f,d33f);