function [y,l0]=dis(x,T,W,p,index,fs,str);
%
%
%	function [y, l0]=dis(x,T,W,p,index,fs,<str>);
%
%
% funkcja zwraca opnienie sygnu x, typu chirp o parametrach T W p
% inddex macierz ktora wskazuje na wystepowanie obiektow
% l0 okresla punkt referencyjny w czasie od ktorego byly policzone opoznienia
% y obliczone opozniena dla poszczegolnych celow
% fs - czestotliwosc probkowania
% str == 'all' oznacza ze treba liczyc wszystkie odleglosci

% Oblicz wzorcowe opznienie
f=mfchirp(T,W,p);
s=chirp(T,W,p);
c=conv(f,s);
[v l0]=max(c);

		% Szukaj wystpie
x=abs(x);
Xs=size(x,1);
ind=getind(index);
if nargin==7 
	if strcmp(str,'all')
		ind=index;
	end
end
[Rx Cx]=size(ind);

for col = 1:Cx
	for i = 1:Rx
		if ind(i,col)==1
			y(i,col)=1-l0;
			disp('cos tu nie jest tak jak nalezy');
		elseif ind(i,col)==Xs
			%y(i,col)=Xs-l0;
			y(i,col)=0;
			disp('tu chyba taz, cos tu nie jest tak jak nalezy');
		elseif ind(i,col)==0
			disp('zerowy index ?');
			y(i,col)=0;
		else
			in=[ind(i,col)-1:ind(i,col)+1]';
			[p S]=polyfit(in,x(in,col),2);
			if p(1)~=0
				y(i,col)=-p(2)/(2*p(1))-l0;
			else
				y(i,col)=0;
			end
		end
	end
end
y=y/fs/2*.3;
