function objcb(NumUicontrol,handle);
%
%
%       function objcb(NumUicontrol,handle);
%
%
% Funkcja objcb obsuguje wywoanie type CallBack
% z okineka do ktrego wprowadzamy parametry  o
% odlegoci i dystansie do celu
% Parametr NumUicontrol okrela z ktrego elementu nastpio wywoanie
% Brak parametrw lub 0 oznacza pierwsze wywoanie inicjujce okienko

MAXTARGET=10;

HandleCol=1;
ValueCol=2;

% definiwanych poprzez pola edycyjne

IndNumTarget=1;
IndCurrentTarget=IndNumTarget+1;
IndCurrentDisp=IndNumTarget+2;
IndVelocity=IndNumTarget+3;
IndDistance=IndNumTarget+4;

% Definicje staych wywoywanych z menu

IndMenu=IndDistance+1;
IndClose1=IndMenu+1;

% Definicje staych wywoywanych z Buttonow

IndOkButton=IndClose1+1;
IndCancelButton=IndOkButton+1;
IndApplyButton=IndOkButton+2;

% Definicje Menu Okienka

IndMenuWin=30;
IndMenuWinRar=IndMenuWin+1;
IndMenuWinSig=IndMenuWin+2;
IndMenuWinObj=IndMenuWin+3;


%
% Zmienne Globalne
%
global WinParamObject;
global Velocity;
global Distance;
global NumTarget;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
% Dla NumUicontrol == -1
% Zainicjuj elementy
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if NumUicontrol==-1 %   Zainicjuj elementy
        if exist('Distance') & exist('Velocity') & exist('NumTarget')
                a=Velocity(:);
                b=Distance(:);
                a_size=size(a);
                b_size=size(b);
                ab_size=b_size;
                if a_size(2) + b_size(2) > 2
                        disp('Macierze Velocity i Distance maja wicej ni 1 kolumn');
                end
                if a_size(1) ~= b_size(1)
                        disp('Rozmiary macierzy Velocity i Distance s rne');
                        ab_size=min(a_size(1),b_size(2));
                end
                if ab_size(1) ~= NumTarget
                        disp('Rozmiary macierzy Vel. i Dist. NumTarget sa rozna');
                        ab_size=min(a_size(1),b_size(2));
                        NumTarget=ab_size;
                end
        else
                Velocity=[30 20]';
                Distance=[10 5]';
                ab_size=length(Distance);
                NumTarget=ab_size;
                
        end
        setusrd1(gcf,IndCurrentTarget,ValueCol,1);
                                %Ustaw index na pierwsz pozycj
        setusrd1(gcf,IndNumTarget,ValueCol,NumTarget);
        setusrd2(gcf,IndVelocity,HandleCol,Velocity([1:NumTarget]));
        setusrd2(gcf,IndDistance,HandleCol,Distance([1:NumTarget]));

        %        setusrd2(gcf,IndDistance,HandleCol,Distance([1:ab_size]));
        objcb(0);
% Namaluj Aktualne Parametry

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
% Dla NumUicontrol == 0
% Przemaluj cay obiekt
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

elseif NumUicontrol==0          % Przemaluj cay obrazek
        NumTargetEdit=getusrd1(gcf,IndNumTarget,HandleCol);
                        % Pobierz handle pola edit NumTarget
        NumCurrentEdit=getusrd1(gcf,IndCurrentTarget,HandleCol);
                        % Pobierz handle pola slider NumCurrent
        NumCurrentDisp=getusrd1(gcf,IndCurrentDisp,HandleCol);
                        %Pobierz handle gdzie wyswietla sie NumCu.
        VelEdit=getusrd1(gcf,IndVelocity,HandleCol);
                        % Pobierz handle do dipsplay Velocity
        DistEdit=getusrd1(gcf,IndDistance,HandleCol);
                        % Pobierz handle do dipsplay Distance

        temp=get(gcf,'UserData');
        % Jesli bierzaca pozycje jest poza maxy,manlna liczba obiektow
        index=getusrd1(gcf,IndCurrentTarget,ValueCol);
        max=getusrd1(gcf,IndNumTarget,ValueCol);
        if index>max
                setusrd1(gcf,IndCurrentTarget,ValueCol,max);
                index=max;
        end
        set(NumTargetEdit,'String',num2str(getusrd1(gcf,IndNumTarget,ValueCol)));
        set(NumCurrentEdit,'Max',max);
        set(NumCurrentEdit,'Value',index);
        set(NumCurrentDisp,'String',['Aktualny cel: ',num2str(index)]);
        set(VelEdit,'String',num2str(getusrd1(VelEdit,index,1)));
        set(DistEdit,'String',num2str(getusrd1(DistEdit,index,1)));

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
% Dla NumUicontrol == IndNumTarget
% Przemaluj odpowiedne elementy jeeli zmieniono
% Maxylamn liczb elementw (celi) odpowiada zmiennej NumTarget
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

elseif NumUicontrol==IndNumTarget               % Zmieniono maxymaln liczb celi NumTarget
        NumTargetEdit=getusrd1(gcf,IndCurrentDisp,HandleCol); % Pobierz handle pola edit NumTarget
        NumTargetEdit=gco;
        tmpTarget=getnum1(NumTargetEdit);
        MaxTarget=getusrd1(gcf,IndNumTarget,ValueCol);
        if tmpTarget >0 & tmpTarget <MAXTARGET
                setusrd1(gcf,IndNumTarget,ValueCol,tmpTarget);
                if tmpTarget>MaxTarget % Nalezy rozszerzyc macierz UsrData
                        temp1=getusrd2(gcf,IndVelocity,HandleCol);
                        temp2=getusrd2(gcf,IndDistance,HandleCol);
                        si=size(temp1);
                        if tmpTarget>si(1)
                                temp1(tmpTarget,1)=0; % rozszerz macierz o jedna kolumne za duo
                                temp2(tmpTarget,1)=0; % rozszerz macierz o jedna kolumne za duo
                        end
                        setusrd2(gcf,IndVelocity,HandleCol,temp1);
                        setusrd2(gcf,IndDistance,HandleCol,temp2);
                end
        else
                disp('Wprowadzono nie prawidow liczb do pola NumEdit >0 <10');
                disp('Warto musi by >0 i <10');
        end
        objcb(0);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
% Dla NumUicontrol == IndCurrentTarget
% Przemaluj odpowiedne elementy jeeli zmieniono
% na bierzo wpisywany cel odpowiada ruchom Slider'a
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

elseif NumUicontrol==IndCurrentTarget
        Slider=getusrd1(gcf,IndCurrentTarget,HandleCol); % Pobierz handle scrollbara
        index=getnum2(Slider);  % Pobierz dane ze Scrollbara
%        if index ~= []
        if ~isempty(index)
                if index>0
                        setusrd1(gcf,IndCurrentTarget,ValueCol,index);
                else
                        disp('Ciekawe ze program sie tu dostal 12?????!!!!');
                end
        else
                disp('Ciekawe ze program sie tu dostal 1?????!!!!');
        end
        objcb(0);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
% Dla NumUicontrol == IndCurrentDisp
% Wyewolanie funkcji CallBack dla element uicontrol typu Text
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

elseif NumUicontrol==IndCurrentDisp             % Wywolano CallBack do Pola Text
        disp('Ciekawe ze program sie tu dostal ?????!!!!');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
% Dla NumUicontrol == IndVelocity
% Obsuga wpisania nowej prdkoci dle biecegp celu
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

elseif NumUicontrol==IndVelocity                % Zmieniono bierzcy prdko
        VelEdit=getusrd1(gcf,IndVelocity,HandleCol); % Pobierz handle Vel Edit
        velocity=getnum3(VelEdit);
        index=getusrd1(gcf,IndCurrentTarget,ValueCol);
        if (isempty(index)) | (index==0) | ( round(index) ~= index )
                disp('Nie mozna przeksztalcic stringu na liczbe>0?????');
        else
%                if velocity ~= []
                if ~isempty(velocity)
                        setusrd1(VelEdit,index,1,velocity);
                else
                        disp('Nie mozna przeksztalcic prdkoci na liczbe>0');
                end
        end
        objcb(0);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
% Dla NumUicontrol == IndDistance
% Obsuga wpisania nowej odlegoci dle biecegp celu
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

elseif NumUicontrol==IndDistance                % Zmieniono bierzc odlego
        DistEdit=getusrd1(gcf,IndDistance,HandleCol); % Pobierz handle Distance Edit
        distance=getnum3(DistEdit);
        index=getusrd1(gcf,IndCurrentTarget,ValueCol);
%        if (index==[]) | (index==0) | ( round(index) ~= index )
        if (isempty(index)) | (index==0) | ( round(index) ~= index )
                disp('Nie mozna przeksztalcic stringu na liczbe????!?');
        else
                if distance > 0
                        setusrd1(DistEdit,index,1,distance);
                else
                        disp('Nie mozna przeksztalcic odlegoci na liczbe>0');
                end
        end
        objcb(0);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
% Dla NumUicontrol == 6
% Nacisnito klawisz OK przepisanie zmiennych lokalnych do globalnych
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

elseif NumUicontrol==IndOkButton                % Nacisnieto OK
        tempv=getusrd2(gcf,IndVelocity,HandleCol);
        tempd=getusrd2(gcf,IndDistance,HandleCol);
        num=getusrd1(gcf,IndNumTarget,ValueCol);
        ind=find( tempd(1:num) >0 );
        Velocity=tempv(ind)
        Distance=tempd(ind)
        NumTarget=size(Distance,1)
        if NumTarget ~= num
                disp('Niektre elementy zostay pominite ze wzgldu na zerow odlego');
        end
        WinParamObject=0;
        close;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
% Dla NumUicontrol == IndCancelButton
% Nacinito anuluj Pomi wszelkie zmiane baz zamknicia okna
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

        % Nacisnieto Cancel
elseif NumUicontrol==IndClose1 | NumUicontrol==IndCancelButton
        WinParamObject=0;
        close;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
% Dla NumUicontrol == 8
% Nacisnito klawisz Zastosuj przepisanie zmiennych lokalnych do globalnych
% bez zamykania Okna
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

elseif NumUicontrol==IndApplyButton             % Nacisnieto Apply
        tempv=getusrd2(gcf,IndVelocity,HandleCol);
        tempd=getusrd2(gcf,IndDistance,HandleCol);
        num=getusrd1(gcf,IndNumTarget,ValueCol);
        ind=find( tempd(1:num) >0 );
        Velocity=tempv(ind)
        Distance=tempd(ind)
        NumTarget=size(Distance,1)
        if NumTarget ~= num
                disp('Niektre elementy zostay pominite ze wzgldu na zerow odlego');
        end
else
        disp('Ta sytuacja nie powinna mie miejsca')
end;
