function paramrad()
%
%
%       function paramrad()
%
%
% Funkcja tworzy okienko do ogldania pracy radaru
% typu chirp

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
% DEFINICJE STALYCH
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

HandleCol=1;
ValueCol=2;

% definiwanych poprzez pola edycyjne

IndRadarFreq=1;
IndFFTnum=IndRadarFreq+1;
IndDiscFFTnum=IndRadarFreq+2;
IndCurrentPulse=IndRadarFreq+3;
IndSignalNoise=IndRadarFreq+4;

% definiwanych poprzez pola radio button

IndStep1=IndSignalNoise+1;
IndStep2=IndStep1+1;
IndStep3=IndStep1+2;
IndStep4=IndStep1+3;
IndStep5=IndStep1+4;
IndStep6=IndStep1+5;

% Definicje staych wywoywanych z menu

IndMenu=IndStep6+1;
IndClose1=IndMenu+1;
IndReal=IndMenu+2;
IndImag=IndMenu+3;
IndAbs=IndMenu+4;
IndAngle=IndMenu+5;
IndFFT_Shift=IndMenu+6;
IndFFT_Fun=IndMenu+7;
IndCursorOff=IndMenu+8;
IndCursorOn=IndMenu+9;
IndCursorStart=IndMenu+10;
IndZoomOn=IndMenu+11;
IndZoomOff=IndMenu+12;
IndTarget=IndMenu+13;
IndClose2=IndMenu+14;

% Definicje staych wywoywanych z Buttonow

IndOkButton=IndClose2+1;
IndCancelButton=IndOkButton+1;
IndApplyButton=IndOkButton+2;

% Definicje stalych typu dummy do przechowywania danych

IndRadarX=IndApplyButton+1;
IndRadarY=IndRadarX+1;
IndRadarC=IndRadarX+2;
IndRadarB=IndRadarX+3;

% Definicje stalych do uzywania ruchu kursora

IndCursor=IndRadarB+1;
IndDisplay=IndCursor+1;


% Definicje Menu Okienka
IndMenuWin=35;
IndMenuWinRar=IndMenuWin+1;
IndMenuWinSig=IndMenuWin+2;
IndMenuWinObj=IndMenuWin+3;



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
% Definicje Pozycje obiektow gtraficznych
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

PosFigure=                      [.1 .1 .7 .8];
PosAxes=                        [.10,.15,.65,.75];

PosFrame=                       [ .79 .62 .20 .32];
PosDiscFrame=           [ .80 .95 .18 .04];
PosStep1=                       [ .80 .88 .18 .04];
PosStep2=                       [ .80 .83 .18 .04];
PosStep3=                       [ .80 .78 .18 .04];
PosStep4=                       [ .80 .73 .18 .04];
PosStep5=                       [ .80 .68 .18 .04];
PosStep6=                       [ .80 .63 .18 .04];
PosDisplay=                     [ .79 .58 .20 .04];
PosDiscRadarFreq=       [ .80 .53 .18 .04];
PosRadarFreq=           [ .80 .48 .18 .04];
PosDiscSignalNoise=     [ .80 .43 .18 .04];
PosSignalNoise=         [ .80 .38 .18 .04];
PosDiscFFTnum=          [ .80 .33 .18 .04];
PosFFTnum=                      [ .80 .28 .18 .04];
PosCurrentPulse=        [ .80 .21 .18 .04];
PosTarget=                      [ .80 .14 .18 .04];
PosApplyButton=         [ .80 .05 .18 .05];

%---------------Global

global WinParamSignal                           %Identyfikator Okienka
global WinParamObject                           %Identyfikator Okienka z parametrami
global WinMain                                  %Identyfikator glownego Okienka

if exist('WinMain')
if openwin(WinMain)==1
        return;
end
end

WinMain=figure('Units','normalized','NumberTitle','off','Name','Symulacja radaru','MenuBar','none','position',PosFigure);
ax=axes('Units','normalized','position',PosAxes);
%get(ax);
mzoom on;

%----------------MENU-------------------

%-------
str=sprintf('rarcb(%d)',IndClose1);
handle=uimenu(gcf,'Label','Koniec!','Callback',str);
setusrd1(gcf,IndClose1,HandleCol,handle);
%-------
str=sprintf('rarcb(%d)',IndMenu);
handlem=uimenu(gcf,'Label','&Operacje','Callback','');
setusrd1(gcf,IndMenu,HandleCol,handlem);
%-------
str=sprintf('rarcb(%d)',IndReal);
handle=uimenu(handlem,'Label','real()','Callback',str);
setusrd1(gcf,IndReal,HandleCol,handle);
%-------
str=sprintf('rarcb(%d)',IndImag);
handle=uimenu(handlem,'Label','imag()','Callback',str);
setusrd1(gcf,IndImag,HandleCol,handle);
%-------
str=sprintf('rarcb(%d)',IndAbs);
handle=uimenu(handlem,'Label','abs()','Callback',str,'Checked','on');
setusrd1(gcf,IndAbs,HandleCol,handle);
%-------
str=sprintf('rarcb(%d)',IndAngle);
handle=uimenu(handlem,'Label','angle()','Callback',str);
setusrd1(gcf,IndAngle,HandleCol,handle);
%-------
str=sprintf('rarcb(%d)',IndFFT_Shift);
handle=uimenu(handlem,'Label','FFTshift','Callback',str,'Separator','on');
setusrd1(gcf,IndFFT_Shift,HandleCol,handle);
%-------
str=sprintf('rarcb(%d)',IndFFT_Fun);
handle=uimenu(handlem,'Label','FFT','Callback',str,'Separator','on');
setusrd1(gcf,IndFFT_Fun,HandleCol,handle);
%-------
str=sprintf('rarcb(%d)',IndClose2);
handle=uimenu(handlem,'Label','close','Callback',str,'Separator','On');
setusrd1(gcf,IndClose2,HandleCol,handle);


%----------------MENU OKNA-------------------

str=sprintf('winmenu(%d)',IndMenuWin);
handlem=uimenu(gcf,'Label','&Okienka','Callback',str);
setusrd1(gcf,IndMenuWin,HandleCol,handlem);

%----------------MENU OKNA RAR-------------------

str=sprintf('winmenu(%d)',IndMenuWinRar);
handle=uimenu(handlem,'Label','&Radar','Callback',str);
setusrd1(gcf,IndMenuWinRar,HandleCol,handle);

%----------------MENU OKNA SIG-------------------

str=sprintf('winmenu(%d)',IndMenuWinSig);
handle=uimenu(handlem,'Label','&Sygnal','Callback',str);
setusrd1(gcf,IndMenuWinSig,HandleCol,handle);

%----------------MENU OKNA OBJ-------------------

str=sprintf('winmenu(%d)',IndMenuWinObj);
handle=uimenu(handlem,'Label','&Obiekty','Callback',str);
setusrd1(gcf,IndMenuWinObj,HandleCol,handle);

%-----------------------MENU GRID-------------------------

handlem=uimenu(gcf,'Label','&Siatka');
uimenu(handlem,'Label','Grid On','Callback','grid on');
uimenu(handlem,'Label','Grid Off','Callback','grid off');

%-----------------------MENU ZOOM-------------------------

handle=uimenu(handlem,'Label','Zoom On','Separator','on');
set(handle,'Callback',sprintf('rarcb(%d)',IndZoomOn));
handle=uimenu(handlem,'Label','Zoom Off');
set(handle,'Callback',sprintf('rarcb(%d)',IndZoomOff));

%-----------------------MENU CURSOR-------------------------

handle=uimenu(handlem,'Label','Cursor On','Separator','on');
set(handle,'Callback',sprintf('rarcb(%d)',IndCursorOn));
handle=uimenu(handlem,'Label','Cursor Start');
set(handle,'Callback',sprintf('rarcb(%d)',IndCursorStart));
handle=uimenu(handlem,'Label','Cursor Off');
set(handle,'Callback',sprintf('rarcb(%d)',IndCursorOff));

%-----------------RAMKA--------------------------

%Frame=uicontrol('Style','fram','String','Prama.','Units','normalized',...
%'Position',[.70 .00 .3 1],...
%'BackgroundColor','red');

%-----------------IndDisplay--------------------------

handle=uicontrol('Style','text','String','','Units','normalized',...
'Position',PosDisplay);
str=sprintf('rarcb(%d)',IndDisplay);
set(handle,'Callback',str);
setusrd1(gcf,IndDisplay,HandleCol,handle);

%-----------------IndRadarFreq--------------------------

uicontrol('Style','text','String','Czest. radaru(MHz)','Units','normalized',...
'Position',PosDiscRadarFreq);
handle=uicontrol('Style','edit','String',num2str(0),'Units','normalized',...
'Position',PosRadarFreq);
str=sprintf('rarcb(%d)',IndRadarFreq);
set(handle,'Callback',str);
setusrd1(gcf,IndRadarFreq,HandleCol,handle);

%-----------------IndSignalNoise--------------------------

handle=uicontrol('Style','text','String','Szum','Units','normalized',...
'Position',PosDiscSignalNoise);
setusrd1(gcf,IndSignalNoise,HandleCol,handle);
handle=uicontrol('Style','edit','String',num2str(0),'Units','normalized',...
'Position',PosSignalNoise);
str=sprintf('rarcb(%d)',IndSignalNoise);
set(handle,'Callback',str);
setusrd1(gcf,IndSignalNoise,HandleCol,handle);

%-----------------IndFFTnum--------------------------

handle=uicontrol('Style','text','String','Punkty FFT','Units','normalized',...
'Position',PosDiscFFTnum);
setusrd1(gcf,IndDiscFFTnum,HandleCol,handle);
handle=uicontrol('Style','edit','String',num2str(0),'Units','normalized',...
'Position',PosFFTnum);
str=sprintf('rarcb(%d)',IndFFTnum);
set(handle,'Callback',str);
setusrd1(gcf,IndFFTnum,HandleCol,handle);

%-----------------IndCurrentPulse--------------------------

handle=uicontrol('Style','popupmenu','String','wszystkie|razem','Units','normalized',...
'Position',PosCurrentPulse);
%setusrd1(gcf,IndCurrentPulse,HandleCol,handle);
%handle=uicontrol('Style','edit','String',num2str(0),'Units','normalized',...
%'Position',PosCurrentPulse);
str=sprintf('rarcb(%d)',IndCurrentPulse);
set(handle,'Callback',str);
setusrd1(gcf,IndCurrentPulse,HandleCol,handle);

%-----------------Frame--------------------------

handle=uicontrol('Style','fram','String','Kroki','Units','normalized',...
'Position',PosFrame);
%'BackgroundColor','red');


%-----------------Frame Discription--------------------------

handle=uicontrol('Style','text','String','Kroki','Units','normalized',...
'Position',PosDiscFrame);
%'BackgroundColor','red');

%-----------------IndStep1--------------------------

handle=uicontrol('Style','RadioButton','String','Sygn.wys.','Units','normalized',...
'Position',PosStep1);
str=sprintf('rarcb(%d)',IndStep1);
set(handle,'Callback',str);
setusrd1(gcf,IndStep1,HandleCol,handle);

%-----------------IndStep2--------------------------

handle=uicontrol('Style','RadioButton','String','Sygn.odbr','Units','normalized',...
'Position',PosStep2);
str=sprintf('rarcb(%d)',IndStep2);
set(handle,'Callback',str);
setusrd1(gcf,IndStep2,HandleCol,handle);

%-----------------IndStep3--------------------------

handle=uicontrol('Style','RadioButton','String','Splot','Units','normalized',...
'Position',PosStep3);
str=sprintf('rarcb(%d)',IndStep3);
set(handle,'Callback',str);
setusrd1(gcf,IndStep3,HandleCol,handle);

%-----------------IndStep4--------------------------

handle=uicontrol('Style','RadioButton','String','Wbr objektw','Units','normalized',...
'Position',PosStep4);
str=sprintf('rarcb(%d)',IndStep4);
set(handle,'Callback',str);
setusrd1(gcf,IndStep4,HandleCol,handle);

%-----------------IndStep5--------------------------

handle=uicontrol('Style','RadioButton','String','Odlego','Units','normalized',...
'Position',PosStep5);
str=sprintf('rarcb(%d)',IndStep5);
set(handle,'Callback',str);
setusrd1(gcf,IndStep5,HandleCol,handle);

%-----------------IndStep6--------------------------

handle=uicontrol('Style','RadioButton','String','Prdko','Units','normalized',...
'Position',PosStep6);
str=sprintf('rarcb(%d)',IndStep6);
set(handle,'Callback',str);
setusrd1(gcf,IndStep6,HandleCol,handle);

%-----------------IndTarget--------------------------

handle=uicontrol('Style','popupmenu','String','Obiekt 1','Units','normalized',...
'Position',PosTarget);
str=sprintf('rarcb(%d)',IndTarget);
set(handle,'Callback',str);
setusrd1(gcf,IndTarget,HandleCol,handle);

%-----------------IndApplyButton--------------------------

handle=uicontrol('Style','pushbutton','String','Zastosuj','Units','normalized',...
'Position',PosApplyButton);
str=sprintf('rarcb(%d)',IndApplyButton);
set(handle,'Callback',str);
setusrd1(gcf,IndApplyButton,HandleCol,handle);

%-----------------IndRadarX--------------------------

handle=uicontrol('Visible','off');
setusrd1(gcf,IndRadarX,HandleCol,handle);

%-----------------IndRadarY--------------------------

handle=uicontrol('Visible','off');
setusrd1(gcf,IndRadarY,HandleCol,handle);

%-----------------IndRadarC--------------------------

handle=uicontrol('Visible','off');
setusrd1(gcf,IndRadarC,HandleCol,handle);

rarcb(-1);

