% sintry.m :  Sinus  try - z rwnania roniczkowego
% diff eqn: y(n)- A y(n-1)+ y(n-2) = C x(n-1)
N=20;
b = [0,sin(2*pi/N)]; a = [1,-2*cos(2*pi/N),1];
n=0:100;
x = [(n==4)];          %delta
y = filter(b,a,x);
subplot(2,1,1); stem(n,x); title('Input sequence')
xlabel('n'); ylabel('x(n)'); axis([0,100,-1.5,1.5])
subplot(2,1,2); plot(n,y); title('Output sequence')
xlabel('n'); ylabel('y(n)'); axis([0,100,-2,2])
pause;
%xic=filtic(b,a,[0],[sin(2*pi/N)]) %filt and initial condition: y(-1) x(-1)
%xic=filtic(b,a,[0],[10]) %filt and initial condition: y(-1) x(-1)
xic=filtic(b,a,[1]) %filt and initial condition: y(-1)
x=zeros(1,101);     %brak sygnau wejciowego
y = filter(b,a,x,xic);
subplot(2,1,1); stem(n,x); title('Input sequence')
xlabel('n'); ylabel('x(n)'); axis([0,100,-1.5,1.5])
subplot(2,1,2); plot(n,y); title('Output with initial cond.')
xlabel('n'); ylabel('y(n)'); axis([0,100,-1.2*abs(max(y)),1.2*abs(max(y))])
pause;
close;
zplane(b,a);