% dft_ex.m : Badanie DFT
% High resolution spectrum based on 200 samples of the signal x(n)

n=[0:1:199];
x=cos(0.48*pi*n)+cos(0.52*pi*n); % dudnienia
%x=cos(0.01*pi*n)+cos(pi*n);      % min and max f
%x=cos(1.99*pi*n);                % aliasing
%x=cos(0.015*pi*n)+cos(0.995*pi*n);
%x=cos(0.014*pi*n);
%x=sign(cos(0.004*pi*n));
%x=cos(1/3*pi*n+pi/2);
%x=cos(pi*n+pi/4);
%x=[ones(1,20), zeros(1,180)];   % prostokt
%x=[ones(1,10), zeros(1,190)];
%x=sin(0.1*pi*n)./(0.1*pi*n+0.1); % sin(x)/x
%x=sin(0.1*pi*n)./(0.1*pi*n+0.1);
%x=randn(200);                     %szum
subplot(3,1,1);stem(n,x);title('signal x(n), 0 <= n <= 199')
axis([0,200,-2.5,2.5]);
    wx=blackman(length(x));
    X=fft(x.*wx');
magX=abs(X(1:1:200));angX=angle(X(1:1:200));
k=0:1:199;w=2*pi/200*k;

subplot(3,1,2);
hold on;
stem(w/pi,magX,'r');
plot(w/pi,magX);
%stemjm(w/pi,20*log10(magX),'r');
%plot(w/pi,20*log10(magX));
hold off;
title('DTFT Magnitude');xlabel('frequency in pi units')
axis([0,1,0,max(magX)]);
%axis([0,1,min(20*log10(magX)),max(20*log10(magX))]);
subplot(3,1,3);
stem(w/pi,angX,'g');
title('DTFT Phase');xlabel('frequency in pi units')
axis([0,1,min(angX),max(angX)]);


