;******************************************************************************
;* TMS320C6x ANSI C Codegen                                      Version 4.00 *
;* Date/Time created: Sun Mar 25 23:29:56 2001                                *
;******************************************************************************

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C620x                                          *
;*   Optimization      : Enabled at level 3                                   *
;*   Optimizing for    : Speed                                                *
;*                       Based on options: -o3, no -ms                        *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Memory Model      : Small                                                *
;*   Calls to RTS      : Near                                                 *
;*   Pipelining        : Enabled                                              *
;*   Speculative Load  : Disabled                                             *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : Debug                                                *
;*                                                                            *
;******************************************************************************

FP	.set	A15
DP	.set	B14
SP	.set	B15
	.global	$bss

;	opt6x -q -O3 C:\WINDOWS\TEMP\TI154971_2 C:\WINDOWS\TEMP\TI154971_4 -w D:\ti_proj\noise 
	.file	"noise.c"
	.file	"C:\ti\c6000\cgtools\include\stdlib.h"
	.file	"C:\ti\c6000\cgtools\include\stdio.h"
	.file	"noise.c"
	.file	"C:\ti\c6000\cgtools\include\c6x.h"
	.file	"noise.c"
	.global	_out
	.bss	_out,4,4
	.sym	_out,_out, 4, 2, 32
	.sect	".text"
	.global	_main
	.sym	_main,_main, 36, 2, 0
	.func	26

;******************************************************************************
;* FUNCTION NAME: _main                                                       *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,DP,SP                                   *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                    *
;******************************************************************************
_main:
;** --------------------------------------------------------------------------*
           STW     .D2T2   B3,*SP--(8)       ; |26| 
	.line	5
           MVK     .S1     256,A0            ; |30| 
           MVC     .S2X    A0,CSR            ; |30| 
	.line	6
           MVK     .S1     1,A0              ; |31| 
           MVC     .S2X    A0,IER            ; |31| 
	.line	7
           ZERO    .L2     B4                ; |32| 
           SET     .S2     B4,0x0,0xf,B4     ; |32| 
           MVC     .S2     B4,ICR            ; |32| 
           NOP             1
	.line	9
           ZERO    .L2     B4                ; |34| 

           MVK     .S1     13056,A0          ; |34| 
||         MVKH    .S2     0x1800000,B4      ; |34| 

           STW     .D2T1   A0,*B4            ; |34| 
	.line	10
           MVKL    .S1     0x1800004,A0      ; |35| 

           MVKH    .S1     0x1800004,A0      ; |35| 
||         MVK     .S2     -221,B4           ; |35| 

           STW     .D1T2   B4,*A0            ; |35| 
;** --------------------------------------------------------------------------*
L1:    
	.line	18
           B       .S1     _rand             ; |43| 
           MVKL    .S2     RL0,B3            ; |43| 
           MVKH    .S2     RL0,B3            ; |43| 
           NOP             3
RL0:       ; CALL OCCURS                     ; |43| 
           EXTU    .S1     A4,16,17,A0       ; |43| 
           SHL     .S1     A0,1,A0           ; |43| 
           STW     .D2T1   A0,*+DP(_out)     ; |43| 
	.line	22
           B       .S1     L1                ; |47| 
           NOP             5
           ; BRANCH OCCURS                   ; |47| 
;** --------------------------------------------------------------------------*
	.line	25
	.endfunc	50,000080000h,8


;******************************************************************************
;* UNDEFINED EXTERNAL REFERENCES                                              *
;******************************************************************************
	.global	_rand
