;******************************************************************************
;* TMS320C6x ANSI C Codegen                                      Version 4.00 *
;* Date/Time created: Mon Oct 14 23:08:51 2002                                *
;******************************************************************************

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C620x                                          *
;*   Optimization      : Enabled at level 1                                   *
;*   Optimizing for    : Compile time 1st, speed 2nd                          *
;*                       Based on options: -o1, no -ms                        *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Memory Model      : Small                                                *
;*   Calls to RTS      : Near                                                 *
;*   Pipelining        : Disabled                                             *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : Debug                                                *
;*                                                                            *
;******************************************************************************

FP	.set	A15
DP	.set	B14
SP	.set	B15
	.global	$bss

;	opt6x -q -O1 C:\WINDOWS\TEMP\TI16694951_2 C:\WINDOWS\TEMP\TI16694951_4 -w D:\ti_proj\Fir 
	.file	"fir.c"
	.file	"C:\ti\c6000\cgtools\include\stdlib.h"
	.file	"C:\ti\c6000\cgtools\include\stdio.h"
	.file	"fir.c"
	.file	"C:\ti\c6000\cgtools\include\c6x.h"
	.file	"fir.c"
	.global	_in
	.bss	_in,4,4
	.sym	_in,_in, 4, 2, 32
	.global	_out
	.bss	_out,4,4
	.sym	_out,_out, 4, 2, 32
	.file	"coef.dat"

	.sect	".cinit"
	.align	8
	.field  	IR_1,32
	.field  	_h+0,32
	.word	0bbb1cafeh		; _h[0] @ 0
	.word	03d06cfe3h		; _h[1] @ 32
	.word	0bc1bddach		; _h[2] @ 64
	.word	03b899311h		; _h[3] @ 96
	.word	03caa0415h		; _h[4] @ 128
	.word	03cb4ccc6h		; _h[5] @ 160
	.word	03bd118a1h		; _h[6] @ 192
	.word	0bc624f15h		; _h[7] @ 224
	.word	0bcb24313h		; _h[8] @ 256
	.word	0bc44e21dh		; _h[9] @ 288
	.word	03b7ae4e3h		; _h[10] @ 320
	.word	03c267abeh		; _h[11] @ 352
	.word	03b996d39h		; _h[12] @ 384
	.word	0b99dbbach		; _h[13] @ 416
	.word	03b9c10d8h		; _h[14] @ 448
	.word	03c56b36bh		; _h[15] @ 480
	.word	03c238a89h		; _h[16] @ 512
	.word	0bbdefaf8h		; _h[17] @ 544
	.word	0bcaed99dh		; _h[18] @ 576
	.word	0bc93b016h		; _h[19] @ 608
	.word	0bac31c75h		; _h[20] @ 640
	.word	03c132cf9h		; _h[21] @ 672
	.word	03b8d5da1h		; _h[22] @ 704
	.word	0bb1439deh		; _h[23] @ 736
	.word	03bc7dc0dh		; _h[24] @ 768
	.word	03cc2dfe4h		; _h[25] @ 800
	.word	03cd1d2fch		; _h[26] @ 832
	.word	0ba28ee6eh		; _h[27] @ 864
	.word	0bd0932cah		; _h[28] @ 896
	.word	0bd20e700h		; _h[29] @ 928
	.word	0bc5c011dh		; _h[30] @ 960
	.word	03c47d79bh		; _h[31] @ 992
	.word	03c183aeah		; _h[32] @ 1024
	.word	0bbf10221h		; _h[33] @ 1056
	.word	03b6ebbe0h		; _h[34] @ 1088
	.word	03d4f3d8bh		; _h[35] @ 1120
	.word	03da5a251h		; _h[36] @ 1152
	.word	03d08cb66h		; _h[37] @ 1184
	.word	0bda3e16ch		; _h[38] @ 1216
	.word	0be255a3ah		; _h[39] @ 1248
	.word	0bdef4adch		; _h[40] @ 1280
	.word	03d1f5b45h		; _h[41] @ 1312
	.word	03e377ff1h		; _h[42] @ 1344
	.word	03e377ff1h		; _h[43] @ 1376
	.word	03d1f5b45h		; _h[44] @ 1408
	.word	0bdef4adch		; _h[45] @ 1440
	.word	0be255a3ah		; _h[46] @ 1472
	.word	0bda3e16ch		; _h[47] @ 1504
	.word	03d08cb66h		; _h[48] @ 1536
	.word	03da5a251h		; _h[49] @ 1568
	.word	03d4f3d8bh		; _h[50] @ 1600
	.word	03b6ebbe0h		; _h[51] @ 1632
	.word	0bbf10221h		; _h[52] @ 1664
	.word	03c183aeah		; _h[53] @ 1696
	.word	03c47d79bh		; _h[54] @ 1728
	.word	0bc5c011dh		; _h[55] @ 1760
	.word	0bd20e700h		; _h[56] @ 1792
	.word	0bd0932cah		; _h[57] @ 1824
	.word	0ba28ee6eh		; _h[58] @ 1856
	.word	03cd1d2fch		; _h[59] @ 1888
	.word	03cc2dfe4h		; _h[60] @ 1920
	.word	03bc7dc0dh		; _h[61] @ 1952
	.word	0bb1439deh		; _h[62] @ 1984
	.word	03b8d5da1h		; _h[63] @ 2016
	.word	03c132cf9h		; _h[64] @ 2048
	.word	0bac31c75h		; _h[65] @ 2080
	.word	0bc93b016h		; _h[66] @ 2112
	.word	0bcaed99dh		; _h[67] @ 2144
	.word	0bbdefaf8h		; _h[68] @ 2176
	.word	03c238a89h		; _h[69] @ 2208
	.word	03c56b36bh		; _h[70] @ 2240
	.word	03b9c10d8h		; _h[71] @ 2272
	.word	0b99dbbach		; _h[72] @ 2304
	.word	03b996d39h		; _h[73] @ 2336
	.word	03c267abeh		; _h[74] @ 2368
	.word	03b7ae4e3h		; _h[75] @ 2400
	.word	0bc44e21dh		; _h[76] @ 2432
	.word	0bcb24313h		; _h[77] @ 2464
	.word	0bc624f15h		; _h[78] @ 2496
	.word	03bd118a1h		; _h[79] @ 2528
	.word	03cb4ccc6h		; _h[80] @ 2560
	.word	03caa0415h		; _h[81] @ 2592
	.word	03b899311h		; _h[82] @ 2624
	.word	0bc1bddach		; _h[83] @ 2656
	.word	03d06cfe3h		; _h[84] @ 2688
	.word	0bbb1cafeh		; _h[85] @ 2720
IR_1:	.set	344

	.sect	".text"
	.global	_h
	.bss	_h,344,4
	.sym	_h,_h, 54, 2, 2752,, 86
	.file	"fir.c"
	.sect	".text"
	.global	_main
	.sym	_main,_main, 36, 2, 0
	.func	30

;******************************************************************************
;* FUNCTION NAME: _main                                                       *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,B0,B1,B2,B3,B4,B5, *
;*                           B6,B7,B8,B9,B10,B11,SP                           *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,B0,B1,B2,B3,B4,B5, *
;*                           B6,B7,B8,B9,B10,B11,DP,SP                        *
;*   Local Frame Size  : 0 Args + 348 Auto + 16 Save = 364 byte               *
;******************************************************************************
_main:
;** --------------------------------------------------------------------------*
	.sym	_i,26, 4, 4, 32
	.sym	_output,10, 6, 4, 32
	.sym	_x,4, 52, 1, 2784,, 87
           ADDK    .S2     -368,SP           ; |30| 
           STW     .D2T1   A10,*+SP(356)     ; |30| 
           STW     .D2T2   B3,*+SP(360)      ; |30| 
           STW     .D2T2   B10,*+SP(364)     ; |30| 
           STW     .D2T2   B11,*+SP(368)     ; |30| 
	.line	9
           MVK     .S1     256,A0            ; |38| 
           MVC     .S2X    A0,CSR            ; |38| 
	.line	10
           MVK     .S1     1,A0              ; |39| 
           MVC     .S2X    A0,IER            ; |39| 
	.line	11
           ZERO    .L2     B4                ; |40| 
           SET     .S2     B4,0x0,0xf,B4     ; |40| 
           MVC     .S2     B4,ICR            ; |40| 
           NOP             1
	.line	13
           ZERO    .L2     B4                ; |42| 

           MVK     .S1     13056,A0          ; |42| 
||         MVKH    .S2     0x1800000,B4      ; |42| 

           STW     .D2T1   A0,*B4            ; |42| 
	.line	14
           MVKL    .S1     0x1800004,A0      ; |43| 

           MVKH    .S1     0x1800004,A0      ; |43| 
||         MVK     .S2     -221,B4           ; |43| 

           STW     .D1T2   B4,*A0            ; |43| 
;** --------------------------------------------------------------------------*
L1:    
	.line	26
           LDW     .D2T2   *+DP(_in),B4      ; |55| 
           NOP             4
           STW     .D2T2   B4,*+SP(348)      ; |55| 
	.line	27
           ZERO    .L1     A10               ; |56| 
	.line	28
           MVK     .S2     0x1,B10           ; |57| 
           MVK     .S2     86,B11            ; |59| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L2:    
	.line	29
           ADD     .L2     4,SP,B4           ; |58| 
           LDW     .D2T2   *+B4[B10],B5      ; |58| 
           ADD     .L2     4,SP,B4           ; |58| 
           ADDAW   .D2     B4,B10,B4         ; |58| 
           NOP             2
           STW     .D2T2   B5,*-B4(4)        ; |58| 
	.line	30

           B       .S1     __fltif           ; |59| 
||         ADD     .L2     4,SP,B4           ; |59| 

           LDW     .D2T1   *+B4[B10],A4      ; |59| 
           MVKL    .S2     RL6,B3            ; |59| 
           MVKH    .S2     RL6,B3            ; |59| 
           NOP             2
RL6:       ; CALL OCCURS                     ; |59| 
           MVK     .S2     (_h-$bss),B4      ; |59| 

           B       .S1     __mpyf            ; |59| 
||         SUB     .L2     B11,B10,B5        ; |59| 
||         ADD     .S2     DP,B4,B4          ; |59| 

           LDW     .D2T2   *+B4[B5],B4       ; 
           MVKL    .S2     RL8,B3            ; |59| 
           MVKH    .S2     RL8,B3            ; |59| 
           NOP             2
RL8:       ; CALL OCCURS                     ; |59| 
           B       .S1     __addf            ; |59| 
           MV      .L2X    A4,B4             ; 
           MVKL    .S2     RL10,B3           ; |59| 
           MVKH    .S2     RL10,B3           ; |59| 
           MV      .L1     A10,A4            ; |59| 
           NOP             1
RL10:      ; CALL OCCURS                     ; |59| 
           MV      .L1     A4,A10            ; 
	.line	31
           ADD     .L2     1,B10,B10         ; |60| 
           CMPGT   .L2     B10,B11,B0        ; |60| 
   [!B0]   B       .S1     L2                ; |60| 
           NOP             5
           ; BRANCH OCCURS                   ; |60| 
;** --------------------------------------------------------------------------*
	.line	32
           B       .S1     __fixfu           ; |61| 
           MVKL    .S2     RL12,B3           ; |61| 
           MVKH    .S2     RL12,B3           ; |61| 
           NOP             3
RL12:      ; CALL OCCURS                     ; |61| 
           EXTU    .S1     A4,16,17,A0       ; |61| 
           SHL     .S1     A0,1,A0           ; |61| 
           STW     .D2T1   A0,*+DP(_out)     ; |61| 
	.line	36
           B       .S1     L1                ; |65| 
           NOP             5
           ; BRANCH OCCURS                   ; |65| 
;** --------------------------------------------------------------------------*
	.line	37
	.endfunc	66,00c080400h,368


	.sect	".text"
	.global	_mcbsp0_init
	.sym	_mcbsp0_init,_mcbsp0_init, 32, 2, 0
	.func	68

;******************************************************************************
;* FUNCTION NAME: _mcbsp0_init                                                *
;*                                                                            *
;*   Regs Modified     : A0,A3,B4,B5                                          *
;*   Regs Used         : A0,A3,B3,B4,B5                                       *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_mcbsp0_init:
;** --------------------------------------------------------------------------*
	.sym	C$1,20, 14, 4, 32
	.sym	C$2,0, 14, 4, 32
	.line	4
           MVKL    .S2     0x18c0008,B5      ; |71| 

           MVKH    .S2     0x18c0008,B5      ; |71| 
||         ZERO    .L2     B4                ; |71| 

           STW     .D2T2   B4,*B5            ; |71| 
	.line	5
           MVKL    .S1     0x18c0024,A0      ; |72| 
           MVKH    .S1     0x18c0024,A0      ; |72| 
           STW     .D1T2   B4,*A0            ; |72| 
	.line	6
           MVKL    .S1     0x18c000c,A3      ; |73| 
           MVKH    .S1     0x18c000c,A3      ; |73| 
           MVKL    .S1     0x10040,A0        ; |73| 
           MVKH    .S1     0x10040,A0        ; |73| 
           STW     .D1T1   A0,*A3            ; |73| 
	.line	7
           MVKL    .S2     0x18c0010,B5      ; |74| 
           MVKH    .S2     0x18c0010,B5      ; |74| 
           STW     .D2T1   A0,*B5            ; |74| 
	.line	8
           MVKL    .S2     0x18c0004,B5      ; |75| 
           MVKH    .S2     0x18c0004,B5      ; |75| 
           STW     .D2T2   B4,*B5            ; |75| 
	.line	9

           MVKL    .S2     0x12001,B4        ; |76| 
||         MVKL    .S1     0x18c0008,A0      ; |76| 

           MVKH    .S2     0x12001,B4        ; |76| 
||         MVKH    .S1     0x18c0008,A0      ; |76| 

           STW     .D1T2   B4,*A0            ; |76| 
	.line	10
           B       .S2     B3                ; |77| 
           NOP             5
           ; BRANCH OCCURS                   ; |77| 
	.endfunc	77,000000000h,0


	.sect	".text"
	.global	_mcbsp0_write
	.sym	_mcbsp0_write,_mcbsp0_write, 32, 2, 0
	.func	79

;******************************************************************************
;* FUNCTION NAME: _mcbsp0_write                                               *
;*                                                                            *
;*   Regs Modified     : A0,B0,B4                                             *
;*   Regs Used         : A0,A4,B0,B3,B4                                       *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_mcbsp0_write:
;** --------------------------------------------------------------------------*
	.sym	_out_data,4, 4, 17, 32
	.sym	_temp,16, 4, 4, 32
	.sym	_out_data,4, 4, 4, 32
	.line	2
	.line	4
           MVKL    .S1     0x18c0008,A0      ; |82| 
           MVKH    .S1     0x18c0008,A0      ; |82| 
           LDW     .D1T1   *A0,A0            ; |82| 
           ZERO    .L2     B4                ; |82| 
           MVKH    .S2     0x20000,B4        ; |82| 
           NOP             2
           AND     .L2X    B4,A0,B0          ; |82| 
	.line	5
   [ B0]   B       .S1     L4                ; |83| 
           NOP             5
           ; BRANCH OCCURS                   ; |83| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L3:    
	.line	7
           MVKL    .S1     0x18c0008,A0      ; |85| 
           MVKH    .S1     0x18c0008,A0      ; |85| 
           LDW     .D1T1   *A0,A0            ; |85| 
           ZERO    .L2     B4                ; |85| 
           MVKH    .S2     0x20000,B4        ; |85| 
           NOP             2
           AND     .L2X    B4,A0,B0          ; |85| 
   [!B0]   B       .S1     L3                ; |85| 
           NOP             5
           ; BRANCH OCCURS                   ; |85| 
;** --------------------------------------------------------------------------*
L4:    
	.line	9
           MVKL    .S1     0x18c0004,A0      ; |87| 
           MVKH    .S1     0x18c0004,A0      ; |87| 
           STW     .D1T1   A4,*A0            ; |87| 
	.line	10
           B       .S2     B3                ; |88| 
           NOP             5
           ; BRANCH OCCURS                   ; |88| 
	.endfunc	88,000000000h,0


	.sect	".text"
	.global	_mcbsp0_read
	.sym	_mcbsp0_read,_mcbsp0_read, 36, 2, 0
	.func	90

;******************************************************************************
;* FUNCTION NAME: _mcbsp0_read                                                *
;*                                                                            *
;*   Regs Modified     : A0,A1,A4                                             *
;*   Regs Used         : A0,A1,A4,B3                                          *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_mcbsp0_read:
;** --------------------------------------------------------------------------*
	.sym	_temp,1, 4, 4, 32
	.line	4
           MVKL    .S1     0x18c0008,A0      ; |93| 
           MVKH    .S1     0x18c0008,A0      ; |93| 
           LDW     .D1T1   *A0,A0            ; |93| 
           NOP             4
           AND     .L1     2,A0,A1           ; |93| 
	.line	5
   [ A1]   B       .S1     L6                ; |94| 
           NOP             5
           ; BRANCH OCCURS                   ; |94| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L5:    
	.line	7
           MVKL    .S1     0x18c0008,A0      ; |96| 
           MVKH    .S1     0x18c0008,A0      ; |96| 
           LDW     .D1T1   *A0,A0            ; |96| 
           NOP             4
           AND     .L1     2,A0,A1           ; |96| 
   [!A1]   B       .S1     L5                ; |96| 
           NOP             5
           ; BRANCH OCCURS                   ; |96| 
;** --------------------------------------------------------------------------*
L6:    
	.line	9
           ZERO    .L1     A0                ; |98| 
           MVKH    .S1     0x18c0000,A0      ; |98| 
	.line	10
           LDW     .D1T1   *A0,A4            ; 
	.line	11
           B       .S2     B3                ; |100| 
           NOP             5
           ; BRANCH OCCURS                   ; |100| 
	.endfunc	100,000000000h,0


	.sect	".text"
	.global	_codec_init
	.sym	_codec_init,_codec_init, 32, 2, 0
	.func	103

;******************************************************************************
;* FUNCTION NAME: _codec_init                                                 *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,B0,B1,B2,B3,B4,B5, *
;*                           B6,B7,B8,B9,SP                                   *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,B0,B1,B2,B3,B4,B5, *
;*                           B6,B7,B8,B9,SP                                   *
;*   Local Frame Size  : 8 Args + 0 Auto + 8 Save = 16 byte                   *
;******************************************************************************
_codec_init:
;** --------------------------------------------------------------------------*
	.sym	_temp,10, 4, 4, 32
           STW     .D2T2   B3,*SP--(16)      ; |103| 
           STW     .D2T1   A10,*+SP(12)      ; |103| 
	.line	6
           B       .S1     _mcbsp0_read      ; |108| 
           MVKL    .S2     RL14,B3           ; |108| 
           MVKH    .S2     RL14,B3           ; |108| 
           NOP             3
RL14:      ; CALL OCCURS                     ; |108| 
	.line	7
           B       .S1     _mcbsp0_write     ; |109| 
           MVKL    .S2     RL16,B3           ; |109| 
           MVKH    .S2     RL16,B3           ; |109| 
           ZERO    .L1     A4                ; |109| 
           NOP             2
RL16:      ; CALL OCCURS                     ; |109| 
	.line	8
           B       .S1     _mcbsp0_read      ; |110| 
           MVKL    .S2     RL18,B3           ; |110| 
           MVKH    .S2     RL18,B3           ; |110| 
           NOP             3
RL18:      ; CALL OCCURS                     ; |110| 
	.line	9
           B       .S1     _mcbsp0_write     ; |111| 
           MVKL    .S2     RL20,B3           ; |111| 
           MVKH    .S2     RL20,B3           ; |111| 
           ZERO    .L1     A4                ; |111| 
           NOP             2
RL20:      ; CALL OCCURS                     ; |111| 
	.line	10
           B       .S1     _mcbsp0_read      ; |112| 
           MVKL    .S2     RL22,B3           ; |112| 
           MVKH    .S2     RL22,B3           ; |112| 
           NOP             3
RL22:      ; CALL OCCURS                     ; |112| 
	.line	11
           B       .S1     _mcbsp0_write     ; |113| 
           MVKL    .S2     RL24,B3           ; |113| 
           ZERO    .L1     A4                ; |113| 
           MVKH    .S2     RL24,B3           ; |113| 
           NOP             2
RL24:      ; CALL OCCURS                     ; |113| 
	.line	12
           B       .S1     _mcbsp0_read      ; |114| 
           MVKL    .S2     RL26,B3           ; |114| 
           MVKH    .S2     RL26,B3           ; |114| 
           NOP             3
RL26:      ; CALL OCCURS                     ; |114| 
	.line	13
           B       .S1     _mcbsp0_write     ; |115| 
           MVKL    .S2     RL28,B3           ; |115| 
           MVKH    .S2     RL28,B3           ; |115| 
           MVK     .S1     0x1,A4            ; |115| 
           NOP             2
RL28:      ; CALL OCCURS                     ; |115| 
	.line	14
           B       .S1     _mcbsp0_read      ; |116| 
           MVKL    .S2     RL30,B3           ; |116| 
           MVKH    .S2     RL30,B3           ; |116| 
           NOP             3
RL30:      ; CALL OCCURS                     ; |116| 
	.line	15
           B       .S1     _mcbsp0_write     ; |117| 
           MVKL    .S2     RL32,B3           ; |117| 
           MVKH    .S2     RL32,B3           ; |117| 
           MVK     .S1     0x386,A4          ; |117| 
           NOP             2
RL32:      ; CALL OCCURS                     ; |117| 
	.line	16
           B       .S1     _mcbsp0_read      ; |118| 
           MVKL    .S2     RL34,B3           ; |118| 
           MVKH    .S2     RL34,B3           ; |118| 
           NOP             3
RL34:      ; CALL OCCURS                     ; |118| 
;** --------------------------------------------------------------------------*
	.line	17
           B       .S1     _mcbsp0_write     ; |119| 
           MVKL    .S2     RL36,B3           ; |119| 
           MVKH    .S2     RL36,B3           ; |119| 
           ZERO    .L1     A4                ; |119| 
           NOP             2
RL36:      ; CALL OCCURS                     ; |119| 
	.line	18
           B       .S1     _mcbsp0_read      ; |120| 
           MVKL    .S2     RL38,B3           ; |120| 
           MVKH    .S2     RL38,B3           ; |120| 
           NOP             3
RL38:      ; CALL OCCURS                     ; |120| 
	.line	21
           B       .S1     _mcbsp0_write     ; |123| 
           MVKL    .S2     RL40,B3           ; |123| 
           MVKH    .S2     RL40,B3           ; |123| 
           ZERO    .L1     A4                ; |123| 
           NOP             2
RL40:      ; CALL OCCURS                     ; |123| 
	.line	22
           B       .S1     _mcbsp0_read      ; |124| 
           MVKL    .S2     RL42,B3           ; |124| 
           MVKH    .S2     RL42,B3           ; |124| 
           NOP             3
RL42:      ; CALL OCCURS                     ; |124| 
	.line	23
           B       .S1     _mcbsp0_write     ; |125| 
           MVKL    .S2     RL44,B3           ; |125| 
           MVKH    .S2     RL44,B3           ; |125| 
           ZERO    .L1     A4                ; |125| 
           NOP             2
RL44:      ; CALL OCCURS                     ; |125| 
	.line	24
           B       .S1     _mcbsp0_read      ; |126| 
           MVKL    .S2     RL46,B3           ; |126| 
           MVKH    .S2     RL46,B3           ; |126| 
           NOP             3
RL46:      ; CALL OCCURS                     ; |126| 
	.line	25
           B       .S1     _mcbsp0_write     ; |127| 
           MVKL    .S2     RL48,B3           ; |127| 
           MVK     .S1     0x1,A4            ; |127| 
           MVKH    .S2     RL48,B3           ; |127| 
           NOP             2
RL48:      ; CALL OCCURS                     ; |127| 
	.line	26
           B       .S1     _mcbsp0_read      ; |128| 
           MVKL    .S2     RL50,B3           ; |128| 
           MVKH    .S2     RL50,B3           ; |128| 
           NOP             3
RL50:      ; CALL OCCURS                     ; |128| 
	.line	27
           B       .S1     _mcbsp0_write     ; |129| 
           MVKL    .S2     RL52,B3           ; |129| 
           MVKH    .S2     RL52,B3           ; |129| 
           MVK     .S1     0x306,A4          ; |129| 
           NOP             2
RL52:      ; CALL OCCURS                     ; |129| 
	.line	28
           B       .S1     _mcbsp0_read      ; |130| 
           MVKL    .S2     RL54,B3           ; |130| 
           MVKH    .S2     RL54,B3           ; |130| 
           NOP             3
RL54:      ; CALL OCCURS                     ; |130| 
	.line	29
           B       .S1     _mcbsp0_write     ; |131| 
           MVKL    .S2     RL56,B3           ; |131| 
           MVKH    .S2     RL56,B3           ; |131| 
           ZERO    .L1     A4                ; |131| 
           NOP             2
RL56:      ; CALL OCCURS                     ; |131| 
;** --------------------------------------------------------------------------*
	.line	30
           B       .S1     _mcbsp0_read      ; |132| 
           MVKL    .S2     RL58,B3           ; |132| 
           MVKH    .S2     RL58,B3           ; |132| 
           NOP             3
RL58:      ; CALL OCCURS                     ; |132| 
	.line	32
           B       .S1     _mcbsp0_write     ; |134| 
           MVKL    .S2     RL60,B3           ; |134| 
           MVKH    .S2     RL60,B3           ; |134| 
           ZERO    .L1     A4                ; |134| 
           NOP             2
RL60:      ; CALL OCCURS                     ; |134| 
	.line	33
           B       .S1     _mcbsp0_read      ; |135| 
           MVKL    .S2     RL62,B3           ; |135| 
           MVKH    .S2     RL62,B3           ; |135| 
           NOP             3
RL62:      ; CALL OCCURS                     ; |135| 
	.line	34
           B       .S1     _mcbsp0_write     ; |136| 
           MVKL    .S2     RL64,B3           ; |136| 
           MVKH    .S2     RL64,B3           ; |136| 
           MVK     .S1     0x1,A4            ; |136| 
           NOP             2
RL64:      ; CALL OCCURS                     ; |136| 
	.line	35
           B       .S1     _mcbsp0_read      ; |137| 
           MVKL    .S2     RL66,B3           ; |137| 
           MVKH    .S2     RL66,B3           ; |137| 
           NOP             3
RL66:      ; CALL OCCURS                     ; |137| 
	.line	36
           B       .S1     _mcbsp0_write     ; |138| 
           MVKL    .S2     RL68,B3           ; |138| 
           MVKH    .S2     RL68,B3           ; |138| 
           MVK     .S1     0x2330,A4         ; |138| 
           NOP             2
RL68:      ; CALL OCCURS                     ; |138| 
	.line	37
           B       .S1     _mcbsp0_read      ; |139| 
           MVKL    .S2     RL70,B3           ; |139| 
           MVKH    .S2     RL70,B3           ; |139| 
           NOP             3
RL70:      ; CALL OCCURS                     ; |139| 
           MV      .L1     A4,A10            ; 
	.line	38
           B       .S1     _mcbsp0_write     ; |140| 
           MVKL    .S2     RL72,B3           ; |140| 
           MVKH    .S2     RL72,B3           ; |140| 
           ZERO    .L1     A4                ; |140| 
           NOP             2
RL72:      ; CALL OCCURS                     ; |140| 
	.line	39
           B       .S1     _mcbsp0_read      ; |141| 
           MVKL    .S2     RL74,B3           ; |141| 
           MVKH    .S2     RL74,B3           ; |141| 
           NOP             3
RL74:      ; CALL OCCURS                     ; |141| 
	.line	40
           B       .S1     _mcbsp0_write     ; |142| 
           MVKL    .S2     RL76,B3           ; |142| 
           ZERO    .L1     A4                ; |142| 
           MVKH    .S2     RL76,B3           ; |142| 
           NOP             2
RL76:      ; CALL OCCURS                     ; |142| 
	.line	41
           B       .S1     _mcbsp0_read      ; |143| 
           MVKL    .S2     RL78,B3           ; |143| 
           MVKH    .S2     RL78,B3           ; |143| 
           NOP             3
RL78:      ; CALL OCCURS                     ; |143| 
;** --------------------------------------------------------------------------*
	.line	42
           EXTU    .S1     A10,24,24,A0      ; |144| 
           CMPEQ   .L1     A0,6,A1           ; |144| 
   [!A1]   B       .S1     L8                ; |144| 
           NOP             5
           ; BRANCH OCCURS                   ; |144| 
;** --------------------------------------------------------------------------*
	.line	51
           B       .S1     _mcbsp0_write     ; |153| 
           MVKL    .S2     RL80,B3           ; |153| 
           MVKH    .S2     RL80,B3           ; |153| 
           ZERO    .L1     A4                ; |153| 
           NOP             2
RL80:      ; CALL OCCURS                     ; |153| 
	.line	52
           B       .S1     _mcbsp0_read      ; |154| 
           MVKL    .S2     RL82,B3           ; |154| 
           MVKH    .S2     RL82,B3           ; |154| 
           NOP             3
RL82:      ; CALL OCCURS                     ; |154| 
	.line	53
           B       .S1     _mcbsp0_write     ; |155| 
           MVKL    .S2     RL84,B3           ; |155| 
           MVKH    .S2     RL84,B3           ; |155| 
           ZERO    .L1     A4                ; |155| 
           NOP             2
RL84:      ; CALL OCCURS                     ; |155| 
	.line	54
           B       .S1     _mcbsp0_read      ; |156| 
           MVKL    .S2     RL86,B3           ; |156| 
           MVKH    .S2     RL86,B3           ; |156| 
           NOP             3
RL86:      ; CALL OCCURS                     ; |156| 
	.line	55
           B       .S1     _mcbsp0_write     ; |157| 
           MVKL    .S2     RL88,B3           ; |157| 
           MVKH    .S2     RL88,B3           ; |157| 
           MVK     .S1     0x1,A4            ; |157| 
           NOP             2
RL88:      ; CALL OCCURS                     ; |157| 
	.line	56
           B       .S1     _mcbsp0_read      ; |158| 
           MVKL    .S2     RL90,B3           ; |158| 
           MVKH    .S2     RL90,B3           ; |158| 
           NOP             3
RL90:      ; CALL OCCURS                     ; |158| 
	.line	57
           B       .S1     _mcbsp0_write     ; |159| 
           MVKL    .S2     RL92,B3           ; |159| 
           MVK     .S1     0x400,A4          ; |159| 
           MVKH    .S2     RL92,B3           ; |159| 
           NOP             2
RL92:      ; CALL OCCURS                     ; |159| 
	.line	58
           B       .S1     _mcbsp0_read      ; |160| 
           MVKL    .S2     RL94,B3           ; |160| 
           MVKH    .S2     RL94,B3           ; |160| 
           NOP             3
RL94:      ; CALL OCCURS                     ; |160| 
	.line	59
           B       .S1     _mcbsp0_write     ; |161| 
           MVKL    .S2     RL96,B3           ; |161| 
           MVKH    .S2     RL96,B3           ; |161| 
           ZERO    .L1     A4                ; |161| 
           NOP             2
RL96:      ; CALL OCCURS                     ; |161| 
	.line	60
           B       .S1     _mcbsp0_read      ; |162| 
           MVKL    .S2     RL98,B3           ; |162| 
           MVKH    .S2     RL98,B3           ; |162| 
           NOP             3
RL98:      ; CALL OCCURS                     ; |162| 
	.line	62
           B       .S1     _mcbsp0_write     ; |164| 
           MVKL    .S2     RL100,B3          ; |164| 
           MVKH    .S2     RL100,B3          ; |164| 
           ZERO    .L1     A4                ; |164| 
           NOP             2
RL100:     ; CALL OCCURS                     ; |164| 
;** --------------------------------------------------------------------------*
	.line	63
           B       .S1     _mcbsp0_read      ; |165| 
           MVKL    .S2     RL102,B3          ; |165| 
           MVKH    .S2     RL102,B3          ; |165| 
           NOP             3
RL102:     ; CALL OCCURS                     ; |165| 
	.line	64
           B       .S1     _mcbsp0_write     ; |166| 
           MVKL    .S2     RL104,B3          ; |166| 
           MVKH    .S2     RL104,B3          ; |166| 
           MVK     .S1     0x1,A4            ; |166| 
           NOP             2
RL104:     ; CALL OCCURS                     ; |166| 
	.line	65
           B       .S1     _mcbsp0_read      ; |167| 
           MVKL    .S2     RL106,B3          ; |167| 
           MVKH    .S2     RL106,B3          ; |167| 
           NOP             3
RL106:     ; CALL OCCURS                     ; |167| 
	.line	66
           B       .S1     _mcbsp0_write     ; |168| 
           MVKL    .S2     RL108,B3          ; |168| 
           MVKH    .S2     RL108,B3          ; |168| 
           MVK     .S1     0x2430,A4         ; |168| 
           NOP             2
RL108:     ; CALL OCCURS                     ; |168| 
	.line	67
           B       .S1     _mcbsp0_read      ; |169| 
           MVKL    .S2     RL110,B3          ; |169| 
           MVKH    .S2     RL110,B3          ; |169| 
           NOP             3
RL110:     ; CALL OCCURS                     ; |169| 
           MV      .L1     A4,A10            ; 
	.line	68
           B       .S1     _mcbsp0_write     ; |170| 
           MVKL    .S2     RL112,B3          ; |170| 
           MVKH    .S2     RL112,B3          ; |170| 
           ZERO    .L1     A4                ; |170| 
           NOP             2
RL112:     ; CALL OCCURS                     ; |170| 
	.line	69
           B       .S1     _mcbsp0_read      ; |171| 
           MVKL    .S2     RL114,B3          ; |171| 
           MVKH    .S2     RL114,B3          ; |171| 
           NOP             3
RL114:     ; CALL OCCURS                     ; |171| 
	.line	70
           B       .S1     _mcbsp0_write     ; |172| 
           MVKL    .S2     RL116,B3          ; |172| 
           MVKH    .S2     RL116,B3          ; |172| 
           ZERO    .L1     A4                ; |172| 
           NOP             2
RL116:     ; CALL OCCURS                     ; |172| 
	.line	71
           B       .S1     _mcbsp0_read      ; |173| 
           MVKL    .S2     RL118,B3          ; |173| 
           MVKH    .S2     RL118,B3          ; |173| 
           NOP             3
RL118:     ; CALL OCCURS                     ; |173| 
	.line	72
           EXTU    .S1     A10,24,24,A1      ; |174| 
   [ A1]   B       .S1     L7                ; |174| 
           NOP             5
           ; BRANCH OCCURS                   ; |174| 
;** --------------------------------------------------------------------------*
	.line	81
           B       .S1     _mcbsp0_write     ; |183| 
           MVKL    .S2     RL120,B3          ; |183| 
           MVKH    .S2     RL120,B3          ; |183| 
           ZERO    .L1     A4                ; |183| 
           NOP             2
RL120:     ; CALL OCCURS                     ; |183| 
	.line	82
           B       .S1     _mcbsp0_read      ; |184| 
           MVKL    .S2     RL122,B3          ; |184| 
           MVKH    .S2     RL122,B3          ; |184| 
           NOP             3
RL122:     ; CALL OCCURS                     ; |184| 
	.line	83
           B       .S1     _mcbsp0_write     ; |185| 
           MVKL    .S2     RL124,B3          ; |185| 
           MVKH    .S2     RL124,B3          ; |185| 
           ZERO    .L1     A4                ; |185| 
           NOP             2
RL124:     ; CALL OCCURS                     ; |185| 
	.line	84
           B       .S1     _mcbsp0_read      ; |186| 
           MVKL    .S2     RL126,B3          ; |186| 
           MVKH    .S2     RL126,B3          ; |186| 
           NOP             3
RL126:     ; CALL OCCURS                     ; |186| 
	.line	85
           B       .S1     _mcbsp0_write     ; |187| 
           MVKL    .S2     RL128,B3          ; |187| 
           MVKH    .S2     RL128,B3          ; |187| 
           MVK     .S1     0x1,A4            ; |187| 
           NOP             2
RL128:     ; CALL OCCURS                     ; |187| 
	.line	86
           B       .S1     _mcbsp0_read      ; |188| 
           MVKL    .S2     RL130,B3          ; |188| 
           MVKH    .S2     RL130,B3          ; |188| 
           NOP             3
RL130:     ; CALL OCCURS                     ; |188| 
	.line	87
           B       .S1     _mcbsp0_write     ; |189| 
           MVKL    .S2     RL132,B3          ; |189| 
           MVK     .S1     0x502,A4          ; |189| 
           MVKH    .S2     RL132,B3          ; |189| 
           NOP             2
RL132:     ; CALL OCCURS                     ; |189| 
	.line	88
           B       .S1     _mcbsp0_read      ; |190| 
           MVKL    .S2     RL134,B3          ; |190| 
           MVKH    .S2     RL134,B3          ; |190| 
           NOP             3
RL134:     ; CALL OCCURS                     ; |190| 
	.line	89
           B       .S1     _mcbsp0_write     ; |191| 
           MVKL    .S2     RL136,B3          ; |191| 
           MVKH    .S2     RL136,B3          ; |191| 
           ZERO    .L1     A4                ; |191| 
           NOP             2
RL136:     ; CALL OCCURS                     ; |191| 
	.line	90
           B       .S1     _mcbsp0_read      ; |192| 
           MVKL    .S2     RL138,B3          ; |192| 
           MVKH    .S2     RL138,B3          ; |192| 
           NOP             3
RL138:     ; CALL OCCURS                     ; |192| 
	.line	92
           B       .S1     _mcbsp0_write     ; |194| 
           MVKL    .S2     RL140,B3          ; |194| 
           MVKH    .S2     RL140,B3          ; |194| 
           ZERO    .L1     A4                ; |194| 
           NOP             2
RL140:     ; CALL OCCURS                     ; |194| 
;** --------------------------------------------------------------------------*
	.line	93
           B       .S1     _mcbsp0_read      ; |195| 
           MVKL    .S2     RL142,B3          ; |195| 
           MVKH    .S2     RL142,B3          ; |195| 
           NOP             3
RL142:     ; CALL OCCURS                     ; |195| 
	.line	94
           B       .S1     _mcbsp0_write     ; |196| 
           MVKL    .S2     RL144,B3          ; |196| 
           MVKH    .S2     RL144,B3          ; |196| 
           MVK     .S1     0x1,A4            ; |196| 
           NOP             2
RL144:     ; CALL OCCURS                     ; |196| 
	.line	95
           B       .S1     _mcbsp0_read      ; |197| 
           MVKL    .S2     RL146,B3          ; |197| 
           MVKH    .S2     RL146,B3          ; |197| 
           NOP             3
RL146:     ; CALL OCCURS                     ; |197| 
	.line	96
           B       .S1     _mcbsp0_write     ; |198| 
           MVKL    .S2     RL148,B3          ; |198| 
           MVKH    .S2     RL148,B3          ; |198| 
           MVK     .S1     0x2530,A4         ; |198| 
           NOP             2
RL148:     ; CALL OCCURS                     ; |198| 
	.line	97
           B       .S1     _mcbsp0_read      ; |199| 
           MVKL    .S2     RL150,B3          ; |199| 
           MVKH    .S2     RL150,B3          ; |199| 
           NOP             3
RL150:     ; CALL OCCURS                     ; |199| 
           MV      .L1     A4,A10            ; 
	.line	98
           B       .S1     _mcbsp0_write     ; |200| 
           MVKL    .S2     RL152,B3          ; |200| 
           MVKH    .S2     RL152,B3          ; |200| 
           ZERO    .L1     A4                ; |200| 
           NOP             2
RL152:     ; CALL OCCURS                     ; |200| 
	.line	99
           B       .S1     _mcbsp0_read      ; |201| 
           MVKL    .S2     RL154,B3          ; |201| 
           MVKH    .S2     RL154,B3          ; |201| 
           NOP             3
RL154:     ; CALL OCCURS                     ; |201| 
	.line	100
           B       .S1     _mcbsp0_write     ; |202| 
           MVKL    .S2     RL156,B3          ; |202| 
           ZERO    .L1     A4                ; |202| 
           MVKH    .S2     RL156,B3          ; |202| 
           NOP             2
RL156:     ; CALL OCCURS                     ; |202| 
	.line	101
           B       .S1     _mcbsp0_read      ; |203| 
           MVKL    .S2     RL158,B3          ; |203| 
           MVKH    .S2     RL158,B3          ; |203| 
           NOP             3
RL158:     ; CALL OCCURS                     ; |203| 
	.line	102
           EXTU    .S1     A10,24,25,A0      ; |204| 
           SHL     .S1     A0,1,A0           ; |204| 
           CMPEQ   .L1     A0,2,A1           ; |204| 
   [ A1]   B       .S1     L9                ; |204| 
           NOP             5
           ; BRANCH OCCURS                   ; |204| 
;** --------------------------------------------------------------------------*
;***	; the preceding call never returns
	.line	105
           B       .S1     _printf           ; |207| 
           MVKL    .S1     SL1+0,A0          ; |207| 
           MVKH    .S1     SL1+0,A0          ; |207| 
           MVKL    .S2     RL160,B3          ; |207| 
           STW     .D2T1   A0,*+SP(4)        ; |207| 
           MVKH    .S2     RL160,B3          ; |207| 
RL160:     ; CALL OCCURS                     ; |207| 
	.line	106
           B       .S1     _exit             ; |208| 
           MVKL    .S2     RL162,B3          ; |208| 
           MVKH    .S2     RL162,B3          ; |208| 
           ZERO    .L1     A4                ; |208| 
           NOP             2
RL162:     ; CALL OCCURS                     ; |208| 
;** --------------------------------------------------------------------------*
L7:    
;***	; the preceding call never returns
	.line	75
           B       .S1     _printf           ; |177| 
           MVKL    .S1     SL2+0,A0          ; |177| 
           MVKH    .S1     SL2+0,A0          ; |177| 
           MVKL    .S2     RL164,B3          ; |177| 
           STW     .D2T1   A0,*+SP(4)        ; |177| 
           MVKH    .S2     RL164,B3          ; |177| 
RL164:     ; CALL OCCURS                     ; |177| 
	.line	76
           B       .S1     _exit             ; |178| 
           MVKL    .S2     RL166,B3          ; |178| 
           MVKH    .S2     RL166,B3          ; |178| 
           ZERO    .L1     A4                ; |178| 
           NOP             2
RL166:     ; CALL OCCURS                     ; |178| 
;** --------------------------------------------------------------------------*
L8:    
;***	; the preceding call never returns
	.line	45
           B       .S1     _printf           ; |147| 
           MVKL    .S1     SL3+0,A0          ; |147| 
           MVKH    .S1     SL3+0,A0          ; |147| 
           MVKL    .S2     RL168,B3          ; |147| 
           STW     .D2T1   A0,*+SP(4)        ; |147| 
           MVKH    .S2     RL168,B3          ; |147| 
RL168:     ; CALL OCCURS                     ; |147| 
	.line	46
           B       .S1     _exit             ; |148| 
           MVKL    .S2     RL170,B3          ; |148| 
           MVKH    .S2     RL170,B3          ; |148| 
           ZERO    .L1     A4                ; |148| 
           NOP             2
RL170:     ; CALL OCCURS                     ; |148| 
;** --------------------------------------------------------------------------*
L9:    
	.line	110
           LDW     .D2T1   *+SP(12),A10      ; |212| 
           LDW     .D2T2   *++SP(16),B3      ; |212| 
           NOP             4
           B       .S2     B3                ; |212| 
           NOP             5
           ; BRANCH OCCURS                   ; |212| 
	.endfunc	212,000080400h,16


;******************************************************************************
;* STRINGS                                                                    *
;******************************************************************************
	.sect	".const"
SL1:	.string	"Error in setting up register 5.",10,0
SL2:	.string	"Error in setting up register 4.",10,0
SL3:	.string	"Error in setting up register 3.",10,0
;******************************************************************************
;* UNDEFINED EXTERNAL REFERENCES                                              *
;******************************************************************************
	.global	_exit
	.global	_printf
	.global	__fltif
	.global	__mpyf
	.global	__addf
	.global	__fixfu
