;******************************************************************************
;* TMS320C6x ANSI C Codegen                                      Version 4.00 *
;* Date/Time created: Mon Nov 11 23:34:34 2002                                *
;******************************************************************************

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C671x                                          *
;*   Optimization      : Enabled at level 1                                   *
;*   Optimizing for    : Compile time 1st, speed 2nd                          *
;*                       Based on options: -o1, no -ms                        *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Memory Model      : Small                                                *
;*   Calls to RTS      : Near                                                 *
;*   Pipelining        : Disabled                                             *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : Debug                                                *
;*                                                                            *
;******************************************************************************

FP	.set	A15
DP	.set	B14
SP	.set	B15
	.global	$bss

;	opt6x -q -v6710 -O1 C:\WINDOWS\TEMP\TI16483021_2 C:\WINDOWS\TEMP\TI16483021_4 -w D:\ti_proj\goertzel 
	.file	"fir.c"
	.file	"C:\ti\c6000\cgtools\include\stdlib.h"
	.file	"C:\ti\c6000\cgtools\include\stdio.h"
	.file	"C:\ti\c6000\cgtools\include\math.h"
	.file	"fir.c"
	.file	"C:\ti\c6000\cgtools\include\c6x.h"
	.file	"fir.c"
	.global	_in
	.bss	_in,4,4
	.sym	_in,_in, 4, 2, 32
	.global	_out
	.bss	_out,4,4
	.sym	_out,_out, 4, 2, 32
	.global	_hist
	.bss	_hist,16,8
	.sym	_hist,_hist, 55, 2, 128,, 2
	.global	_factor
	.bss	_factor,8,8
	.sym	_factor,_factor, 7, 2, 64
	.global	_w
	.bss	_w,8,8
	.sym	_w,_w, 7, 2, 64

	.sect	".cinit:c"
	.align	8
	.field  	(CIR - $) - 8, 32
	.field  	_output+0,32
	.word	000000000h		; _output @ 0

	.sect	".text"
	.global	_output
_output:	.usect	".bss:c",4,4
	.sym	_output,_output, 6, 2, 32
	.sect	".text"
	.global	_main
	.sym	_main,_main, 36, 2, 0
	.func	34

;******************************************************************************
;* FUNCTION NAME: _main                                                       *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,B0,B1,B2,B3,B4,*
;*                           B5,B6,B7,B8,B9,B10,B11,SP                        *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,B0,B1,B2,B3,B4,*
;*                           B5,B6,B7,B8,B9,B10,B11,DP,SP                     *
;*   Local Frame Size  : 0 Args + 0 Auto + 20 Save = 20 byte                  *
;******************************************************************************
_main:
;** --------------------------------------------------------------------------*
	.sym	C$1,22, 7, 4, 64
	.sym	C$2,20, 7, 4, 64
	.sym	C$3,26, 7, 4, 64
	.sym	C$4,20, 23, 4, 32
	.sym	C$5,21, 7, 4, 64
	.sym	Y$0,20, 7, 4, 64
	.sym	Y$1,20, 6, 4, 32
	.sym	Y$2,0, 6, 4, 32
	.sym	_i,10, 4, 4, 32
           STW     .D2T2   B11,*SP--(24)     ; |34| 
           STW     .D2T1   A10,*+SP(8)       ; |34| 
           STW     .D2T1   A11,*+SP(12)      ; |34| 
           STW     .D2T2   B3,*+SP(16)       ; |34| 
           STW     .D2T2   B10,*+SP(20)      ; |34| 
	.line	8
           MVK     .S1     256,A0            ; |41| 
           MVC     .S2X    A0,CSR            ; |41| 
           NOP             1
	.line	9
           MVK     .S2     1,B4              ; |42| 
           MVC     .S2     B4,IER            ; |42| 
           NOP             1
	.line	10
           ZERO    .L2     B4                ; |43| 
           SET     .S2     B4,0x0,0xf,B4     ; |43| 
           MVC     .S2     B4,ICR            ; |43| 
           NOP             1
	.line	12
           ZERO    .L1     A0                ; |45| 

           MVK     .S2     13056,B4          ; |45| 
||         MVKH    .S1     0x1800000,A0      ; |45| 

           STW     .D1T2   B4,*A0            ; |45| 
	.line	13
           MVK     .S2     -221,B5           ; |46| 
           MVKL    .S2     0x1800004,B4      ; |46| 
           MVKH    .S2     0x1800004,B4      ; |46| 
           STW     .D2T2   B5,*B4            ; |46| 
	.line	15
           B       .S1     _cos              ; |48| 
           NOP             1
           MVKL    .S1     0xebcfd5a4,A4     ; |48| 
           MVKL    .S1     0x3fdacee9,A5     ; |48| 

           MVKH    .S1     0xebcfd5a4,A4     ; |48| 
||         MVKL    .S2     RL0,B3            ; |48| 

           MVKH    .S2     RL0,B3            ; |48| 
||         MVKH    .S1     0x3fdacee9,A5     ; |48| 

RL0:       ; CALL OCCURS                     ; |48| 
           ZERO    .L2     B5                ; |48| 

           ZERO    .L2     B4                ; |48| 
||         MVKH    .S2     0x40000000,B5     ; |48| 

           MPYDP   .M2X    B5:B4,A5:A4,B5:B4 ; |48| 
           NOP             9
           STW     .D2T2   B4,*+DP(_factor)  ; |48| 
           STW     .D2T2   B5,*+DP(_factor+4) ; |48| 
;** --------------------------------------------------------------------------*
L1:    
	.line	27
           MVK     .S2     (_hist-$bss),B4   ; |60| 
           ADD     .L2     DP,B4,B4          ; 
           ZERO    .L2     B5                ; |60| 

           STW     .D2T2   B5,*B4            ; |60| 
||         ZERO    .L2     B6                ; |60| 

           STW     .D2T2   B6,*+B4(4)        ; |60| 
	.line	28
           STW     .D2T2   B5,*+B4(8)        ; |61| 
           STW     .D2T2   B6,*+B4(12)       ; |61| 
	.line	29

           ZERO    .L1     A10               ; |62| 
||         MVK     .S1     30,A11            ; |66| 

;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L2:    
	.line	30
           LDW     .D2T2   *+DP(_hist),B10   ; |63| 
           LDW     .D2T2   *+DP(_hist+4),B11 ; |63| 
           LDW     .D2T2   *+DP(_in),B4      ; |63| 
           NOP             4
           INTDP   .L2     B4,B7:B6          ; |63| 
           NOP             1
           B       .S1     __divd            ; |63| 
           NOP             2

           MVKL    .S2     RL2,B3            ; |63| 
||         ZERO    .L2     B5                ; |63| 

           MV      .L1X    B6,A4             ; |63| 
||         MVKH    .S2     0x40e00000,B5     ; |63| 

           ZERO    .L2     B4                ; |63| 
||         MV      .L1X    B7,A5             ; |63| 
||         MVKH    .S2     RL2,B3            ; |63| 

RL2:       ; CALL OCCURS                     ; |63| 
           LDW     .D2T2   *+DP(_factor+4),B5 ; |63| 
           LDW     .D2T2   *+DP(_factor),B4  ; |63| 
           NOP             4
           MPYDP   .M2     B5:B4,B11:B10,B5:B4 ; |63| 
           NOP             9
           ADDDP   .L1X    B5:B4,A5:A4,A1:A0 ; |63| 
           LDW     .D2T2   *+DP(_hist+12),B5 ; |63| 
           LDW     .D2T2   *+DP(_hist+8),B4  ; |63| 
           NOP             4
           SUBDP   .L2X    A1:A0,B5:B4,B5:B4 ; |63| 
           NOP             6
           STW     .D2T2   B4,*+DP(_w)       ; |63| 
           STW     .D2T2   B5,*+DP(_w+4)     ; |63| 
	.line	31
           STW     .D2T2   B10,*+DP(_hist+8) ; |64| 
           STW     .D2T2   B11,*+DP(_hist+12) ; |64| 
	.line	32
           STW     .D2T2   B4,*+DP(_hist)    ; |65| 
           STW     .D2T2   B5,*+DP(_hist+4)  ; |65| 
	.line	33
           ADD     .L1     1,A10,A10         ; |66| 
           CMPLT   .L1     A10,A11,A1        ; |66| 
   [ A1]   B       .S1     L2                ; |66| 
           NOP             5
           ; BRANCH OCCURS                   ; |66| 
;** --------------------------------------------------------------------------*
	.line	34
           LDW     .D2T2   *+DP(_hist+8),B4  ; |67| 
           LDW     .D2T2   *+DP(_hist+12),B5 ; |67| 
           LDW     .D2T2   *+DP(_hist),B6    ; |67| 
           LDW     .D2T2   *+DP(_hist+4),B7  ; |67| 
           NOP             2
           LDW     .D2T2   *+DP(_factor+4),B1 ; |67| 
           LDW     .D2T2   *+DP(_factor),B0  ; |67| 
           MPYDP   .M2     B7:B6,B7:B6,B9:B8 ; |67| 
           NOP             3
           MPYDP   .M2     B1:B0,B7:B6,B1:B0 ; |67| 
           NOP             3
           MPYDP   .M2     B5:B4,B5:B4,B7:B6 ; |67| 
           NOP             6
           MPYDP   .M2     B5:B4,B1:B0,B5:B4 ; |67| 
           NOP             2
           ADDDP   .L2     B7:B6,B9:B8,B7:B6 ; |67| 
           NOP             6
           SUBDP   .L2     B7:B6,B5:B4,B5:B4 ; |67| 
           NOP             6
           DPSP    .L2     B5:B4,B4          ; |67| 
           NOP             3
           STW     .D2T2   B4,*+DP(_output)  ; |67| 
	.line	35

           SPDP    .S2     B4,B5:B4          ; |68| 
||         ZERO    .L1     A1                ; |68| 

           MVKH    .S1     0x40e00000,A1     ; |68| 
||         ZERO    .L1     A0                ; |68| 

           MPYDP   .M1X    A1:A0,B5:B4,A5:A4 ; |68| 
           NOP             3
           B       .S1     _sqrt             ; |68| 
           NOP             3
           MVKL    .S2     RL4,B3            ; |68| 
           MVKH    .S2     RL4,B3            ; |68| 
RL4:       ; CALL OCCURS                     ; |68| 
           DPSP    .L1     A5:A4,A0          ; |68| 
           NOP             3
           STW     .D2T1   A0,*+DP(_output)  ; |68| 
	.line	36
           SPTRUNC .L1     A0,A0             ; |69| 
           NOP             3
           EXTU    .S1     A0,16,17,A0       ; |69| 
           SHL     .S1     A0,1,A0           ; |69| 
           STW     .D2T1   A0,*+DP(_out)     ; |69| 
	.line	40
           B       .S1     L1                ; |73| 
           NOP             5
           ; BRANCH OCCURS                   ; |73| 
;** --------------------------------------------------------------------------*
	.line	41
	.endfunc	74,00c080c00h,24


	.sect	".text"
	.global	_mcbsp0_init
	.sym	_mcbsp0_init,_mcbsp0_init, 32, 2, 0
	.func	76

;******************************************************************************
;* FUNCTION NAME: _mcbsp0_init                                                *
;*                                                                            *
;*   Regs Modified     : A0,A3,B4,B5                                          *
;*   Regs Used         : A0,A3,B3,B4,B5                                       *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_mcbsp0_init:
;** --------------------------------------------------------------------------*
	.sym	C$1,20, 14, 4, 32
	.sym	C$2,0, 14, 4, 32
	.line	4
           MVKL    .S2     0x18c0008,B5      ; |79| 

           MVKH    .S2     0x18c0008,B5      ; |79| 
||         ZERO    .L2     B4                ; |79| 

           STW     .D2T2   B4,*B5            ; |79| 
	.line	5
           MVKL    .S1     0x18c0024,A0      ; |80| 
           MVKH    .S1     0x18c0024,A0      ; |80| 
           STW     .D1T2   B4,*A0            ; |80| 
	.line	6
           MVKL    .S1     0x18c000c,A3      ; |81| 
           MVKH    .S1     0x18c000c,A3      ; |81| 
           MVKL    .S1     0x10040,A0        ; |81| 
           MVKH    .S1     0x10040,A0        ; |81| 
           STW     .D1T1   A0,*A3            ; |81| 
	.line	7
           MVKL    .S2     0x18c0010,B5      ; |82| 
           MVKH    .S2     0x18c0010,B5      ; |82| 
           STW     .D2T1   A0,*B5            ; |82| 
	.line	8
           MVKL    .S2     0x18c0004,B5      ; |83| 
           MVKH    .S2     0x18c0004,B5      ; |83| 
           STW     .D2T2   B4,*B5            ; |83| 
	.line	9

           MVKL    .S2     0x12001,B4        ; |84| 
||         MVKL    .S1     0x18c0008,A0      ; |84| 

           MVKH    .S2     0x12001,B4        ; |84| 
||         MVKH    .S1     0x18c0008,A0      ; |84| 

           STW     .D1T2   B4,*A0            ; |84| 
	.line	10
           B       .S2     B3                ; |85| 
           NOP             5
           ; BRANCH OCCURS                   ; |85| 
	.endfunc	85,000000000h,0


	.sect	".text"
	.global	_mcbsp0_write
	.sym	_mcbsp0_write,_mcbsp0_write, 32, 2, 0
	.func	87

;******************************************************************************
;* FUNCTION NAME: _mcbsp0_write                                               *
;*                                                                            *
;*   Regs Modified     : A0,B0,B4                                             *
;*   Regs Used         : A0,A4,B0,B3,B4                                       *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_mcbsp0_write:
;** --------------------------------------------------------------------------*
	.sym	_out_data,4, 4, 17, 32
	.sym	_temp,16, 4, 4, 32
	.sym	_out_data,4, 4, 4, 32
	.line	2
	.line	4
           MVKL    .S1     0x18c0008,A0      ; |90| 
           MVKH    .S1     0x18c0008,A0      ; |90| 
           LDW     .D1T1   *A0,A0            ; |90| 
           ZERO    .L2     B4                ; |90| 
           MVKH    .S2     0x20000,B4        ; |90| 
           NOP             2
           AND     .L2X    B4,A0,B0          ; |90| 
	.line	5
   [ B0]   B       .S1     L4                ; |91| 
           NOP             5
           ; BRANCH OCCURS                   ; |91| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L3:    
	.line	7
           MVKL    .S1     0x18c0008,A0      ; |93| 
           MVKH    .S1     0x18c0008,A0      ; |93| 
           LDW     .D1T1   *A0,A0            ; |93| 
           ZERO    .L2     B4                ; |93| 
           MVKH    .S2     0x20000,B4        ; |93| 
           NOP             2
           AND     .L2X    B4,A0,B0          ; |93| 
   [!B0]   B       .S1     L3                ; |93| 
           NOP             5
           ; BRANCH OCCURS                   ; |93| 
;** --------------------------------------------------------------------------*
L4:    
	.line	9
           MVKL    .S1     0x18c0004,A0      ; |95| 
           MVKH    .S1     0x18c0004,A0      ; |95| 
           STW     .D1T1   A4,*A0            ; |95| 
	.line	10
           B       .S2     B3                ; |96| 
           NOP             5
           ; BRANCH OCCURS                   ; |96| 
	.endfunc	96,000000000h,0


	.sect	".text"
	.global	_mcbsp0_read
	.sym	_mcbsp0_read,_mcbsp0_read, 36, 2, 0
	.func	98

;******************************************************************************
;* FUNCTION NAME: _mcbsp0_read                                                *
;*                                                                            *
;*   Regs Modified     : A0,A1,A4                                             *
;*   Regs Used         : A0,A1,A4,B3                                          *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_mcbsp0_read:
;** --------------------------------------------------------------------------*
	.sym	_temp,1, 4, 4, 32
	.line	4
           MVKL    .S1     0x18c0008,A0      ; |101| 
           MVKH    .S1     0x18c0008,A0      ; |101| 
           LDW     .D1T1   *A0,A0            ; |101| 
           NOP             4
           AND     .L1     2,A0,A1           ; |101| 
	.line	5
   [ A1]   B       .S1     L6                ; |102| 
           NOP             5
           ; BRANCH OCCURS                   ; |102| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L5:    
	.line	7
           MVKL    .S1     0x18c0008,A0      ; |104| 
           MVKH    .S1     0x18c0008,A0      ; |104| 
           LDW     .D1T1   *A0,A0            ; |104| 
           NOP             4
           AND     .L1     2,A0,A1           ; |104| 
   [!A1]   B       .S1     L5                ; |104| 
           NOP             5
           ; BRANCH OCCURS                   ; |104| 
;** --------------------------------------------------------------------------*
L6:    
	.line	9
           ZERO    .L1     A0                ; |106| 
           MVKH    .S1     0x18c0000,A0      ; |106| 
	.line	10
           LDW     .D1T1   *A0,A4            ; 
	.line	11
           B       .S2     B3                ; |108| 
           NOP             5
           ; BRANCH OCCURS                   ; |108| 
	.endfunc	108,000000000h,0


	.sect	".text"
	.global	_codec_init
	.sym	_codec_init,_codec_init, 32, 2, 0
	.func	111

;******************************************************************************
;* FUNCTION NAME: _codec_init                                                 *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,B0,B1,B2,B3,B4,B5, *
;*                           B6,B7,B8,B9,SP                                   *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,B0,B1,B2,B3,B4,B5, *
;*                           B6,B7,B8,B9,SP                                   *
;*   Local Frame Size  : 8 Args + 0 Auto + 8 Save = 16 byte                   *
;******************************************************************************
_codec_init:
;** --------------------------------------------------------------------------*
	.sym	_temp,10, 4, 4, 32
           STW     .D2T2   B3,*SP--(16)      ; |111| 
           STW     .D2T1   A10,*+SP(12)      ; |111| 
	.line	6
           B       .S1     _mcbsp0_read      ; |116| 
           MVKL    .S2     RL6,B3            ; |116| 
           MVKH    .S2     RL6,B3            ; |116| 
           NOP             3
RL6:       ; CALL OCCURS                     ; |116| 
	.line	7
           B       .S1     _mcbsp0_write     ; |117| 
           MVKL    .S2     RL8,B3            ; |117| 
           MVKH    .S2     RL8,B3            ; |117| 
           ZERO    .L1     A4                ; |117| 
           NOP             2
RL8:       ; CALL OCCURS                     ; |117| 
	.line	8
           B       .S1     _mcbsp0_read      ; |118| 
           MVKL    .S2     RL10,B3           ; |118| 
           MVKH    .S2     RL10,B3           ; |118| 
           NOP             3
RL10:      ; CALL OCCURS                     ; |118| 
	.line	9
           B       .S1     _mcbsp0_write     ; |119| 
           MVKL    .S2     RL12,B3           ; |119| 
           MVKH    .S2     RL12,B3           ; |119| 
           ZERO    .L1     A4                ; |119| 
           NOP             2
RL12:      ; CALL OCCURS                     ; |119| 
	.line	10
           B       .S1     _mcbsp0_read      ; |120| 
           MVKL    .S2     RL14,B3           ; |120| 
           MVKH    .S2     RL14,B3           ; |120| 
           NOP             3
RL14:      ; CALL OCCURS                     ; |120| 
	.line	11
           B       .S1     _mcbsp0_write     ; |121| 
           MVKL    .S2     RL16,B3           ; |121| 
           ZERO    .L1     A4                ; |121| 
           MVKH    .S2     RL16,B3           ; |121| 
           NOP             2
RL16:      ; CALL OCCURS                     ; |121| 
	.line	12
           B       .S1     _mcbsp0_read      ; |122| 
           MVKL    .S2     RL18,B3           ; |122| 
           MVKH    .S2     RL18,B3           ; |122| 
           NOP             3
RL18:      ; CALL OCCURS                     ; |122| 
	.line	13
           B       .S1     _mcbsp0_write     ; |123| 
           MVKL    .S2     RL20,B3           ; |123| 
           MVKH    .S2     RL20,B3           ; |123| 
           MVK     .S1     0x1,A4            ; |123| 
           NOP             2
RL20:      ; CALL OCCURS                     ; |123| 
	.line	14
           B       .S1     _mcbsp0_read      ; |124| 
           MVKL    .S2     RL22,B3           ; |124| 
           MVKH    .S2     RL22,B3           ; |124| 
           NOP             3
RL22:      ; CALL OCCURS                     ; |124| 
	.line	15
           B       .S1     _mcbsp0_write     ; |125| 
           MVKL    .S2     RL24,B3           ; |125| 
           MVKH    .S2     RL24,B3           ; |125| 
           MVK     .S1     0x386,A4          ; |125| 
           NOP             2
RL24:      ; CALL OCCURS                     ; |125| 
	.line	16
           B       .S1     _mcbsp0_read      ; |126| 
           MVKL    .S2     RL26,B3           ; |126| 
           MVKH    .S2     RL26,B3           ; |126| 
           NOP             3
RL26:      ; CALL OCCURS                     ; |126| 
;** --------------------------------------------------------------------------*
	.line	17
           B       .S1     _mcbsp0_write     ; |127| 
           MVKL    .S2     RL28,B3           ; |127| 
           MVKH    .S2     RL28,B3           ; |127| 
           ZERO    .L1     A4                ; |127| 
           NOP             2
RL28:      ; CALL OCCURS                     ; |127| 
	.line	18
           B       .S1     _mcbsp0_read      ; |128| 
           MVKL    .S2     RL30,B3           ; |128| 
           MVKH    .S2     RL30,B3           ; |128| 
           NOP             3
RL30:      ; CALL OCCURS                     ; |128| 
	.line	21
           B       .S1     _mcbsp0_write     ; |131| 
           MVKL    .S2     RL32,B3           ; |131| 
           MVKH    .S2     RL32,B3           ; |131| 
           ZERO    .L1     A4                ; |131| 
           NOP             2
RL32:      ; CALL OCCURS                     ; |131| 
	.line	22
           B       .S1     _mcbsp0_read      ; |132| 
           MVKL    .S2     RL34,B3           ; |132| 
           MVKH    .S2     RL34,B3           ; |132| 
           NOP             3
RL34:      ; CALL OCCURS                     ; |132| 
	.line	23
           B       .S1     _mcbsp0_write     ; |133| 
           MVKL    .S2     RL36,B3           ; |133| 
           MVKH    .S2     RL36,B3           ; |133| 
           ZERO    .L1     A4                ; |133| 
           NOP             2
RL36:      ; CALL OCCURS                     ; |133| 
	.line	24
           B       .S1     _mcbsp0_read      ; |134| 
           MVKL    .S2     RL38,B3           ; |134| 
           MVKH    .S2     RL38,B3           ; |134| 
           NOP             3
RL38:      ; CALL OCCURS                     ; |134| 
	.line	25
           B       .S1     _mcbsp0_write     ; |135| 
           MVKL    .S2     RL40,B3           ; |135| 
           MVK     .S1     0x1,A4            ; |135| 
           MVKH    .S2     RL40,B3           ; |135| 
           NOP             2
RL40:      ; CALL OCCURS                     ; |135| 
	.line	26
           B       .S1     _mcbsp0_read      ; |136| 
           MVKL    .S2     RL42,B3           ; |136| 
           MVKH    .S2     RL42,B3           ; |136| 
           NOP             3
RL42:      ; CALL OCCURS                     ; |136| 
	.line	27
           B       .S1     _mcbsp0_write     ; |137| 
           MVKL    .S2     RL44,B3           ; |137| 
           MVKH    .S2     RL44,B3           ; |137| 
           MVK     .S1     0x306,A4          ; |137| 
           NOP             2
RL44:      ; CALL OCCURS                     ; |137| 
	.line	28
           B       .S1     _mcbsp0_read      ; |138| 
           MVKL    .S2     RL46,B3           ; |138| 
           MVKH    .S2     RL46,B3           ; |138| 
           NOP             3
RL46:      ; CALL OCCURS                     ; |138| 
	.line	29
           B       .S1     _mcbsp0_write     ; |139| 
           MVKL    .S2     RL48,B3           ; |139| 
           MVKH    .S2     RL48,B3           ; |139| 
           ZERO    .L1     A4                ; |139| 
           NOP             2
RL48:      ; CALL OCCURS                     ; |139| 
;** --------------------------------------------------------------------------*
	.line	30
           B       .S1     _mcbsp0_read      ; |140| 
           MVKL    .S2     RL50,B3           ; |140| 
           MVKH    .S2     RL50,B3           ; |140| 
           NOP             3
RL50:      ; CALL OCCURS                     ; |140| 
	.line	32
           B       .S1     _mcbsp0_write     ; |142| 
           MVKL    .S2     RL52,B3           ; |142| 
           MVKH    .S2     RL52,B3           ; |142| 
           ZERO    .L1     A4                ; |142| 
           NOP             2
RL52:      ; CALL OCCURS                     ; |142| 
	.line	33
           B       .S1     _mcbsp0_read      ; |143| 
           MVKL    .S2     RL54,B3           ; |143| 
           MVKH    .S2     RL54,B3           ; |143| 
           NOP             3
RL54:      ; CALL OCCURS                     ; |143| 
	.line	34
           B       .S1     _mcbsp0_write     ; |144| 
           MVKL    .S2     RL56,B3           ; |144| 
           MVKH    .S2     RL56,B3           ; |144| 
           MVK     .S1     0x1,A4            ; |144| 
           NOP             2
RL56:      ; CALL OCCURS                     ; |144| 
	.line	35
           B       .S1     _mcbsp0_read      ; |145| 
           MVKL    .S2     RL58,B3           ; |145| 
           MVKH    .S2     RL58,B3           ; |145| 
           NOP             3
RL58:      ; CALL OCCURS                     ; |145| 
	.line	36
           B       .S1     _mcbsp0_write     ; |146| 
           MVKL    .S2     RL60,B3           ; |146| 
           MVKH    .S2     RL60,B3           ; |146| 
           MVK     .S1     0x2330,A4         ; |146| 
           NOP             2
RL60:      ; CALL OCCURS                     ; |146| 
	.line	37
           B       .S1     _mcbsp0_read      ; |147| 
           MVKL    .S2     RL62,B3           ; |147| 
           MVKH    .S2     RL62,B3           ; |147| 
           NOP             3
RL62:      ; CALL OCCURS                     ; |147| 
           MV      .L1     A4,A10            ; 
	.line	38
           B       .S1     _mcbsp0_write     ; |148| 
           MVKL    .S2     RL64,B3           ; |148| 
           MVKH    .S2     RL64,B3           ; |148| 
           ZERO    .L1     A4                ; |148| 
           NOP             2
RL64:      ; CALL OCCURS                     ; |148| 
	.line	39
           B       .S1     _mcbsp0_read      ; |149| 
           MVKL    .S2     RL66,B3           ; |149| 
           MVKH    .S2     RL66,B3           ; |149| 
           NOP             3
RL66:      ; CALL OCCURS                     ; |149| 
	.line	40
           B       .S1     _mcbsp0_write     ; |150| 
           MVKL    .S2     RL68,B3           ; |150| 
           ZERO    .L1     A4                ; |150| 
           MVKH    .S2     RL68,B3           ; |150| 
           NOP             2
RL68:      ; CALL OCCURS                     ; |150| 
	.line	41
           B       .S1     _mcbsp0_read      ; |151| 
           MVKL    .S2     RL70,B3           ; |151| 
           MVKH    .S2     RL70,B3           ; |151| 
           NOP             3
RL70:      ; CALL OCCURS                     ; |151| 
;** --------------------------------------------------------------------------*
	.line	42
           EXTU    .S1     A10,24,24,A0      ; |152| 
           CMPEQ   .L1     A0,6,A1           ; |152| 
   [!A1]   B       .S1     L8                ; |152| 
           NOP             5
           ; BRANCH OCCURS                   ; |152| 
;** --------------------------------------------------------------------------*
	.line	51
           B       .S1     _mcbsp0_write     ; |161| 
           MVKL    .S2     RL72,B3           ; |161| 
           MVKH    .S2     RL72,B3           ; |161| 
           ZERO    .L1     A4                ; |161| 
           NOP             2
RL72:      ; CALL OCCURS                     ; |161| 
	.line	52
           B       .S1     _mcbsp0_read      ; |162| 
           MVKL    .S2     RL74,B3           ; |162| 
           MVKH    .S2     RL74,B3           ; |162| 
           NOP             3
RL74:      ; CALL OCCURS                     ; |162| 
	.line	53
           B       .S1     _mcbsp0_write     ; |163| 
           MVKL    .S2     RL76,B3           ; |163| 
           MVKH    .S2     RL76,B3           ; |163| 
           ZERO    .L1     A4                ; |163| 
           NOP             2
RL76:      ; CALL OCCURS                     ; |163| 
	.line	54
           B       .S1     _mcbsp0_read      ; |164| 
           MVKL    .S2     RL78,B3           ; |164| 
           MVKH    .S2     RL78,B3           ; |164| 
           NOP             3
RL78:      ; CALL OCCURS                     ; |164| 
	.line	55
           B       .S1     _mcbsp0_write     ; |165| 
           MVKL    .S2     RL80,B3           ; |165| 
           MVKH    .S2     RL80,B3           ; |165| 
           MVK     .S1     0x1,A4            ; |165| 
           NOP             2
RL80:      ; CALL OCCURS                     ; |165| 
	.line	56
           B       .S1     _mcbsp0_read      ; |166| 
           MVKL    .S2     RL82,B3           ; |166| 
           MVKH    .S2     RL82,B3           ; |166| 
           NOP             3
RL82:      ; CALL OCCURS                     ; |166| 
	.line	57
           B       .S1     _mcbsp0_write     ; |167| 
           MVKL    .S2     RL84,B3           ; |167| 
           MVK     .S1     0x400,A4          ; |167| 
           MVKH    .S2     RL84,B3           ; |167| 
           NOP             2
RL84:      ; CALL OCCURS                     ; |167| 
	.line	58
           B       .S1     _mcbsp0_read      ; |168| 
           MVKL    .S2     RL86,B3           ; |168| 
           MVKH    .S2     RL86,B3           ; |168| 
           NOP             3
RL86:      ; CALL OCCURS                     ; |168| 
	.line	59
           B       .S1     _mcbsp0_write     ; |169| 
           MVKL    .S2     RL88,B3           ; |169| 
           MVKH    .S2     RL88,B3           ; |169| 
           ZERO    .L1     A4                ; |169| 
           NOP             2
RL88:      ; CALL OCCURS                     ; |169| 
	.line	60
           B       .S1     _mcbsp0_read      ; |170| 
           MVKL    .S2     RL90,B3           ; |170| 
           MVKH    .S2     RL90,B3           ; |170| 
           NOP             3
RL90:      ; CALL OCCURS                     ; |170| 
	.line	62
           B       .S1     _mcbsp0_write     ; |172| 
           MVKL    .S2     RL92,B3           ; |172| 
           MVKH    .S2     RL92,B3           ; |172| 
           ZERO    .L1     A4                ; |172| 
           NOP             2
RL92:      ; CALL OCCURS                     ; |172| 
;** --------------------------------------------------------------------------*
	.line	63
           B       .S1     _mcbsp0_read      ; |173| 
           MVKL    .S2     RL94,B3           ; |173| 
           MVKH    .S2     RL94,B3           ; |173| 
           NOP             3
RL94:      ; CALL OCCURS                     ; |173| 
	.line	64
           B       .S1     _mcbsp0_write     ; |174| 
           MVKL    .S2     RL96,B3           ; |174| 
           MVKH    .S2     RL96,B3           ; |174| 
           MVK     .S1     0x1,A4            ; |174| 
           NOP             2
RL96:      ; CALL OCCURS                     ; |174| 
	.line	65
           B       .S1     _mcbsp0_read      ; |175| 
           MVKL    .S2     RL98,B3           ; |175| 
           MVKH    .S2     RL98,B3           ; |175| 
           NOP             3
RL98:      ; CALL OCCURS                     ; |175| 
	.line	66
           B       .S1     _mcbsp0_write     ; |176| 
           MVKL    .S2     RL100,B3          ; |176| 
           MVKH    .S2     RL100,B3          ; |176| 
           MVK     .S1     0x2430,A4         ; |176| 
           NOP             2
RL100:     ; CALL OCCURS                     ; |176| 
	.line	67
           B       .S1     _mcbsp0_read      ; |177| 
           MVKL    .S2     RL102,B3          ; |177| 
           MVKH    .S2     RL102,B3          ; |177| 
           NOP             3
RL102:     ; CALL OCCURS                     ; |177| 
           MV      .L1     A4,A10            ; 
	.line	68
           B       .S1     _mcbsp0_write     ; |178| 
           MVKL    .S2     RL104,B3          ; |178| 
           MVKH    .S2     RL104,B3          ; |178| 
           ZERO    .L1     A4                ; |178| 
           NOP             2
RL104:     ; CALL OCCURS                     ; |178| 
	.line	69
           B       .S1     _mcbsp0_read      ; |179| 
           MVKL    .S2     RL106,B3          ; |179| 
           MVKH    .S2     RL106,B3          ; |179| 
           NOP             3
RL106:     ; CALL OCCURS                     ; |179| 
	.line	70
           B       .S1     _mcbsp0_write     ; |180| 
           MVKL    .S2     RL108,B3          ; |180| 
           MVKH    .S2     RL108,B3          ; |180| 
           ZERO    .L1     A4                ; |180| 
           NOP             2
RL108:     ; CALL OCCURS                     ; |180| 
	.line	71
           B       .S1     _mcbsp0_read      ; |181| 
           MVKL    .S2     RL110,B3          ; |181| 
           MVKH    .S2     RL110,B3          ; |181| 
           NOP             3
RL110:     ; CALL OCCURS                     ; |181| 
	.line	72
           EXTU    .S1     A10,24,24,A1      ; |182| 
   [ A1]   B       .S1     L7                ; |182| 
           NOP             5
           ; BRANCH OCCURS                   ; |182| 
;** --------------------------------------------------------------------------*
	.line	81
           B       .S1     _mcbsp0_write     ; |191| 
           MVKL    .S2     RL112,B3          ; |191| 
           MVKH    .S2     RL112,B3          ; |191| 
           ZERO    .L1     A4                ; |191| 
           NOP             2
RL112:     ; CALL OCCURS                     ; |191| 
	.line	82
           B       .S1     _mcbsp0_read      ; |192| 
           MVKL    .S2     RL114,B3          ; |192| 
           MVKH    .S2     RL114,B3          ; |192| 
           NOP             3
RL114:     ; CALL OCCURS                     ; |192| 
	.line	83
           B       .S1     _mcbsp0_write     ; |193| 
           MVKL    .S2     RL116,B3          ; |193| 
           MVKH    .S2     RL116,B3          ; |193| 
           ZERO    .L1     A4                ; |193| 
           NOP             2
RL116:     ; CALL OCCURS                     ; |193| 
	.line	84
           B       .S1     _mcbsp0_read      ; |194| 
           MVKL    .S2     RL118,B3          ; |194| 
           MVKH    .S2     RL118,B3          ; |194| 
           NOP             3
RL118:     ; CALL OCCURS                     ; |194| 
	.line	85
           B       .S1     _mcbsp0_write     ; |195| 
           MVKL    .S2     RL120,B3          ; |195| 
           MVKH    .S2     RL120,B3          ; |195| 
           MVK     .S1     0x1,A4            ; |195| 
           NOP             2
RL120:     ; CALL OCCURS                     ; |195| 
	.line	86
           B       .S1     _mcbsp0_read      ; |196| 
           MVKL    .S2     RL122,B3          ; |196| 
           MVKH    .S2     RL122,B3          ; |196| 
           NOP             3
RL122:     ; CALL OCCURS                     ; |196| 
	.line	87
           B       .S1     _mcbsp0_write     ; |197| 
           MVKL    .S2     RL124,B3          ; |197| 
           MVK     .S1     0x502,A4          ; |197| 
           MVKH    .S2     RL124,B3          ; |197| 
           NOP             2
RL124:     ; CALL OCCURS                     ; |197| 
	.line	88
           B       .S1     _mcbsp0_read      ; |198| 
           MVKL    .S2     RL126,B3          ; |198| 
           MVKH    .S2     RL126,B3          ; |198| 
           NOP             3
RL126:     ; CALL OCCURS                     ; |198| 
	.line	89
           B       .S1     _mcbsp0_write     ; |199| 
           MVKL    .S2     RL128,B3          ; |199| 
           MVKH    .S2     RL128,B3          ; |199| 
           ZERO    .L1     A4                ; |199| 
           NOP             2
RL128:     ; CALL OCCURS                     ; |199| 
	.line	90
           B       .S1     _mcbsp0_read      ; |200| 
           MVKL    .S2     RL130,B3          ; |200| 
           MVKH    .S2     RL130,B3          ; |200| 
           NOP             3
RL130:     ; CALL OCCURS                     ; |200| 
	.line	92
           B       .S1     _mcbsp0_write     ; |202| 
           MVKL    .S2     RL132,B3          ; |202| 
           MVKH    .S2     RL132,B3          ; |202| 
           ZERO    .L1     A4                ; |202| 
           NOP             2
RL132:     ; CALL OCCURS                     ; |202| 
;** --------------------------------------------------------------------------*
	.line	93
           B       .S1     _mcbsp0_read      ; |203| 
           MVKL    .S2     RL134,B3          ; |203| 
           MVKH    .S2     RL134,B3          ; |203| 
           NOP             3
RL134:     ; CALL OCCURS                     ; |203| 
	.line	94
           B       .S1     _mcbsp0_write     ; |204| 
           MVKL    .S2     RL136,B3          ; |204| 
           MVKH    .S2     RL136,B3          ; |204| 
           MVK     .S1     0x1,A4            ; |204| 
           NOP             2
RL136:     ; CALL OCCURS                     ; |204| 
	.line	95
           B       .S1     _mcbsp0_read      ; |205| 
           MVKL    .S2     RL138,B3          ; |205| 
           MVKH    .S2     RL138,B3          ; |205| 
           NOP             3
RL138:     ; CALL OCCURS                     ; |205| 
	.line	96
           B       .S1     _mcbsp0_write     ; |206| 
           MVKL    .S2     RL140,B3          ; |206| 
           MVKH    .S2     RL140,B3          ; |206| 
           MVK     .S1     0x2530,A4         ; |206| 
           NOP             2
RL140:     ; CALL OCCURS                     ; |206| 
	.line	97
           B       .S1     _mcbsp0_read      ; |207| 
           MVKL    .S2     RL142,B3          ; |207| 
           MVKH    .S2     RL142,B3          ; |207| 
           NOP             3
RL142:     ; CALL OCCURS                     ; |207| 
           MV      .L1     A4,A10            ; 
	.line	98
           B       .S1     _mcbsp0_write     ; |208| 
           MVKL    .S2     RL144,B3          ; |208| 
           MVKH    .S2     RL144,B3          ; |208| 
           ZERO    .L1     A4                ; |208| 
           NOP             2
RL144:     ; CALL OCCURS                     ; |208| 
	.line	99
           B       .S1     _mcbsp0_read      ; |209| 
           MVKL    .S2     RL146,B3          ; |209| 
           MVKH    .S2     RL146,B3          ; |209| 
           NOP             3
RL146:     ; CALL OCCURS                     ; |209| 
	.line	100
           B       .S1     _mcbsp0_write     ; |210| 
           MVKL    .S2     RL148,B3          ; |210| 
           ZERO    .L1     A4                ; |210| 
           MVKH    .S2     RL148,B3          ; |210| 
           NOP             2
RL148:     ; CALL OCCURS                     ; |210| 
	.line	101
           B       .S1     _mcbsp0_read      ; |211| 
           MVKL    .S2     RL150,B3          ; |211| 
           MVKH    .S2     RL150,B3          ; |211| 
           NOP             3
RL150:     ; CALL OCCURS                     ; |211| 
	.line	102
           EXTU    .S1     A10,24,25,A0      ; |212| 
           SHL     .S1     A0,1,A0           ; |212| 
           CMPEQ   .L1     A0,2,A1           ; |212| 
   [ A1]   B       .S1     L9                ; |212| 
           NOP             5
           ; BRANCH OCCURS                   ; |212| 
;** --------------------------------------------------------------------------*
;***	; the preceding call never returns
	.line	105
           B       .S1     _printf           ; |215| 
           MVKL    .S1     SL1+0,A0          ; |215| 
           MVKH    .S1     SL1+0,A0          ; |215| 
           MVKL    .S2     RL152,B3          ; |215| 
           STW     .D2T1   A0,*+SP(4)        ; |215| 
           MVKH    .S2     RL152,B3          ; |215| 
RL152:     ; CALL OCCURS                     ; |215| 
	.line	106
           B       .S1     _exit             ; |216| 
           MVKL    .S2     RL154,B3          ; |216| 
           MVKH    .S2     RL154,B3          ; |216| 
           ZERO    .L1     A4                ; |216| 
           NOP             2
RL154:     ; CALL OCCURS                     ; |216| 
;** --------------------------------------------------------------------------*
L7:    
;***	; the preceding call never returns
	.line	75
           B       .S1     _printf           ; |185| 
           MVKL    .S1     SL2+0,A0          ; |185| 
           MVKH    .S1     SL2+0,A0          ; |185| 
           MVKL    .S2     RL156,B3          ; |185| 
           STW     .D2T1   A0,*+SP(4)        ; |185| 
           MVKH    .S2     RL156,B3          ; |185| 
RL156:     ; CALL OCCURS                     ; |185| 
	.line	76
           B       .S1     _exit             ; |186| 
           MVKL    .S2     RL158,B3          ; |186| 
           MVKH    .S2     RL158,B3          ; |186| 
           ZERO    .L1     A4                ; |186| 
           NOP             2
RL158:     ; CALL OCCURS                     ; |186| 
;** --------------------------------------------------------------------------*
L8:    
;***	; the preceding call never returns
	.line	45
           B       .S1     _printf           ; |155| 
           MVKL    .S1     SL3+0,A0          ; |155| 
           MVKH    .S1     SL3+0,A0          ; |155| 
           MVKL    .S2     RL160,B3          ; |155| 
           STW     .D2T1   A0,*+SP(4)        ; |155| 
           MVKH    .S2     RL160,B3          ; |155| 
RL160:     ; CALL OCCURS                     ; |155| 
	.line	46
           B       .S1     _exit             ; |156| 
           MVKL    .S2     RL162,B3          ; |156| 
           MVKH    .S2     RL162,B3          ; |156| 
           ZERO    .L1     A4                ; |156| 
           NOP             2
RL162:     ; CALL OCCURS                     ; |156| 
;** --------------------------------------------------------------------------*
L9:    
	.line	110
           LDW     .D2T1   *+SP(12),A10      ; |220| 
           LDW     .D2T2   *++SP(16),B3      ; |220| 
           NOP             4
           B       .S2     B3                ; |220| 
           NOP             5
           ; BRANCH OCCURS                   ; |220| 
	.endfunc	220,000080400h,16


;******************************************************************************
;* MARK THE END OF THE SCALAR INIT RECORD IN CINIT:C                          *
;******************************************************************************
CIR:	.sect	".cinit:c"
;******************************************************************************
;* STRINGS                                                                    *
;******************************************************************************
	.sect	".const"
SL1:	.string	"Error in setting up register 5.",10,0
SL2:	.string	"Error in setting up register 4.",10,0
SL3:	.string	"Error in setting up register 3.",10,0
;******************************************************************************
;* UNDEFINED EXTERNAL REFERENCES                                              *
;******************************************************************************
	.global	_exit
	.global	_printf
	.global	_sqrt
	.global	_cos
	.global	__divd
