;******************************************************************************
;* TMS320C6x ANSI C Codegen                                      Version 4.00 *
;* Date/Time created: Wed Apr 11 02:58:12 2001                                *
;******************************************************************************

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C620x                                          *
;*   Optimization      : Disabled                                             *
;*   Optimizing for    : Compile time, Ease of Development                    *
;*                       Based on options: no -o, no -ms                      *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Memory Model      : Small                                                *
;*   Calls to RTS      : Near                                                 *
;*   Pipelining        : Disabled                                             *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : Debug                                                *
;*                                                                            *
;******************************************************************************

FP	.set	A15
DP	.set	B14
SP	.set	B15
	.global	$bss

;	acp6x -q -m --i_output_file C:\WINDOWS\TEMP\TI339089_2 --template_info_file C:\WINDOWS\TEMP\TI339089_3 --object_file D:\ti_proj\iir\iir.obj --opt_shell 4 iir.c Iir.c -gkq -frD:\ti_proj\iir iir.c 
	.file	"iir.c"
	.sym	_uv_int, 0, 14, 13, 32
	.file	"C:\ti\c6000\cgtools\include\stdlib.h"
	.file	"C:\ti\c6000\cgtools\include\stdio.h"
	.file	"iir.c"
	.file	"C:\ti\c6000\cgtools\include\c6x.h"
	.file	"iir.c"
	.global	_in
	.bss	_in,4,4
	.sym	_in,_in, 4, 2, 32
	.global	_out
	.bss	_out,4,4
	.sym	_out,_out, 4, 2, 32
	.file	"coef.dat"

	.sect	".cinit"
	.align	8
	.field  	IR_1,32
	.field  	_coef+0,32
	.word	03e800150h		; _coef[0][0] @ 0
	.word	0bef21d75h		; _coef[0][1] @ 32
	.word	03e800150h		; _coef[0][2] @ 64
	.word	03f800000h		; _coef[0][3] @ 96
	.word	0bfc653b9h		; _coef[0][4] @ 128
	.word	03f637846h		; _coef[0][5] @ 160
	.word	03f7c8db0h		; _coef[1][0] @ 192
	.word	0bff6b8fah		; _coef[1][1] @ 224
	.word	03f7c8db0h		; _coef[1][2] @ 256
	.word	03f800000h		; _coef[1][3] @ 288
	.word	0bf8709eah		; _coef[1][4] @ 320
	.word	03f059cd0h		; _coef[1][5] @ 352
	.word	03faf2713h		; _coef[2][0] @ 384
	.word	0bfaf2713h		; _coef[2][1] @ 416
	.word	000000000h		; _coef[2][2] @ 448
	.word	03f800000h		; _coef[2][3] @ 480
	.word	0be306a6eh		; _coef[2][4] @ 512
	.word	000000000h		; _coef[2][5] @ 544
IR_1:	.set	72

	.sect	".text"
	.global	_coef
	.bss	_coef,72,4
	.sym	_coef,_coef, 246, 2, 576,, 3, 6
	.file	"iir.c"
	.sect	".text"
	.global	_main
	.sym	_main,_main, 36, 2, 0
	.func	30

;******************************************************************************
;* FUNCTION NAME: _main                                                       *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,B0,B1,B2,B3,B4,B5, *
;*                           B6,B7,B8,B9,SP                                   *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,B0,B1,B2,B3,B4,B5, *
;*                           B6,B7,B8,B9,DP,SP                                *
;*   Local Frame Size  : 0 Args + 20 Auto + 8 Save = 28 byte                  *
;******************************************************************************
_main:
;** --------------------------------------------------------------------------*
	.bss	_hist$1,24,4
	.sym	_hist,_hist$1, 246, 3, 192,, 3, 2
	.sym	_i,4, 4, 1, 32
	.sym	_output,8, 6, 1, 32
	.sym	_new_hist,12, 6, 1, 32
	.sym	_history1,16, 6, 1, 32
	.sym	_history2,20, 6, 1, 32
           STW     .D2T2   B3,*SP--(32)      ; |30| 
           STW     .D2T1   A10,*+SP(28)      ; |30| 
	.line	10
           MVK     .S1     256,A0            ; |39| 
           MVC     .S2X    A0,CSR            ; |39| 
	.line	11
           MVK     .S1     1,A0              ; |40| 
           MVC     .S2X    A0,IER            ; |40| 
	.line	12
           ZERO    .L2     B4                ; |41| 
           SET     .S2     B4,0x0,0xf,B4     ; |41| 
           MVC     .S2     B4,ICR            ; |41| 
           NOP             1
	.line	14
           ZERO    .L2     B4                ; |43| 

           MVK     .S1     13056,A0          ; |43| 
||         MVKH    .S2     0x1800000,B4      ; |43| 

           STW     .D2T1   A0,*B4            ; |43| 
	.line	15
           MVKL    .S1     0x1800004,A0      ; |44| 

           MVKH    .S1     0x1800004,A0      ; |44| 
||         MVK     .S2     -221,B4           ; |44| 

           STW     .D1T2   B4,*A0            ; |44| 
	.line	22
;** --------------------------------------------------------------------------*
L1:    
	.line	27

           B       .S1     __fltif           ; |56| 
||         LDW     .D2T2   *+DP(_in),B4      ; |56| 

           MVKL    .S2     RL0,B3            ; |56| 
           MVKH    .S2     RL0,B3            ; |56| 
           NOP             2
           SHR     .S1X    B4,1,A4           ; |56| 
RL0:       ; CALL OCCURS                     ; |56| 
           STW     .D2T1   A4,*+SP(8)        ; |56| 
	.line	28
           ZERO    .L2     B4                ; |57| 
           STW     .D2T2   B4,*+SP(4)        ; |57| 
           CMPLT   .L2     B4,3,B0           ; 
   [!B0]   B       .S1     L3                ; |57| 
           NOP             5
           ; BRANCH OCCURS                   ; |57| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L2:    
	.line	29
           LDW     .D2T2   *+SP(4),B4        ; |58| 
           MVK     .S1     (_hist$1-$bss),A0 ; |58| 
           ADD     .L1X    DP,A0,A0          ; |58| 
           NOP             2
           SHL     .S2     B4,3,B5           ; |58| 
           ADD     .L1X    A0,B5,A0          ; |58| 
           LDW     .D1T1   *A0,A0            ; |58| 
           NOP             4
           STW     .D2T1   A0,*+SP(16)       ; |58| 
	.line	30
           MVK     .S1     (_hist$1+4-$bss),A0 ; |59| 

           ADD     .L1X    DP,A0,A0          ; |59| 
||         SHL     .S2     B4,3,B5           ; |59| 

           ADD     .L1X    A0,B5,A0          ; |59| 
           LDW     .D1T1   *A0,A0            ; |59| 
           NOP             4
           STW     .D2T1   A0,*+SP(20)       ; |59| 
	.line	33
           MVK     .S2     (_coef+12-$bss),B5 ; |62| 

           SHL     .S2     B4,4,B4           ; |62| 
||         SHL     .S1X    B4,3,A0           ; |62| 

           ADD     .L1X    A0,B4,A0          ; |62| 
||         ADD     .L2     DP,B5,B5          ; |62| 

           B       .S1     __mpyf            ; |62| 
||         ADD     .L2X    B5,A0,B4          ; |62| 
||         LDW     .D2T1   *+SP(8),A4        ; 

           LDW     .D2T2   *B4,B4            ; 
           MVKL    .S2     RL14,B3           ; |62| 
           MVKH    .S2     RL14,B3           ; |62| 
           NOP             2
RL14:      ; CALL OCCURS                     ; |62| 
           LDW     .D2T2   *+SP(4),B4        ; |62| 
           MVK     .S1     (_coef+16-$bss),A0 ; |62| 
           ADD     .L1X    DP,A0,A0          ; |62| 
           MV      .L1     A4,A10            ; 
           LDW     .D2T1   *+SP(16),A4       ; 
           SHL     .S1X    B4,3,A3           ; |62| 
           SHL     .S2     B4,4,B4           ; |62| 
           ADD     .L1X    A3,B4,A3          ; |62| 

           B       .S1     __mpyf            ; |62| 
||         ADD     .L1     A0,A3,A0          ; |62| 

           LDW     .D1T2   *A0,B4            ; 
           MVKL    .S2     RL16,B3           ; |62| 
           MVKH    .S2     RL16,B3           ; |62| 
           NOP             2
RL16:      ; CALL OCCURS                     ; |62| 
           B       .S1     __subf            ; |62| 
           MVKL    .S2     RL18,B3           ; |62| 
           MVKH    .S2     RL18,B3           ; |62| 
           MV      .L2X    A4,B4             ; 
           MV      .L1     A10,A4            ; |62| 
           NOP             1
RL18:      ; CALL OCCURS                     ; |62| 
           LDW     .D2T2   *+SP(4),B4        ; |62| 
           MVK     .S2     (_coef+20-$bss),B5 ; |62| 
           ADD     .L2     DP,B5,B5          ; |62| 
           MV      .L1     A4,A10            ; 
           LDW     .D2T1   *+SP(20),A4       ; 

           SHL     .S1X    B4,3,A0           ; |62| 
||         SHL     .S2     B4,4,B4           ; |62| 

           ADD     .L1X    A0,B4,A0          ; |62| 

           B       .S1     __mpyf            ; |62| 
||         ADD     .L2X    B5,A0,B4          ; |62| 

           LDW     .D2T2   *B4,B4            ; 
           MVKL    .S2     RL20,B3           ; |62| 
           MVKH    .S2     RL20,B3           ; |62| 
           NOP             2
RL20:      ; CALL OCCURS                     ; |62| 
           B       .S1     __subf            ; |62| 
           MVKL    .S2     RL22,B3           ; |62| 
           MV      .L2X    A4,B4             ; 
           MV      .L1     A10,A4            ; |62| 
           MVKH    .S2     RL22,B3           ; |62| 
           NOP             1
RL22:      ; CALL OCCURS                     ; |62| 
           STW     .D2T1   A4,*+SP(12)       ; |62| 
	.line	34
           LDW     .D2T2   *+SP(4),B4        ; |63| 
           MVKL    .S2     RL36,B3           ; |63| 
           MVKH    .S2     RL36,B3           ; |63| 
           NOP             2

           SHL     .S1X    B4,3,A0           ; |63| 
||         SHL     .S2     B4,4,B4           ; |63| 

           ADD     .L1X    A0,B4,A3          ; |63| 
||         MVK     .S1     (_coef-$bss),A0   ; |63| 

           ADD     .L1X    DP,A0,A0          ; |63| 

           B       .S1     __mpyf            ; |63| 
||         ADD     .L1     A0,A3,A0          ; |63| 

           LDW     .D1T2   *A0,B4            ; 
           NOP             4
RL36:      ; CALL OCCURS                     ; |63| 
           LDW     .D2T2   *+SP(4),B5        ; |63| 
           MVK     .S2     (_coef+4-$bss),B4 ; |63| 
           ADD     .L2     DP,B4,B4          ; |63| 
           MV      .L1     A4,A10            ; 
           LDW     .D2T1   *+SP(16),A4       ; 

           SHL     .S1X    B5,3,A0           ; |63| 
||         SHL     .S2     B5,4,B5           ; |63| 

           ADD     .L1X    A0,B5,A0          ; |63| 

           B       .S1     __mpyf            ; |63| 
||         ADD     .L2X    B4,A0,B4          ; |63| 

           LDW     .D2T2   *B4,B4            ; 
           MVKL    .S2     RL38,B3           ; |63| 
           MVKH    .S2     RL38,B3           ; |63| 
           NOP             2
RL38:      ; CALL OCCURS                     ; |63| 
           B       .S1     __addf            ; |63| 
           MVKL    .S2     RL40,B3           ; |63| 
           MVKH    .S2     RL40,B3           ; |63| 
           MV      .L2X    A4,B4             ; 
           MV      .L1     A10,A4            ; |63| 
           NOP             1
RL40:      ; CALL OCCURS                     ; |63| 
           LDW     .D2T2   *+SP(4),B4        ; |63| 
           MV      .L1     A4,A10            ; 
           LDW     .D2T1   *+SP(20),A4       ; 
           MVKL    .S2     RL42,B3           ; |63| 
           MVKH    .S2     RL42,B3           ; |63| 

           SHL     .S1X    B4,3,A0           ; |63| 
||         SHL     .S2     B4,4,B4           ; |63| 

           ADD     .L1X    A0,B4,A3          ; |63| 
||         MVK     .S1     (_coef+8-$bss),A0 ; |63| 

           ADD     .L1X    DP,A0,A0          ; |63| 

           B       .S1     __mpyf            ; |63| 
||         ADD     .L1     A0,A3,A0          ; |63| 

           LDW     .D1T2   *A0,B4            ; 
           NOP             4
RL42:      ; CALL OCCURS                     ; |63| 
           B       .S1     __addf            ; |63| 
           MVKL    .S2     RL44,B3           ; |63| 
           MVKH    .S2     RL44,B3           ; |63| 
           MV      .L2X    A4,B4             ; 
           MV      .L1     A10,A4            ; |63| 
           NOP             1
RL44:      ; CALL OCCURS                     ; |63| 
           STW     .D2T1   A4,*+SP(8)        ; |63| 
	.line	35
           LDW     .D2T2   *+SP(4),B4        ; |64| 
           MVK     .S2     (_hist$1-$bss),B5 ; |64| 
           ADD     .L2     DP,B5,B5          ; |64| 
           MVK     .S1     (_hist$1+4-$bss),A0 ; |64| 
           ADD     .L1X    DP,A0,A0          ; |64| 
           SHL     .S2     B4,3,B6           ; |64| 
           ADD     .L2     B5,B6,B5          ; |64| 
           LDW     .D2T2   *B5,B5            ; |64| 
           SHL     .S2     B4,3,B4           ; |64| 
           ADD     .L2X    A0,B4,B4          ; |64| 
           NOP             2
           STW     .D2T2   B5,*B4            ; |64| 
	.line	36
           LDW     .D2T2   *+SP(4),B6        ; |65| 
           LDW     .D2T2   *+SP(12),B4       ; |65| 
           MVK     .S2     (_hist$1-$bss),B5 ; |65| 
           ADD     .L2     DP,B5,B5          ; |65| 
           NOP             1
           SHL     .S1X    B6,3,A0           ; |65| 
           ADD     .L1X    B5,A0,A0          ; |65| 
           STW     .D1T2   B4,*A0            ; |65| 
	.line	37
           LDW     .D2T2   *+SP(4),B4        ; |66| 
           NOP             4
           ADD     .L2     1,B4,B4           ; |66| 
           STW     .D2T2   B4,*+SP(4)        ; |66| 
           CMPLT   .L2     B4,3,B0           ; 
   [ B0]   B       .S1     L2                ; |66| 
           NOP             5
           ; BRANCH OCCURS                   ; |66| 
;** --------------------------------------------------------------------------*
L3:    
	.line	38
           B       .S1     __fixfi           ; |67| 
           LDW     .D2T1   *+SP(8),A4        ; |67| 
           MVKL    .S2     RL46,B3           ; |67| 
           MVKH    .S2     RL46,B3           ; |67| 
           NOP             2
RL46:      ; CALL OCCURS                     ; |67| 
           STW     .D2T1   A4,*+DP(_out)     ; |67| 
	.line	42
           B       .S1     L1                ; |71| 
           NOP             5
           ; BRANCH OCCURS                   ; |71| 
;** --------------------------------------------------------------------------*
	.line	43
	.endfunc	72,000080400h,32


	.sect	".text"
	.global	_mcbsp0_init
	.sym	_mcbsp0_init,_mcbsp0_init, 32, 2, 0
	.func	75

;******************************************************************************
;* FUNCTION NAME: _mcbsp0_init                                                *
;*                                                                            *
;*   Regs Modified     : A0,B4,B5                                             *
;*   Regs Used         : A0,B3,B4,B5                                          *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_mcbsp0_init:
;** --------------------------------------------------------------------------*
	.line	4
           MVKL    .S2     0x18c0008,B4      ; |78| 

           MVKH    .S2     0x18c0008,B4      ; |78| 
||         ZERO    .L1     A0                ; |78| 

           STW     .D2T1   A0,*B4            ; |78| 
	.line	5
           MVKL    .S2     0x18c0024,B4      ; |79| 

           MVKH    .S2     0x18c0024,B4      ; |79| 
||         ZERO    .L2     B5                ; |79| 

           STW     .D2T2   B5,*B4            ; |79| 
	.line	6

           MVKL    .S2     0x18c000c,B4      ; |80| 
||         MVKL    .S1     0x10040,A0        ; |80| 

           MVKH    .S2     0x18c000c,B4      ; |80| 
||         MVKH    .S1     0x10040,A0        ; |80| 

           STW     .D2T1   A0,*B4            ; |80| 
	.line	7

           MVKL    .S2     0x18c0010,B4      ; |81| 
||         MVKL    .S1     0x10040,A0        ; |81| 

           MVKH    .S2     0x18c0010,B4      ; |81| 
||         MVKH    .S1     0x10040,A0        ; |81| 

           STW     .D2T1   A0,*B4            ; |81| 
	.line	8
           MVKL    .S2     0x18c0004,B4      ; |82| 
           MVKH    .S2     0x18c0004,B4      ; |82| 
           STW     .D2T2   B5,*B4            ; |82| 
	.line	9

           MVKL    .S2     0x12001,B4        ; |83| 
||         MVKL    .S1     0x18c0008,A0      ; |83| 

           MVKH    .S2     0x12001,B4        ; |83| 
||         MVKH    .S1     0x18c0008,A0      ; |83| 

           STW     .D1T2   B4,*A0            ; |83| 
	.line	10
           B       .S2     B3                ; |84| 
           NOP             5
           ; BRANCH OCCURS                   ; |84| 
	.endfunc	84,000000000h,0


	.sect	".text"
	.global	_mcbsp0_write
	.sym	_mcbsp0_write,_mcbsp0_write, 32, 2, 0
	.func	86

;******************************************************************************
;* FUNCTION NAME: _mcbsp0_write                                               *
;*                                                                            *
;*   Regs Modified     : A0,A1,B0,B4,SP                                       *
;*   Regs Used         : A0,A1,A4,B0,B3,B4,SP                                 *
;*   Local Frame Size  : 0 Args + 8 Auto + 0 Save = 8 byte                    *
;******************************************************************************
_mcbsp0_write:
;** --------------------------------------------------------------------------*
	.sym	_out_data,4, 4, 17, 32
	.sym	_out_data,4, 4, 1, 32
	.sym	_temp,8, 4, 1, 32
           SUB     .L2     SP,8,SP           ; |86| 
	.line	2
           STW     .D2T1   A4,*+SP(4)        ; |87| 
	.line	4
           MVKL    .S1     0x18c0008,A0      ; |89| 
           MVKH    .S1     0x18c0008,A0      ; |89| 
           LDW     .D1T1   *A0,A0            ; |89| 
           ZERO    .L2     B4                ; |89| 
           MVKH    .S2     0x20000,B4        ; |89| 
           NOP             2
           AND     .L2X    B4,A0,B4          ; |89| 
           STW     .D2T2   B4,*+SP(8)        ; |89| 
	.line	5
           MV      .L1X    B4,A1
   [ A1]   B       .S1     L5                ; |90| 
           NOP             5
           ; BRANCH OCCURS                   ; |90| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L4:    
	.line	7
           MVKL    .S1     0x18c0008,A0      ; |92| 
           MVKH    .S1     0x18c0008,A0      ; |92| 
           LDW     .D1T1   *A0,A0            ; |92| 
           ZERO    .L2     B4                ; |92| 
           MVKH    .S2     0x20000,B4        ; |92| 
           NOP             2
           AND     .L2X    B4,A0,B0          ; |92| 
           STW     .D2T2   B0,*+SP(8)        ; |92| 
	.line	8
   [!B0]   B       .S1     L4                ; |93| 
           NOP             5
           ; BRANCH OCCURS                   ; |93| 
;** --------------------------------------------------------------------------*
L5:    
	.line	9
           LDW     .D2T2   *+SP(4),B4        ; |94| 
           MVKL    .S1     0x18c0004,A0      ; |94| 
           MVKH    .S1     0x18c0004,A0      ; |94| 
           NOP             2
           STW     .D1T2   B4,*A0            ; |94| 
	.line	10
           B       .S2     B3                ; |95| 
           ADD     .L2     8,SP,SP           ; |95| 
           NOP             4
           ; BRANCH OCCURS                   ; |95| 
	.endfunc	95,000000000h,8


	.sect	".text"
	.global	_mcbsp0_read
	.sym	_mcbsp0_read,_mcbsp0_read, 36, 2, 0
	.func	97

;******************************************************************************
;* FUNCTION NAME: _mcbsp0_read                                                *
;*                                                                            *
;*   Regs Modified     : A0,A1,A4,SP                                          *
;*   Regs Used         : A0,A1,A4,B3,SP                                       *
;*   Local Frame Size  : 0 Args + 4 Auto + 0 Save = 4 byte                    *
;******************************************************************************
_mcbsp0_read:
;** --------------------------------------------------------------------------*
	.sym	_temp,4, 4, 1, 32
           SUB     .L2     SP,8,SP           ; |97| 
	.line	4
           MVKL    .S1     0x18c0008,A0      ; |100| 
           MVKH    .S1     0x18c0008,A0      ; |100| 
           LDW     .D1T1   *A0,A0            ; |100| 
           NOP             4
           AND     .L1     2,A0,A1           ; |100| 
           STW     .D2T1   A1,*+SP(4)        ; |100| 
	.line	5
   [ A1]   B       .S1     L7                ; |101| 
           NOP             5
           ; BRANCH OCCURS                   ; |101| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L6:    
	.line	7
           MVKL    .S1     0x18c0008,A0      ; |103| 
           MVKH    .S1     0x18c0008,A0      ; |103| 
           LDW     .D1T1   *A0,A0            ; |103| 
           NOP             4
           AND     .L1     2,A0,A1           ; |103| 
           STW     .D2T1   A1,*+SP(4)        ; |103| 
	.line	8
   [!A1]   B       .S1     L6                ; |104| 
           NOP             5
           ; BRANCH OCCURS                   ; |104| 
;** --------------------------------------------------------------------------*
L7:    
	.line	9
           ZERO    .L1     A0                ; |105| 
           MVKH    .S1     0x18c0000,A0      ; |105| 
           LDW     .D1T1   *A0,A4            ; |105| 
           NOP             4
           STW     .D2T1   A4,*+SP(4)        ; |105| 
	.line	10
	.line	11
           B       .S2     B3                ; |107| 
           ADD     .L2     8,SP,SP           ; |107| 
           NOP             4
           ; BRANCH OCCURS                   ; |107| 
	.endfunc	107,000000000h,8


	.sect	".text"
	.global	_codec_init
	.sym	_codec_init,_codec_init, 32, 2, 0
	.func	110

;******************************************************************************
;* FUNCTION NAME: _codec_init                                                 *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Local Frame Size  : 8 Args + 4 Auto + 4 Save = 16 byte                   *
;******************************************************************************
_codec_init:
;** --------------------------------------------------------------------------*
	.sym	_temp,12, 4, 1, 32
           STW     .D2T2   B3,*SP--(16)      ; |110| 
	.line	6
           B       .S1     _mcbsp0_read      ; |115| 
           MVKL    .S2     RL48,B3           ; |115| 
           MVKH    .S2     RL48,B3           ; |115| 
           NOP             3
RL48:      ; CALL OCCURS                     ; |115| 
	.line	7
           B       .S1     _mcbsp0_write     ; |116| 
           MVKL    .S2     RL50,B3           ; |116| 
           MVKH    .S2     RL50,B3           ; |116| 
           ZERO    .L1     A4                ; |116| 
           NOP             2
RL50:      ; CALL OCCURS                     ; |116| 
	.line	8
           B       .S1     _mcbsp0_read      ; |117| 
           MVKL    .S2     RL52,B3           ; |117| 
           MVKH    .S2     RL52,B3           ; |117| 
           NOP             3
RL52:      ; CALL OCCURS                     ; |117| 
	.line	9
           B       .S1     _mcbsp0_write     ; |118| 
           MVKL    .S2     RL54,B3           ; |118| 
           MVKH    .S2     RL54,B3           ; |118| 
           ZERO    .L1     A4                ; |118| 
           NOP             2
RL54:      ; CALL OCCURS                     ; |118| 
	.line	10
           B       .S1     _mcbsp0_read      ; |119| 
           MVKL    .S2     RL56,B3           ; |119| 
           MVKH    .S2     RL56,B3           ; |119| 
           NOP             3
RL56:      ; CALL OCCURS                     ; |119| 
	.line	11
           B       .S1     _mcbsp0_write     ; |120| 
           MVKL    .S2     RL58,B3           ; |120| 
           MVKH    .S2     RL58,B3           ; |120| 
           ZERO    .L1     A4                ; |120| 
           NOP             2
RL58:      ; CALL OCCURS                     ; |120| 
	.line	12
           B       .S1     _mcbsp0_read      ; |121| 
           MVKL    .S2     RL60,B3           ; |121| 
           MVKH    .S2     RL60,B3           ; |121| 
           NOP             3
RL60:      ; CALL OCCURS                     ; |121| 
	.line	13
           B       .S1     _mcbsp0_write     ; |122| 
           MVKL    .S2     RL62,B3           ; |122| 
           MVKH    .S2     RL62,B3           ; |122| 
           MVK     .S1     0x1,A4            ; |122| 
           NOP             2
RL62:      ; CALL OCCURS                     ; |122| 
	.line	14
           B       .S1     _mcbsp0_read      ; |123| 
           MVKL    .S2     RL64,B3           ; |123| 
           MVKH    .S2     RL64,B3           ; |123| 
           NOP             3
RL64:      ; CALL OCCURS                     ; |123| 
	.line	15
           B       .S1     _mcbsp0_write     ; |124| 
           MVKL    .S2     RL66,B3           ; |124| 
           MVKH    .S2     RL66,B3           ; |124| 
           MVK     .S1     0x386,A4          ; |124| 
           NOP             2
RL66:      ; CALL OCCURS                     ; |124| 
	.line	16
           B       .S1     _mcbsp0_read      ; |125| 
           MVKL    .S2     RL68,B3           ; |125| 
           MVKH    .S2     RL68,B3           ; |125| 
           NOP             3
RL68:      ; CALL OCCURS                     ; |125| 
;** --------------------------------------------------------------------------*
	.line	17
           B       .S1     _mcbsp0_write     ; |126| 
           MVKL    .S2     RL70,B3           ; |126| 
           MVKH    .S2     RL70,B3           ; |126| 
           ZERO    .L1     A4                ; |126| 
           NOP             2
RL70:      ; CALL OCCURS                     ; |126| 
	.line	18
           B       .S1     _mcbsp0_read      ; |127| 
           MVKL    .S2     RL72,B3           ; |127| 
           MVKH    .S2     RL72,B3           ; |127| 
           NOP             3
RL72:      ; CALL OCCURS                     ; |127| 
	.line	21
           B       .S1     _mcbsp0_write     ; |130| 
           MVKL    .S2     RL74,B3           ; |130| 
           MVKH    .S2     RL74,B3           ; |130| 
           ZERO    .L1     A4                ; |130| 
           NOP             2
RL74:      ; CALL OCCURS                     ; |130| 
	.line	22
           B       .S1     _mcbsp0_read      ; |131| 
           MVKL    .S2     RL76,B3           ; |131| 
           MVKH    .S2     RL76,B3           ; |131| 
           NOP             3
RL76:      ; CALL OCCURS                     ; |131| 
	.line	23
           B       .S1     _mcbsp0_write     ; |132| 
           MVKL    .S2     RL78,B3           ; |132| 
           MVKH    .S2     RL78,B3           ; |132| 
           ZERO    .L1     A4                ; |132| 
           NOP             2
RL78:      ; CALL OCCURS                     ; |132| 
	.line	24
           B       .S1     _mcbsp0_read      ; |133| 
           MVKL    .S2     RL80,B3           ; |133| 
           MVKH    .S2     RL80,B3           ; |133| 
           NOP             3
RL80:      ; CALL OCCURS                     ; |133| 
	.line	25
           B       .S1     _mcbsp0_write     ; |134| 
           MVKL    .S2     RL82,B3           ; |134| 
           MVKH    .S2     RL82,B3           ; |134| 
           MVK     .S1     0x1,A4            ; |134| 
           NOP             2
RL82:      ; CALL OCCURS                     ; |134| 
	.line	26
           B       .S1     _mcbsp0_read      ; |135| 
           MVKL    .S2     RL84,B3           ; |135| 
           MVKH    .S2     RL84,B3           ; |135| 
           NOP             3
RL84:      ; CALL OCCURS                     ; |135| 
	.line	27
           B       .S1     _mcbsp0_write     ; |136| 
           MVKL    .S2     RL86,B3           ; |136| 
           MVKH    .S2     RL86,B3           ; |136| 
           MVK     .S1     0x306,A4          ; |136| 
           NOP             2
RL86:      ; CALL OCCURS                     ; |136| 
	.line	28
           B       .S1     _mcbsp0_read      ; |137| 
           MVKL    .S2     RL88,B3           ; |137| 
           MVKH    .S2     RL88,B3           ; |137| 
           NOP             3
RL88:      ; CALL OCCURS                     ; |137| 
	.line	29
           B       .S1     _mcbsp0_write     ; |138| 
           MVKL    .S2     RL90,B3           ; |138| 
           MVKH    .S2     RL90,B3           ; |138| 
           ZERO    .L1     A4                ; |138| 
           NOP             2
RL90:      ; CALL OCCURS                     ; |138| 
;** --------------------------------------------------------------------------*
	.line	30
           B       .S1     _mcbsp0_read      ; |139| 
           MVKL    .S2     RL92,B3           ; |139| 
           MVKH    .S2     RL92,B3           ; |139| 
           NOP             3
RL92:      ; CALL OCCURS                     ; |139| 
	.line	32
           B       .S1     _mcbsp0_write     ; |141| 
           MVKL    .S2     RL94,B3           ; |141| 
           MVKH    .S2     RL94,B3           ; |141| 
           ZERO    .L1     A4                ; |141| 
           NOP             2
RL94:      ; CALL OCCURS                     ; |141| 
	.line	33
           B       .S1     _mcbsp0_read      ; |142| 
           MVKL    .S2     RL96,B3           ; |142| 
           MVKH    .S2     RL96,B3           ; |142| 
           NOP             3
RL96:      ; CALL OCCURS                     ; |142| 
	.line	34
           B       .S1     _mcbsp0_write     ; |143| 
           MVKL    .S2     RL98,B3           ; |143| 
           MVKH    .S2     RL98,B3           ; |143| 
           MVK     .S1     0x1,A4            ; |143| 
           NOP             2
RL98:      ; CALL OCCURS                     ; |143| 
	.line	35
           B       .S1     _mcbsp0_read      ; |144| 
           MVKL    .S2     RL100,B3          ; |144| 
           MVKH    .S2     RL100,B3          ; |144| 
           NOP             3
RL100:     ; CALL OCCURS                     ; |144| 
	.line	36
           B       .S1     _mcbsp0_write     ; |145| 
           MVKL    .S2     RL102,B3          ; |145| 
           MVKH    .S2     RL102,B3          ; |145| 
           MVK     .S1     0x2330,A4         ; |145| 
           NOP             2
RL102:     ; CALL OCCURS                     ; |145| 
	.line	37
           B       .S1     _mcbsp0_read      ; |146| 
           MVKL    .S2     RL104,B3          ; |146| 
           MVKH    .S2     RL104,B3          ; |146| 
           NOP             3
RL104:     ; CALL OCCURS                     ; |146| 
           STW     .D2T1   A4,*+SP(12)       ; |146| 
	.line	38
           B       .S1     _mcbsp0_write     ; |147| 
           MVKL    .S2     RL106,B3          ; |147| 
           ZERO    .L1     A4                ; |147| 
           MVKH    .S2     RL106,B3          ; |147| 
           NOP             2
RL106:     ; CALL OCCURS                     ; |147| 
	.line	39
           B       .S1     _mcbsp0_read      ; |148| 
           MVKL    .S2     RL108,B3          ; |148| 
           MVKH    .S2     RL108,B3          ; |148| 
           NOP             3
RL108:     ; CALL OCCURS                     ; |148| 
	.line	40
           B       .S1     _mcbsp0_write     ; |149| 
           MVKL    .S2     RL110,B3          ; |149| 
           MVKH    .S2     RL110,B3          ; |149| 
           ZERO    .L1     A4                ; |149| 
           NOP             2
RL110:     ; CALL OCCURS                     ; |149| 
	.line	41
           B       .S1     _mcbsp0_read      ; |150| 
           MVKL    .S2     RL112,B3          ; |150| 
           MVKH    .S2     RL112,B3          ; |150| 
           NOP             3
RL112:     ; CALL OCCURS                     ; |150| 
;** --------------------------------------------------------------------------*
	.line	42
           LDW     .D2T2   *+SP(12),B4       ; |151| 
           NOP             4
           EXTU    .S2     B4,24,24,B4       ; |151| 
           CMPEQ   .L2     B4,6,B0           ; |151| 
   [ B0]   B       .S1     L8                ; |151| 
           NOP             5
           ; BRANCH OCCURS                   ; |151| 
;** --------------------------------------------------------------------------*
	.line	45
           B       .S1     _printf           ; |154| 
           MVKL    .S1     SL1+0,A0          ; |154| 
           MVKH    .S1     SL1+0,A0          ; |154| 
           MVKL    .S2     RL114,B3          ; |154| 
           STW     .D2T1   A0,*+SP(4)        ; |154| 
           MVKH    .S2     RL114,B3          ; |154| 
RL114:     ; CALL OCCURS                     ; |154| 
	.line	46
           B       .S1     _exit             ; |155| 
           MVKL    .S2     RL116,B3          ; |155| 
           MVKH    .S2     RL116,B3          ; |155| 
           ZERO    .L1     A4                ; |155| 
           NOP             2
RL116:     ; CALL OCCURS                     ; |155| 
;** --------------------------------------------------------------------------*
L8:    
	.line	51
           B       .S1     _mcbsp0_write     ; |160| 
           MVKL    .S2     RL118,B3          ; |160| 
           MVKH    .S2     RL118,B3          ; |160| 
           ZERO    .L1     A4                ; |160| 
           NOP             2
RL118:     ; CALL OCCURS                     ; |160| 
	.line	52
           B       .S1     _mcbsp0_read      ; |161| 
           MVKL    .S2     RL120,B3          ; |161| 
           MVKH    .S2     RL120,B3          ; |161| 
           NOP             3
RL120:     ; CALL OCCURS                     ; |161| 
	.line	53
           B       .S1     _mcbsp0_write     ; |162| 
           MVKL    .S2     RL122,B3          ; |162| 
           MVKH    .S2     RL122,B3          ; |162| 
           ZERO    .L1     A4                ; |162| 
           NOP             2
RL122:     ; CALL OCCURS                     ; |162| 
	.line	54
           B       .S1     _mcbsp0_read      ; |163| 
           MVKL    .S2     RL124,B3          ; |163| 
           MVKH    .S2     RL124,B3          ; |163| 
           NOP             3
RL124:     ; CALL OCCURS                     ; |163| 
	.line	55
           B       .S1     _mcbsp0_write     ; |164| 
           MVKL    .S2     RL126,B3          ; |164| 
           MVKH    .S2     RL126,B3          ; |164| 
           MVK     .S1     0x1,A4            ; |164| 
           NOP             2
RL126:     ; CALL OCCURS                     ; |164| 
	.line	56
           B       .S1     _mcbsp0_read      ; |165| 
           MVKL    .S2     RL128,B3          ; |165| 
           MVKH    .S2     RL128,B3          ; |165| 
           NOP             3
RL128:     ; CALL OCCURS                     ; |165| 
	.line	57
           B       .S1     _mcbsp0_write     ; |166| 
           MVKL    .S2     RL130,B3          ; |166| 
           MVKH    .S2     RL130,B3          ; |166| 
           MVK     .S1     0x400,A4          ; |166| 
           NOP             2
RL130:     ; CALL OCCURS                     ; |166| 
	.line	58
           B       .S1     _mcbsp0_read      ; |167| 
           MVKL    .S2     RL132,B3          ; |167| 
           MVKH    .S2     RL132,B3          ; |167| 
           NOP             3
RL132:     ; CALL OCCURS                     ; |167| 
	.line	59
           B       .S1     _mcbsp0_write     ; |168| 
           MVKL    .S2     RL134,B3          ; |168| 
           MVKH    .S2     RL134,B3          ; |168| 
           ZERO    .L1     A4                ; |168| 
           NOP             2
RL134:     ; CALL OCCURS                     ; |168| 
	.line	60
           B       .S1     _mcbsp0_read      ; |169| 
           MVKL    .S2     RL136,B3          ; |169| 
           MVKH    .S2     RL136,B3          ; |169| 
           NOP             3
RL136:     ; CALL OCCURS                     ; |169| 
	.line	62
           B       .S1     _mcbsp0_write     ; |171| 
           MVKL    .S2     RL138,B3          ; |171| 
           MVKH    .S2     RL138,B3          ; |171| 
           ZERO    .L1     A4                ; |171| 
           NOP             2
RL138:     ; CALL OCCURS                     ; |171| 
;** --------------------------------------------------------------------------*
	.line	63
           B       .S1     _mcbsp0_read      ; |172| 
           MVKL    .S2     RL140,B3          ; |172| 
           MVKH    .S2     RL140,B3          ; |172| 
           NOP             3
RL140:     ; CALL OCCURS                     ; |172| 
	.line	64
           B       .S1     _mcbsp0_write     ; |173| 
           MVKL    .S2     RL142,B3          ; |173| 
           MVKH    .S2     RL142,B3          ; |173| 
           MVK     .S1     0x1,A4            ; |173| 
           NOP             2
RL142:     ; CALL OCCURS                     ; |173| 
	.line	65
           B       .S1     _mcbsp0_read      ; |174| 
           MVKL    .S2     RL144,B3          ; |174| 
           MVKH    .S2     RL144,B3          ; |174| 
           NOP             3
RL144:     ; CALL OCCURS                     ; |174| 
	.line	66
           B       .S1     _mcbsp0_write     ; |175| 
           MVKL    .S2     RL146,B3          ; |175| 
           MVKH    .S2     RL146,B3          ; |175| 
           MVK     .S1     0x2430,A4         ; |175| 
           NOP             2
RL146:     ; CALL OCCURS                     ; |175| 
	.line	67
           B       .S1     _mcbsp0_read      ; |176| 
           MVKL    .S2     RL148,B3          ; |176| 
           MVKH    .S2     RL148,B3          ; |176| 
           NOP             3
RL148:     ; CALL OCCURS                     ; |176| 
           STW     .D2T1   A4,*+SP(12)       ; |176| 
	.line	68
           B       .S1     _mcbsp0_write     ; |177| 
           MVKL    .S2     RL150,B3          ; |177| 
           ZERO    .L1     A4                ; |177| 
           MVKH    .S2     RL150,B3          ; |177| 
           NOP             2
RL150:     ; CALL OCCURS                     ; |177| 
	.line	69
           B       .S1     _mcbsp0_read      ; |178| 
           MVKL    .S2     RL152,B3          ; |178| 
           MVKH    .S2     RL152,B3          ; |178| 
           NOP             3
RL152:     ; CALL OCCURS                     ; |178| 
	.line	70
           B       .S1     _mcbsp0_write     ; |179| 
           MVKL    .S2     RL154,B3          ; |179| 
           MVKH    .S2     RL154,B3          ; |179| 
           ZERO    .L1     A4                ; |179| 
           NOP             2
RL154:     ; CALL OCCURS                     ; |179| 
	.line	71
           B       .S1     _mcbsp0_read      ; |180| 
           MVKL    .S2     RL156,B3          ; |180| 
           MVKH    .S2     RL156,B3          ; |180| 
           NOP             3
RL156:     ; CALL OCCURS                     ; |180| 
	.line	72
           LDW     .D2T2   *+SP(12),B4       ; |181| 
           NOP             4
           EXTU    .S2     B4,24,24,B0       ; |181| 
   [!B0]   B       .S1     L9                ; |181| 
           NOP             5
           ; BRANCH OCCURS                   ; |181| 
;** --------------------------------------------------------------------------*
	.line	75
           B       .S1     _printf           ; |184| 
           MVKL    .S1     SL2+0,A0          ; |184| 
           MVKH    .S1     SL2+0,A0          ; |184| 
           MVKL    .S2     RL158,B3          ; |184| 
           STW     .D2T1   A0,*+SP(4)        ; |184| 
           MVKH    .S2     RL158,B3          ; |184| 
RL158:     ; CALL OCCURS                     ; |184| 
	.line	76
           B       .S1     _exit             ; |185| 
           MVKL    .S2     RL160,B3          ; |185| 
           MVKH    .S2     RL160,B3          ; |185| 
           ZERO    .L1     A4                ; |185| 
           NOP             2
RL160:     ; CALL OCCURS                     ; |185| 
;** --------------------------------------------------------------------------*
L9:    
	.line	81
           B       .S1     _mcbsp0_write     ; |190| 
           MVKL    .S2     RL162,B3          ; |190| 
           MVKH    .S2     RL162,B3          ; |190| 
           ZERO    .L1     A4                ; |190| 
           NOP             2
RL162:     ; CALL OCCURS                     ; |190| 
	.line	82
           B       .S1     _mcbsp0_read      ; |191| 
           MVKL    .S2     RL164,B3          ; |191| 
           MVKH    .S2     RL164,B3          ; |191| 
           NOP             3
RL164:     ; CALL OCCURS                     ; |191| 
	.line	83
           B       .S1     _mcbsp0_write     ; |192| 
           MVKL    .S2     RL166,B3          ; |192| 
           MVKH    .S2     RL166,B3          ; |192| 
           ZERO    .L1     A4                ; |192| 
           NOP             2
RL166:     ; CALL OCCURS                     ; |192| 
	.line	84
           B       .S1     _mcbsp0_read      ; |193| 
           MVKL    .S2     RL168,B3          ; |193| 
           MVKH    .S2     RL168,B3          ; |193| 
           NOP             3
RL168:     ; CALL OCCURS                     ; |193| 
	.line	85
           B       .S1     _mcbsp0_write     ; |194| 
           MVKL    .S2     RL170,B3          ; |194| 
           MVKH    .S2     RL170,B3          ; |194| 
           MVK     .S1     0x1,A4            ; |194| 
           NOP             2
RL170:     ; CALL OCCURS                     ; |194| 
	.line	86
           B       .S1     _mcbsp0_read      ; |195| 
           MVKL    .S2     RL172,B3          ; |195| 
           MVKH    .S2     RL172,B3          ; |195| 
           NOP             3
RL172:     ; CALL OCCURS                     ; |195| 
	.line	87
           B       .S1     _mcbsp0_write     ; |196| 
           MVKL    .S2     RL174,B3          ; |196| 
           MVKH    .S2     RL174,B3          ; |196| 
           MVK     .S1     0x502,A4          ; |196| 
           NOP             2
RL174:     ; CALL OCCURS                     ; |196| 
	.line	88
           B       .S1     _mcbsp0_read      ; |197| 
           MVKL    .S2     RL176,B3          ; |197| 
           MVKH    .S2     RL176,B3          ; |197| 
           NOP             3
RL176:     ; CALL OCCURS                     ; |197| 
	.line	89
           B       .S1     _mcbsp0_write     ; |198| 
           MVKL    .S2     RL178,B3          ; |198| 
           MVKH    .S2     RL178,B3          ; |198| 
           ZERO    .L1     A4                ; |198| 
           NOP             2
RL178:     ; CALL OCCURS                     ; |198| 
	.line	90
           B       .S1     _mcbsp0_read      ; |199| 
           MVKL    .S2     RL180,B3          ; |199| 
           MVKH    .S2     RL180,B3          ; |199| 
           NOP             3
RL180:     ; CALL OCCURS                     ; |199| 
	.line	92
           B       .S1     _mcbsp0_write     ; |201| 
           MVKL    .S2     RL182,B3          ; |201| 
           MVKH    .S2     RL182,B3          ; |201| 
           ZERO    .L1     A4                ; |201| 
           NOP             2
RL182:     ; CALL OCCURS                     ; |201| 
;** --------------------------------------------------------------------------*
	.line	93
           B       .S1     _mcbsp0_read      ; |202| 
           MVKL    .S2     RL184,B3          ; |202| 
           MVKH    .S2     RL184,B3          ; |202| 
           NOP             3
RL184:     ; CALL OCCURS                     ; |202| 
	.line	94
           B       .S1     _mcbsp0_write     ; |203| 
           MVKL    .S2     RL186,B3          ; |203| 
           MVKH    .S2     RL186,B3          ; |203| 
           MVK     .S1     0x1,A4            ; |203| 
           NOP             2
RL186:     ; CALL OCCURS                     ; |203| 
	.line	95
           B       .S1     _mcbsp0_read      ; |204| 
           MVKL    .S2     RL188,B3          ; |204| 
           MVKH    .S2     RL188,B3          ; |204| 
           NOP             3
RL188:     ; CALL OCCURS                     ; |204| 
	.line	96
           B       .S1     _mcbsp0_write     ; |205| 
           MVKL    .S2     RL190,B3          ; |205| 
           MVKH    .S2     RL190,B3          ; |205| 
           MVK     .S1     0x2530,A4         ; |205| 
           NOP             2
RL190:     ; CALL OCCURS                     ; |205| 
	.line	97
           B       .S1     _mcbsp0_read      ; |206| 
           MVKL    .S2     RL192,B3          ; |206| 
           MVKH    .S2     RL192,B3          ; |206| 
           NOP             3
RL192:     ; CALL OCCURS                     ; |206| 
           STW     .D2T1   A4,*+SP(12)       ; |206| 
	.line	98
           B       .S1     _mcbsp0_write     ; |207| 
           MVKL    .S2     RL194,B3          ; |207| 
           ZERO    .L1     A4                ; |207| 
           MVKH    .S2     RL194,B3          ; |207| 
           NOP             2
RL194:     ; CALL OCCURS                     ; |207| 
	.line	99
           B       .S1     _mcbsp0_read      ; |208| 
           MVKL    .S2     RL196,B3          ; |208| 
           MVKH    .S2     RL196,B3          ; |208| 
           NOP             3
RL196:     ; CALL OCCURS                     ; |208| 
	.line	100
           B       .S1     _mcbsp0_write     ; |209| 
           MVKL    .S2     RL198,B3          ; |209| 
           MVKH    .S2     RL198,B3          ; |209| 
           ZERO    .L1     A4                ; |209| 
           NOP             2
RL198:     ; CALL OCCURS                     ; |209| 
	.line	101
           B       .S1     _mcbsp0_read      ; |210| 
           MVKL    .S2     RL200,B3          ; |210| 
           MVKH    .S2     RL200,B3          ; |210| 
           NOP             3
RL200:     ; CALL OCCURS                     ; |210| 
	.line	102
           LDW     .D2T2   *+SP(12),B4       ; |211| 
           MVK     .S2     254,B5            ; |211| 
           NOP             3
           AND     .L2     B5,B4,B4          ; |211| 
           CMPEQ   .L2     B4,2,B0           ; |211| 
   [ B0]   B       .S1     L10               ; |211| 
           NOP             5
           ; BRANCH OCCURS                   ; |211| 
;** --------------------------------------------------------------------------*
	.line	105
           B       .S1     _printf           ; |214| 
           MVKL    .S1     SL3+0,A0          ; |214| 
           MVKH    .S1     SL3+0,A0          ; |214| 
           MVKL    .S2     RL202,B3          ; |214| 
           STW     .D2T1   A0,*+SP(4)        ; |214| 
           MVKH    .S2     RL202,B3          ; |214| 
RL202:     ; CALL OCCURS                     ; |214| 
	.line	106
           B       .S1     _exit             ; |215| 
           MVKL    .S2     RL204,B3          ; |215| 
           MVKH    .S2     RL204,B3          ; |215| 
           ZERO    .L1     A4                ; |215| 
           NOP             2
RL204:     ; CALL OCCURS                     ; |215| 
	.line	108
;** --------------------------------------------------------------------------*
L10:    
	.line	110
           LDW     .D2T2   *++SP(16),B3      ; |219| 
           NOP             4
           B       .S2     B3                ; |219| 
           NOP             5
           ; BRANCH OCCURS                   ; |219| 
	.endfunc	219,000080000h,16


;******************************************************************************
;* STRINGS                                                                    *
;******************************************************************************
	.sect	".const"
SL1:	.string	"Error in setting up register 3.",10,0
SL2:	.string	"Error in setting up register 4.",10,0
SL3:	.string	"Error in setting up register 5.",10,0
;******************************************************************************
;* UNDEFINED EXTERNAL REFERENCES                                              *
;******************************************************************************
	.global	_exit
	.global	_printf
	.global	__fltif
	.global	__mpyf
	.global	__subf
	.global	__addf
	.global	__fixfi
