;******************************************************************************
;* TMS320C6x ANSI C Codegen                                      Version 4.00 *
;* Date/Time created: Wed Oct 01 00:38:08 2003                                *
;******************************************************************************

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C620x                                          *
;*   Optimization      : Enabled at level 3                                   *
;*   Optimizing for    : Speed                                                *
;*                       Based on options: -o3, no -ms                        *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Memory Model      : Small                                                *
;*   Calls to RTS      : Near                                                 *
;*   Pipelining        : Enabled                                              *
;*   Speculative Load  : Disabled                                             *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : Debug                                                *
;*                                                                            *
;******************************************************************************

FP	.set	A15
DP	.set	B14
SP	.set	B15
	.global	$bss

;	opt6x -q -O3 C:\WINDOWS\TEMP\TI16548661_2 C:\WINDOWS\TEMP\TI16548661_4 -w D:\ti_proj\melody 
	.file	"melody.c"
	.file	"C:\ti\c6000\cgtools\include\stdlib.h"
	.file	"C:\ti\c6000\cgtools\include\stdio.h"
	.file	"C:\ti\c6000\cgtools\include\math.h"
	.file	"melody.c"
	.file	"C:\ti\c6000\cgtools\include\c6x.h"
	.file	"melody.c"
	.global	_temp
	.bss	_temp,4,4
	.sym	_temp,_temp, 4, 2, 32
	.global	_in
	.bss	_in,4,4
	.sym	_in,_in, 4, 2, 32
	.global	_out
	.bss	_out,4,4
	.sym	_out,_out, 4, 2, 32

	.sect	".cinit:c"
	.align	8
	.field  	(CIR - $) - 8, 32
	.field  	_gain+0,32
	.field  	0xa,32			; _gain @ 0

	.sect	".text"
	.global	_gain
_gain:	.usect	".bss:c",4,4
	.sym	_gain,_gain, 4, 2, 32
	.sect	".text"
	.global	_mcbsp0_init
	.sym	_mcbsp0_init,_mcbsp0_init, 32, 2, 0
	.func	107

;******************************************************************************
;* FUNCTION NAME: _mcbsp0_init                                                *
;*                                                                            *
;*   Regs Modified     : A0,A3,B4,B5                                          *
;*   Regs Used         : A0,A3,B3,B4,B5                                       *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_mcbsp0_init:
;** --------------------------------------------------------------------------*
	.sym	C$1,20, 14, 4, 32
	.sym	C$2,0, 14, 4, 32
	.line	4
           MVKL    .S2     0x18c0008,B5      ; |110| 

           MVKH    .S2     0x18c0008,B5      ; |110| 
||         ZERO    .L2     B4                ; |110| 

           STW     .D2T2   B4,*B5            ; |110| 
	.line	5
           MVKL    .S1     0x18c0024,A0      ; |111| 
           MVKH    .S1     0x18c0024,A0      ; |111| 
           STW     .D1T2   B4,*A0            ; |111| 
	.line	6
           MVKL    .S1     0x18c000c,A3      ; |112| 
           MVKH    .S1     0x18c000c,A3      ; |112| 
           MVKL    .S1     0x10040,A0        ; |112| 
           MVKH    .S1     0x10040,A0        ; |112| 
           STW     .D1T1   A0,*A3            ; |112| 
	.line	7
           MVKL    .S2     0x18c0010,B5      ; |113| 
           MVKH    .S2     0x18c0010,B5      ; |113| 
           STW     .D2T1   A0,*B5            ; |113| 
	.line	8
           MVKL    .S2     0x18c0004,B5      ; |114| 
           MVKH    .S2     0x18c0004,B5      ; |114| 
           STW     .D2T2   B4,*B5            ; |114| 
	.line	9

           MVKL    .S2     0x12001,B4        ; |115| 
||         MVKL    .S1     0x18c0008,A0      ; |115| 

           MVKH    .S2     0x12001,B4        ; |115| 
||         MVKH    .S1     0x18c0008,A0      ; |115| 

           STW     .D1T2   B4,*A0            ; |115| 
	.line	10
           B       .S2     B3                ; |116| 
           NOP             5
           ; BRANCH OCCURS                   ; |116| 
	.endfunc	116,000000000h,0


	.sect	".text"
	.global	_mcbsp0_read
	.sym	_mcbsp0_read,_mcbsp0_read, 36, 2, 0
	.func	129

;******************************************************************************
;* FUNCTION NAME: _mcbsp0_read                                                *
;*                                                                            *
;*   Regs Modified     : A0,A1,A3,A4,B0                                       *
;*   Regs Used         : A0,A1,A3,A4,B0,B3                                    *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_mcbsp0_read:
;** --------------------------------------------------------------------------*
	.sym	_temp,1, 4, 4, 32
	.sym	_temp,0, 4, 4, 32
	.sym	_temp,0, 4, 4, 32
	.line	4
           MVKL    .S1     0x18c0008,A0      ; |132| 
           MVKH    .S1     0x18c0008,A0      ; |132| 
           LDW     .D1T1   *A0,A0            ; |132| 
           NOP             4
           AND     .L1     2,A0,A1           ; |132| 
   [ A1]   B       .S1     L4                ; |132| 
   [!A1]   MVKL    .S1     0x18c0008,A0      ; (P) |135| 
           NOP             4
           ; BRANCH OCCURS                   ; |132| 
;** --------------------------------------------------------------------------*

           MVK     .S2     0x1,B0
||         MVKH    .S1     0x18c0008,A0      ; (P) |135| 

   [ B0]   LDW     .D1T1   *A0,A3            ; (P)  ^ |135| 
           MVKL    .S1     0x18c0008,A0      ; (P) @|135| 
           NOP             3
           AND     .L1     2,A3,A1           ; (P)  ^ |135| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Known Minimum Trip Count         : 1
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 7
;*      Unpartitioned Resource Bound     : 2
;*      Partitioned Resource Bound(*)    : 2
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     2*       1     
;*      .D units                     1        0     
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             1        0     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           1        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             2*       1     
;*      Bound(.L .S .D .LS .LSD)     2*       1     
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 7  Schedule found with 3 iterations in parallel
;*      done
;*
;*      Loop is interruptible
;*      Collapsed epilog stages     : 2
;*      Prolog not removed
;*      Collapsed prolog stages     : 0
;*
;*      Minimum required memory pad : 0 bytes
;*
;*      Minimum safe trip count     : 1
;*----------------------------------------------------------------------------*
L1:    ; PIPED LOOP PROLOG
;** --------------------------------------------------------------------------*
L2:    ; PIPED LOOP KERNEL

   [ A1]   ZERO    .L2     B0                ;  ^ 
||         MVKH    .S1     0x18c0008,A0      ; @|135| 

   [ B0]   B       .S2     L2                ; |135| 
|| [ B0]   LDW     .D1T1   *A0,A3            ; @ ^ |135| 

           NOP             4

           AND     .L1     2,A3,A1           ; @ ^ |135| 
||         MVKL    .S1     0x18c0008,A0      ; @@|135| 

;** --------------------------------------------------------------------------*
L3:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
L4:    
	.line	9
           ZERO    .L1     A0                ; |137| 
           MVKH    .S1     0x18c0000,A0      ; |137| 
	.line	10
           LDW     .D1T1   *A0,A4            ; 
	.line	11
           B       .S2     B3                ; |139| 
           NOP             5
           ; BRANCH OCCURS                   ; |139| 
	.endfunc	139,000000000h,0


	.sect	".text"
	.global	_mcbsp0_write
	.sym	_mcbsp0_write,_mcbsp0_write, 32, 2, 0
	.func	118

;******************************************************************************
;* FUNCTION NAME: _mcbsp0_write                                               *
;*                                                                            *
;*   Regs Modified     : A0,A1,A3,A4,A5,B0,B4                                 *
;*   Regs Used         : A0,A1,A3,A4,A5,B0,B3,B4                              *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_mcbsp0_write:
;** --------------------------------------------------------------------------*
	.sym	_out_data,4, 4, 17, 32
	.sym	K$3,3, 4, 4, 32
	.sym	_out_data,5, 4, 4, 32
	.sym	_temp,16, 4, 4, 32
	.sym	_temp,0, 4, 4, 32
	.line	2
           MV      .L1     A4,A5             ; |119| 
	.line	4
           MVKL    .S1     0x18c0008,A0      ; |121| 
           MVKH    .S1     0x18c0008,A0      ; |121| 
           LDW     .D1T1   *A0,A0            ; |121| 
           ZERO    .L2     B4                ; |121| 
           MVKH    .S2     0x20000,B4        ; |121| 
           NOP             2
           AND     .L2X    B4,A0,B0          ; |121| 
   [ B0]   B       .S1     L8                ; |121| 
           NOP             5
           ; BRANCH OCCURS                   ; |121| 
;** --------------------------------------------------------------------------*
           MVKL    .S1     0x18c0008,A0      ; (P) |124| 

           MVK     .S2     0x1,B0
||         MVKH    .S1     0x18c0008,A0      ; (P) |124| 

   [ B0]   LDW     .D1T1   *A0,A4            ; (P)  ^ |124| 
           ZERO    .L1     A3                ; |121| 
           MVKH    .S1     0x20000,A3        ; |121| 
           MVKL    .S1     0x18c0008,A0      ; (P) @|124| 
           NOP             1
           AND     .L1     A3,A4,A1          ; (P)  ^ |124| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Known Minimum Trip Count         : 1
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 7
;*      Unpartitioned Resource Bound     : 2
;*      Partitioned Resource Bound(*)    : 2
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     2*       1     
;*      .D units                     1        0     
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             1        0     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           1        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             2*       1     
;*      Bound(.L .S .D .LS .LSD)     2*       1     
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 7  Schedule found with 3 iterations in parallel
;*      done
;*
;*      Loop is interruptible
;*      Collapsed epilog stages     : 2
;*      Prolog not removed
;*      Collapsed prolog stages     : 0
;*
;*      Minimum required memory pad : 0 bytes
;*
;*      Minimum safe trip count     : 1
;*----------------------------------------------------------------------------*
L5:    ; PIPED LOOP PROLOG
;** --------------------------------------------------------------------------*
L6:    ; PIPED LOOP KERNEL

   [ A1]   ZERO    .L2     B0                ;  ^ 
||         MVKH    .S1     0x18c0008,A0      ; @|124| 

   [ B0]   B       .S2     L6                ; |124| 
|| [ B0]   LDW     .D1T1   *A0,A4            ; @ ^ |124| 

           NOP             4

           AND     .L1     A3,A4,A1          ; @ ^ |124| 
||         MVKL    .S1     0x18c0008,A0      ; @@|124| 

;** --------------------------------------------------------------------------*
L7:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
L8:    
	.line	9
           MVKL    .S1     0x18c0004,A0      ; |126| 
           MVKH    .S1     0x18c0004,A0      ; |126| 
           STW     .D1T1   A5,*A0            ; |126| 
	.line	10
           B       .S2     B3                ; |127| 
           NOP             5
           ; BRANCH OCCURS                   ; |127| 
	.endfunc	127,000000000h,0


	.sect	".text"
	.global	_codec_init
	.sym	_codec_init,_codec_init, 32, 2, 0
	.func	142

;******************************************************************************
;* FUNCTION NAME: _codec_init                                                 *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,B0,B1,B2,B3,B4,B5, *
;*                           B6,B7,B8,B9,SP                                   *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,B0,B1,B2,B3,B4,B5, *
;*                           B6,B7,B8,B9,SP                                   *
;*   Local Frame Size  : 8 Args + 0 Auto + 8 Save = 16 byte                   *
;******************************************************************************
_codec_init:
;** --------------------------------------------------------------------------*
	.sym	_temp,10, 4, 4, 32
	.sym	_temp,10, 4, 4, 32
	.sym	_temp,10, 4, 4, 32
           STW     .D2T2   B3,*SP--(16)      ; |142| 
           STW     .D2T1   A10,*+SP(12)      ; |142| 
	.line	6
           B       .S1     _mcbsp0_read      ; |147| 
           MVKL    .S2     RL0,B3            ; |147| 
           MVKH    .S2     RL0,B3            ; |147| 
           NOP             3
RL0:       ; CALL OCCURS                     ; |147| 
	.line	7
           B       .S1     _mcbsp0_write     ; |148| 
           MVKL    .S2     RL2,B3            ; |148| 
           MVKH    .S2     RL2,B3            ; |148| 
           ZERO    .L1     A4                ; |148| 
           NOP             2
RL2:       ; CALL OCCURS                     ; |148| 
	.line	8
           B       .S1     _mcbsp0_read      ; |149| 
           MVKL    .S2     RL4,B3            ; |149| 
           MVKH    .S2     RL4,B3            ; |149| 
           NOP             3
RL4:       ; CALL OCCURS                     ; |149| 
	.line	9
           B       .S1     _mcbsp0_write     ; |150| 
           MVKL    .S2     RL6,B3            ; |150| 
           MVKH    .S2     RL6,B3            ; |150| 
           ZERO    .L1     A4                ; |150| 
           NOP             2
RL6:       ; CALL OCCURS                     ; |150| 
	.line	10
           B       .S1     _mcbsp0_read      ; |151| 
           MVKL    .S2     RL8,B3            ; |151| 
           MVKH    .S2     RL8,B3            ; |151| 
           NOP             3
RL8:       ; CALL OCCURS                     ; |151| 
	.line	11
           B       .S1     _mcbsp0_write     ; |152| 
           MVKL    .S2     RL10,B3           ; |152| 
           ZERO    .L1     A4                ; |152| 
           MVKH    .S2     RL10,B3           ; |152| 
           NOP             2
RL10:      ; CALL OCCURS                     ; |152| 
	.line	12
           B       .S1     _mcbsp0_read      ; |153| 
           MVKL    .S2     RL12,B3           ; |153| 
           MVKH    .S2     RL12,B3           ; |153| 
           NOP             3
RL12:      ; CALL OCCURS                     ; |153| 
	.line	13
           B       .S1     _mcbsp0_write     ; |154| 
           MVKL    .S2     RL14,B3           ; |154| 
           MVKH    .S2     RL14,B3           ; |154| 
           MVK     .S1     0x1,A4            ; |154| 
           NOP             2
RL14:      ; CALL OCCURS                     ; |154| 
	.line	14
           B       .S1     _mcbsp0_read      ; |155| 
           MVKL    .S2     RL16,B3           ; |155| 
           MVKH    .S2     RL16,B3           ; |155| 
           NOP             3
RL16:      ; CALL OCCURS                     ; |155| 
	.line	15
           B       .S1     _mcbsp0_write     ; |156| 
           MVKL    .S2     RL18,B3           ; |156| 
           MVKH    .S2     RL18,B3           ; |156| 
           MVK     .S1     0x386,A4          ; |156| 
           NOP             2
RL18:      ; CALL OCCURS                     ; |156| 
	.line	16
           B       .S1     _mcbsp0_read      ; |157| 
           MVKL    .S2     RL20,B3           ; |157| 
           MVKH    .S2     RL20,B3           ; |157| 
           NOP             3
RL20:      ; CALL OCCURS                     ; |157| 
;** --------------------------------------------------------------------------*
	.line	17
           B       .S1     _mcbsp0_write     ; |158| 
           MVKL    .S2     RL22,B3           ; |158| 
           MVKH    .S2     RL22,B3           ; |158| 
           ZERO    .L1     A4                ; |158| 
           NOP             2
RL22:      ; CALL OCCURS                     ; |158| 
	.line	18
           B       .S1     _mcbsp0_read      ; |159| 
           MVKL    .S2     RL24,B3           ; |159| 
           MVKH    .S2     RL24,B3           ; |159| 
           NOP             3
RL24:      ; CALL OCCURS                     ; |159| 
	.line	21
           B       .S1     _mcbsp0_write     ; |162| 
           MVKL    .S2     RL26,B3           ; |162| 
           MVKH    .S2     RL26,B3           ; |162| 
           ZERO    .L1     A4                ; |162| 
           NOP             2
RL26:      ; CALL OCCURS                     ; |162| 
	.line	22
           B       .S1     _mcbsp0_read      ; |163| 
           MVKL    .S2     RL28,B3           ; |163| 
           MVKH    .S2     RL28,B3           ; |163| 
           NOP             3
RL28:      ; CALL OCCURS                     ; |163| 
	.line	23
           B       .S1     _mcbsp0_write     ; |164| 
           MVKL    .S2     RL30,B3           ; |164| 
           MVKH    .S2     RL30,B3           ; |164| 
           ZERO    .L1     A4                ; |164| 
           NOP             2
RL30:      ; CALL OCCURS                     ; |164| 
	.line	24
           B       .S1     _mcbsp0_read      ; |165| 
           MVKL    .S2     RL32,B3           ; |165| 
           MVKH    .S2     RL32,B3           ; |165| 
           NOP             3
RL32:      ; CALL OCCURS                     ; |165| 
	.line	25
           B       .S1     _mcbsp0_write     ; |166| 
           MVKL    .S2     RL34,B3           ; |166| 
           MVK     .S1     0x1,A4            ; |166| 
           MVKH    .S2     RL34,B3           ; |166| 
           NOP             2
RL34:      ; CALL OCCURS                     ; |166| 
	.line	26
           B       .S1     _mcbsp0_read      ; |167| 
           MVKL    .S2     RL36,B3           ; |167| 
           MVKH    .S2     RL36,B3           ; |167| 
           NOP             3
RL36:      ; CALL OCCURS                     ; |167| 
	.line	27
           B       .S1     _mcbsp0_write     ; |168| 
           MVKL    .S2     RL38,B3           ; |168| 
           MVKH    .S2     RL38,B3           ; |168| 
           MVK     .S1     0x306,A4          ; |168| 
           NOP             2
RL38:      ; CALL OCCURS                     ; |168| 
	.line	28
           B       .S1     _mcbsp0_read      ; |169| 
           MVKL    .S2     RL40,B3           ; |169| 
           MVKH    .S2     RL40,B3           ; |169| 
           NOP             3
RL40:      ; CALL OCCURS                     ; |169| 
	.line	29
           B       .S1     _mcbsp0_write     ; |170| 
           MVKL    .S2     RL42,B3           ; |170| 
           MVKH    .S2     RL42,B3           ; |170| 
           ZERO    .L1     A4                ; |170| 
           NOP             2
RL42:      ; CALL OCCURS                     ; |170| 
;** --------------------------------------------------------------------------*
	.line	30
           B       .S1     _mcbsp0_read      ; |171| 
           MVKL    .S2     RL44,B3           ; |171| 
           MVKH    .S2     RL44,B3           ; |171| 
           NOP             3
RL44:      ; CALL OCCURS                     ; |171| 
	.line	32
           B       .S1     _mcbsp0_write     ; |173| 
           MVKL    .S2     RL46,B3           ; |173| 
           MVKH    .S2     RL46,B3           ; |173| 
           ZERO    .L1     A4                ; |173| 
           NOP             2
RL46:      ; CALL OCCURS                     ; |173| 
	.line	33
           B       .S1     _mcbsp0_read      ; |174| 
           MVKL    .S2     RL48,B3           ; |174| 
           MVKH    .S2     RL48,B3           ; |174| 
           NOP             3
RL48:      ; CALL OCCURS                     ; |174| 
	.line	34
           B       .S1     _mcbsp0_write     ; |175| 
           MVKL    .S2     RL50,B3           ; |175| 
           MVKH    .S2     RL50,B3           ; |175| 
           MVK     .S1     0x1,A4            ; |175| 
           NOP             2
RL50:      ; CALL OCCURS                     ; |175| 
	.line	35
           B       .S1     _mcbsp0_read      ; |176| 
           MVKL    .S2     RL52,B3           ; |176| 
           MVKH    .S2     RL52,B3           ; |176| 
           NOP             3
RL52:      ; CALL OCCURS                     ; |176| 
	.line	36
           B       .S1     _mcbsp0_write     ; |177| 
           MVKL    .S2     RL54,B3           ; |177| 
           MVKH    .S2     RL54,B3           ; |177| 
           MVK     .S1     0x2330,A4         ; |177| 
           NOP             2
RL54:      ; CALL OCCURS                     ; |177| 
	.line	37
           B       .S1     _mcbsp0_read      ; |178| 
           MVKL    .S2     RL56,B3           ; |178| 
           MVKH    .S2     RL56,B3           ; |178| 
           NOP             3
RL56:      ; CALL OCCURS                     ; |178| 
           MV      .L1     A4,A10            ; 
	.line	38
           B       .S1     _mcbsp0_write     ; |179| 
           MVKL    .S2     RL58,B3           ; |179| 
           MVKH    .S2     RL58,B3           ; |179| 
           ZERO    .L1     A4                ; |179| 
           NOP             2
RL58:      ; CALL OCCURS                     ; |179| 
	.line	39
           B       .S1     _mcbsp0_read      ; |180| 
           MVKL    .S2     RL60,B3           ; |180| 
           MVKH    .S2     RL60,B3           ; |180| 
           NOP             3
RL60:      ; CALL OCCURS                     ; |180| 
	.line	40
           B       .S1     _mcbsp0_write     ; |181| 
           MVKL    .S2     RL62,B3           ; |181| 
           ZERO    .L1     A4                ; |181| 
           MVKH    .S2     RL62,B3           ; |181| 
           NOP             2
RL62:      ; CALL OCCURS                     ; |181| 
	.line	41
           B       .S1     _mcbsp0_read      ; |182| 
           MVKL    .S2     RL64,B3           ; |182| 
           MVKH    .S2     RL64,B3           ; |182| 
           NOP             3
RL64:      ; CALL OCCURS                     ; |182| 
;** --------------------------------------------------------------------------*
	.line	42
           EXTU    .S1     A10,24,24,A0      ; |183| 
           CMPEQ   .L1     A0,6,A1           ; |183| 
   [!A1]   B       .S1     L10               ; |183| 
           NOP             5
           ; BRANCH OCCURS                   ; |183| 
;** --------------------------------------------------------------------------*
	.line	51
           B       .S1     _mcbsp0_write     ; |192| 
           MVKL    .S2     RL66,B3           ; |192| 
           MVKH    .S2     RL66,B3           ; |192| 
           ZERO    .L1     A4                ; |192| 
           NOP             2
RL66:      ; CALL OCCURS                     ; |192| 
	.line	52
           B       .S1     _mcbsp0_read      ; |193| 
           MVKL    .S2     RL68,B3           ; |193| 
           MVKH    .S2     RL68,B3           ; |193| 
           NOP             3
RL68:      ; CALL OCCURS                     ; |193| 
	.line	53
           B       .S1     _mcbsp0_write     ; |194| 
           MVKL    .S2     RL70,B3           ; |194| 
           MVKH    .S2     RL70,B3           ; |194| 
           ZERO    .L1     A4                ; |194| 
           NOP             2
RL70:      ; CALL OCCURS                     ; |194| 
	.line	54
           B       .S1     _mcbsp0_read      ; |195| 
           MVKL    .S2     RL72,B3           ; |195| 
           MVKH    .S2     RL72,B3           ; |195| 
           NOP             3
RL72:      ; CALL OCCURS                     ; |195| 
	.line	55
           B       .S1     _mcbsp0_write     ; |196| 
           MVKL    .S2     RL74,B3           ; |196| 
           MVKH    .S2     RL74,B3           ; |196| 
           MVK     .S1     0x1,A4            ; |196| 
           NOP             2
RL74:      ; CALL OCCURS                     ; |196| 
	.line	56
           B       .S1     _mcbsp0_read      ; |197| 
           MVKL    .S2     RL76,B3           ; |197| 
           MVKH    .S2     RL76,B3           ; |197| 
           NOP             3
RL76:      ; CALL OCCURS                     ; |197| 
	.line	57
           B       .S1     _mcbsp0_write     ; |198| 
           MVKL    .S2     RL78,B3           ; |198| 
           MVK     .S1     0x400,A4          ; |198| 
           MVKH    .S2     RL78,B3           ; |198| 
           NOP             2
RL78:      ; CALL OCCURS                     ; |198| 
	.line	58
           B       .S1     _mcbsp0_read      ; |199| 
           MVKL    .S2     RL80,B3           ; |199| 
           MVKH    .S2     RL80,B3           ; |199| 
           NOP             3
RL80:      ; CALL OCCURS                     ; |199| 
	.line	59
           B       .S1     _mcbsp0_write     ; |200| 
           MVKL    .S2     RL82,B3           ; |200| 
           MVKH    .S2     RL82,B3           ; |200| 
           ZERO    .L1     A4                ; |200| 
           NOP             2
RL82:      ; CALL OCCURS                     ; |200| 
	.line	60
           B       .S1     _mcbsp0_read      ; |201| 
           MVKL    .S2     RL84,B3           ; |201| 
           MVKH    .S2     RL84,B3           ; |201| 
           NOP             3
RL84:      ; CALL OCCURS                     ; |201| 
	.line	62
           B       .S1     _mcbsp0_write     ; |203| 
           MVKL    .S2     RL86,B3           ; |203| 
           MVKH    .S2     RL86,B3           ; |203| 
           ZERO    .L1     A4                ; |203| 
           NOP             2
RL86:      ; CALL OCCURS                     ; |203| 
;** --------------------------------------------------------------------------*
	.line	63
           B       .S1     _mcbsp0_read      ; |204| 
           MVKL    .S2     RL88,B3           ; |204| 
           MVKH    .S2     RL88,B3           ; |204| 
           NOP             3
RL88:      ; CALL OCCURS                     ; |204| 
	.line	64
           B       .S1     _mcbsp0_write     ; |205| 
           MVKL    .S2     RL90,B3           ; |205| 
           MVKH    .S2     RL90,B3           ; |205| 
           MVK     .S1     0x1,A4            ; |205| 
           NOP             2
RL90:      ; CALL OCCURS                     ; |205| 
	.line	65
           B       .S1     _mcbsp0_read      ; |206| 
           MVKL    .S2     RL92,B3           ; |206| 
           MVKH    .S2     RL92,B3           ; |206| 
           NOP             3
RL92:      ; CALL OCCURS                     ; |206| 
	.line	66
           B       .S1     _mcbsp0_write     ; |207| 
           MVKL    .S2     RL94,B3           ; |207| 
           MVKH    .S2     RL94,B3           ; |207| 
           MVK     .S1     0x2430,A4         ; |207| 
           NOP             2
RL94:      ; CALL OCCURS                     ; |207| 
	.line	67
           B       .S1     _mcbsp0_read      ; |208| 
           MVKL    .S2     RL96,B3           ; |208| 
           MVKH    .S2     RL96,B3           ; |208| 
           NOP             3
RL96:      ; CALL OCCURS                     ; |208| 
           MV      .L1     A4,A10            ; 
	.line	68
           B       .S1     _mcbsp0_write     ; |209| 
           MVKL    .S2     RL98,B3           ; |209| 
           MVKH    .S2     RL98,B3           ; |209| 
           ZERO    .L1     A4                ; |209| 
           NOP             2
RL98:      ; CALL OCCURS                     ; |209| 
	.line	69
           B       .S1     _mcbsp0_read      ; |210| 
           MVKL    .S2     RL100,B3          ; |210| 
           MVKH    .S2     RL100,B3          ; |210| 
           NOP             3
RL100:     ; CALL OCCURS                     ; |210| 
	.line	70
           B       .S1     _mcbsp0_write     ; |211| 
           MVKL    .S2     RL102,B3          ; |211| 
           MVKH    .S2     RL102,B3          ; |211| 
           ZERO    .L1     A4                ; |211| 
           NOP             2
RL102:     ; CALL OCCURS                     ; |211| 
	.line	71
           B       .S1     _mcbsp0_read      ; |212| 
           MVKL    .S2     RL104,B3          ; |212| 
           MVKH    .S2     RL104,B3          ; |212| 
           NOP             3
RL104:     ; CALL OCCURS                     ; |212| 
	.line	72
           EXTU    .S1     A10,24,24,A1      ; |213| 
   [ A1]   B       .S1     L9                ; |213| 
           NOP             5
           ; BRANCH OCCURS                   ; |213| 
;** --------------------------------------------------------------------------*
	.line	81
           B       .S1     _mcbsp0_write     ; |222| 
           MVKL    .S2     RL106,B3          ; |222| 
           MVKH    .S2     RL106,B3          ; |222| 
           ZERO    .L1     A4                ; |222| 
           NOP             2
RL106:     ; CALL OCCURS                     ; |222| 
	.line	82
           B       .S1     _mcbsp0_read      ; |223| 
           MVKL    .S2     RL108,B3          ; |223| 
           MVKH    .S2     RL108,B3          ; |223| 
           NOP             3
RL108:     ; CALL OCCURS                     ; |223| 
	.line	83
           B       .S1     _mcbsp0_write     ; |224| 
           MVKL    .S2     RL110,B3          ; |224| 
           MVKH    .S2     RL110,B3          ; |224| 
           ZERO    .L1     A4                ; |224| 
           NOP             2
RL110:     ; CALL OCCURS                     ; |224| 
	.line	84
           B       .S1     _mcbsp0_read      ; |225| 
           MVKL    .S2     RL112,B3          ; |225| 
           MVKH    .S2     RL112,B3          ; |225| 
           NOP             3
RL112:     ; CALL OCCURS                     ; |225| 
	.line	85
           B       .S1     _mcbsp0_write     ; |226| 
           MVKL    .S2     RL114,B3          ; |226| 
           MVKH    .S2     RL114,B3          ; |226| 
           MVK     .S1     0x1,A4            ; |226| 
           NOP             2
RL114:     ; CALL OCCURS                     ; |226| 
	.line	86
           B       .S1     _mcbsp0_read      ; |227| 
           MVKL    .S2     RL116,B3          ; |227| 
           MVKH    .S2     RL116,B3          ; |227| 
           NOP             3
RL116:     ; CALL OCCURS                     ; |227| 
	.line	87
           B       .S1     _mcbsp0_write     ; |228| 
           MVKL    .S2     RL118,B3          ; |228| 
           MVK     .S1     0x502,A4          ; |228| 
           MVKH    .S2     RL118,B3          ; |228| 
           NOP             2
RL118:     ; CALL OCCURS                     ; |228| 
	.line	88
           B       .S1     _mcbsp0_read      ; |229| 
           MVKL    .S2     RL120,B3          ; |229| 
           MVKH    .S2     RL120,B3          ; |229| 
           NOP             3
RL120:     ; CALL OCCURS                     ; |229| 
	.line	89
           B       .S1     _mcbsp0_write     ; |230| 
           MVKL    .S2     RL122,B3          ; |230| 
           MVKH    .S2     RL122,B3          ; |230| 
           ZERO    .L1     A4                ; |230| 
           NOP             2
RL122:     ; CALL OCCURS                     ; |230| 
	.line	90
           B       .S1     _mcbsp0_read      ; |231| 
           MVKL    .S2     RL124,B3          ; |231| 
           MVKH    .S2     RL124,B3          ; |231| 
           NOP             3
RL124:     ; CALL OCCURS                     ; |231| 
	.line	92
           B       .S1     _mcbsp0_write     ; |233| 
           MVKL    .S2     RL126,B3          ; |233| 
           MVKH    .S2     RL126,B3          ; |233| 
           ZERO    .L1     A4                ; |233| 
           NOP             2
RL126:     ; CALL OCCURS                     ; |233| 
;** --------------------------------------------------------------------------*
	.line	93
           B       .S1     _mcbsp0_read      ; |234| 
           MVKL    .S2     RL128,B3          ; |234| 
           MVKH    .S2     RL128,B3          ; |234| 
           NOP             3
RL128:     ; CALL OCCURS                     ; |234| 
	.line	94
           B       .S1     _mcbsp0_write     ; |235| 
           MVKL    .S2     RL130,B3          ; |235| 
           MVKH    .S2     RL130,B3          ; |235| 
           MVK     .S1     0x1,A4            ; |235| 
           NOP             2
RL130:     ; CALL OCCURS                     ; |235| 
	.line	95
           B       .S1     _mcbsp0_read      ; |236| 
           MVKL    .S2     RL132,B3          ; |236| 
           MVKH    .S2     RL132,B3          ; |236| 
           NOP             3
RL132:     ; CALL OCCURS                     ; |236| 
	.line	96
           B       .S1     _mcbsp0_write     ; |237| 
           MVKL    .S2     RL134,B3          ; |237| 
           MVKH    .S2     RL134,B3          ; |237| 
           MVK     .S1     0x2530,A4         ; |237| 
           NOP             2
RL134:     ; CALL OCCURS                     ; |237| 
	.line	97
           B       .S1     _mcbsp0_read      ; |238| 
           MVKL    .S2     RL136,B3          ; |238| 
           MVKH    .S2     RL136,B3          ; |238| 
           NOP             3
RL136:     ; CALL OCCURS                     ; |238| 
           MV      .L1     A4,A10            ; 
	.line	98
           B       .S1     _mcbsp0_write     ; |239| 
           MVKL    .S2     RL138,B3          ; |239| 
           MVKH    .S2     RL138,B3          ; |239| 
           ZERO    .L1     A4                ; |239| 
           NOP             2
RL138:     ; CALL OCCURS                     ; |239| 
	.line	99
           B       .S1     _mcbsp0_read      ; |240| 
           MVKL    .S2     RL140,B3          ; |240| 
           MVKH    .S2     RL140,B3          ; |240| 
           NOP             3
RL140:     ; CALL OCCURS                     ; |240| 
	.line	100
           B       .S1     _mcbsp0_write     ; |241| 
           MVKL    .S2     RL142,B3          ; |241| 
           ZERO    .L1     A4                ; |241| 
           MVKH    .S2     RL142,B3          ; |241| 
           NOP             2
RL142:     ; CALL OCCURS                     ; |241| 
	.line	101
           B       .S1     _mcbsp0_read      ; |242| 
           MVKL    .S2     RL144,B3          ; |242| 
           MVKH    .S2     RL144,B3          ; |242| 
           NOP             3
RL144:     ; CALL OCCURS                     ; |242| 
	.line	102
           EXTU    .S1     A10,24,25,A0      ; |243| 
           SHL     .S1     A0,1,A0           ; |243| 
           CMPEQ   .L1     A0,2,A1           ; |243| 
   [ A1]   B       .S1     L11               ; |243| 
           NOP             5
           ; BRANCH OCCURS                   ; |243| 
;** --------------------------------------------------------------------------*
;***	; the preceding call never returns
	.line	105
           B       .S1     _printf           ; |246| 
           MVKL    .S1     SL1+0,A0          ; |246| 
           MVKH    .S1     SL1+0,A0          ; |246| 
           MVKL    .S2     RL146,B3          ; |246| 
           STW     .D2T1   A0,*+SP(4)        ; |246| 
           MVKH    .S2     RL146,B3          ; |246| 
RL146:     ; CALL OCCURS                     ; |246| 
	.line	106
           B       .S1     _exit             ; |247| 
           MVKL    .S2     RL148,B3          ; |247| 
           MVKH    .S2     RL148,B3          ; |247| 
           ZERO    .L1     A4                ; |247| 
           NOP             2
RL148:     ; CALL OCCURS                     ; |247| 
;** --------------------------------------------------------------------------*
L9:    
;***	; the preceding call never returns
	.line	75
           B       .S1     _printf           ; |216| 
           MVKL    .S1     SL2+0,A0          ; |216| 
           MVKH    .S1     SL2+0,A0          ; |216| 
           MVKL    .S2     RL150,B3          ; |216| 
           STW     .D2T1   A0,*+SP(4)        ; |216| 
           MVKH    .S2     RL150,B3          ; |216| 
RL150:     ; CALL OCCURS                     ; |216| 
	.line	76
           B       .S1     _exit             ; |217| 
           MVKL    .S2     RL152,B3          ; |217| 
           MVKH    .S2     RL152,B3          ; |217| 
           ZERO    .L1     A4                ; |217| 
           NOP             2
RL152:     ; CALL OCCURS                     ; |217| 
;** --------------------------------------------------------------------------*
L10:    
;***	; the preceding call never returns
	.line	45
           B       .S1     _printf           ; |186| 
           MVKL    .S1     SL3+0,A0          ; |186| 
           MVKH    .S1     SL3+0,A0          ; |186| 
           MVKL    .S2     RL154,B3          ; |186| 
           STW     .D2T1   A0,*+SP(4)        ; |186| 
           MVKH    .S2     RL154,B3          ; |186| 
RL154:     ; CALL OCCURS                     ; |186| 
	.line	46
           B       .S1     _exit             ; |187| 
           MVKL    .S2     RL156,B3          ; |187| 
           MVKH    .S2     RL156,B3          ; |187| 
           ZERO    .L1     A4                ; |187| 
           NOP             2
RL156:     ; CALL OCCURS                     ; |187| 
;** --------------------------------------------------------------------------*
L11:    
	.line	110
           LDW     .D2T1   *+SP(12),A10      ; |251| 
           LDW     .D2T2   *++SP(16),B3      ; |251| 
           NOP             4
           B       .S2     B3                ; |251| 
           NOP             5
           ; BRANCH OCCURS                   ; |251| 
	.endfunc	251,000080400h,16


	.sect	".text"
	.global	_sinus
	.sym	_sinus,_sinus, 32, 2, 0
	.func	28

;******************************************************************************
;* FUNCTION NAME: _sinus                                                      *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,B0,*
;*                           B1,B2,B3,B4,B5,B6,B7,B8,B9,B10,B11,SP            *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,B0,*
;*                           B1,B2,B3,B4,B5,B6,B7,B8,B9,B10,B11,SP            *
;*   Local Frame Size  : 0 Args + 28 Auto + 32 Save = 60 byte                 *
;******************************************************************************
_sinus:
;** --------------------------------------------------------------------------*
	.sym	_TT,4, 7, 17, 64
	.sym	_tempo,20, 4, 17, 32
	.sym	C$1,26, 7, 4, 64
	.sym	C$2,10, 7, 4, 64
	.sym	Y$0,4, 7, 4, 64
	.sym	_C,4, 7, 4, 64
	.sym	_A,13, 7, 4, 64
	.sym	_TT,0, 7, 4, 64
	.sym	_tempo,12, 4, 4, 32
	.sym	L$1,12, 4, 4, 32
	.sym	U$19,10, 7, 4, 64
	.sym	_x,8, 55, 1, 192,, 3
           STW     .D2T2   B11,*SP--(64)     ; |28| 
           STW     .D2T1   A10,*+SP(36)      ; |28| 
           STW     .D2T1   A11,*+SP(40)      ; |28| 
           STW     .D2T1   A12,*+SP(44)      ; |28| 
           STW     .D2T1   A13,*+SP(48)      ; |28| 
           STW     .D2T1   A14,*+SP(52)      ; |28| 
           STW     .D2T2   B3,*+SP(56)       ; |28| 
           STW     .D2T2   B10,*+SP(60)      ; |28| 
	.line	2

           MV      .L1     A5,A1             ; 
||         MV      .S1X    B4,A12            ; 
||         MV      .D1     A4,A0             ; 

	.line	7
           B       .S1     __divd            ; |34| 
           MVKL    .S1     0x4d12d84a,A4     ; |34| 
           MVKL    .S1     0x401921fb,A5     ; |34| 
           MVKH    .S1     0x4d12d84a,A4     ; |34| 

           MVKL    .S2     RL158,B3          ; |34| 
||         MV      .L2X    A1,B5             ; |34| 

           MV      .L2X    A0,B4             ; |34| 
||         MVKH    .S2     RL158,B3          ; |34| 
||         MVKH    .S1     0x401921fb,A5     ; |34| 

RL158:     ; CALL OCCURS                     ; |34| 

           MV      .L1     A5,A11            ; 
||         MV      .S1     A4,A10            ; 

           B       .S1     _cos              ; |34| 
           MVKL    .S2     RL160,B3          ; |34| 
           MVKH    .S2     RL160,B3          ; |34| 
           NOP             3
RL160:     ; CALL OCCURS                     ; |34| 

           MV      .L1     A5,A14            ; 
||         MV      .S1     A4,A13            ; 

	.line	8
           B       .S1     _sin              ; |35| 
           MVKL    .S2     RL162,B3          ; |35| 
           MV      .L1     A10,A4            ; |35| 
           MV      .S1     A11,A5            ; |35| 
           MVKH    .S2     RL162,B3          ; |35| 
           NOP             1
RL162:     ; CALL OCCURS                     ; |35| 
	.line	9
           STW     .D2T1   A4,*+SP(16)       ; |36| 
           STW     .D2T1   A5,*+SP(20)       ; |36| 
	.line	10
           B       .S1     __addd            ; |37| 
           ZERO    .L2     B4                ; |37| 
           STW     .D2T2   B4,*+SP(24)       ; |37| 
           MV      .L2X    A14,B5            ; |37| 

           ZERO    .D2     B6                ; |37| 
||         MVKL    .S2     RL164,B3          ; |37| 

           MV      .L2X    A13,B4            ; |37| 
||         MVKH    .S2     RL164,B3          ; |37| 
||         STW     .D2T2   B6,*+SP(28)       ; |37| 
||         MV      .L1     A14,A5            ; |37| 
||         MV      .S1     A13,A4            ; |37| 

RL164:     ; CALL OCCURS                     ; |37| 

           MV      .L1     A5,A11            ; 
||         MV      .S1     A4,A10            ; 

	.line	14
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: loop contains a call
;*----------------------------------------------------------------------------*
L12:    
           LDW     .D2T2   *+SP(16),B10      ; |41| 
           LDW     .D2T2   *+SP(20),B11      ; |41| 
           B       .S1     __mpyd            ; |41| 
           MVKL    .S2     RL168,B3          ; |41| 
           MVKH    .S2     RL168,B3          ; |41| 
           MV      .L1     A11,A5            ; |41| 
           MV      .S1     A10,A4            ; |41| 

           MV      .L2     B11,B5            ; |41| 
||         MV      .D2     B10,B4            ; |41| 

RL168:     ; CALL OCCURS                     ; |41| 

           B       .S1     __subd            ; |41| 
||         LDW     .D2T2   *+SP(24),B4       ; 

           LDW     .D2T2   *+SP(28),B5       ; 
           MVKL    .S2     RL170,B3          ; |41| 
           MVKH    .S2     RL170,B3          ; |41| 
           NOP             2
RL170:     ; CALL OCCURS                     ; |41| 
           STW     .D2T1   A4,*+SP(8)        ; |41| 
           STW     .D2T1   A5,*+SP(12)       ; |41| 
	.line	15
           STW     .D2T2   B10,*+SP(24)      ; |42| 
           STW     .D2T2   B11,*+SP(28)      ; |42| 
	.line	16
           STW     .D2T1   A4,*+SP(16)       ; |43| 
           STW     .D2T1   A5,*+SP(20)       ; |43| 
	.line	24
           B       .S1     __mpyd            ; |51| 
           MVKL    .S2     RL174,B3          ; |51| 
           MVKL    .S2     0x40d38800,B5     ; |51| 
           MVKH    .S2     RL174,B3          ; |51| 
           MVKH    .S2     0x40d38800,B5     ; |51| 
           ZERO    .L2     B4                ; |51| 
RL174:     ; CALL OCCURS                     ; |51| 
           B       .S1     __fixdu           ; |51| 
           MVKL    .S2     RL176,B3          ; |51| 
           MVKH    .S2     RL176,B3          ; |51| 
           NOP             3
RL176:     ; CALL OCCURS                     ; |51| 
           B       .S1     _mcbsp0_write     ; |51| 
           MVKL    .S2     RL178,B3          ; |51| 
           EXTU    .S1     A4,16,17,A0       ; |51| 
           SHL     .S1     A0,1,A4           ; |51| 
           MVKH    .S2     RL178,B3          ; |51| 
           NOP             1
RL178:     ; CALL OCCURS                     ; |51| 
	.line	25
           SUB     .L1     A12,1,A1          ; 
   [ A1]   B       .S1     L12               ; |52| 
           SUB     .L1     A12,1,A12         ; 
           NOP             4
           ; BRANCH OCCURS                   ; |52| 
;** --------------------------------------------------------------------------*
	.line	26
           LDW     .D2T2   *+SP(56),B3       ; |53| 
           LDW     .D2T1   *+SP(52),A14      ; |53| 
           LDW     .D2T1   *+SP(48),A13      ; |53| 
           LDW     .D2T1   *+SP(44),A12      ; |53| 
           LDW     .D2T1   *+SP(40),A11      ; |53| 
           LDW     .D2T1   *+SP(36),A10      ; |53| 

           B       .S2     B3                ; |53| 
||         LDW     .D2T2   *+SP(60),B10      ; |53| 

           LDW     .D2T2   *++SP(64),B11     ; |53| 
           NOP             4
           ; BRANCH OCCURS                   ; |53| 
	.endfunc	53,00c087c00h,64


	.sect	".text"
	.global	_main
	.sym	_main,_main, 36, 2, 0
	.func	55

;******************************************************************************
;* FUNCTION NAME: _main                                                       *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,B10,B11,SP                              *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,B10,B11,SP                              *
;*   Local Frame Size  : 0 Args + 0 Auto + 12 Save = 12 byte                  *
;******************************************************************************
_main:
;** --------------------------------------------------------------------------*
	.sym	C$1,20, 14, 4, 32
	.sym	C$2,0, 14, 4, 32
	.sym	K$32,27, 4, 4, 32
	.sym	K$27,26, 4, 4, 32
; >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> ENTERING mcbsp0_init()
; <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< LEAVING mcbsp0_init()
           STW     .D2T2   B11,*SP--(16)     ; |55| 
           STW     .D2T2   B3,*+SP(8)        ; |55| 
           STW     .D2T2   B10,*+SP(12)      ; |55| 
	.line	5
           MVK     .S1     256,A0            ; |59| 
           MVC     .S2X    A0,CSR            ; |59| 
	.line	6
           MVK     .S1     1,A0              ; |60| 
           MVC     .S2X    A0,IER            ; |60| 
	.line	7
           ZERO    .L1     A0                ; |61| 
           SET     .S1     A0,0x0,0xf,A0     ; |61| 
           MVC     .S2X    A0,ICR            ; |61| 
           NOP             1
	.line	9
           ZERO    .L2     B4                ; |63| 

           MVK     .S1     13056,A0          ; |63| 
||         MVKH    .S2     0x1800000,B4      ; |63| 

           STW     .D2T1   A0,*B4            ; |63| 
	.line	10
           MVKL    .S2     0x1800004,B4      ; |64| 

           MVK     .S1     -221,A0           ; |64| 
||         MVKH    .S2     0x1800004,B4      ; |64| 

           STW     .D2T1   A0,*B4            ; |64| 
	.line	12
           MVKL    .S2     0x18c0008,B5      ; |66| 

           ZERO    .L2     B4                ; |66| 
||         MVKH    .S2     0x18c0008,B5      ; |66| 

           STW     .D2T2   B4,*B5            ; |66| 
           MVKL    .S1     0x18c0024,A0      ; |66| 
           MVKH    .S1     0x18c0024,A0      ; |66| 
           STW     .D1T2   B4,*A0            ; |66| 
           MVKL    .S1     0x18c000c,A3      ; |66| 
           MVKH    .S1     0x18c000c,A3      ; |66| 
           MVKL    .S1     0x10040,A0        ; |66| 
           MVKH    .S1     0x10040,A0        ; |66| 
           STW     .D1T1   A0,*A3            ; |66| 
           MVKL    .S2     0x18c0010,B5      ; |66| 
           MVKH    .S2     0x18c0010,B5      ; |66| 
           STW     .D2T1   A0,*B5            ; |66| 
           MVKL    .S2     0x18c0004,B5      ; |66| 
           MVKH    .S2     0x18c0004,B5      ; |66| 
           STW     .D2T2   B4,*B5            ; |66| 

           MVKL    .S2     0x12001,B4        ; |66| 
||         MVKL    .S1     0x18c0008,A0      ; |66| 

           MVKH    .S2     0x12001,B4        ; |66| 
||         MVKH    .S1     0x18c0008,A0      ; |66| 

           STW     .D1T2   B4,*A0            ; |66| 
	.line	13
           B       .S1     _codec_init       ; |67| 
           MVKL    .S2     RL180,B3          ; |67| 
           MVKH    .S2     RL180,B3          ; |67| 
           NOP             3
RL180:     ; CALL OCCURS                     ; |67| 
           MVK     .S2     0x7d0,B11         ; |67| 
           MVK     .S2     0xfa0,B10         ; |67| 
;** --------------------------------------------------------------------------*
L13:    
	.line	17
           B       .S1     _sinus            ; |71| 
           MVKL    .S1     0x400f3333,A5     ; |71| 
           MVKL    .S1     0x33333333,A4     ; |71| 
           MVKH    .S1     0x400f3333,A5     ; |71| 
           MVKL    .S2     RL182,B3          ; |71| 

           MVKH    .S1     0x33333333,A4     ; |71| 
||         MVKH    .S2     RL182,B3          ; |71| 
||         MV      .L2     B10,B4            ; |71| 

RL182:     ; CALL OCCURS                     ; |71| 
	.line	18
           B       .S1     _sinus            ; |72| 
           MVKL    .S1     0x8f5c28f6,A4     ; |72| 
           MVKL    .S1     0x4012f5c2,A5     ; |72| 
           MVKH    .S1     0x8f5c28f6,A4     ; |72| 
           MVKL    .S2     RL184,B3          ; |72| 

           MV      .L2     B10,B4            ; |72| 
||         MVKH    .S2     RL184,B3          ; |72| 
||         MVKH    .S1     0x4012f5c2,A5     ; |72| 

RL184:     ; CALL OCCURS                     ; |72| 
	.line	19
           B       .S1     _sinus            ; |73| 
           MVKL    .S1     0x8f5c28f6,A4     ; |73| 
           MVKL    .S1     0x4012f5c2,A5     ; |73| 
           MVKH    .S1     0x8f5c28f6,A4     ; |73| 
           MVKL    .S2     RL186,B3          ; |73| 

           MV      .L2     B10,B4            ; |73| 
||         MVKH    .S2     RL186,B3          ; |73| 
||         MVKH    .S1     0x4012f5c2,A5     ; |73| 

RL186:     ; CALL OCCURS                     ; |73| 
	.line	20
           B       .S1     _sinus            ; |74| 
           MVKL    .S1     0x147ae148,A4     ; |74| 
           MVKL    .S1     0x401147ae,A5     ; |74| 
           MVKH    .S1     0x147ae148,A4     ; |74| 
           MVKL    .S2     RL188,B3          ; |74| 

           MV      .L2     B10,B4            ; |74| 
||         MVKH    .S2     RL188,B3          ; |74| 
||         MVKH    .S1     0x401147ae,A5     ; |74| 

RL188:     ; CALL OCCURS                     ; |74| 
	.line	21
           B       .S1     _sinus            ; |75| 
           MVKL    .S1     0x4014a3d7,A5     ; |75| 
           MVKL    .S1     0xa3d70a4,A4      ; |75| 
           MVKH    .S1     0x4014a3d7,A5     ; |75| 
           MVKL    .S2     RL190,B3          ; |75| 

           MVKH    .S1     0xa3d70a4,A4      ; |75| 
||         MVKH    .S2     RL190,B3          ; |75| 
||         MV      .L2     B10,B4            ; |75| 

RL190:     ; CALL OCCURS                     ; |75| 
	.line	22
           B       .S1     _sinus            ; |76| 
           MVKL    .S1     0xa3d70a4,A4      ; |76| 
           MVKL    .S1     0x4014a3d7,A5     ; |76| 
           MVKH    .S1     0xa3d70a4,A4      ; |76| 
           MVKL    .S2     RL192,B3          ; |76| 

           MV      .L2     B10,B4            ; |76| 
||         MVKH    .S2     RL192,B3          ; |76| 
||         MVKH    .S1     0x4014a3d7,A5     ; |76| 

RL192:     ; CALL OCCURS                     ; |76| 
	.line	23
           B       .S1     _sinus            ; |77| 
           MVKL    .S1     0x851eb852,A4     ; |77| 
           MVKL    .S1     0x401651eb,A5     ; |77| 
           MVKH    .S1     0x851eb852,A4     ; |77| 
           MVKL    .S2     RL194,B3          ; |77| 

           MV      .L2     B11,B4            ; |77| 
||         MVKH    .S2     RL194,B3          ; |77| 
||         MVKH    .S1     0x401651eb,A5     ; |77| 

RL194:     ; CALL OCCURS                     ; |77| 
	.line	24
           B       .S1     _sinus            ; |78| 
           MVKL    .S1     0x8f5c28f6,A4     ; |78| 
           MVKL    .S1     0x4012f5c2,A5     ; |78| 
           MVKH    .S1     0x8f5c28f6,A4     ; |78| 
           MVKL    .S2     RL196,B3          ; |78| 

           MV      .L2     B11,B4            ; |78| 
||         MVKH    .S2     RL196,B3          ; |78| 
||         MVKH    .S1     0x4012f5c2,A5     ; |78| 

RL196:     ; CALL OCCURS                     ; |78| 
	.line	25
           B       .S1     _sinus            ; |79| 
           MVKL    .S1     0x401147ae,A5     ; |79| 
           MVKL    .S1     0x147ae148,A4     ; |79| 
           MVKH    .S1     0x401147ae,A5     ; |79| 
           MVKL    .S2     RL198,B3          ; |79| 

           MVKH    .S1     0x147ae148,A4     ; |79| 
||         MVKH    .S2     RL198,B3          ; |79| 
||         MV      .L2     B11,B4            ; |79| 

RL198:     ; CALL OCCURS                     ; |79| 
	.line	27
           B       .S1     _sinus            ; |81| 
           MVKL    .S1     0x33333333,A4     ; |81| 
           MVKL    .S1     0x400f3333,A5     ; |81| 
           MVKH    .S1     0x33333333,A4     ; |81| 
           MVKL    .S2     RL200,B3          ; |81| 

           MV      .L2     B10,B4            ; |81| 
||         MVKH    .S2     RL200,B3          ; |81| 
||         MVKH    .S1     0x400f3333,A5     ; |81| 

RL200:     ; CALL OCCURS                     ; |81| 
	.line	28
           B       .S1     _sinus            ; |82| 
           MVKL    .S1     0x8f5c28f6,A4     ; |82| 
           MVKL    .S1     0x4012f5c2,A5     ; |82| 
           MVKH    .S1     0x8f5c28f6,A4     ; |82| 
           MVKL    .S2     RL202,B3          ; |82| 

           MV      .L2     B10,B4            ; |82| 
||         MVKH    .S2     RL202,B3          ; |82| 
||         MVKH    .S1     0x4012f5c2,A5     ; |82| 

RL202:     ; CALL OCCURS                     ; |82| 
;** --------------------------------------------------------------------------*
	.line	29
           B       .S1     _sinus            ; |83| 
           MVKL    .S1     0x4012f5c2,A5     ; |83| 
           MVKL    .S1     0x8f5c28f6,A4     ; |83| 
           MVKH    .S1     0x4012f5c2,A5     ; |83| 
           MVKL    .S2     RL204,B3          ; |83| 

           MVKH    .S1     0x8f5c28f6,A4     ; |83| 
||         MVKH    .S2     RL204,B3          ; |83| 
||         MV      .L2     B10,B4            ; |83| 

RL204:     ; CALL OCCURS                     ; |83| 
	.line	30
           B       .S1     _sinus            ; |84| 
           MVKL    .S1     0x147ae148,A4     ; |84| 
           MVKL    .S1     0x401147ae,A5     ; |84| 
           MVKH    .S1     0x147ae148,A4     ; |84| 
           MVKL    .S2     RL206,B3          ; |84| 

           MV      .L2     B10,B4            ; |84| 
||         MVKH    .S2     RL206,B3          ; |84| 
||         MVKH    .S1     0x401147ae,A5     ; |84| 

RL206:     ; CALL OCCURS                     ; |84| 
	.line	31
           B       .S1     _sinus            ; |85| 
           MVKL    .S1     0xa3d70a4,A4      ; |85| 
           MVKL    .S1     0x4014a3d7,A5     ; |85| 
           MVKH    .S1     0xa3d70a4,A4      ; |85| 
           MVKL    .S2     RL208,B3          ; |85| 

           MV      .L2     B10,B4            ; |85| 
||         MVKH    .S2     RL208,B3          ; |85| 
||         MVKH    .S1     0x4014a3d7,A5     ; |85| 

RL208:     ; CALL OCCURS                     ; |85| 
	.line	32
           B       .S1     _sinus            ; |86| 
           MVKL    .S1     0xa3d70a4,A4      ; |86| 
           MVKL    .S1     0x4014a3d7,A5     ; |86| 
           MVKH    .S1     0xa3d70a4,A4      ; |86| 
           MVKL    .S2     RL210,B3          ; |86| 

           MV      .L2     B10,B4            ; |86| 
||         MVKH    .S2     RL210,B3          ; |86| 
||         MVKH    .S1     0x4014a3d7,A5     ; |86| 

RL210:     ; CALL OCCURS                     ; |86| 
	.line	33
           B       .S1     _sinus            ; |87| 
           MVKL    .S1     0x401651eb,A5     ; |87| 
           MVKL    .S1     0x851eb852,A4     ; |87| 
           MVKH    .S1     0x401651eb,A5     ; |87| 
           MVKL    .S2     RL212,B3          ; |87| 

           MVKH    .S1     0x851eb852,A4     ; |87| 
||         MVKH    .S2     RL212,B3          ; |87| 
||         MV      .L2     B11,B4            ; |87| 

RL212:     ; CALL OCCURS                     ; |87| 
	.line	34
           B       .S1     _sinus            ; |88| 
           MVKL    .S1     0x4012f5c2,A5     ; |88| 
           MVKL    .S1     0x8f5c28f6,A4     ; |88| 
           MVKH    .S1     0x4012f5c2,A5     ; |88| 
           MVKL    .S2     RL214,B3          ; |88| 

           MVKH    .S1     0x8f5c28f6,A4     ; |88| 
||         MVKH    .S2     RL214,B3          ; |88| 
||         MV      .L2     B11,B4            ; |88| 

RL214:     ; CALL OCCURS                     ; |88| 
	.line	35
           B       .S1     _sinus            ; |89| 
           MVKL    .S1     0x851eb852,A4     ; |89| 
           MVKL    .S1     0x401651eb,A5     ; |89| 
           MVKH    .S1     0x851eb852,A4     ; |89| 
           MVKL    .S2     RL216,B3          ; |89| 

           MV      .L2     B11,B4            ; |89| 
||         MVKH    .S2     RL216,B3          ; |89| 
||         MVKH    .S1     0x401651eb,A5     ; |89| 

RL216:     ; CALL OCCURS                     ; |89| 
	.line	38
           B       .S1     _sinus            ; |92| 
           ZERO    .L1     A5                ; |92| 
           MVKL    .S2     RL218,B3          ; |92| 
           MVKH    .S1     0x40180000,A5     ; |92| 
           MVKH    .S2     RL218,B3          ; |92| 

           ZERO    .L1     A4                ; |92| 
||         MV      .L2     B10,B4            ; |92| 

RL218:     ; CALL OCCURS                     ; |92| 
	.line	39
           B       .S1     _sinus            ; |93| 
           MVKL    .S1     0x851eb852,A4     ; |93| 
           MVKL    .S1     0x401651eb,A5     ; |93| 
           MVKH    .S1     0x851eb852,A4     ; |93| 
           MVKL    .S2     RL220,B3          ; |93| 

           MV      .L2     B10,B4            ; |93| 
||         MVKH    .S2     RL220,B3          ; |93| 
||         MVKH    .S1     0x401651eb,A5     ; |93| 

RL220:     ; CALL OCCURS                     ; |93| 
	.line	40
           B       .S1     _sinus            ; |94| 
           MVKL    .S1     0xa3d70a4,A4      ; |94| 
           MVKL    .S1     0x4014a3d7,A5     ; |94| 
           MVKH    .S1     0xa3d70a4,A4      ; |94| 
           MVKL    .S2     RL222,B3          ; |94| 

           MV      .L2     B10,B4            ; |94| 
||         MVKH    .S2     RL222,B3          ; |94| 
||         MVKH    .S1     0x4014a3d7,A5     ; |94| 

RL222:     ; CALL OCCURS                     ; |94| 
	.line	41
           B       .S1     _sinus            ; |95| 
           MVKL    .S1     0x8f5c28f6,A4     ; |95| 
           MVKL    .S1     0x4012f5c2,A5     ; |95| 
           MVKH    .S1     0x8f5c28f6,A4     ; |95| 
           MVKL    .S2     RL224,B3          ; |95| 

           MVKH    .S1     0x4012f5c2,A5     ; |95| 
||         MVKH    .S2     RL224,B3          ; |95| 
||         MV      .L2     B10,B4            ; |95| 

RL224:     ; CALL OCCURS                     ; |95| 
;** --------------------------------------------------------------------------*
	.line	42
           B       .S1     _sinus            ; |96| 
           MVKL    .S1     0x401147ae,A5     ; |96| 
           MVKL    .S1     0x147ae148,A4     ; |96| 
           MVKH    .S1     0x401147ae,A5     ; |96| 
           MVKL    .S2     RL226,B3          ; |96| 

           MVKH    .S1     0x147ae148,A4     ; |96| 
||         MVKH    .S2     RL226,B3          ; |96| 
||         MV      .L2     B10,B4            ; |96| 

RL226:     ; CALL OCCURS                     ; |96| 
	.line	43
           B       .S1     _sinus            ; |97| 
           MVKL    .S1     0x33333333,A4     ; |97| 
           MVKL    .S1     0x400f3333,A5     ; |97| 
           MVKH    .S1     0x33333333,A4     ; |97| 
           MVKL    .S2     RL228,B3          ; |97| 

           MV      .L2     B10,B4            ; |97| 
||         MVKH    .S2     RL228,B3          ; |97| 
||         MVKH    .S1     0x400f3333,A5     ; |97| 

RL228:     ; CALL OCCURS                     ; |97| 
	.line	44
           B       .S1     _sinus            ; |98| 
           MVKL    .S1     0xb851eb85,A4     ; |98| 
           MVKL    .S1     0x400d851e,A5     ; |98| 
           MVKH    .S1     0xb851eb85,A4     ; |98| 
           MVKL    .S2     RL230,B3          ; |98| 

           MV      .L2     B10,B4            ; |98| 
||         MVKH    .S2     RL230,B3          ; |98| 
||         MVKH    .S1     0x400d851e,A5     ; |98| 

RL230:     ; CALL OCCURS                     ; |98| 
	.line	45
           B       .S1     _sinus            ; |99| 
           MVKL    .S1     0x3d70a3d7,A4     ; |99| 
           MVKL    .S1     0x400bd70a,A5     ; |99| 
           MVKH    .S1     0x3d70a3d7,A4     ; |99| 
           MVKL    .S2     RL232,B3          ; |99| 

           MV      .L2     B10,B4            ; |99| 
||         MVKH    .S2     RL232,B3          ; |99| 
||         MVKH    .S1     0x400bd70a,A5     ; |99| 

RL232:     ; CALL OCCURS                     ; |99| 
	.line	48
           B       .S1     L13               ; |102| 
           NOP             5
           ; BRANCH OCCURS                   ; |102| 
;** --------------------------------------------------------------------------*
	.line	51
	.endfunc	105,00c080000h,16


;******************************************************************************
;* MARK THE END OF THE SCALAR INIT RECORD IN CINIT:C                          *
;******************************************************************************
CIR:	.sect	".cinit:c"
;******************************************************************************
;* STRINGS                                                                    *
;******************************************************************************
	.sect	".const"
SL1:	.string	"Error in setting up register 5.",10,0
SL2:	.string	"Error in setting up register 4.",10,0
SL3:	.string	"Error in setting up register 3.",10,0
;******************************************************************************
;* UNDEFINED EXTERNAL REFERENCES                                              *
;******************************************************************************
	.global	_exit
	.global	_printf
	.global	_sin
	.global	_cos
	.global	__divd
	.global	__addd
	.global	__mpyd
	.global	__subd
	.global	__fixdu
