;******************************************************************************
;* TMS320C6x ANSI C Codegen                                      Version 4.00 *
;* Date/Time created: Tue Oct 09 11:39:54 2007                                *
;******************************************************************************

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C620x                                          *
;*   Optimization      : Enabled at level 3                                   *
;*   Optimizing for    : Speed                                                *
;*                       Based on options: -o3, no -ms                        *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Memory Model      : Small                                                *
;*   Calls to RTS      : Near                                                 *
;*   Pipelining        : Enabled                                              *
;*   Speculative Load  : Disabled                                             *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : Debug                                                *
;*                                                                            *
;******************************************************************************

FP	.set	A15
DP	.set	B14
SP	.set	B15
	.global	$bss

;	opt6x -q -O3 D:\DOCUME~1\ADMINI~1\USTAWI~1\Temp\TI3516_2 D:\DOCUME~1\ADMINI~1\USTAWI~1\Temp\TI3516_4 -w C:\_Dsp\ti_proj\noise 
	.file	"noise.c"
	.file	"C:\ti\c6000\cgtools\include\stdlib.h"
	.file	"C:\ti\c6000\cgtools\include\stdio.h"
	.file	"noise.c"
	.file	"C:\ti\c6000\cgtools\include\c6x.h"
	.file	"noise.c"
	.global	_out
	.bss	_out,4,4
	.sym	_out,_out, 4, 2, 32
	.sect	".text"
	.global	_mcbsp0_init
	.sym	_mcbsp0_init,_mcbsp0_init, 32, 2, 0
	.func	52

;******************************************************************************
;* FUNCTION NAME: _mcbsp0_init                                                *
;*                                                                            *
;*   Regs Modified     : A0,A3,B4,B5                                          *
;*   Regs Used         : A0,A3,B3,B4,B5                                       *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_mcbsp0_init:
;** --------------------------------------------------------------------------*
	.sym	C$1,20, 14, 4, 32
	.sym	C$2,0, 14, 4, 32
	.line	4
           MVKL    .S2     0x18c0008,B5      ; |55| 

           MVKH    .S2     0x18c0008,B5      ; |55| 
||         ZERO    .L2     B4                ; |55| 

           STW     .D2T2   B4,*B5            ; |55| 
	.line	5
           MVKL    .S1     0x18c0024,A0      ; |56| 
           MVKH    .S1     0x18c0024,A0      ; |56| 
           STW     .D1T2   B4,*A0            ; |56| 
	.line	6
           MVKL    .S1     0x18c000c,A3      ; |57| 
           MVKH    .S1     0x18c000c,A3      ; |57| 
           MVKL    .S1     0x10040,A0        ; |57| 
           MVKH    .S1     0x10040,A0        ; |57| 
           STW     .D1T1   A0,*A3            ; |57| 
	.line	7
           MVKL    .S2     0x18c0010,B5      ; |58| 
           MVKH    .S2     0x18c0010,B5      ; |58| 
           STW     .D2T1   A0,*B5            ; |58| 
	.line	8
           MVKL    .S2     0x18c0004,B5      ; |59| 
           MVKH    .S2     0x18c0004,B5      ; |59| 
           STW     .D2T2   B4,*B5            ; |59| 
	.line	9

           MVKL    .S2     0x12001,B4        ; |60| 
||         MVKL    .S1     0x18c0008,A0      ; |60| 

           MVKH    .S2     0x12001,B4        ; |60| 
||         MVKH    .S1     0x18c0008,A0      ; |60| 

           STW     .D1T2   B4,*A0            ; |60| 
	.line	10
           B       .S2     B3                ; |61| 
           NOP             5
           ; BRANCH OCCURS                   ; |61| 
	.endfunc	61,000000000h,0


	.sect	".text"
	.global	_mcbsp0_read
	.sym	_mcbsp0_read,_mcbsp0_read, 36, 2, 0
	.func	74

;******************************************************************************
;* FUNCTION NAME: _mcbsp0_read                                                *
;*                                                                            *
;*   Regs Modified     : A0,A1,A3,A4,B0                                       *
;*   Regs Used         : A0,A1,A3,A4,B0,B3                                    *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_mcbsp0_read:
;** --------------------------------------------------------------------------*
	.sym	_temp,1, 4, 4, 32
	.sym	_temp,0, 4, 4, 32
	.sym	_temp,0, 4, 4, 32
	.line	4
           MVKL    .S1     0x18c0008,A0      ; |77| 
           MVKH    .S1     0x18c0008,A0      ; |77| 
           LDW     .D1T1   *A0,A0            ; |77| 
           NOP             4
           AND     .L1     2,A0,A1           ; |77| 
   [ A1]   B       .S1     L4                ; |77| 
   [!A1]   MVKL    .S1     0x18c0008,A0      ; (P) |80| 
           NOP             4
           ; BRANCH OCCURS                   ; |77| 
;** --------------------------------------------------------------------------*

           MVK     .S2     0x1,B0
||         MVKH    .S1     0x18c0008,A0      ; (P) |80| 

   [ B0]   LDW     .D1T1   *A0,A3            ; (P)  ^ |80| 
           MVKL    .S1     0x18c0008,A0      ; (P) @|80| 
           NOP             3
           AND     .L1     2,A3,A1           ; (P)  ^ |80| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Known Minimum Trip Count         : 1
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 7
;*      Unpartitioned Resource Bound     : 2
;*      Partitioned Resource Bound(*)    : 2
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     2*       1     
;*      .D units                     1        0     
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             1        0     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           1        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             2*       1     
;*      Bound(.L .S .D .LS .LSD)     2*       1     
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 7  Schedule found with 3 iterations in parallel
;*      done
;*
;*      Loop is interruptible
;*      Collapsed epilog stages     : 2
;*      Prolog not removed
;*      Collapsed prolog stages     : 0
;*
;*      Minimum required memory pad : 0 bytes
;*
;*      Minimum safe trip count     : 1
;*----------------------------------------------------------------------------*
L1:    ; PIPED LOOP PROLOG
;** --------------------------------------------------------------------------*
L2:    ; PIPED LOOP KERNEL

   [ A1]   ZERO    .L2     B0                ;  ^ 
||         MVKH    .S1     0x18c0008,A0      ; @|80| 

   [ B0]   B       .S2     L2                ; |80| 
|| [ B0]   LDW     .D1T1   *A0,A3            ; @ ^ |80| 

           NOP             4

           AND     .L1     2,A3,A1           ; @ ^ |80| 
||         MVKL    .S1     0x18c0008,A0      ; @@|80| 

;** --------------------------------------------------------------------------*
L3:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
L4:    
	.line	9
           ZERO    .L1     A0                ; |82| 
           MVKH    .S1     0x18c0000,A0      ; |82| 
	.line	10
           LDW     .D1T1   *A0,A4            ; 
	.line	11
           B       .S2     B3                ; |84| 
           NOP             5
           ; BRANCH OCCURS                   ; |84| 
	.endfunc	84,000000000h,0


	.sect	".text"
	.global	_mcbsp0_write
	.sym	_mcbsp0_write,_mcbsp0_write, 32, 2, 0
	.func	63

;******************************************************************************
;* FUNCTION NAME: _mcbsp0_write                                               *
;*                                                                            *
;*   Regs Modified     : A0,A1,A3,A4,A5,B0,B4                                 *
;*   Regs Used         : A0,A1,A3,A4,A5,B0,B3,B4                              *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_mcbsp0_write:
;** --------------------------------------------------------------------------*
	.sym	_out_data,4, 4, 17, 32
	.sym	K$3,3, 4, 4, 32
	.sym	_out_data,5, 4, 4, 32
	.sym	_temp,16, 4, 4, 32
	.sym	_temp,0, 4, 4, 32
	.line	2
           MV      .L1     A4,A5             ; |64| 
	.line	4
           MVKL    .S1     0x18c0008,A0      ; |66| 
           MVKH    .S1     0x18c0008,A0      ; |66| 
           LDW     .D1T1   *A0,A0            ; |66| 
           ZERO    .L2     B4                ; |66| 
           MVKH    .S2     0x20000,B4        ; |66| 
           NOP             2
           AND     .L2X    B4,A0,B0          ; |66| 
   [ B0]   B       .S1     L8                ; |66| 
           NOP             5
           ; BRANCH OCCURS                   ; |66| 
;** --------------------------------------------------------------------------*
           MVKL    .S1     0x18c0008,A0      ; (P) |69| 

           MVK     .S2     0x1,B0
||         MVKH    .S1     0x18c0008,A0      ; (P) |69| 

   [ B0]   LDW     .D1T1   *A0,A4            ; (P)  ^ |69| 
           ZERO    .L1     A3                ; |66| 
           MVKH    .S1     0x20000,A3        ; |66| 
           MVKL    .S1     0x18c0008,A0      ; (P) @|69| 
           NOP             1
           AND     .L1     A3,A4,A1          ; (P)  ^ |69| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Known Minimum Trip Count         : 1
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 7
;*      Unpartitioned Resource Bound     : 2
;*      Partitioned Resource Bound(*)    : 2
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     2*       1     
;*      .D units                     1        0     
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             1        0     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           1        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             2*       1     
;*      Bound(.L .S .D .LS .LSD)     2*       1     
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 7  Schedule found with 3 iterations in parallel
;*      done
;*
;*      Loop is interruptible
;*      Collapsed epilog stages     : 2
;*      Prolog not removed
;*      Collapsed prolog stages     : 0
;*
;*      Minimum required memory pad : 0 bytes
;*
;*      Minimum safe trip count     : 1
;*----------------------------------------------------------------------------*
L5:    ; PIPED LOOP PROLOG
;** --------------------------------------------------------------------------*
L6:    ; PIPED LOOP KERNEL

   [ A1]   ZERO    .L2     B0                ;  ^ 
||         MVKH    .S1     0x18c0008,A0      ; @|69| 

   [ B0]   B       .S2     L6                ; |69| 
|| [ B0]   LDW     .D1T1   *A0,A4            ; @ ^ |69| 

           NOP             4

           AND     .L1     A3,A4,A1          ; @ ^ |69| 
||         MVKL    .S1     0x18c0008,A0      ; @@|69| 

;** --------------------------------------------------------------------------*
L7:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
L8:    
	.line	9
           MVKL    .S1     0x18c0004,A0      ; |71| 
           MVKH    .S1     0x18c0004,A0      ; |71| 
           STW     .D1T1   A5,*A0            ; |71| 
	.line	10
           B       .S2     B3                ; |72| 
           NOP             5
           ; BRANCH OCCURS                   ; |72| 
	.endfunc	72,000000000h,0


	.sect	".text"
	.global	_codec_init
	.sym	_codec_init,_codec_init, 32, 2, 0
	.func	87

;******************************************************************************
;* FUNCTION NAME: _codec_init                                                 *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,B0,B1,B2,B3,B4,B5, *
;*                           B6,B7,B8,B9,SP                                   *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,B0,B1,B2,B3,B4,B5, *
;*                           B6,B7,B8,B9,SP                                   *
;*   Local Frame Size  : 8 Args + 0 Auto + 8 Save = 16 byte                   *
;******************************************************************************
_codec_init:
;** --------------------------------------------------------------------------*
	.sym	_temp,10, 4, 4, 32
	.sym	_temp,10, 4, 4, 32
	.sym	_temp,10, 4, 4, 32
           STW     .D2T2   B3,*SP--(16)      ; |87| 
           STW     .D2T1   A10,*+SP(12)      ; |87| 
	.line	6
           B       .S1     _mcbsp0_read      ; |92| 
           MVKL    .S2     RL0,B3            ; |92| 
           MVKH    .S2     RL0,B3            ; |92| 
           NOP             3
RL0:       ; CALL OCCURS                     ; |92| 
	.line	7
           B       .S1     _mcbsp0_write     ; |93| 
           MVKL    .S2     RL2,B3            ; |93| 
           MVKH    .S2     RL2,B3            ; |93| 
           ZERO    .L1     A4                ; |93| 
           NOP             2
RL2:       ; CALL OCCURS                     ; |93| 
	.line	8
           B       .S1     _mcbsp0_read      ; |94| 
           MVKL    .S2     RL4,B3            ; |94| 
           MVKH    .S2     RL4,B3            ; |94| 
           NOP             3
RL4:       ; CALL OCCURS                     ; |94| 
	.line	9
           B       .S1     _mcbsp0_write     ; |95| 
           MVKL    .S2     RL6,B3            ; |95| 
           MVKH    .S2     RL6,B3            ; |95| 
           ZERO    .L1     A4                ; |95| 
           NOP             2
RL6:       ; CALL OCCURS                     ; |95| 
	.line	10
           B       .S1     _mcbsp0_read      ; |96| 
           MVKL    .S2     RL8,B3            ; |96| 
           MVKH    .S2     RL8,B3            ; |96| 
           NOP             3
RL8:       ; CALL OCCURS                     ; |96| 
	.line	11
           B       .S1     _mcbsp0_write     ; |97| 
           MVKL    .S2     RL10,B3           ; |97| 
           ZERO    .L1     A4                ; |97| 
           MVKH    .S2     RL10,B3           ; |97| 
           NOP             2
RL10:      ; CALL OCCURS                     ; |97| 
	.line	12
           B       .S1     _mcbsp0_read      ; |98| 
           MVKL    .S2     RL12,B3           ; |98| 
           MVKH    .S2     RL12,B3           ; |98| 
           NOP             3
RL12:      ; CALL OCCURS                     ; |98| 
	.line	13
           B       .S1     _mcbsp0_write     ; |99| 
           MVKL    .S2     RL14,B3           ; |99| 
           MVKH    .S2     RL14,B3           ; |99| 
           MVK     .S1     0x1,A4            ; |99| 
           NOP             2
RL14:      ; CALL OCCURS                     ; |99| 
	.line	14
           B       .S1     _mcbsp0_read      ; |100| 
           MVKL    .S2     RL16,B3           ; |100| 
           MVKH    .S2     RL16,B3           ; |100| 
           NOP             3
RL16:      ; CALL OCCURS                     ; |100| 
	.line	15
           B       .S1     _mcbsp0_write     ; |101| 
           MVKL    .S2     RL18,B3           ; |101| 
           MVKH    .S2     RL18,B3           ; |101| 
           MVK     .S1     0x386,A4          ; |101| 
           NOP             2
RL18:      ; CALL OCCURS                     ; |101| 
	.line	16
           B       .S1     _mcbsp0_read      ; |102| 
           MVKL    .S2     RL20,B3           ; |102| 
           MVKH    .S2     RL20,B3           ; |102| 
           NOP             3
RL20:      ; CALL OCCURS                     ; |102| 
;** --------------------------------------------------------------------------*
	.line	17
           B       .S1     _mcbsp0_write     ; |103| 
           MVKL    .S2     RL22,B3           ; |103| 
           MVKH    .S2     RL22,B3           ; |103| 
           ZERO    .L1     A4                ; |103| 
           NOP             2
RL22:      ; CALL OCCURS                     ; |103| 
	.line	18
           B       .S1     _mcbsp0_read      ; |104| 
           MVKL    .S2     RL24,B3           ; |104| 
           MVKH    .S2     RL24,B3           ; |104| 
           NOP             3
RL24:      ; CALL OCCURS                     ; |104| 
	.line	21
           B       .S1     _mcbsp0_write     ; |107| 
           MVKL    .S2     RL26,B3           ; |107| 
           MVKH    .S2     RL26,B3           ; |107| 
           ZERO    .L1     A4                ; |107| 
           NOP             2
RL26:      ; CALL OCCURS                     ; |107| 
	.line	22
           B       .S1     _mcbsp0_read      ; |108| 
           MVKL    .S2     RL28,B3           ; |108| 
           MVKH    .S2     RL28,B3           ; |108| 
           NOP             3
RL28:      ; CALL OCCURS                     ; |108| 
	.line	23
           B       .S1     _mcbsp0_write     ; |109| 
           MVKL    .S2     RL30,B3           ; |109| 
           MVKH    .S2     RL30,B3           ; |109| 
           ZERO    .L1     A4                ; |109| 
           NOP             2
RL30:      ; CALL OCCURS                     ; |109| 
	.line	24
           B       .S1     _mcbsp0_read      ; |110| 
           MVKL    .S2     RL32,B3           ; |110| 
           MVKH    .S2     RL32,B3           ; |110| 
           NOP             3
RL32:      ; CALL OCCURS                     ; |110| 
	.line	25
           B       .S1     _mcbsp0_write     ; |111| 
           MVKL    .S2     RL34,B3           ; |111| 
           MVK     .S1     0x1,A4            ; |111| 
           MVKH    .S2     RL34,B3           ; |111| 
           NOP             2
RL34:      ; CALL OCCURS                     ; |111| 
	.line	26
           B       .S1     _mcbsp0_read      ; |112| 
           MVKL    .S2     RL36,B3           ; |112| 
           MVKH    .S2     RL36,B3           ; |112| 
           NOP             3
RL36:      ; CALL OCCURS                     ; |112| 
	.line	27
           B       .S1     _mcbsp0_write     ; |113| 
           MVKL    .S2     RL38,B3           ; |113| 
           MVKH    .S2     RL38,B3           ; |113| 
           MVK     .S1     0x306,A4          ; |113| 
           NOP             2
RL38:      ; CALL OCCURS                     ; |113| 
	.line	28
           B       .S1     _mcbsp0_read      ; |114| 
           MVKL    .S2     RL40,B3           ; |114| 
           MVKH    .S2     RL40,B3           ; |114| 
           NOP             3
RL40:      ; CALL OCCURS                     ; |114| 
	.line	29
           B       .S1     _mcbsp0_write     ; |115| 
           MVKL    .S2     RL42,B3           ; |115| 
           MVKH    .S2     RL42,B3           ; |115| 
           ZERO    .L1     A4                ; |115| 
           NOP             2
RL42:      ; CALL OCCURS                     ; |115| 
;** --------------------------------------------------------------------------*
	.line	30
           B       .S1     _mcbsp0_read      ; |116| 
           MVKL    .S2     RL44,B3           ; |116| 
           MVKH    .S2     RL44,B3           ; |116| 
           NOP             3
RL44:      ; CALL OCCURS                     ; |116| 
	.line	32
           B       .S1     _mcbsp0_write     ; |118| 
           MVKL    .S2     RL46,B3           ; |118| 
           MVKH    .S2     RL46,B3           ; |118| 
           ZERO    .L1     A4                ; |118| 
           NOP             2
RL46:      ; CALL OCCURS                     ; |118| 
	.line	33
           B       .S1     _mcbsp0_read      ; |119| 
           MVKL    .S2     RL48,B3           ; |119| 
           MVKH    .S2     RL48,B3           ; |119| 
           NOP             3
RL48:      ; CALL OCCURS                     ; |119| 
	.line	34
           B       .S1     _mcbsp0_write     ; |120| 
           MVKL    .S2     RL50,B3           ; |120| 
           MVKH    .S2     RL50,B3           ; |120| 
           MVK     .S1     0x1,A4            ; |120| 
           NOP             2
RL50:      ; CALL OCCURS                     ; |120| 
	.line	35
           B       .S1     _mcbsp0_read      ; |121| 
           MVKL    .S2     RL52,B3           ; |121| 
           MVKH    .S2     RL52,B3           ; |121| 
           NOP             3
RL52:      ; CALL OCCURS                     ; |121| 
	.line	36
           B       .S1     _mcbsp0_write     ; |122| 
           MVKL    .S2     RL54,B3           ; |122| 
           MVKH    .S2     RL54,B3           ; |122| 
           MVK     .S1     0x2330,A4         ; |122| 
           NOP             2
RL54:      ; CALL OCCURS                     ; |122| 
	.line	37
           B       .S1     _mcbsp0_read      ; |123| 
           MVKL    .S2     RL56,B3           ; |123| 
           MVKH    .S2     RL56,B3           ; |123| 
           NOP             3
RL56:      ; CALL OCCURS                     ; |123| 
           MV      .L1     A4,A10            ; 
	.line	38
           B       .S1     _mcbsp0_write     ; |124| 
           MVKL    .S2     RL58,B3           ; |124| 
           MVKH    .S2     RL58,B3           ; |124| 
           ZERO    .L1     A4                ; |124| 
           NOP             2
RL58:      ; CALL OCCURS                     ; |124| 
	.line	39
           B       .S1     _mcbsp0_read      ; |125| 
           MVKL    .S2     RL60,B3           ; |125| 
           MVKH    .S2     RL60,B3           ; |125| 
           NOP             3
RL60:      ; CALL OCCURS                     ; |125| 
	.line	40
           B       .S1     _mcbsp0_write     ; |126| 
           MVKL    .S2     RL62,B3           ; |126| 
           ZERO    .L1     A4                ; |126| 
           MVKH    .S2     RL62,B3           ; |126| 
           NOP             2
RL62:      ; CALL OCCURS                     ; |126| 
	.line	41
           B       .S1     _mcbsp0_read      ; |127| 
           MVKL    .S2     RL64,B3           ; |127| 
           MVKH    .S2     RL64,B3           ; |127| 
           NOP             3
RL64:      ; CALL OCCURS                     ; |127| 
;** --------------------------------------------------------------------------*
	.line	42
           EXTU    .S1     A10,24,24,A0      ; |128| 
           CMPEQ   .L1     A0,6,A1           ; |128| 
   [!A1]   B       .S1     L10               ; |128| 
           NOP             5
           ; BRANCH OCCURS                   ; |128| 
;** --------------------------------------------------------------------------*
	.line	51
           B       .S1     _mcbsp0_write     ; |137| 
           MVKL    .S2     RL66,B3           ; |137| 
           MVKH    .S2     RL66,B3           ; |137| 
           ZERO    .L1     A4                ; |137| 
           NOP             2
RL66:      ; CALL OCCURS                     ; |137| 
	.line	52
           B       .S1     _mcbsp0_read      ; |138| 
           MVKL    .S2     RL68,B3           ; |138| 
           MVKH    .S2     RL68,B3           ; |138| 
           NOP             3
RL68:      ; CALL OCCURS                     ; |138| 
	.line	53
           B       .S1     _mcbsp0_write     ; |139| 
           MVKL    .S2     RL70,B3           ; |139| 
           MVKH    .S2     RL70,B3           ; |139| 
           ZERO    .L1     A4                ; |139| 
           NOP             2
RL70:      ; CALL OCCURS                     ; |139| 
	.line	54
           B       .S1     _mcbsp0_read      ; |140| 
           MVKL    .S2     RL72,B3           ; |140| 
           MVKH    .S2     RL72,B3           ; |140| 
           NOP             3
RL72:      ; CALL OCCURS                     ; |140| 
	.line	55
           B       .S1     _mcbsp0_write     ; |141| 
           MVKL    .S2     RL74,B3           ; |141| 
           MVKH    .S2     RL74,B3           ; |141| 
           MVK     .S1     0x1,A4            ; |141| 
           NOP             2
RL74:      ; CALL OCCURS                     ; |141| 
	.line	56
           B       .S1     _mcbsp0_read      ; |142| 
           MVKL    .S2     RL76,B3           ; |142| 
           MVKH    .S2     RL76,B3           ; |142| 
           NOP             3
RL76:      ; CALL OCCURS                     ; |142| 
	.line	57
           B       .S1     _mcbsp0_write     ; |143| 
           MVKL    .S2     RL78,B3           ; |143| 
           MVK     .S1     0x400,A4          ; |143| 
           MVKH    .S2     RL78,B3           ; |143| 
           NOP             2
RL78:      ; CALL OCCURS                     ; |143| 
	.line	58
           B       .S1     _mcbsp0_read      ; |144| 
           MVKL    .S2     RL80,B3           ; |144| 
           MVKH    .S2     RL80,B3           ; |144| 
           NOP             3
RL80:      ; CALL OCCURS                     ; |144| 
	.line	59
           B       .S1     _mcbsp0_write     ; |145| 
           MVKL    .S2     RL82,B3           ; |145| 
           MVKH    .S2     RL82,B3           ; |145| 
           ZERO    .L1     A4                ; |145| 
           NOP             2
RL82:      ; CALL OCCURS                     ; |145| 
	.line	60
           B       .S1     _mcbsp0_read      ; |146| 
           MVKL    .S2     RL84,B3           ; |146| 
           MVKH    .S2     RL84,B3           ; |146| 
           NOP             3
RL84:      ; CALL OCCURS                     ; |146| 
	.line	62
           B       .S1     _mcbsp0_write     ; |148| 
           MVKL    .S2     RL86,B3           ; |148| 
           MVKH    .S2     RL86,B3           ; |148| 
           ZERO    .L1     A4                ; |148| 
           NOP             2
RL86:      ; CALL OCCURS                     ; |148| 
;** --------------------------------------------------------------------------*
	.line	63
           B       .S1     _mcbsp0_read      ; |149| 
           MVKL    .S2     RL88,B3           ; |149| 
           MVKH    .S2     RL88,B3           ; |149| 
           NOP             3
RL88:      ; CALL OCCURS                     ; |149| 
	.line	64
           B       .S1     _mcbsp0_write     ; |150| 
           MVKL    .S2     RL90,B3           ; |150| 
           MVKH    .S2     RL90,B3           ; |150| 
           MVK     .S1     0x1,A4            ; |150| 
           NOP             2
RL90:      ; CALL OCCURS                     ; |150| 
	.line	65
           B       .S1     _mcbsp0_read      ; |151| 
           MVKL    .S2     RL92,B3           ; |151| 
           MVKH    .S2     RL92,B3           ; |151| 
           NOP             3
RL92:      ; CALL OCCURS                     ; |151| 
	.line	66
           B       .S1     _mcbsp0_write     ; |152| 
           MVKL    .S2     RL94,B3           ; |152| 
           MVKH    .S2     RL94,B3           ; |152| 
           MVK     .S1     0x2430,A4         ; |152| 
           NOP             2
RL94:      ; CALL OCCURS                     ; |152| 
	.line	67
           B       .S1     _mcbsp0_read      ; |153| 
           MVKL    .S2     RL96,B3           ; |153| 
           MVKH    .S2     RL96,B3           ; |153| 
           NOP             3
RL96:      ; CALL OCCURS                     ; |153| 
           MV      .L1     A4,A10            ; 
	.line	68
           B       .S1     _mcbsp0_write     ; |154| 
           MVKL    .S2     RL98,B3           ; |154| 
           MVKH    .S2     RL98,B3           ; |154| 
           ZERO    .L1     A4                ; |154| 
           NOP             2
RL98:      ; CALL OCCURS                     ; |154| 
	.line	69
           B       .S1     _mcbsp0_read      ; |155| 
           MVKL    .S2     RL100,B3          ; |155| 
           MVKH    .S2     RL100,B3          ; |155| 
           NOP             3
RL100:     ; CALL OCCURS                     ; |155| 
	.line	70
           B       .S1     _mcbsp0_write     ; |156| 
           MVKL    .S2     RL102,B3          ; |156| 
           MVKH    .S2     RL102,B3          ; |156| 
           ZERO    .L1     A4                ; |156| 
           NOP             2
RL102:     ; CALL OCCURS                     ; |156| 
	.line	71
           B       .S1     _mcbsp0_read      ; |157| 
           MVKL    .S2     RL104,B3          ; |157| 
           MVKH    .S2     RL104,B3          ; |157| 
           NOP             3
RL104:     ; CALL OCCURS                     ; |157| 
	.line	72
           EXTU    .S1     A10,24,24,A1      ; |158| 
   [ A1]   B       .S1     L9                ; |158| 
           NOP             5
           ; BRANCH OCCURS                   ; |158| 
;** --------------------------------------------------------------------------*
	.line	81
           B       .S1     _mcbsp0_write     ; |167| 
           MVKL    .S2     RL106,B3          ; |167| 
           MVKH    .S2     RL106,B3          ; |167| 
           ZERO    .L1     A4                ; |167| 
           NOP             2
RL106:     ; CALL OCCURS                     ; |167| 
	.line	82
           B       .S1     _mcbsp0_read      ; |168| 
           MVKL    .S2     RL108,B3          ; |168| 
           MVKH    .S2     RL108,B3          ; |168| 
           NOP             3
RL108:     ; CALL OCCURS                     ; |168| 
	.line	83
           B       .S1     _mcbsp0_write     ; |169| 
           MVKL    .S2     RL110,B3          ; |169| 
           MVKH    .S2     RL110,B3          ; |169| 
           ZERO    .L1     A4                ; |169| 
           NOP             2
RL110:     ; CALL OCCURS                     ; |169| 
	.line	84
           B       .S1     _mcbsp0_read      ; |170| 
           MVKL    .S2     RL112,B3          ; |170| 
           MVKH    .S2     RL112,B3          ; |170| 
           NOP             3
RL112:     ; CALL OCCURS                     ; |170| 
	.line	85
           B       .S1     _mcbsp0_write     ; |171| 
           MVKL    .S2     RL114,B3          ; |171| 
           MVKH    .S2     RL114,B3          ; |171| 
           MVK     .S1     0x1,A4            ; |171| 
           NOP             2
RL114:     ; CALL OCCURS                     ; |171| 
	.line	86
           B       .S1     _mcbsp0_read      ; |172| 
           MVKL    .S2     RL116,B3          ; |172| 
           MVKH    .S2     RL116,B3          ; |172| 
           NOP             3
RL116:     ; CALL OCCURS                     ; |172| 
	.line	87
           B       .S1     _mcbsp0_write     ; |173| 
           MVKL    .S2     RL118,B3          ; |173| 
           MVK     .S1     0x502,A4          ; |173| 
           MVKH    .S2     RL118,B3          ; |173| 
           NOP             2
RL118:     ; CALL OCCURS                     ; |173| 
	.line	88
           B       .S1     _mcbsp0_read      ; |174| 
           MVKL    .S2     RL120,B3          ; |174| 
           MVKH    .S2     RL120,B3          ; |174| 
           NOP             3
RL120:     ; CALL OCCURS                     ; |174| 
	.line	89
           B       .S1     _mcbsp0_write     ; |175| 
           MVKL    .S2     RL122,B3          ; |175| 
           MVKH    .S2     RL122,B3          ; |175| 
           ZERO    .L1     A4                ; |175| 
           NOP             2
RL122:     ; CALL OCCURS                     ; |175| 
	.line	90
           B       .S1     _mcbsp0_read      ; |176| 
           MVKL    .S2     RL124,B3          ; |176| 
           MVKH    .S2     RL124,B3          ; |176| 
           NOP             3
RL124:     ; CALL OCCURS                     ; |176| 
	.line	92
           B       .S1     _mcbsp0_write     ; |178| 
           MVKL    .S2     RL126,B3          ; |178| 
           MVKH    .S2     RL126,B3          ; |178| 
           ZERO    .L1     A4                ; |178| 
           NOP             2
RL126:     ; CALL OCCURS                     ; |178| 
;** --------------------------------------------------------------------------*
	.line	93
           B       .S1     _mcbsp0_read      ; |179| 
           MVKL    .S2     RL128,B3          ; |179| 
           MVKH    .S2     RL128,B3          ; |179| 
           NOP             3
RL128:     ; CALL OCCURS                     ; |179| 
	.line	94
           B       .S1     _mcbsp0_write     ; |180| 
           MVKL    .S2     RL130,B3          ; |180| 
           MVKH    .S2     RL130,B3          ; |180| 
           MVK     .S1     0x1,A4            ; |180| 
           NOP             2
RL130:     ; CALL OCCURS                     ; |180| 
	.line	95
           B       .S1     _mcbsp0_read      ; |181| 
           MVKL    .S2     RL132,B3          ; |181| 
           MVKH    .S2     RL132,B3          ; |181| 
           NOP             3
RL132:     ; CALL OCCURS                     ; |181| 
	.line	96
           B       .S1     _mcbsp0_write     ; |182| 
           MVKL    .S2     RL134,B3          ; |182| 
           MVKH    .S2     RL134,B3          ; |182| 
           MVK     .S1     0x2530,A4         ; |182| 
           NOP             2
RL134:     ; CALL OCCURS                     ; |182| 
	.line	97
           B       .S1     _mcbsp0_read      ; |183| 
           MVKL    .S2     RL136,B3          ; |183| 
           MVKH    .S2     RL136,B3          ; |183| 
           NOP             3
RL136:     ; CALL OCCURS                     ; |183| 
           MV      .L1     A4,A10            ; 
	.line	98
           B       .S1     _mcbsp0_write     ; |184| 
           MVKL    .S2     RL138,B3          ; |184| 
           MVKH    .S2     RL138,B3          ; |184| 
           ZERO    .L1     A4                ; |184| 
           NOP             2
RL138:     ; CALL OCCURS                     ; |184| 
	.line	99
           B       .S1     _mcbsp0_read      ; |185| 
           MVKL    .S2     RL140,B3          ; |185| 
           MVKH    .S2     RL140,B3          ; |185| 
           NOP             3
RL140:     ; CALL OCCURS                     ; |185| 
	.line	100
           B       .S1     _mcbsp0_write     ; |186| 
           MVKL    .S2     RL142,B3          ; |186| 
           ZERO    .L1     A4                ; |186| 
           MVKH    .S2     RL142,B3          ; |186| 
           NOP             2
RL142:     ; CALL OCCURS                     ; |186| 
	.line	101
           B       .S1     _mcbsp0_read      ; |187| 
           MVKL    .S2     RL144,B3          ; |187| 
           MVKH    .S2     RL144,B3          ; |187| 
           NOP             3
RL144:     ; CALL OCCURS                     ; |187| 
	.line	102
           EXTU    .S1     A10,24,25,A0      ; |188| 
           SHL     .S1     A0,1,A0           ; |188| 
           CMPEQ   .L1     A0,2,A1           ; |188| 
   [ A1]   B       .S1     L11               ; |188| 
           NOP             5
           ; BRANCH OCCURS                   ; |188| 
;** --------------------------------------------------------------------------*
;***	; the preceding call never returns
	.line	105
           B       .S1     _printf           ; |191| 
           MVKL    .S1     SL1+0,A0          ; |191| 
           MVKH    .S1     SL1+0,A0          ; |191| 
           MVKL    .S2     RL146,B3          ; |191| 
           STW     .D2T1   A0,*+SP(4)        ; |191| 
           MVKH    .S2     RL146,B3          ; |191| 
RL146:     ; CALL OCCURS                     ; |191| 
	.line	106
           B       .S1     _exit             ; |192| 
           MVKL    .S2     RL148,B3          ; |192| 
           MVKH    .S2     RL148,B3          ; |192| 
           ZERO    .L1     A4                ; |192| 
           NOP             2
RL148:     ; CALL OCCURS                     ; |192| 
;** --------------------------------------------------------------------------*
L9:    
;***	; the preceding call never returns
	.line	75
           B       .S1     _printf           ; |161| 
           MVKL    .S1     SL2+0,A0          ; |161| 
           MVKH    .S1     SL2+0,A0          ; |161| 
           MVKL    .S2     RL150,B3          ; |161| 
           STW     .D2T1   A0,*+SP(4)        ; |161| 
           MVKH    .S2     RL150,B3          ; |161| 
RL150:     ; CALL OCCURS                     ; |161| 
	.line	76
           B       .S1     _exit             ; |162| 
           MVKL    .S2     RL152,B3          ; |162| 
           MVKH    .S2     RL152,B3          ; |162| 
           ZERO    .L1     A4                ; |162| 
           NOP             2
RL152:     ; CALL OCCURS                     ; |162| 
;** --------------------------------------------------------------------------*
L10:    
;***	; the preceding call never returns
	.line	45
           B       .S1     _printf           ; |131| 
           MVKL    .S1     SL3+0,A0          ; |131| 
           MVKH    .S1     SL3+0,A0          ; |131| 
           MVKL    .S2     RL154,B3          ; |131| 
           STW     .D2T1   A0,*+SP(4)        ; |131| 
           MVKH    .S2     RL154,B3          ; |131| 
RL154:     ; CALL OCCURS                     ; |131| 
	.line	46
           B       .S1     _exit             ; |132| 
           MVKL    .S2     RL156,B3          ; |132| 
           MVKH    .S2     RL156,B3          ; |132| 
           ZERO    .L1     A4                ; |132| 
           NOP             2
RL156:     ; CALL OCCURS                     ; |132| 
;** --------------------------------------------------------------------------*
L11:    
	.line	110
           LDW     .D2T1   *+SP(12),A10      ; |196| 
           LDW     .D2T2   *++SP(16),B3      ; |196| 
           NOP             4
           B       .S2     B3                ; |196| 
           NOP             5
           ; BRANCH OCCURS                   ; |196| 
	.endfunc	196,000080400h,16


	.sect	".text"
	.global	_main
	.sym	_main,_main, 36, 2, 0
	.func	26

;******************************************************************************
;* FUNCTION NAME: _main                                                       *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,DP,SP                                   *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                    *
;******************************************************************************
_main:
;** --------------------------------------------------------------------------*
	.sym	C$1,20, 14, 4, 32
	.sym	C$2,0, 14, 4, 32
	.sym	Y$0,4, 4, 4, 32
; >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> ENTERING mcbsp0_init()
; <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< LEAVING mcbsp0_init()
           STW     .D2T2   B3,*SP--(8)       ; |26| 
	.line	5
           MVK     .S1     256,A0            ; |30| 
           MVC     .S2X    A0,CSR            ; |30| 
	.line	6
           MVK     .S1     1,A0              ; |31| 
           MVC     .S2X    A0,IER            ; |31| 
	.line	7
           ZERO    .L1     A0                ; |32| 
           SET     .S1     A0,0x0,0xf,A0     ; |32| 
           MVC     .S2X    A0,ICR            ; |32| 
           NOP             1
	.line	9
           ZERO    .L2     B4                ; |34| 

           MVK     .S1     13056,A0          ; |34| 
||         MVKH    .S2     0x1800000,B4      ; |34| 

           STW     .D2T1   A0,*B4            ; |34| 
	.line	10
           MVKL    .S2     0x1800004,B4      ; |35| 

           MVK     .S1     -221,A0           ; |35| 
||         MVKH    .S2     0x1800004,B4      ; |35| 

           STW     .D2T1   A0,*B4            ; |35| 
	.line	13
           MVKL    .S2     0x18c0008,B5      ; |38| 

           ZERO    .L2     B4                ; |38| 
||         MVKH    .S2     0x18c0008,B5      ; |38| 

           STW     .D2T2   B4,*B5            ; |38| 
           MVKL    .S1     0x18c0024,A0      ; |38| 
           MVKH    .S1     0x18c0024,A0      ; |38| 
           STW     .D1T2   B4,*A0            ; |38| 
           MVKL    .S1     0x18c000c,A3      ; |38| 
           MVKH    .S1     0x18c000c,A3      ; |38| 
           MVKL    .S1     0x10040,A0        ; |38| 
           MVKH    .S1     0x10040,A0        ; |38| 
           STW     .D1T1   A0,*A3            ; |38| 
           MVKL    .S2     0x18c0010,B5      ; |38| 
           MVKH    .S2     0x18c0010,B5      ; |38| 
           STW     .D2T1   A0,*B5            ; |38| 
           MVKL    .S2     0x18c0004,B5      ; |38| 
           MVKH    .S2     0x18c0004,B5      ; |38| 
           STW     .D2T2   B4,*B5            ; |38| 

           MVKL    .S2     0x12001,B4        ; |38| 
||         MVKL    .S1     0x18c0008,A0      ; |38| 

           MVKH    .S2     0x12001,B4        ; |38| 
||         MVKH    .S1     0x18c0008,A0      ; |38| 

           STW     .D1T2   B4,*A0            ; |38| 
	.line	14
           B       .S1     _codec_init       ; |39| 
           MVKL    .S2     RL158,B3          ; |39| 
           MVKH    .S2     RL158,B3          ; |39| 
           NOP             3
RL158:     ; CALL OCCURS                     ; |39| 
;** --------------------------------------------------------------------------*
L12:    
	.line	18
           B       .S1     _rand             ; |43| 
           MVKL    .S2     RL160,B3          ; |43| 
           MVKH    .S2     RL160,B3          ; |43| 
           NOP             3
RL160:     ; CALL OCCURS                     ; |43| 
           EXTU    .S1     A4,16,17,A0       ; |43| 
           SHL     .S1     A0,1,A4           ; |43| 
           STW     .D2T1   A4,*+DP(_out)     ; |43| 
	.line	20
           B       .S1     _mcbsp0_write     ; |45| 
           MVKL    .S2     RL162,B3          ; |45| 
           MVKH    .S2     RL162,B3          ; |45| 
           NOP             3
RL162:     ; CALL OCCURS                     ; |45| 
	.line	22
           B       .S1     L12               ; |47| 
           NOP             5
           ; BRANCH OCCURS                   ; |47| 
;** --------------------------------------------------------------------------*
	.line	25
	.endfunc	50,000080000h,8


;******************************************************************************
;* STRINGS                                                                    *
;******************************************************************************
	.sect	".const"
SL1:	.string	"Error in setting up register 5.",10,0
SL2:	.string	"Error in setting up register 4.",10,0
SL3:	.string	"Error in setting up register 3.",10,0
;******************************************************************************
;* UNDEFINED EXTERNAL REFERENCES                                              *
;******************************************************************************
	.global	_rand
	.global	_exit
	.global	_printf
