;******************************************************************************
;* TMS320C6x ANSI C Codegen                                      Version 4.00 *
;* Date/Time created: Tue Jun 12 02:43:59 2001                                *
;******************************************************************************

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C620x                                          *
;*   Optimization      : Enabled at level 3                                   *
;*   Optimizing for    : Speed                                                *
;*                       Based on options: -o3, no -ms                        *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Memory Model      : Small                                                *
;*   Calls to RTS      : Near                                                 *
;*   Pipelining        : Enabled                                              *
;*   Speculative Load  : Disabled                                             *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : Debug                                                *
;*                                                                            *
;******************************************************************************

FP	.set	A15
DP	.set	B14
SP	.set	B15
	.global	$bss

;	opt6x -q -O3 C:\WINDOWS\TEMP\TI142777_2 C:\WINDOWS\TEMP\TI142777_4 -w D:\ti_proj\PCM 
	.file	"pcm.c"
	.file	"C:\ti\c6000\cgtools\include\math.h"
	.file	"C:\ti\c6000\cgtools\include\stdlib.h"
	.file	"C:\ti\c6000\cgtools\include\stdio.h"
	.file	"C:\ti\c6000\cgtools\include\math.h"
	.file	"pcm.c"
	.file	"C:\ti\c6000\cgtools\include\c6x.h"
	.file	"pcm.c"
	.global	_temp
	.bss	_temp,4,4
	.sym	_temp,_temp, 4, 2, 32
	.global	_in
	.bss	_in,4,4
	.sym	_in,_in, 4, 2, 32
	.global	_out
	.bss	_out,4,4
	.sym	_out,_out, 4, 2, 32
	.global	_d
	.bss	_d,8,8
	.sym	_d,_d, 7, 2, 64
	.sect	".text"
	.global	_sign
	.sym	_sign,_sign, 39, 2, 0
	.func	33

;******************************************************************************
;* FUNCTION NAME: _sign                                                       *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,DP,SP                                   *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                    *
;******************************************************************************
_sign:
;** --------------------------------------------------------------------------*
;**	Parameter deleted: d == d;
           STW     .D2T2   B3,*SP--(8)       ; |33| 
	.line	3

           B       .S1     __cmpd            ; |35| 
||         LDW     .D2T1   *+DP(_d),A4       ; |35| 

           LDW     .D2T1   *+DP(_d+4),A5     ; |35| 
           MVKL    .S2     RL0,B3            ; |35| 
           MVKH    .S2     RL0,B3            ; |35| 
           ZERO    .L2     B5                ; |35| 
           ZERO    .D2     B4                ; |35| 
RL0:       ; CALL OCCURS                     ; |35| 
           CMPGT   .L1     A4,0,A1           ; 
   [ A1]   B       .S1     L1                ; |35| 
           LDW     .D2T1   *+DP(_d),A4       ; |35| 
           ZERO    .L2     B4                ; |35| 
           MVKL    .S2     RL2,B3            ; |35| 
           ZERO    .L1     A0                ; |35| 

           LDW     .D2T1   *+DP(_d+4),A5     ; |35| 
||         MVKH    .S2     RL2,B3            ; |35| 
||         ZERO    .L2     B5                ; |35| 
||         MVKH    .S1     0x3ff00000,A0     ; |35| 
||         ZERO    .L1     A3                ; |35| 

           ; BRANCH OCCURS                   ; |35| 
;** --------------------------------------------------------------------------*
           B       .S1     __cmpd            ; |35| 
           NOP             5
RL2:       ; CALL OCCURS                     ; |35| 

           CMPLT   .L1     A4,0,A1           ; 
||         ZERO    .D1     A0                ; |35| 
||         ZERO    .S1     A4                ; |35| 

   [!A1]   ZERO    .L1     A4                ; |35| 
||         MVKH    .S1     0xbff00000,A0     ; |35| 

           MV      .L1     A4,A3             ; |35| 
|| [!A1]   ZERO    .S1     A0                ; |35| 

;** --------------------------------------------------------------------------*
L1:    
           MV      .L1     A3,A4             ; |35| 
	.line	6
           LDW     .D2T2   *++SP(8),B3       ; |38| 
           NOP             4
           B       .S2     B3                ; |38| 
           MV      .L1     A0,A5             ; |38| 
           NOP             4
           ; BRANCH OCCURS                   ; |38| 
	.endfunc	38,000080000h,8


	.sect	".text"
	.global	_main
	.sym	_main,_main, 36, 2, 0
	.func	40

;******************************************************************************
;* FUNCTION NAME: _main                                                       *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,B0,B1,B2,B3,B4,*
;*                           B5,B6,B7,B8,B9,B10,B11,SP                        *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,B0,B1,B2,B3,B4,*
;*                           B5,B6,B7,B8,B9,B10,B11,DP,SP                     *
;*   Local Frame Size  : 0 Args + 0 Auto + 20 Save = 20 byte                  *
;******************************************************************************
_main:
;** --------------------------------------------------------------------------*
	.sym	C$2,10, 7, 4, 64
	.sym	Y$0,4, 7, 4, 64
	.sym	R$1,26, 7, 4, 64
           STW     .D2T2   B11,*SP--(24)     ; |40| 
           STW     .D2T1   A10,*+SP(8)       ; |40| 
           STW     .D2T1   A11,*+SP(12)      ; |40| 
           STW     .D2T2   B3,*+SP(16)       ; |40| 
           STW     .D2T2   B10,*+SP(20)      ; |40| 
	.line	6
           MVK     .S1     256,A0            ; |45| 
           MVC     .S2X    A0,CSR            ; |45| 
	.line	7
           MVK     .S1     1,A0              ; |46| 
           MVC     .S2X    A0,IER            ; |46| 
	.line	8
           ZERO    .L2     B4                ; |47| 
           SET     .S2     B4,0x0,0xf,B4     ; |47| 
           MVC     .S2     B4,ICR            ; |47| 
           NOP             1
	.line	10
           ZERO    .L2     B4                ; |49| 

           MVK     .S1     13056,A0          ; |49| 
||         MVKH    .S2     0x1800000,B4      ; |49| 

           STW     .D2T1   A0,*B4            ; |49| 
	.line	11
           MVKL    .S1     0x1800004,A0      ; |50| 

           MVKH    .S1     0x1800004,A0      ; |50| 
||         MVK     .S2     -221,B4           ; |50| 

           STW     .D1T2   B4,*A0            ; |50| 
;** --------------------------------------------------------------------------*
L2:    
; >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> ENTERING sign()
	.line	21
           B       .S1     __fltid           ; |60| 
           LDW     .D2T1   *+DP(_in),A4      ; |60| 
           MVKL    .S2     RL12,B3           ; |60| 
           MVKH    .S2     RL12,B3           ; |60| 
           NOP             2
RL12:      ; CALL OCCURS                     ; |60| 
           B       .S1     __divd            ; |60| 
           MVKL    .S2     RL14,B3           ; |60| 
           ZERO    .L2     B5                ; |60| 
           MVKH    .S2     0x40e00000,B5     ; |60| 
           MVKH    .S2     RL14,B3           ; |60| 
           ZERO    .L2     B4                ; |60| 
RL14:      ; CALL OCCURS                     ; |60| 
           MV      .L1     A4,A10            ; 

           STW     .D2T1   A10,*+DP(_d)      ; |60| 
||         MV      .L1     A5,A11            ; 

           STW     .D2T1   A11,*+DP(_d+4)    ; |60| 
	.line	23
           B       .S1     __cmpd            ; |62| 
           MVKL    .S2     RL16,B3           ; |62| 
           MVKH    .S2     RL16,B3           ; |62| 
           ZERO    .L2     B5                ; |62| 
           ZERO    .D2     B4                ; |62| 
           NOP             1
RL16:      ; CALL OCCURS                     ; |62| 
           CMPGT   .L1     A4,0,A1           ; 
   [ A1]   B       .S1     L3                ; |62| 
           NOP             5
           ; BRANCH OCCURS                   ; |62| 
;** --------------------------------------------------------------------------*
; <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< LEAVING sign()
; <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< LEAVING sign()
           B       .S1     __cmpd            ; |62| 
           MVKL    .S2     RL18,B3           ; |62| 
           MVKH    .S2     RL18,B3           ; |62| 
           MV      .L1     A11,A5            ; |62| 
           MV      .S1     A10,A4            ; |62| 

           ZERO    .L2     B5                ; |62| 
||         ZERO    .D2     B4                ; |62| 

RL18:      ; CALL OCCURS                     ; |62| 
           CMPLT   .L1     A4,0,A1           ; 

   [!A1]   ZERO    .L2     B10               ; |62| 
|| [!A1]   ZERO    .S2     B11               ; |62| 

   [ A1]   ZERO    .L2     B11               ; |62| 

   [ A1]   ZERO    .L2     B10               ; |62| 
|| [ A1]   MVKH    .S2     0xbff00000,B11    ; |62| 

           B       .S1     L4                ; |62| 
           NOP             5
           ; BRANCH OCCURS                   ; |62| 
;** --------------------------------------------------------------------------*
L3:    
; <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< LEAVING sign()
           ZERO    .L2     B11               ; |62| 

           MVKH    .S2     0x3ff00000,B11    ; |62| 
||         ZERO    .L2     B10               ; |62| 

;** --------------------------------------------------------------------------*
L4:    
           LDW     .D2T1   *+DP(_d),A4       ; 
           LDW     .D2T2   *+DP(_d+4),B4     ; |62| 
           B       .S1     __mpyd            ; |62| 
           MVKL    .S2     0x406fe000,B5     ; |62| 
           MVKL    .S2     RL48,B3           ; |62| 
           MVKH    .S2     0x406fe000,B5     ; |62| 
           CLR     .S2     B4,31,31,B6       ; |62| 

           ZERO    .L2     B4                ; |62| 
||         MV      .L1X    B6,A5             ; |62| 
||         MVKH    .S2     RL48,B3           ; |62| 

RL48:      ; CALL OCCURS                     ; |62| 
           B       .S1     __addd            ; |62| 
           MVKL    .S2     RL50,B3           ; |62| 
           ZERO    .L2     B5                ; |62| 
           MVKH    .S2     0x3ff00000,B5     ; |62| 
           ZERO    .L2     B4                ; |62| 
           MVKH    .S2     RL50,B3           ; |62| 
RL50:      ; CALL OCCURS                     ; |62| 
           B       .S1     _log              ; |62| 
           MVKL    .S2     RL52,B3           ; |62| 
           MVKH    .S2     RL52,B3           ; |62| 
           NOP             3
RL52:      ; CALL OCCURS                     ; |62| 
           B       .S1     _log              ; |62| 
           MVKL    .S2     RL54,B3           ; |62| 
           MV      .S1     A5,A10            ; 
           ZERO    .L1     A5                ; |62| 
           MVKH    .S1     0x40700000,A5     ; |62| 

           MVKH    .S2     RL54,B3           ; |62| 
||         MV      .D1     A4,A11            ; 
||         ZERO    .L1     A4                ; |62| 

RL54:      ; CALL OCCURS                     ; |62| 
           B       .S1     __divd            ; |62| 
           MVKL    .S2     RL56,B3           ; |62| 
           MV      .L2X    A5,B5             ; 
           MV      .S1     A10,A5            ; |62| 
           MVKH    .S2     RL56,B3           ; |62| 

           MV      .L2X    A4,B4             ; 
||         MV      .L1     A11,A4            ; |62| 

RL56:      ; CALL OCCURS                     ; |62| 
           B       .S1     __mpyd            ; |62| 
           MVKL    .S2     RL58,B3           ; |62| 
           MV      .L2     B10,B4            ; |62| 
           MV      .D2     B11,B5            ; |62| 
           MVKH    .S2     RL58,B3           ; |62| 
           NOP             1
RL58:      ; CALL OCCURS                     ; |62| 
           STW     .D2T1   A4,*+DP(_d)       ; |62| 
           STW     .D2T1   A5,*+DP(_d+4)     ; |62| 
	.line	24
           B       .S1     __mpyd            ; |63| 
           ZERO    .L2     B5                ; |63| 
           MVKH    .S2     0x40e00000,B5     ; |63| 
           MVKL    .S2     RL62,B3           ; |63| 
           MVKH    .S2     RL62,B3           ; |63| 
           ZERO    .L2     B4                ; |63| 
RL62:      ; CALL OCCURS                     ; |63| 
           B       .S1     __fixdu           ; |63| 
           MVKL    .S2     RL64,B3           ; |63| 
           MVKH    .S2     RL64,B3           ; |63| 
           NOP             3
RL64:      ; CALL OCCURS                     ; |63| 
           EXTU    .S1     A4,16,24,A0       ; |63| 
           SHL     .S1     A0,8,A0           ; |63| 
           STW     .D2T1   A0,*+DP(_out)     ; |63| 
	.line	37
           B       .S1     L2                ; |76| 
           NOP             5
           ; BRANCH OCCURS                   ; |76| 
;** --------------------------------------------------------------------------*
	.line	40
	.endfunc	79,00c080c00h,24


;******************************************************************************
;* UNDEFINED EXTERNAL REFERENCES                                              *
;******************************************************************************
	.global	_log
	.global	__cmpd
	.global	__mpyd
	.global	__addd
	.global	__divd
	.global	__fltid
	.global	__fixdu
