#include "codec.h"


void set_reg(unsigned char reg_no,unsigned char value)
{             
 reg_no = reg_no & 0x0f;
 
  mcbsp0_write(0);
  mcbsp0_read();
  mcbsp0_write(0);
  mcbsp0_read();
  mcbsp0_write(1);
  mcbsp0_read();
  mcbsp0_write(0x0000+ (reg_no<<8)+value);
  mcbsp0_read();
  mcbsp0_write(0);
  mcbsp0_read();

}
int get_reg(unsigned char reg_no)
{                            

int temp;               

 reg_no = reg_no & 0x0f;
  mcbsp0_write(0);
  mcbsp0_read();
  mcbsp0_write(1);
  mcbsp0_read();
  mcbsp0_write(0x2030+(reg_no<<8));
  temp = mcbsp0_read();
  mcbsp0_write(0x0);
  mcbsp0_read();
  mcbsp0_write(0x0);
  mcbsp0_read();      
  return temp;
}


void mic_preamp_on()
{
 int temp;
 
 temp = get_reg(4);  
 temp = temp|0x40;
 set_reg(4,temp);
}          
void mic_preamp_off()
{
 int temp;
 temp = get_reg(4);  
 temp = temp & 0xbf;
 set_reg(4,temp);
}

void set_in_gain(unsigned char gain)  
{
 int temp;
 
 temp = get_reg(4);
 temp = temp & 0xc0;
 temp = temp + gain;
 set_reg(4,temp);
}            

void set_out_gain(unsigned char gain)
{
 int temp;
 
 temp = get_reg(5);
 temp = temp &0x03;
 temp = temp+gain;
 set_reg(5,temp); 
 
}
                     
