%Projekt wykonali:
%Piotr Knapinski
%Piotr Tomaszewski
%sroda godz 17:05

Fc = 2000; % Carrier frequency
Fs = 8000; % Signal sampling rate
x= wavread('test.wav');
[r,c]=size(x);
if r*c == 0,
    y = []; return
end
if (r==1),   % convert row vector to column
    x = x(:);  len = c;
else
    len = r;
 end
 sound(x);
 pause;
t = (0:1/Fs:((len-1)/Fs))';
subplot(3,1,1);
plot(t,x,'-'),grid on,ylabel('Orginal') ;
t = t(:,ones(1,size(x,2)));
y = x.*cos(2*pi*Fc*t);
t = t(:,1);   % only want first column
if (r==1)   % convert y from a column to a row
    y = y.';
    t = t.';
end
wavwrite(y,Fs,'modul.wav');
subplot(3,1,2);
plot(t,y,'-'),grid on,ylabel('Modulate') 
%strips(y,(length(x)-1)/8/Fs,Fs),grid on,ylabel('Modulate');


t = t(:,ones(1,size(y,2)));
x = y.*cos(2*pi*Fc*t);
sound(y);
pause;
[b,a]=butter(5,Fc*2/Fs);
%for i = 1:size(y,2),
%     x(:,i) = filtfilt(b,a,x(:,i));
%end
if (r==1),   % convert x from a column to a row
x = x.'; % transpozycja
end   
sound(2*x);
wavwrite(x,Fs,'demodul.wav');
subplot(3,1,3);
plot(t,x,'-'),grid on,ylabel('Demodulate');
