% GOERTZEL.m   - badanie algorttmu
clc;
echo on;
% ALGORYTM GOERTZEL'A
% Prezentacja algorytmu Goertzel'a
%   Implementacja algorytmu znajduje si w funkcji amp2= zgoer(x, N, k)
N=400;                 %liczba prbek sygnau x 
fp=8000;

echo off;

f= 80;
t= [1:N]; % N prbek
x= sin(2*pi*(f/fp) * t);  % sinus_szum
%x= sin(2*pi*(f/fp) * t)+0.2*randn(size(t));  % sinus_szum
%f1= 1335;
%f2= 851.2;
%t= [1:N]; % N prbek
%x= sin(2*pi*(f1/fp) * t) + sin(2*pi*(f2/fp) * t);  % sinus+sinus

%t= [1:N]; % N prbek					% chirp
%x= sin(2*pi*(t/fp) .* t);


subplot(3,1,1);
plot(x);

amp2= zeros(1, N);
for i= 0:N-1,
   amp2(i+1)= zgoer(x, N, i);
end;

subplot(3,1,2);
plot(sqrt(amp2));    % algorytm Goertzel'a

subplot(3,1,3);
plot(abs(fft(x,N)),'r')  % dla porwnania DFT

