% qmod.m :kwadraturowa modulacja amplitudy
close;
Fc=100; 
Fs=250;
n=[0:0.1/Fs:2];
%x1=sawtooth(2*pi*2*n,0.5);
%x1=sin(2*pi*2*n);
x1=sin(2*pi*2*n) + sin(2*pi*4*n);

%x2=sawtooth(2*pi*3*n,0.5);
%x2=sign(sin(2*pi*3*n));
x2=sign(sign(sin(2*pi*3*n)) + sign(sin(2*pi*5*n)));


subplot(4,2,1);
plot(n,x1);
subplot(4,2,2);
plot(n,x2);

mod=x1.*cos(2*pi*100*n)+x2.*sin(2*pi*100*n);
subplot(4,2,3);
plot(n,mod);
%---------------------------------------------
TAU=0;
%TAU=pi/4;
demod1=mod.*cos(2*pi*100*n+TAU);
demod2=mod.*sin(2*pi*100*n+TAU);
subplot(4,2,5);
plot(n,demod1);
subplot(4,2,6);
plot(n,demod2);

[b,a]=butter(5,0.04); %N-1, w <<<low pass
y1=filter(b,a,demod1);
subplot(4,2,7);
plot(n,y1);
y2=filter(b,a,demod2);
subplot(4,2,8);
plot(n,y2);
