%PCM
t=0:0.005:1;
N=201;
dane_wej=[1:N];
dane_zak=[1:N];
dane_kom=[1:N];
dane_odk=[1:N];
dane_wej=chirp(t,0,1,100); %dla chirp N=201
%dane_wej=wavread('msremind.wav'); %za a podsawic nazwe pliku wav  
%N=wavread('msremind.wav','size')
for i=1:N,
   %dane_wej(i)=sin(i/180*pi);
   dane_kom(i)=mulaw_c(dane_wej(i),255);
   dane_zak(i)=quantize(dane_kom(i),8);
   dane_odk(i)=mulaw_e(dane_zak(i),8,255);
end   
axis off;
id=text(0.15,0.8,'Demonstracja toru PCM');
id1=text(0.22,0.6,'z zastosowaniem ');
id2=text(0.15,0.4,'kompresji logarytmicznej');
set(id,'FontSize',16);
set(id1,'FontSize',16);
set(id2,'FontSize',16);
pause;
close;
axis off;
id=text(0.3,0.6,'Sygnal wprowadzany ');
set(id,'FontSize',14);
pause;
axis on;
plot([1:N],dane_wej,'r'); 
xlabel('probki');
ylabel('amplituda');
title('Sygnal wejsciowy');
pause;
close;

axis off;
id=text(0.2,0.6,'Kompresja logarytmiczna sygnalu ');
set(id,'FontSize',14);
pause;
axis on;
plot([1:N],dane_kom,'b'); 
xlabel('probki');
ylabel('amplituda');
title('Sygnal skompresowany');
pause;
close;

axis off;
id=text(0.3,0.6,'Kwantyzacja');
set(id,'FontSize',14);
pause;
axis on;
plot([1:N],dane_zak,'g');
xlabel('probki');
ylabel('amplituda');
title('Sygnal skwantyzowany');
pause;
close;

axis off;
id=text(0.3,0.6,'Dekompresja');
set(id,'FontSize',14);
pause;
axis on;
plot([1:N],dane_odk,'y');
xlabel('probki');
ylabel('amplituda');
title('Sygnal po dekompresji');
pause;
%********************************
subplot(2,2,1); 
plot([1:N],dane_wej,'r'); 
xlabel('probki');
ylabel('amplituda');
title('Sygnal wejsciowy');
%pause;
subplot(2,2,2);
plot([1:N],dane_kom,'b'); 
xlabel('probki');
ylabel('amplituda');
title('Sygnal skompresowany');
%pause;
subplot(2,2,4);
plot([1:N],dane_zak,'g');
xlabel('probki');
ylabel('amplituda');
title('Sygnal skwantyzowany');
%pause;
subplot(2,2,3);
plot([1:N],dane_odk,'y');
xlabel('probki');
ylabel('amplituda');
title('Sygnal po dekompresji');
sound(dane_wej);
pause;
sound(dane_odk);
pause;
close;



