function paramsig()
%
%
%       function paramsig()
%
%
% Funkcja tworzy okienko do wszechstronnego ogldania funkcji
% typu chirp

% DEFINICJE STALYCH
HandleCol=1;
ValueCol=2;
% definiwanych poprzez pola edycyjne

IndFFTnum=1;
IndFreqSample=IndFFTnum+1;
IndPulseWidth=IndFFTnum+2;
IndPulseBwidth=IndFFTnum+3;
IndPulseNum=IndFFTnum+4;
IndInterPperiod=IndFFTnum+5;
IndFreqShift=IndFFTnum+6;
IndNoise=IndFFTnum+7;

% Definicje staych wywoywanych z menu
IndMenu=IndNoise+1;
IndReal=IndMenu+1;
IndImag=IndMenu+2;
IndAbs=IndMenu+3;
IndAngle=IndMenu+4;
IndFFT_Shift=IndMenu+5;
IndFFT_Fun=IndMenu+6;
IndChirp=IndMenu+7;
IndMatched=IndMenu+8;
IndConv=IndMenu+9;
IndClose=IndMenu+10;

% Definicje staych wywoywanych z Buttonow
IndOkButton=IndClose+1;
IndCancelButton=IndOkButton+1;
IndApplyButton=IndOkButton+2;

% Definicje Menu Okienka
IndMenuWin=35;
IndMenuWinRar=IndMenuWin+1;
IndMenuWinSig=IndMenuWin+2;
IndMenuWinObj=IndMenuWin+3;

%---------------Global
global WinParamSignal                           %Identyfikator Okienka
global PulseWidth;                                      %us
global PulseBwidth;                                     %MHz
global FreqSample;                                      %MHz
global InterPperiod;                            %MHz
global PulseNum;
global SignalNoise;


if exist('WinParamSignal')
if openwin(WinParamSignal)==1
   return;
end
end

WinParamSignal=figure('Units','normalized','NumberTitle','off','Name','Parametry sygnau','MenuBar','none',...
'position',[.1 .1 .7 .8]);
ax=axes('Units','normalized','position',[.08,.13,.60,.77]);
%get(ax);
mzoom on;

%----------------MENU-------------------
str=sprintf('sigcb(%d)',IndClose);
handle=uimenu(gcf,'Label','Koniec!','Callback',str);
setusrd1(gcf,IndClose,HandleCol,handle);
%-------
str=sprintf('sigcb(%d)',IndMenu);
%handlem=uimenu(gcf,'Label','&Operacje','Callback',str);
handlem=uimenu(gcf,'Label','&Operacje','Callback','');
setusrd1(gcf,IndMenu,HandleCol,handlem);
%-------
str=sprintf('sigcb(%d)',IndReal);
handle=uimenu(handlem,'Label','real()','Callback',str);
setusrd1(gcf,IndReal,HandleCol,handle);
%-------
str=sprintf('sigcb(%d)',IndImag);
handle=uimenu(handlem,'Label','imag()','Callback',str);
setusrd1(gcf,IndImag,HandleCol,handle);
%-------
str=sprintf('sigcb(%d)',IndAbs);
handle=uimenu(handlem,'Label','abs()','Callback',str,'Checked','on');
setusrd1(gcf,IndAbs,HandleCol,handle);
%-------
str=sprintf('sigcb(%d)',IndAngle);
handle=uimenu(handlem,'Label','angle()','Callback',str);
setusrd1(gcf,IndAngle,HandleCol,handle);
%-------
str=sprintf('sigcb(%d)',IndFFT_Shift);
handle=uimenu(handlem,'Label','FFTshift','Callback',str,'Separator','on');
setusrd1(gcf,IndFFT_Shift,HandleCol,handle);
%-------
str=sprintf('sigcb(%d)',IndFFT_Fun);
handle=uimenu(handlem,'Label','FFT','Callback',str,'Separator','on');
setusrd1(gcf,IndFFT_Fun,HandleCol,handle);
%-------
str=sprintf('sigcb(%d)',IndChirp);
handle=uimenu(handlem,'Label','chirp','Callback',str,'Checked','on','Separator','on');
setusrd1(gcf,IndChirp,HandleCol,handle);
%-------
str=sprintf('sigcb(%d)',IndMatched);
handle=uimenu(handlem,'Label','Matched Filter','Callback',str);
setusrd1(gcf,IndMatched,HandleCol,handle);
%-------
str=sprintf('sigcb(%d)',IndConv);
handle=uimenu(handlem,'Label','conv()','Callback',str);
setusrd1(gcf,IndConv,HandleCol,handle);

%----------------MENU OKNA-------------------

str=sprintf('winmenu(%d)',IndMenuWin);
handlem=uimenu(gcf,'Label','&Okienka','Callback',str);
setusrd1(gcf,IndMenuWin,HandleCol,handlem);

%----------------MENU OKNA RAR-------------------

str=sprintf('winmenu(%d)',IndMenuWinRar);
handle=uimenu(handlem,'Label','&Radar','Callback',str);
setusrd1(gcf,IndMenuWinRar,HandleCol,handle);

%----------------MENU OKNA SIG-------------------

str=sprintf('winmenu(%d)',IndMenuWinSig);
handle=uimenu(handlem,'Label','&Sygnal','Callback',str);
setusrd1(gcf,IndMenuWinSig,HandleCol,handle);

%----------------MENU OKNA OBJ-------------------

str=sprintf('winmenu(%d)',IndMenuWinObj);
handle=uimenu(handlem,'Label','&Objekty','Callback',str);
setusrd1(gcf,IndMenuWinObj,HandleCol,handle);

%-----------------------MENU GRID-------------------------

handlem=uimenu(gcf,'Label','&Siatka');
uimenu(handlem,'Label','Grid On','Callback','grid on');
uimenu(handlem,'Label','Grid Off','Callback','grid off');

%-----------------RAMKA--------------------------

%Frame=uicontrol('Style','fram','String','Prama.','Units','normalized',...
%'Position',[.70 .00 .3 1],...
%'BackgroundColor','red');

%-----------------IndFFTnum--------------------------

uicontrol('Style','text','String','punkty FFT','Units','normalized',...
'Position',[.7 .95 .28 .04]);
handle=uicontrol('Style','edit','String',num2str(0),'Units','normalized',...
'Position',[.7 .90 .28 .04]);
str=sprintf('sigcb(%d)',IndFFTnum);
set(handle,'Callback',str);
setusrd1(gcf,IndFFTnum,HandleCol,handle);

%-----------------IndFreqSample--------------------------

uicontrol('Style','text','String','Czst.prb.(MHz):','Units','normalized',...
'Position',[.7 .85 .28 .04]);
handle=uicontrol('Style','edit','String',num2str(0),'Units','normalized',...
'Position',[.7 .80 .28 .04]);
str=sprintf('sigcb(%d)',IndFreqSample);
set(handle,'Callback',str);
setusrd1(gcf,IndFreqSample,HandleCol,handle);

%----------------IndPulseWidth-----------------------------

uicontrol('Style','text','String','Szeroko imp.(us):','Units','normalized',...
'Position',[.7 .75 .28 .04]);
handle=uicontrol('Style','edit','String',num2str(0),'Units','normalized',...
'Position',[.7 .70 .28 .04]);
str=sprintf('sigcb(%d)',IndPulseWidth);
set(handle,'Callback',str);
setusrd1(gcf,IndPulseWidth,HandleCol,handle);

%----------------IndPulseBwidth-----------------------------

uicontrol('Style','text','String','Szer.pasma (MHz):','Units','normalized',...
'Position',[.7 .65 .28 .04]);
handle=uicontrol('Style','edit','String',sprintf('%d',0),'Units','normalized',...
'Position',[.7 .60 .28 .04]);
str=sprintf('sigcb(%d)',IndPulseBwidth);
set(handle,'Callback',str);
setusrd1(gcf,IndPulseBwidth,HandleCol,handle);

%----------------IndPulseNum-----------------------------

uicontrol('Style','text','String','Liczba imp.','Units','normalized',...
'Position',[.7 .55 .28 .04]);
handle=uicontrol('Style','edit','String',num2str(0),'Units','normalized',...
'Position',[.7 .50 .28 .04]);
str=sprintf('sigcb(%d)',IndPulseNum);
set(handle,'Callback',str);
setusrd1(gcf,IndPulseNum,HandleCol,handle);

%----------------IndInterPperiod---------------------------

uicontrol('Style','text','String','Okres pom.imp(us)','Units','normalized',...
'Position',[.7 .45 .28 .04]);
handle=uicontrol('Style','edit','String',num2str(IndInterPperiod),'Units','normalized',...
'Position',[.7 .40 .28 .04]);
str=sprintf('sigcb(%d)',IndInterPperiod);
set(handle,'Callback',str);
setusrd1(gcf,IndInterPperiod,HandleCol,handle);

%-----------------IndFreqShift--------------------------

uicontrol('Style','text','String','Przesunicie FFT','Units','normalized',...
'Position',[.7 .35 .28 .04]);
handle=uicontrol('Style','edit','String',num2str(0),'Units','normalized',...
'Position',[.7 .30 .28 .04]);
str=sprintf('sigcb(%d)',IndFreqShift);
set(handle,'Callback',str);
setusrd1(gcf,IndFreqShift,HandleCol,handle);

%-----------------IndNoise--------------------------

uicontrol('Style','text','String','Szum','Units','normalized',...
'Position',[.7 .25 .28 .04]);
handle=uicontrol('Style','edit','String',num2str(0),'Units','normalized',...
'Position',[.7 .20 .28 .04]);
str=sprintf('sigcb(%d)',IndNoise);
set(handle,'Callback',str);
setusrd1(gcf,IndNoise,HandleCol,handle);

%-----------------IndApplyButton--------------------------

handle=uicontrol('Style','pushbutton','String','Zastosuj','Units','normalized',...
'Position',[.7 .10 .28 .06]);
str=sprintf('sigcb(%d)',IndApplyButton);
set(handle,'Callback',str);
setusrd1(gcf,IndApplyButton,HandleCol,handle);

%-----------------IndOkButton--------------------------

handle=uicontrol('Style','pushbutton','String','Ok','Units','normalized',...
'Position',[.86 .02 .12 .06]);
str=sprintf('sigcb(%d)',IndOkButton);
set(handle,'Callback',str);
setusrd1(gcf,IndOkButton,HandleCol,handle);

%-----------------IndCancelButton--------------------------

handle=uicontrol('Style','pushbutton','String','Anuluj','Units','normalized',...
'Position',[.7 .02 .14 .06]);
str=sprintf('sigcb(%d)',IndCancelButton);
set(handle,'Callback',str);
setusrd1(gcf,IndCancelButton,HandleCol,handle);

sigcb(-1);
