%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Widmo transmisji cyfrowej w kanale 600..1500Hz w pasmie mowy ludzkiej
%% Autorzy : 
%% Przemyslaw Jodkowski & Michal Dusinski
%%%%%%%%%%%%%
%%% Wizualizacja:
Np=32768;
Ap=1.5;

%%% s1
figure('Name','Input sin');
band=abs(real(fft(s1(1:Np))))/Np;
plot(band(1:Np/2));
axis([0 Np/2 0 Ap]);
pause;

%%% s2
figure('Name','Filtered sin');
band=abs(real(fft(s2(1:Np))))/Np;
plot(band(1:Np/2));
axis([0 Np/2 0 Ap]);
pause;

%%% v1
figure('Name','Input voice');
band=abs(real(fft(v1(1:Np))))/Np;
plot(band(1:Np/2));
axis([0 Np/2 0 Ap]);
pause;

%%% v2
figure('Name','Filtered voice');
band=abs(real(fft(v2(1:Np))))/Np;
plot(band(1:Np/2));
axis([0 Np/2 0 Ap]);
pause;

%%% sv3
figure('Name','Mixed signal');
band=abs(real(fft(sv3(1:Np))))/Np*2;
plot(band(1:Np/2));
axis([0 Np/2 0 Ap]);
pause;

%%% s4
figure('Name','Output sin');
band=abs(real(fft(s4(1:Np))))/Np;
plot(band(1:Np/2));
axis([0 Np/2 0 Ap]);
pause;

%%% v4
figure('Name','Output voice');
band=abs(real(fft(v4(1:Np))))/Np;
plot(band(1:Np/2));
axis([0 Np/2 0 Ap]);

