% Matlab Example 2.9; Chapter 2
%
a=[1,-1,0.9];b=1;
% Part a)
n=[-20:120];
x=[(n-0)==0];
h=filter(b,a,x);
subplot(2,2,1);stem(n,h,'.')
axis([-20,120,-1.1,1.1])
title('Impulse Response');xlabel('n');ylabel('h(n)')
%
% Part b)
n=[-20:120];
x=[(n-0)>=0];
s=filter(b,a,x);
subplot(2,2,2);stem(n,s,'.')
axis([-20,120,-.5,2.5])
title('Step Response');xlabel('n');ylabel('s(n)')
%
% Part xx) chirp signal
n=[0:1000];
x=sin(2*pi/5000.*n.*n);
s=filter(b,a,x);
subplot(2,2,4);plot(n,s)
axis([0,1000,-20,20])
title('Chirp Response');xlabel('n');ylabel('s(n)')
subplot(2,2,3);plot(n,x)
axis([0,400,-2,2])
title('Chirp');xlabel('n');ylabel('chirp(n)')
%
%print -deps2 ex021000.eps
%
% Part c)
sum(abs(h))
z=roots(a);
magz=abs(z)
subplot

