% Matlab problems; Chapter 2- echo, comb, diferentiator
%
close;
%a=1;b=[1,zeros(1,48),0.1];        %echo
%a=1;b=[1,0,0,0,0,0,0,0,0,0,0,-1]; %comb filter
%a=1;b=[1,-1];                     %diferentiator
a=1;b=[1,1,1,1].*0.25;             %sin(x)/x low pass filter
% Part a)
n=[-10:200];
x=[(n-0)==0];
h=filter(b,a,x);
subplot(2,1,1);stem(n,h,'.')
axis([-10,200,-1.4,1.4])
title('Impulse Response');xlabel('n');ylabel('h(n)')
%
% Part xx) chirp signal
n=[0:1000];
x=sin(2*pi/4000.*n.*n);
s=filter(b,a,x);
subplot(2,2,4);plot(n,s)
axis([0,1000,-1.2,1.2])
title('Chirp Response');xlabel('n');ylabel('s(n)')
subplot(2,2,3);plot(n,x)
title('Chirp');xlabel('n');ylabel('chirp(n)')
%
%print -deps2 ex021000.eps
%
% Part c)
sum(abs(h))
z=roots(a);
magz=abs(z)
subplot
pause;
% Part a)
close;
n=[-10:100];
x=5*(stepseq(0,-10,100)-stepseq(20,-10,100))  ;
s=filter(b,a,x);
subplot(2,1,1);stem(n,x,'.');
axis([-10,100,-6,6]);
title('rectangle');xlabel('n');ylabel('rect(n)');
subplot(2,1,2);stem(n,s,'.')
axis([-10,100,-10,10])
title('rectangle response');xlabel('n');ylabel('s(n)')
pause;
% Part b)
close;
n=[-10:100];
x=n.*(stepseq(0,-10,100)-stepseq(10,-10,100))-(20-n).*(stepseq(10,-10,100)-stepseq(20,-10,100));

s=filter(b,a,x);

subplot(2,1,1);stem(n,x,'.')

axis([-10,100,-10,10])

title('triangle');xlabel('n');ylabel('trian(n)')

subplot(2,1,2);stem(n,s,'.')

axis([-10,100,-10,10])

title('triangle response');xlabel('n');ylabel('s(n)')
pause;

% Part c)
close;
n=[-10:300];
x=sin(pi*n/5).*(stepseq(0,-10,300)-stepseq(50,-10,300));

s=filter(b,a,x);

subplot(2,1,1);plot(n,x)

axis([-10,300,-1.2,1.2])

title('triangle');xlabel('n');ylabel('trian(n)')

subplot(2,1,2);plot(n,s)

axis([-10,300,-1.2,1.2])

title('triangle response');xlabel('n');ylabel('s(n)')
pause;
% Part x)
close;
n=[0:100];
x=cos(0.1*pi*n)+0.5*cos(0.9*pi*n);

s=filter(b,a,x);

subplot(2,1,1);plot(n,x)

axis([0,100,-2,2])

title('two cosines');xlabel('n');ylabel('cos&cos(n)')

subplot(2,1,2);plot(n,s)

axis([0,100,-2,2])
title('two cosines response');xlabel('n');ylabel('s(n)')
pause;
close;







