% singen.m: Matlab sinus generator
%
close;
n=1:10000;
N=10;               % liczba prbek na okres sinusoidy
a=1;  %0.9
A=2*cos(2*pi/N);
C=sin(2*pi/N)*a;
r=zeros(1,100);     % tablica prbek
y=[0,C,0];
for j=n,
   y(3)=y(2);       % procedura generacji
   y(2)=y(1);
   y(1)=A*y(2)-y(3)*a;
   r(j)=y(1);
end;
grid on;
subplot(1,1,1);stem(n,r)
axis([0,100,-2,2])
title('sinus');xlabel('n');ylabel('y(n)')
pause;
sound(r);
close;







