;******************************************************************************
;* TMS320C6x ANSI C Codegen                                      Version 4.00 *
;* Date/Time created: Tue Oct 15 00:08:43 2002                                *
;******************************************************************************

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C620x                                          *
;*   Optimization      : Enabled at level 3                                   *
;*   Optimizing for    : Speed                                                *
;*                       Based on options: -o3, no -ms                        *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Memory Model      : Small                                                *
;*   Calls to RTS      : Near                                                 *
;*   Pipelining        : Enabled                                              *
;*   Speculative Load  : Disabled                                             *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : Debug                                                *
;*                                                                            *
;******************************************************************************

FP	.set	A15
DP	.set	B14
SP	.set	B15
	.global	$bss

;	opt6x -q -O3 C:\WINDOWS\TEMP\TI16452071_2 C:\WINDOWS\TEMP\TI16452071_4 -w D:\ti_proj\Dual 
	.file	"dual.c"
	.file	"C:\ti\c6000\cgtools\include\stdlib.h"
	.file	"C:\ti\c6000\cgtools\include\stdio.h"
	.file	"C:\ti\c6000\cgtools\include\math.h"
	.file	"dual.c"
	.file	"C:\ti\c6000\cgtools\include\c6x.h"
	.file	"dual.c"
	.global	_in
	.bss	_in,4,4
	.sym	_in,_in, 4, 2, 32
	.global	_out
	.bss	_out,4,4
	.sym	_out,_out, 4, 2, 32
	.sect	".text"
	.global	_mcbsp0_init
	.sym	_mcbsp0_init,_mcbsp0_init, 32, 2, 0
	.func	86

;******************************************************************************
;* FUNCTION NAME: _mcbsp0_init                                                *
;*                                                                            *
;*   Regs Modified     : A0,A3,B4,B5                                          *
;*   Regs Used         : A0,A3,B3,B4,B5                                       *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_mcbsp0_init:
;** --------------------------------------------------------------------------*
	.sym	C$1,20, 14, 4, 32
	.sym	C$2,0, 14, 4, 32
	.line	4
           MVKL    .S2     0x18c0008,B5      ; |89| 

           MVKH    .S2     0x18c0008,B5      ; |89| 
||         ZERO    .L2     B4                ; |89| 

           STW     .D2T2   B4,*B5            ; |89| 
	.line	5
           MVKL    .S1     0x18c0024,A0      ; |90| 
           MVKH    .S1     0x18c0024,A0      ; |90| 
           STW     .D1T2   B4,*A0            ; |90| 
	.line	6
           MVKL    .S1     0x18c000c,A3      ; |91| 
           MVKH    .S1     0x18c000c,A3      ; |91| 
           MVKL    .S1     0x10040,A0        ; |91| 
           MVKH    .S1     0x10040,A0        ; |91| 
           STW     .D1T1   A0,*A3            ; |91| 
	.line	7
           MVKL    .S2     0x18c0010,B5      ; |92| 
           MVKH    .S2     0x18c0010,B5      ; |92| 
           STW     .D2T1   A0,*B5            ; |92| 
	.line	8
           MVKL    .S2     0x18c0004,B5      ; |93| 
           MVKH    .S2     0x18c0004,B5      ; |93| 
           STW     .D2T2   B4,*B5            ; |93| 
	.line	9

           MVKL    .S2     0x12001,B4        ; |94| 
||         MVKL    .S1     0x18c0008,A0      ; |94| 

           MVKH    .S2     0x12001,B4        ; |94| 
||         MVKH    .S1     0x18c0008,A0      ; |94| 

           STW     .D1T2   B4,*A0            ; |94| 
	.line	10
           B       .S2     B3                ; |95| 
           NOP             5
           ; BRANCH OCCURS                   ; |95| 
	.endfunc	95,000000000h,0


	.sect	".text"
	.global	_mcbsp0_read
	.sym	_mcbsp0_read,_mcbsp0_read, 36, 2, 0
	.func	108

;******************************************************************************
;* FUNCTION NAME: _mcbsp0_read                                                *
;*                                                                            *
;*   Regs Modified     : A0,A1,A3,A4,B0                                       *
;*   Regs Used         : A0,A1,A3,A4,B0,B3                                    *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_mcbsp0_read:
;** --------------------------------------------------------------------------*
	.sym	_temp,1, 4, 4, 32
	.sym	_temp,0, 4, 4, 32
	.sym	_temp,0, 4, 4, 32
	.line	4
           MVKL    .S1     0x18c0008,A0      ; |111| 
           MVKH    .S1     0x18c0008,A0      ; |111| 
           LDW     .D1T1   *A0,A0            ; |111| 
           NOP             4
           AND     .L1     2,A0,A1           ; |111| 
   [ A1]   B       .S1     L4                ; |111| 
   [!A1]   MVKL    .S1     0x18c0008,A0      ; (P) |114| 
           NOP             4
           ; BRANCH OCCURS                   ; |111| 
;** --------------------------------------------------------------------------*

           MVK     .S2     0x1,B0
||         MVKH    .S1     0x18c0008,A0      ; (P) |114| 

   [ B0]   LDW     .D1T1   *A0,A3            ; (P)  ^ |114| 
           MVKL    .S1     0x18c0008,A0      ; (P) @|114| 
           NOP             3
           AND     .L1     2,A3,A1           ; (P)  ^ |114| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Known Minimum Trip Count         : 1
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 7
;*      Unpartitioned Resource Bound     : 2
;*      Partitioned Resource Bound(*)    : 2
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     2*       1     
;*      .D units                     1        0     
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             1        0     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           1        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             2*       1     
;*      Bound(.L .S .D .LS .LSD)     2*       1     
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 7  Schedule found with 3 iterations in parallel
;*      done
;*
;*      Loop is interruptible
;*      Collapsed epilog stages     : 2
;*      Prolog not removed
;*      Collapsed prolog stages     : 0
;*
;*      Minimum required memory pad : 0 bytes
;*
;*      Minimum safe trip count     : 1
;*----------------------------------------------------------------------------*
L1:    ; PIPED LOOP PROLOG
;** --------------------------------------------------------------------------*
L2:    ; PIPED LOOP KERNEL

   [ A1]   ZERO    .L2     B0                ;  ^ 
||         MVKH    .S1     0x18c0008,A0      ; @|114| 

   [ B0]   B       .S2     L2                ; |114| 
|| [ B0]   LDW     .D1T1   *A0,A3            ; @ ^ |114| 

           NOP             4

           AND     .L1     2,A3,A1           ; @ ^ |114| 
||         MVKL    .S1     0x18c0008,A0      ; @@|114| 

;** --------------------------------------------------------------------------*
L3:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
L4:    
	.line	9
           ZERO    .L1     A0                ; |116| 
           MVKH    .S1     0x18c0000,A0      ; |116| 
	.line	10
           LDW     .D1T1   *A0,A4            ; 
	.line	11
           B       .S2     B3                ; |118| 
           NOP             5
           ; BRANCH OCCURS                   ; |118| 
	.endfunc	118,000000000h,0


	.sect	".text"
	.global	_mcbsp0_write
	.sym	_mcbsp0_write,_mcbsp0_write, 32, 2, 0
	.func	97

;******************************************************************************
;* FUNCTION NAME: _mcbsp0_write                                               *
;*                                                                            *
;*   Regs Modified     : A0,A1,A3,A4,A5,B0,B4                                 *
;*   Regs Used         : A0,A1,A3,A4,A5,B0,B3,B4                              *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_mcbsp0_write:
;** --------------------------------------------------------------------------*
	.sym	_out_data,4, 4, 17, 32
	.sym	K$3,3, 4, 4, 32
	.sym	_out_data,5, 4, 4, 32
	.sym	_temp,16, 4, 4, 32
	.sym	_temp,0, 4, 4, 32
	.line	2
           MV      .L1     A4,A5             ; |98| 
	.line	4
           MVKL    .S1     0x18c0008,A0      ; |100| 
           MVKH    .S1     0x18c0008,A0      ; |100| 
           LDW     .D1T1   *A0,A0            ; |100| 
           ZERO    .L2     B4                ; |100| 
           MVKH    .S2     0x20000,B4        ; |100| 
           NOP             2
           AND     .L2X    B4,A0,B0          ; |100| 
   [ B0]   B       .S1     L8                ; |100| 
           NOP             5
           ; BRANCH OCCURS                   ; |100| 
;** --------------------------------------------------------------------------*
           MVKL    .S1     0x18c0008,A0      ; (P) |103| 

           MVK     .S2     0x1,B0
||         MVKH    .S1     0x18c0008,A0      ; (P) |103| 

   [ B0]   LDW     .D1T1   *A0,A4            ; (P)  ^ |103| 
           ZERO    .L1     A3                ; |100| 
           MVKH    .S1     0x20000,A3        ; |100| 
           MVKL    .S1     0x18c0008,A0      ; (P) @|103| 
           NOP             1
           AND     .L1     A3,A4,A1          ; (P)  ^ |103| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Known Minimum Trip Count         : 1
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 7
;*      Unpartitioned Resource Bound     : 2
;*      Partitioned Resource Bound(*)    : 2
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     2*       1     
;*      .D units                     1        0     
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             1        0     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           1        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             2*       1     
;*      Bound(.L .S .D .LS .LSD)     2*       1     
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 7  Schedule found with 3 iterations in parallel
;*      done
;*
;*      Loop is interruptible
;*      Collapsed epilog stages     : 2
;*      Prolog not removed
;*      Collapsed prolog stages     : 0
;*
;*      Minimum required memory pad : 0 bytes
;*
;*      Minimum safe trip count     : 1
;*----------------------------------------------------------------------------*
L5:    ; PIPED LOOP PROLOG
;** --------------------------------------------------------------------------*
L6:    ; PIPED LOOP KERNEL

   [ A1]   ZERO    .L2     B0                ;  ^ 
||         MVKH    .S1     0x18c0008,A0      ; @|103| 

   [ B0]   B       .S2     L6                ; |103| 
|| [ B0]   LDW     .D1T1   *A0,A4            ; @ ^ |103| 

           NOP             4

           AND     .L1     A3,A4,A1          ; @ ^ |103| 
||         MVKL    .S1     0x18c0008,A0      ; @@|103| 

;** --------------------------------------------------------------------------*
L7:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
L8:    
	.line	9
           MVKL    .S1     0x18c0004,A0      ; |105| 
           MVKH    .S1     0x18c0004,A0      ; |105| 
           STW     .D1T1   A5,*A0            ; |105| 
	.line	10
           B       .S2     B3                ; |106| 
           NOP             5
           ; BRANCH OCCURS                   ; |106| 
	.endfunc	106,000000000h,0


	.sect	".text"
	.global	_codec_init
	.sym	_codec_init,_codec_init, 32, 2, 0
	.func	121

;******************************************************************************
;* FUNCTION NAME: _codec_init                                                 *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,B0,B1,B2,B3,B4,B5, *
;*                           B6,B7,B8,B9,SP                                   *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,B0,B1,B2,B3,B4,B5, *
;*                           B6,B7,B8,B9,SP                                   *
;*   Local Frame Size  : 8 Args + 0 Auto + 8 Save = 16 byte                   *
;******************************************************************************
_codec_init:
;** --------------------------------------------------------------------------*
	.sym	_temp,10, 4, 4, 32
	.sym	_temp,10, 4, 4, 32
	.sym	_temp,10, 4, 4, 32
           STW     .D2T2   B3,*SP--(16)      ; |121| 
           STW     .D2T1   A10,*+SP(12)      ; |121| 
	.line	6
           B       .S1     _mcbsp0_read      ; |126| 
           MVKL    .S2     RL0,B3            ; |126| 
           MVKH    .S2     RL0,B3            ; |126| 
           NOP             3
RL0:       ; CALL OCCURS                     ; |126| 
	.line	7
           B       .S1     _mcbsp0_write     ; |127| 
           MVKL    .S2     RL2,B3            ; |127| 
           MVKH    .S2     RL2,B3            ; |127| 
           ZERO    .L1     A4                ; |127| 
           NOP             2
RL2:       ; CALL OCCURS                     ; |127| 
	.line	8
           B       .S1     _mcbsp0_read      ; |128| 
           MVKL    .S2     RL4,B3            ; |128| 
           MVKH    .S2     RL4,B3            ; |128| 
           NOP             3
RL4:       ; CALL OCCURS                     ; |128| 
	.line	9
           B       .S1     _mcbsp0_write     ; |129| 
           MVKL    .S2     RL6,B3            ; |129| 
           MVKH    .S2     RL6,B3            ; |129| 
           ZERO    .L1     A4                ; |129| 
           NOP             2
RL6:       ; CALL OCCURS                     ; |129| 
	.line	10
           B       .S1     _mcbsp0_read      ; |130| 
           MVKL    .S2     RL8,B3            ; |130| 
           MVKH    .S2     RL8,B3            ; |130| 
           NOP             3
RL8:       ; CALL OCCURS                     ; |130| 
	.line	11
           B       .S1     _mcbsp0_write     ; |131| 
           MVKL    .S2     RL10,B3           ; |131| 
           ZERO    .L1     A4                ; |131| 
           MVKH    .S2     RL10,B3           ; |131| 
           NOP             2
RL10:      ; CALL OCCURS                     ; |131| 
	.line	12
           B       .S1     _mcbsp0_read      ; |132| 
           MVKL    .S2     RL12,B3           ; |132| 
           MVKH    .S2     RL12,B3           ; |132| 
           NOP             3
RL12:      ; CALL OCCURS                     ; |132| 
	.line	13
           B       .S1     _mcbsp0_write     ; |133| 
           MVKL    .S2     RL14,B3           ; |133| 
           MVKH    .S2     RL14,B3           ; |133| 
           MVK     .S1     0x1,A4            ; |133| 
           NOP             2
RL14:      ; CALL OCCURS                     ; |133| 
	.line	14
           B       .S1     _mcbsp0_read      ; |134| 
           MVKL    .S2     RL16,B3           ; |134| 
           MVKH    .S2     RL16,B3           ; |134| 
           NOP             3
RL16:      ; CALL OCCURS                     ; |134| 
	.line	15
           B       .S1     _mcbsp0_write     ; |135| 
           MVKL    .S2     RL18,B3           ; |135| 
           MVKH    .S2     RL18,B3           ; |135| 
           MVK     .S1     0x386,A4          ; |135| 
           NOP             2
RL18:      ; CALL OCCURS                     ; |135| 
	.line	16
           B       .S1     _mcbsp0_read      ; |136| 
           MVKL    .S2     RL20,B3           ; |136| 
           MVKH    .S2     RL20,B3           ; |136| 
           NOP             3
RL20:      ; CALL OCCURS                     ; |136| 
;** --------------------------------------------------------------------------*
	.line	17
           B       .S1     _mcbsp0_write     ; |137| 
           MVKL    .S2     RL22,B3           ; |137| 
           MVKH    .S2     RL22,B3           ; |137| 
           ZERO    .L1     A4                ; |137| 
           NOP             2
RL22:      ; CALL OCCURS                     ; |137| 
	.line	18
           B       .S1     _mcbsp0_read      ; |138| 
           MVKL    .S2     RL24,B3           ; |138| 
           MVKH    .S2     RL24,B3           ; |138| 
           NOP             3
RL24:      ; CALL OCCURS                     ; |138| 
	.line	21
           B       .S1     _mcbsp0_write     ; |141| 
           MVKL    .S2     RL26,B3           ; |141| 
           MVKH    .S2     RL26,B3           ; |141| 
           ZERO    .L1     A4                ; |141| 
           NOP             2
RL26:      ; CALL OCCURS                     ; |141| 
	.line	22
           B       .S1     _mcbsp0_read      ; |142| 
           MVKL    .S2     RL28,B3           ; |142| 
           MVKH    .S2     RL28,B3           ; |142| 
           NOP             3
RL28:      ; CALL OCCURS                     ; |142| 
	.line	23
           B       .S1     _mcbsp0_write     ; |143| 
           MVKL    .S2     RL30,B3           ; |143| 
           MVKH    .S2     RL30,B3           ; |143| 
           ZERO    .L1     A4                ; |143| 
           NOP             2
RL30:      ; CALL OCCURS                     ; |143| 
	.line	24
           B       .S1     _mcbsp0_read      ; |144| 
           MVKL    .S2     RL32,B3           ; |144| 
           MVKH    .S2     RL32,B3           ; |144| 
           NOP             3
RL32:      ; CALL OCCURS                     ; |144| 
	.line	25
           B       .S1     _mcbsp0_write     ; |145| 
           MVKL    .S2     RL34,B3           ; |145| 
           MVK     .S1     0x1,A4            ; |145| 
           MVKH    .S2     RL34,B3           ; |145| 
           NOP             2
RL34:      ; CALL OCCURS                     ; |145| 
	.line	26
           B       .S1     _mcbsp0_read      ; |146| 
           MVKL    .S2     RL36,B3           ; |146| 
           MVKH    .S2     RL36,B3           ; |146| 
           NOP             3
RL36:      ; CALL OCCURS                     ; |146| 
	.line	27
           B       .S1     _mcbsp0_write     ; |147| 
           MVKL    .S2     RL38,B3           ; |147| 
           MVKH    .S2     RL38,B3           ; |147| 
           MVK     .S1     0x306,A4          ; |147| 
           NOP             2
RL38:      ; CALL OCCURS                     ; |147| 
	.line	28
           B       .S1     _mcbsp0_read      ; |148| 
           MVKL    .S2     RL40,B3           ; |148| 
           MVKH    .S2     RL40,B3           ; |148| 
           NOP             3
RL40:      ; CALL OCCURS                     ; |148| 
	.line	29
           B       .S1     _mcbsp0_write     ; |149| 
           MVKL    .S2     RL42,B3           ; |149| 
           MVKH    .S2     RL42,B3           ; |149| 
           ZERO    .L1     A4                ; |149| 
           NOP             2
RL42:      ; CALL OCCURS                     ; |149| 
;** --------------------------------------------------------------------------*
	.line	30
           B       .S1     _mcbsp0_read      ; |150| 
           MVKL    .S2     RL44,B3           ; |150| 
           MVKH    .S2     RL44,B3           ; |150| 
           NOP             3
RL44:      ; CALL OCCURS                     ; |150| 
	.line	32
           B       .S1     _mcbsp0_write     ; |152| 
           MVKL    .S2     RL46,B3           ; |152| 
           MVKH    .S2     RL46,B3           ; |152| 
           ZERO    .L1     A4                ; |152| 
           NOP             2
RL46:      ; CALL OCCURS                     ; |152| 
	.line	33
           B       .S1     _mcbsp0_read      ; |153| 
           MVKL    .S2     RL48,B3           ; |153| 
           MVKH    .S2     RL48,B3           ; |153| 
           NOP             3
RL48:      ; CALL OCCURS                     ; |153| 
	.line	34
           B       .S1     _mcbsp0_write     ; |154| 
           MVKL    .S2     RL50,B3           ; |154| 
           MVKH    .S2     RL50,B3           ; |154| 
           MVK     .S1     0x1,A4            ; |154| 
           NOP             2
RL50:      ; CALL OCCURS                     ; |154| 
	.line	35
           B       .S1     _mcbsp0_read      ; |155| 
           MVKL    .S2     RL52,B3           ; |155| 
           MVKH    .S2     RL52,B3           ; |155| 
           NOP             3
RL52:      ; CALL OCCURS                     ; |155| 
	.line	36
           B       .S1     _mcbsp0_write     ; |156| 
           MVKL    .S2     RL54,B3           ; |156| 
           MVKH    .S2     RL54,B3           ; |156| 
           MVK     .S1     0x2330,A4         ; |156| 
           NOP             2
RL54:      ; CALL OCCURS                     ; |156| 
	.line	37
           B       .S1     _mcbsp0_read      ; |157| 
           MVKL    .S2     RL56,B3           ; |157| 
           MVKH    .S2     RL56,B3           ; |157| 
           NOP             3
RL56:      ; CALL OCCURS                     ; |157| 
           MV      .L1     A4,A10            ; 
	.line	38
           B       .S1     _mcbsp0_write     ; |158| 
           MVKL    .S2     RL58,B3           ; |158| 
           MVKH    .S2     RL58,B3           ; |158| 
           ZERO    .L1     A4                ; |158| 
           NOP             2
RL58:      ; CALL OCCURS                     ; |158| 
	.line	39
           B       .S1     _mcbsp0_read      ; |159| 
           MVKL    .S2     RL60,B3           ; |159| 
           MVKH    .S2     RL60,B3           ; |159| 
           NOP             3
RL60:      ; CALL OCCURS                     ; |159| 
	.line	40
           B       .S1     _mcbsp0_write     ; |160| 
           MVKL    .S2     RL62,B3           ; |160| 
           ZERO    .L1     A4                ; |160| 
           MVKH    .S2     RL62,B3           ; |160| 
           NOP             2
RL62:      ; CALL OCCURS                     ; |160| 
	.line	41
           B       .S1     _mcbsp0_read      ; |161| 
           MVKL    .S2     RL64,B3           ; |161| 
           MVKH    .S2     RL64,B3           ; |161| 
           NOP             3
RL64:      ; CALL OCCURS                     ; |161| 
;** --------------------------------------------------------------------------*
	.line	42
           EXTU    .S1     A10,24,24,A0      ; |162| 
           CMPEQ   .L1     A0,6,A1           ; |162| 
   [!A1]   B       .S1     L10               ; |162| 
           NOP             5
           ; BRANCH OCCURS                   ; |162| 
;** --------------------------------------------------------------------------*
	.line	51
           B       .S1     _mcbsp0_write     ; |171| 
           MVKL    .S2     RL66,B3           ; |171| 
           MVKH    .S2     RL66,B3           ; |171| 
           ZERO    .L1     A4                ; |171| 
           NOP             2
RL66:      ; CALL OCCURS                     ; |171| 
	.line	52
           B       .S1     _mcbsp0_read      ; |172| 
           MVKL    .S2     RL68,B3           ; |172| 
           MVKH    .S2     RL68,B3           ; |172| 
           NOP             3
RL68:      ; CALL OCCURS                     ; |172| 
	.line	53
           B       .S1     _mcbsp0_write     ; |173| 
           MVKL    .S2     RL70,B3           ; |173| 
           MVKH    .S2     RL70,B3           ; |173| 
           ZERO    .L1     A4                ; |173| 
           NOP             2
RL70:      ; CALL OCCURS                     ; |173| 
	.line	54
           B       .S1     _mcbsp0_read      ; |174| 
           MVKL    .S2     RL72,B3           ; |174| 
           MVKH    .S2     RL72,B3           ; |174| 
           NOP             3
RL72:      ; CALL OCCURS                     ; |174| 
	.line	55
           B       .S1     _mcbsp0_write     ; |175| 
           MVKL    .S2     RL74,B3           ; |175| 
           MVKH    .S2     RL74,B3           ; |175| 
           MVK     .S1     0x1,A4            ; |175| 
           NOP             2
RL74:      ; CALL OCCURS                     ; |175| 
	.line	56
           B       .S1     _mcbsp0_read      ; |176| 
           MVKL    .S2     RL76,B3           ; |176| 
           MVKH    .S2     RL76,B3           ; |176| 
           NOP             3
RL76:      ; CALL OCCURS                     ; |176| 
	.line	57
           B       .S1     _mcbsp0_write     ; |177| 
           MVKL    .S2     RL78,B3           ; |177| 
           MVK     .S1     0x400,A4          ; |177| 
           MVKH    .S2     RL78,B3           ; |177| 
           NOP             2
RL78:      ; CALL OCCURS                     ; |177| 
	.line	58
           B       .S1     _mcbsp0_read      ; |178| 
           MVKL    .S2     RL80,B3           ; |178| 
           MVKH    .S2     RL80,B3           ; |178| 
           NOP             3
RL80:      ; CALL OCCURS                     ; |178| 
	.line	59
           B       .S1     _mcbsp0_write     ; |179| 
           MVKL    .S2     RL82,B3           ; |179| 
           MVKH    .S2     RL82,B3           ; |179| 
           ZERO    .L1     A4                ; |179| 
           NOP             2
RL82:      ; CALL OCCURS                     ; |179| 
	.line	60
           B       .S1     _mcbsp0_read      ; |180| 
           MVKL    .S2     RL84,B3           ; |180| 
           MVKH    .S2     RL84,B3           ; |180| 
           NOP             3
RL84:      ; CALL OCCURS                     ; |180| 
	.line	62
           B       .S1     _mcbsp0_write     ; |182| 
           MVKL    .S2     RL86,B3           ; |182| 
           MVKH    .S2     RL86,B3           ; |182| 
           ZERO    .L1     A4                ; |182| 
           NOP             2
RL86:      ; CALL OCCURS                     ; |182| 
;** --------------------------------------------------------------------------*
	.line	63
           B       .S1     _mcbsp0_read      ; |183| 
           MVKL    .S2     RL88,B3           ; |183| 
           MVKH    .S2     RL88,B3           ; |183| 
           NOP             3
RL88:      ; CALL OCCURS                     ; |183| 
	.line	64
           B       .S1     _mcbsp0_write     ; |184| 
           MVKL    .S2     RL90,B3           ; |184| 
           MVKH    .S2     RL90,B3           ; |184| 
           MVK     .S1     0x1,A4            ; |184| 
           NOP             2
RL90:      ; CALL OCCURS                     ; |184| 
	.line	65
           B       .S1     _mcbsp0_read      ; |185| 
           MVKL    .S2     RL92,B3           ; |185| 
           MVKH    .S2     RL92,B3           ; |185| 
           NOP             3
RL92:      ; CALL OCCURS                     ; |185| 
	.line	66
           B       .S1     _mcbsp0_write     ; |186| 
           MVKL    .S2     RL94,B3           ; |186| 
           MVKH    .S2     RL94,B3           ; |186| 
           MVK     .S1     0x2430,A4         ; |186| 
           NOP             2
RL94:      ; CALL OCCURS                     ; |186| 
	.line	67
           B       .S1     _mcbsp0_read      ; |187| 
           MVKL    .S2     RL96,B3           ; |187| 
           MVKH    .S2     RL96,B3           ; |187| 
           NOP             3
RL96:      ; CALL OCCURS                     ; |187| 
           MV      .L1     A4,A10            ; 
	.line	68
           B       .S1     _mcbsp0_write     ; |188| 
           MVKL    .S2     RL98,B3           ; |188| 
           MVKH    .S2     RL98,B3           ; |188| 
           ZERO    .L1     A4                ; |188| 
           NOP             2
RL98:      ; CALL OCCURS                     ; |188| 
	.line	69
           B       .S1     _mcbsp0_read      ; |189| 
           MVKL    .S2     RL100,B3          ; |189| 
           MVKH    .S2     RL100,B3          ; |189| 
           NOP             3
RL100:     ; CALL OCCURS                     ; |189| 
	.line	70
           B       .S1     _mcbsp0_write     ; |190| 
           MVKL    .S2     RL102,B3          ; |190| 
           MVKH    .S2     RL102,B3          ; |190| 
           ZERO    .L1     A4                ; |190| 
           NOP             2
RL102:     ; CALL OCCURS                     ; |190| 
	.line	71
           B       .S1     _mcbsp0_read      ; |191| 
           MVKL    .S2     RL104,B3          ; |191| 
           MVKH    .S2     RL104,B3          ; |191| 
           NOP             3
RL104:     ; CALL OCCURS                     ; |191| 
	.line	72
           EXTU    .S1     A10,24,24,A1      ; |192| 
   [ A1]   B       .S1     L9                ; |192| 
           NOP             5
           ; BRANCH OCCURS                   ; |192| 
;** --------------------------------------------------------------------------*
	.line	81
           B       .S1     _mcbsp0_write     ; |201| 
           MVKL    .S2     RL106,B3          ; |201| 
           MVKH    .S2     RL106,B3          ; |201| 
           ZERO    .L1     A4                ; |201| 
           NOP             2
RL106:     ; CALL OCCURS                     ; |201| 
	.line	82
           B       .S1     _mcbsp0_read      ; |202| 
           MVKL    .S2     RL108,B3          ; |202| 
           MVKH    .S2     RL108,B3          ; |202| 
           NOP             3
RL108:     ; CALL OCCURS                     ; |202| 
	.line	83
           B       .S1     _mcbsp0_write     ; |203| 
           MVKL    .S2     RL110,B3          ; |203| 
           MVKH    .S2     RL110,B3          ; |203| 
           ZERO    .L1     A4                ; |203| 
           NOP             2
RL110:     ; CALL OCCURS                     ; |203| 
	.line	84
           B       .S1     _mcbsp0_read      ; |204| 
           MVKL    .S2     RL112,B3          ; |204| 
           MVKH    .S2     RL112,B3          ; |204| 
           NOP             3
RL112:     ; CALL OCCURS                     ; |204| 
	.line	85
           B       .S1     _mcbsp0_write     ; |205| 
           MVKL    .S2     RL114,B3          ; |205| 
           MVKH    .S2     RL114,B3          ; |205| 
           MVK     .S1     0x1,A4            ; |205| 
           NOP             2
RL114:     ; CALL OCCURS                     ; |205| 
	.line	86
           B       .S1     _mcbsp0_read      ; |206| 
           MVKL    .S2     RL116,B3          ; |206| 
           MVKH    .S2     RL116,B3          ; |206| 
           NOP             3
RL116:     ; CALL OCCURS                     ; |206| 
	.line	87
           B       .S1     _mcbsp0_write     ; |207| 
           MVKL    .S2     RL118,B3          ; |207| 
           MVK     .S1     0x502,A4          ; |207| 
           MVKH    .S2     RL118,B3          ; |207| 
           NOP             2
RL118:     ; CALL OCCURS                     ; |207| 
	.line	88
           B       .S1     _mcbsp0_read      ; |208| 
           MVKL    .S2     RL120,B3          ; |208| 
           MVKH    .S2     RL120,B3          ; |208| 
           NOP             3
RL120:     ; CALL OCCURS                     ; |208| 
	.line	89
           B       .S1     _mcbsp0_write     ; |209| 
           MVKL    .S2     RL122,B3          ; |209| 
           MVKH    .S2     RL122,B3          ; |209| 
           ZERO    .L1     A4                ; |209| 
           NOP             2
RL122:     ; CALL OCCURS                     ; |209| 
	.line	90
           B       .S1     _mcbsp0_read      ; |210| 
           MVKL    .S2     RL124,B3          ; |210| 
           MVKH    .S2     RL124,B3          ; |210| 
           NOP             3
RL124:     ; CALL OCCURS                     ; |210| 
	.line	92
           B       .S1     _mcbsp0_write     ; |212| 
           MVKL    .S2     RL126,B3          ; |212| 
           MVKH    .S2     RL126,B3          ; |212| 
           ZERO    .L1     A4                ; |212| 
           NOP             2
RL126:     ; CALL OCCURS                     ; |212| 
;** --------------------------------------------------------------------------*
	.line	93
           B       .S1     _mcbsp0_read      ; |213| 
           MVKL    .S2     RL128,B3          ; |213| 
           MVKH    .S2     RL128,B3          ; |213| 
           NOP             3
RL128:     ; CALL OCCURS                     ; |213| 
	.line	94
           B       .S1     _mcbsp0_write     ; |214| 
           MVKL    .S2     RL130,B3          ; |214| 
           MVKH    .S2     RL130,B3          ; |214| 
           MVK     .S1     0x1,A4            ; |214| 
           NOP             2
RL130:     ; CALL OCCURS                     ; |214| 
	.line	95
           B       .S1     _mcbsp0_read      ; |215| 
           MVKL    .S2     RL132,B3          ; |215| 
           MVKH    .S2     RL132,B3          ; |215| 
           NOP             3
RL132:     ; CALL OCCURS                     ; |215| 
	.line	96
           B       .S1     _mcbsp0_write     ; |216| 
           MVKL    .S2     RL134,B3          ; |216| 
           MVKH    .S2     RL134,B3          ; |216| 
           MVK     .S1     0x2530,A4         ; |216| 
           NOP             2
RL134:     ; CALL OCCURS                     ; |216| 
	.line	97
           B       .S1     _mcbsp0_read      ; |217| 
           MVKL    .S2     RL136,B3          ; |217| 
           MVKH    .S2     RL136,B3          ; |217| 
           NOP             3
RL136:     ; CALL OCCURS                     ; |217| 
           MV      .L1     A4,A10            ; 
	.line	98
           B       .S1     _mcbsp0_write     ; |218| 
           MVKL    .S2     RL138,B3          ; |218| 
           MVKH    .S2     RL138,B3          ; |218| 
           ZERO    .L1     A4                ; |218| 
           NOP             2
RL138:     ; CALL OCCURS                     ; |218| 
	.line	99
           B       .S1     _mcbsp0_read      ; |219| 
           MVKL    .S2     RL140,B3          ; |219| 
           MVKH    .S2     RL140,B3          ; |219| 
           NOP             3
RL140:     ; CALL OCCURS                     ; |219| 
	.line	100
           B       .S1     _mcbsp0_write     ; |220| 
           MVKL    .S2     RL142,B3          ; |220| 
           ZERO    .L1     A4                ; |220| 
           MVKH    .S2     RL142,B3          ; |220| 
           NOP             2
RL142:     ; CALL OCCURS                     ; |220| 
	.line	101
           B       .S1     _mcbsp0_read      ; |221| 
           MVKL    .S2     RL144,B3          ; |221| 
           MVKH    .S2     RL144,B3          ; |221| 
           NOP             3
RL144:     ; CALL OCCURS                     ; |221| 
	.line	102
           EXTU    .S1     A10,24,25,A0      ; |222| 
           SHL     .S1     A0,1,A0           ; |222| 
           CMPEQ   .L1     A0,2,A1           ; |222| 
   [ A1]   B       .S1     L11               ; |222| 
           NOP             5
           ; BRANCH OCCURS                   ; |222| 
;** --------------------------------------------------------------------------*
;***	; the preceding call never returns
	.line	105
           B       .S1     _printf           ; |225| 
           MVKL    .S1     SL1+0,A0          ; |225| 
           MVKH    .S1     SL1+0,A0          ; |225| 
           MVKL    .S2     RL146,B3          ; |225| 
           STW     .D2T1   A0,*+SP(4)        ; |225| 
           MVKH    .S2     RL146,B3          ; |225| 
RL146:     ; CALL OCCURS                     ; |225| 
	.line	106
           B       .S1     _exit             ; |226| 
           MVKL    .S2     RL148,B3          ; |226| 
           MVKH    .S2     RL148,B3          ; |226| 
           ZERO    .L1     A4                ; |226| 
           NOP             2
RL148:     ; CALL OCCURS                     ; |226| 
;** --------------------------------------------------------------------------*
L9:    
;***	; the preceding call never returns
	.line	75
           B       .S1     _printf           ; |195| 
           MVKL    .S1     SL2+0,A0          ; |195| 
           MVKH    .S1     SL2+0,A0          ; |195| 
           MVKL    .S2     RL150,B3          ; |195| 
           STW     .D2T1   A0,*+SP(4)        ; |195| 
           MVKH    .S2     RL150,B3          ; |195| 
RL150:     ; CALL OCCURS                     ; |195| 
	.line	76
           B       .S1     _exit             ; |196| 
           MVKL    .S2     RL152,B3          ; |196| 
           MVKH    .S2     RL152,B3          ; |196| 
           ZERO    .L1     A4                ; |196| 
           NOP             2
RL152:     ; CALL OCCURS                     ; |196| 
;** --------------------------------------------------------------------------*
L10:    
;***	; the preceding call never returns
	.line	45
           B       .S1     _printf           ; |165| 
           MVKL    .S1     SL3+0,A0          ; |165| 
           MVKH    .S1     SL3+0,A0          ; |165| 
           MVKL    .S2     RL154,B3          ; |165| 
           STW     .D2T1   A0,*+SP(4)        ; |165| 
           MVKH    .S2     RL154,B3          ; |165| 
RL154:     ; CALL OCCURS                     ; |165| 
	.line	46
           B       .S1     _exit             ; |166| 
           MVKL    .S2     RL156,B3          ; |166| 
           MVKH    .S2     RL156,B3          ; |166| 
           ZERO    .L1     A4                ; |166| 
           NOP             2
RL156:     ; CALL OCCURS                     ; |166| 
;** --------------------------------------------------------------------------*
L11:    
	.line	110
           LDW     .D2T1   *+SP(12),A10      ; |230| 
           LDW     .D2T2   *++SP(16),B3      ; |230| 
           NOP             4
           B       .S2     B3                ; |230| 
           NOP             5
           ; BRANCH OCCURS                   ; |230| 
	.endfunc	230,000080400h,16



	.sect	".cinit"
	.align	8
	.field  	IR_1,32
	.field  	_T0$1+0,32
	.word	07ae147aeh,040282e14h		; _T0$1[0] @ 0
	.word	0eb851eb8h,0402ab851h		; _T0$1[1] @ 64
	.word	070a3d70ah,0402d8a3dh		; _T0$1[2] @ 128
	.word	0e147ae14h,04030547ah		; _T0$1[3] @ 192
	.word	0ae147ae1h,0401be147h		; _T0$1[4] @ 256
	.word	0cccccccdh,0401ecccch		; _T0$1[5] @ 320
	.word	070a3d70ah,040210a3dh		; _T0$1[6] @ 384
	.word	0b851eb85h,04023051eh		; _T0$1[7] @ 448
IR_1:	.set	64

	.sect	".text"
	.sect	".text"
	.global	_main
	.sym	_main,_main, 36, 2, 0
	.func	24

;******************************************************************************
;* FUNCTION NAME: _main                                                       *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,   *
;*                           A15,B0,B1,B2,B3,B4,B5,B6,B7,B8,B9,B10,B11,B12,   *
;*                           B13,SP                                           *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,   *
;*                           A15,B0,B1,B2,B3,B4,B5,B6,B7,B8,B9,B10,B11,B12,   *
;*                           B13,DP,SP                                        *
;*   Local Frame Size  : 0 Args + 248 Auto + 44 Save = 292 byte               *
;******************************************************************************
_main:
;** --------------------------------------------------------------------------*
	.bss	_T0$1,64,8
	.sym	_T0,_T0$1, 55, 3, 512,, 8
	.sym	C$1,27, 7, 4, 64
	.sym	C$2,27, 7, 4, 64
	.sym	C$3,0, 14, 4, 32
	.sym	C$4,20, 7, 4, 64
	.sym	C$5,10, 7, 4, 64
	.sym	C$6,20, 14, 4, 32
	.sym	C$7,0, 14, 4, 32
	.sym	Y$0,13, 7, 4, 64
	.sym	Y$1,0, 7, 4, 64
	.sym	Y$2,4, 4, 4, 32
	.sym	W$1,15, 23, 4, 32
	.sym	W$2,29, 23, 4, 32
	.sym	_previous,12, 4, 4, 32
	.sym	_next,0, 4, 4, 32
	.sym	L$1,13, 4, 4, 32
	.sym	K$94,248, 4, 1, 32
	.sym	K$52,10, 7, 4, 64
	.sym	K$73,26, 14, 4, 32
	.sym	U$46,27, 23, 4, 32
	.sym	U$42,12, 23, 4, 32
	.sym	U$34,26, 23, 4, 32
	.sym	_f,8, 55, 1, 512,, 8
	.sym	_A,72, 55, 1, 512,, 8
	.sym	_C,136, 55, 1, 512,, 8
	.sym	_y1,200, 55, 1, 192,, 3
	.sym	_y2,224, 55, 1, 192,, 3
; >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> ENTERING mcbsp0_init()
; <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< LEAVING mcbsp0_init()
           ADDK    .S2     -296,SP           ; |24| 
           STW     .D2T1   A10,*+SP(256)     ; |24| 
           STW     .D2T1   A11,*+SP(260)     ; |24| 
           STW     .D2T1   A12,*+SP(264)     ; |24| 
           STW     .D2T1   A13,*+SP(268)     ; |24| 
           STW     .D2T1   A14,*+SP(272)     ; |24| 
           STW     .D2T2   B3,*+SP(276)      ; |24| 
           STW     .D2T2   B10,*+SP(280)     ; |24| 
           STW     .D2T2   B11,*+SP(284)     ; |24| 
           STW     .D2T2   B12,*+SP(288)     ; |24| 
           STW     .D2T2   B13,*+SP(292)     ; |24| 
           STW     .D2T1   A15,*+SP(296)     ; |24| 
	.line	4
           B       .S1     __strasg          ; |27| 
           MVKL    .S2     RL158,B3          ; |27| 
           MVK     .S1     (_T0$1-$bss),A0   ; |27| 
           MVKH    .S2     RL158,B3          ; |27| 
           ADD     .L1X    8,SP,A4           ; 

           ADD     .L2X    DP,A0,B4          ; 
||         MVK     .S1     0x40,A6           ; |27| 

RL158:     ; CALL OCCURS                     ; |27| 
	.line	9
           MVK     .S1     256,A0            ; |32| 
           MVC     .S2X    A0,CSR            ; |32| 
	.line	10
           MVK     .S1     1,A0              ; |33| 
           MVC     .S2X    A0,IER            ; |33| 
	.line	11
           ZERO    .L1     A0                ; |34| 
           SET     .S1     A0,0x0,0xf,A0     ; |34| 
           MVC     .S2X    A0,ICR            ; |34| 
           NOP             1
	.line	13
           ZERO    .L2     B4                ; |36| 

           MVK     .S1     13056,A0          ; |36| 
||         MVKH    .S2     0x1800000,B4      ; |36| 

           STW     .D2T1   A0,*B4            ; |36| 
	.line	14
           MVKL    .S2     0x1800004,B4      ; |37| 

           MVK     .S1     -221,A0           ; |37| 
||         MVKH    .S2     0x1800004,B4      ; |37| 

           STW     .D2T1   A0,*B4            ; |37| 
	.line	16
           MVKL    .S2     0x18c0008,B5      ; |39| 

           ZERO    .L2     B4                ; |39| 
||         MVKH    .S2     0x18c0008,B5      ; |39| 

           STW     .D2T2   B4,*B5            ; |39| 
           MVKL    .S1     0x18c0024,A0      ; |39| 
           MVKH    .S1     0x18c0024,A0      ; |39| 
           STW     .D1T2   B4,*A0            ; |39| 
           MVKL    .S1     0x18c000c,A3      ; |39| 
           MVKH    .S1     0x18c000c,A3      ; |39| 
           MVKL    .S1     0x10040,A0        ; |39| 
           MVKH    .S1     0x10040,A0        ; |39| 
           STW     .D1T1   A0,*A3            ; |39| 
           MVKL    .S2     0x18c0010,B5      ; |39| 
           MVKH    .S2     0x18c0010,B5      ; |39| 
           STW     .D2T1   A0,*B5            ; |39| 
           MVKL    .S2     0x18c0004,B5      ; |39| 
           MVKH    .S2     0x18c0004,B5      ; |39| 
           STW     .D2T2   B4,*B5            ; |39| 

           MVKL    .S1     0x18c0008,A0      ; |39| 
||         MVKL    .S2     0x12001,B4        ; |39| 

           MVKH    .S1     0x18c0008,A0      ; |39| 
||         MVKH    .S2     0x12001,B4        ; |39| 

           STW     .D1T2   B4,*A0            ; |39| 
	.line	17
           B       .S1     _codec_init       ; |40| 
           MVKL    .S2     RL160,B3          ; |40| 
           MVKH    .S2     RL160,B3          ; |40| 
           NOP             3
RL160:     ; CALL OCCURS                     ; |40| 
	.line	20
           MVK     .S2     136,B4            ; |43| 

           ADDAW   .D2     SP,18,B4          ; |43| 
||         ADD     .L2     B4,SP,B11         ; |43| 

           ADD     .L2     8,SP,B10          ; |43| 
||         MVK     .S1     0x8,A13           ; |43| 
||         MV      .L1X    B4,A12            ; |43| 

;** --------------------------------------------------------------------------*
L12:    
	.line	21

           B       .S1     __divd            ; |44| 
||         LDW     .D2T2   *B10++,B4         ; 

           LDW     .D2T2   *B10++,B5         ; 
           MVKL    .S1     0x4d12d84a,A4     ; |44| 
           MVKL    .S1     0x401921fb,A5     ; |44| 

           MVKH    .S1     0x4d12d84a,A4     ; |44| 
||         MVKL    .S2     RL164,B3          ; |44| 

           MVKH    .S2     RL164,B3          ; |44| 
||         MVKH    .S1     0x401921fb,A5     ; |44| 

RL164:     ; CALL OCCURS                     ; |44| 

           B       .S1     __divd            ; |44| 
||         MVKL    .S2     RL166,B3          ; |44| 

           MVKL    .S2     0x9999999a,B4     ; |44| 
           MVKL    .S2     0x3fe99999,B5     ; |44| 
           MVKH    .S2     RL166,B3          ; |44| 
           MVKH    .S2     0x9999999a,B4     ; |44| 
           MVKH    .S2     0x3fe99999,B5     ; |44| 
RL166:     ; CALL OCCURS                     ; |44| 

           MV      .L1     A5,A11            ; 
||         MV      .S1     A4,A10            ; 

           B       .S1     _cos              ; |44| 
           MVKL    .S2     RL170,B3          ; |44| 
           MVKH    .S2     RL170,B3          ; |44| 
           NOP             3
RL170:     ; CALL OCCURS                     ; |44| 
           B       .S1     __mpyd            ; |44| 
           MVKL    .S2     RL172,B3          ; |44| 
           ZERO    .L2     B5                ; |44| 
           MVKH    .S2     0x40000000,B5     ; |44| 
           MVKH    .S2     RL172,B3          ; |44| 
           ZERO    .L2     B4                ; |44| 
RL172:     ; CALL OCCURS                     ; |44| 
           STW     .D1T1   A4,*A12++         ; |44| 
           STW     .D1T1   A5,*A12++         ; |44| 
	.line	22
           B       .S1     _sin              ; |45| 
           MVKL    .S2     RL174,B3          ; |45| 
           MVKH    .S2     RL174,B3          ; |45| 
           MV      .L1     A11,A5            ; |45| 
           MV      .S1     A10,A4            ; |45| 
           NOP             1
RL174:     ; CALL OCCURS                     ; |45| 

           STW     .D2T1   A4,*B11++         ; |45| 
||         MV      .L2X    A5,B4             ; |45| 

           STW     .D2T2   B4,*B11++         ; |45| 
	.line	23
           SUB     .L1     A13,1,A1          ; 
   [ A1]   B       .S1     L12               ; |46| 
           SUB     .L1     A13,1,A13         ; 
           NOP             4
           ; BRANCH OCCURS                   ; |46| 
;** --------------------------------------------------------------------------*
	.line	25
           ZERO    .L1     A3                ; 

           STW     .D2T1   A3,*+SP(216)      ; |48| 
||         ZERO    .L1     A0                ; 

           STW     .D2T1   A0,*+SP(200)      ; |48| 
           STW     .D2T1   A0,*+SP(208)      ; |48| 
           STW     .D2T1   A3,*+SP(220)      ; |48| 
           STW     .D2T1   A0,*+SP(204)      ; |48| 

           ZERO    .L2     B4                ; 
||         STW     .D2T1   A0,*+SP(212)      ; |48| 
||         ZERO    .S2     B5                ; 

	.line	26
           STW     .D2T2   B4,*+SP(232)      ; |49| 
           STW     .D2T2   B4,*+SP(224)      ; |49| 
           STW     .D2T2   B5,*+SP(236)      ; |49| 

           MV      .L1X    B4,A0             ; 
||         STW     .D2T2   B5,*+SP(228)      ; |49| 

           STW     .D2T1   A0,*+SP(240)      ; |49| 
||         MV      .L1X    B4,A10            ; 
||         MV      .L2     B5,B6             ; 

           MV      .L1X    B5,A11            ; 
||         STW     .D2T2   B6,*+SP(244)      ; |49| 

	.line	28
           MVKH    .S1     0x90080000,A0     ; |51| 
           LDW     .D1T1   *A0,A0            ; |51| 
           MVK     .S1     0x20,A3           ; |51| 
           ZERO    .L2     B10               ; |51| 
           STW     .D2T1   A3,*+SP(248)      ; |51| 
           MVKH    .S2     0x7000000,B10     ; |51| 
           EXTU    .S1     A0,5,29,A12       ; |51| 
;** --------------------------------------------------------------------------*
L13:    
	.line	31
           ZERO    .L2     B4                ; |54| 
           MVKH    .S2     0x90080000,B4     ; |54| 
           LDW     .D2T2   *B4,B4            ; |54| 
           ZERO    .L2     B5                ; |54| 
           MVKH    .S2     0x90080000,B5     ; |54| 
           NOP             2
           AND     .L2     B10,B4,B4         ; |54| 
           STW     .D2T2   B4,*B5            ; |54| 
	.line	33
           ZERO    .L1     A0                ; |56| 
           MVKH    .S1     0x90080000,A0     ; |56| 
           LDW     .D1T1   *A0,A0            ; |56| 
           NOP             4
           EXTU    .S1     A0,5,29,A0        ; |56| 
	.line	34
           CMPEQ   .L1     A12,A0,A1         ; |57| 
   [ A1]   B       .S1     L14               ; |57| 
           NOP             5
           ; BRANCH OCCURS                   ; |57| 
;** --------------------------------------------------------------------------*
	.line	35
           MV      .L1     A0,A12            ; |58| 
	.line	36
           EXTU    .S1     A12,30,30,A0      ; |59| 

           SHL     .S2X    A0,3,B5           ; |59| 
||         ADDAW   .D2     SP,18,B4          ; |59| 

           ADD     .L2     B4,B5,B13         ; 
	.line	37
           EXTU    .S1     A12,1,3,A3        ; |60| 

           ADDAW   .D2     SP,18,B4          ; |60| 
||         SHL     .S1     A3,3,A3           ; |60| 

           ADD     .L1X    B4,A3,A3          ; |60| 
           ADDAW   .D1     A3,8,A15          ; |60| 
	.line	38
           MVK     .S1     136,A3            ; |61| 

           ADD     .L1X    A3,SP,A3          ; |61| 
||         SHL     .S1     A0,3,A0           ; |61| 

           ADD     .L1     A3,A0,A0          ; |61| 
           LDW     .D1T1   *A0,A3            ; |61| 
           LDW     .D1T1   *+A0(4),A0        ; |61| 
           NOP             3
           STW     .D2T1   A3,*+SP(208)      ; |61| 
           STW     .D2T1   A0,*+SP(212)      ; |61| 
	.line	39
           MV      .L2X    A10,B4            ; |62| 
           STW     .D2T2   B4,*+SP(216)      ; |62| 
           STW     .D2T2   B4,*+SP(200)      ; |62| 
           STW     .D2T1   A11,*+SP(220)     ; |62| 
           STW     .D2T1   A11,*+SP(204)     ; |62| 
	.line	40
           LDW     .D2T1   *+SP(248),A3      ; |63| 
           ZERO    .L1     A0                ; |63| 
           SET     .S1     A0,0x2,0x1e,A0    ; |63| 
           AND     .L1     A0,A12,A0         ; |63| 
           MVK     .S2     136,B4            ; |63| 

           ADDAH   .D1     A3,A0,A0          ; |63| 
||         ADD     .L2     B4,SP,B4          ; |63| 

           ADD     .L2X    B4,A0,B4          ; |63| 
           LDW     .D2T2   *B4,B5            ; |63| 
           LDW     .D2T2   *+B4(4),B4        ; |63| 
           NOP             3
           STW     .D2T2   B5,*+SP(232)      ; |63| 
           STW     .D2T2   B4,*+SP(236)      ; |63| 
	.line	41
           MV      .L2X    A10,B4            ; |64| 
           STW     .D2T2   B4,*+SP(240)      ; |64| 

           STW     .D2T2   B4,*+SP(224)      ; |64| 
||         MV      .L2X    A11,B5            ; |64| 

           STW     .D2T2   B5,*+SP(244)      ; |64| 
           STW     .D2T2   B5,*+SP(228)      ; |64| 
	.line	42
           CMPEQ   .L2X    A12,7,B0          ; |65| 
   [ B0]   MV      .L2X    A10,B4            ; |65| 

   [ B0]   STW     .D2T2   B4,*+SP(208)      ; |65| 
|| [ B0]   MV      .L2X    A11,B5            ; |65| 

   [ B0]   STW     .D2T2   B5,*+SP(212)      ; |65| 
   [ B0]   STW     .D2T2   B4,*+SP(232)      ; |65| 
   [ B0]   STW     .D2T2   B5,*+SP(236)      ; |65| 
;** --------------------------------------------------------------------------*
L14:    
	.line	45
           LDW     .D2T2   *+SP(208),B11     ; |68| 
           LDW     .D2T2   *+SP(212),B12     ; |68| 
           MV      .L1X    B13,A0

           B       .S1     __mpyd            ; |68| 
||         LDW     .D1T1   *A0,A4            ; 

           LDW     .D1T1   *+A0(4),A5        ; 
           MVKL    .S2     RL178,B3          ; |68| 
           MV      .L2     B12,B5            ; |68| 
           MV      .D2     B11,B4            ; |68| 
           MVKH    .S2     RL178,B3          ; |68| 
RL178:     ; CALL OCCURS                     ; |68| 

           B       .S1     __subd            ; |68| 
||         LDW     .D2T2   *+SP(216),B4      ; 

           LDW     .D2T2   *+SP(220),B5      ; 
           MVKL    .S2     RL180,B3          ; |68| 
           MVKH    .S2     RL180,B3          ; |68| 
           NOP             2
RL180:     ; CALL OCCURS                     ; |68| 
           MV      .L1     A4,A13            ; 

           STW     .D2T1   A13,*+SP(200)     ; |68| 
||         MV      .L1     A5,A14            ; 

           STW     .D2T1   A14,*+SP(204)     ; |68| 
	.line	46
           STW     .D2T2   B11,*+SP(216)     ; |69| 
           STW     .D2T2   B12,*+SP(220)     ; |69| 
	.line	47
           STW     .D2T1   A13,*+SP(208)     ; |70| 
           STW     .D2T1   A14,*+SP(212)     ; |70| 
	.line	49
           LDW     .D2T2   *+SP(232),B11     ; |72| 
           LDW     .D2T2   *+SP(236),B12     ; |72| 

           B       .S1     __mpyd            ; |72| 
||         LDW     .D1T1   *A15,A4           ; 

           LDW     .D1T1   *+A15(4),A5       ; 
           MVKL    .S2     RL184,B3          ; |72| 
           MV      .L2     B11,B4            ; |72| 
           MV      .D2     B12,B5            ; |72| 
           MVKH    .S2     RL184,B3          ; |72| 
RL184:     ; CALL OCCURS                     ; |72| 

           B       .S1     __subd            ; |72| 
||         LDW     .D2T2   *+SP(240),B4      ; 

           LDW     .D2T2   *+SP(244),B5      ; 
           MVKL    .S2     RL186,B3          ; |72| 
           MVKH    .S2     RL186,B3          ; |72| 
           NOP             2
RL186:     ; CALL OCCURS                     ; |72| 
           MV      .L1     A4,A0             ; 

           MV      .L1     A5,A1             ; 
||         STW     .D2T1   A0,*+SP(224)      ; |72| 

           STW     .D2T1   A1,*+SP(228)      ; |72| 
	.line	50
           STW     .D2T2   B11,*+SP(240)     ; |73| 
           STW     .D2T2   B12,*+SP(244)     ; |73| 
	.line	51
           STW     .D2T1   A0,*+SP(232)      ; |74| 
           STW     .D2T1   A1,*+SP(236)      ; |74| 
	.line	54
           B       .S1     __addd            ; |77| 
           MVKL    .S2     RL202,B3          ; |77| 
           MV      .L2X    A1,B5             ; |77| 
           MV      .L2X    A0,B4             ; |77| 
           MVKH    .S2     RL202,B3          ; |77| 

           MV      .L1     A13,A4            ; |77| 
||         MV      .S1     A14,A5            ; |77| 

RL202:     ; CALL OCCURS                     ; |77| 
           B       .S1     __mpyd            ; |77| 
           MVKL    .S2     RL204,B3          ; |77| 
           ZERO    .L2     B5                ; |77| 
           MVKH    .S2     0x40f00000,B5     ; |77| 
           MVKH    .S2     RL204,B3          ; |77| 
           ZERO    .L2     B4                ; |77| 
RL204:     ; CALL OCCURS                     ; |77| 
           B       .S1     __divd            ; |77| 
           MVKL    .S2     RL206,B3          ; |77| 
           ZERO    .L2     B5                ; |77| 
           MVKH    .S2     0x40100000,B5     ; |77| 
           MVKH    .S2     RL206,B3          ; |77| 
           ZERO    .L2     B4                ; |77| 
RL206:     ; CALL OCCURS                     ; |77| 
           B       .S1     __fixdu           ; |77| 
           MVKL    .S2     RL208,B3          ; |77| 
           MVKH    .S2     RL208,B3          ; |77| 
           NOP             3
RL208:     ; CALL OCCURS                     ; |77| 
           EXTU    .S1     A4,16,17,A0       ; |77| 
           SHL     .S1     A0,1,A4           ; |77| 
           STW     .D2T1   A4,*+DP(_out)     ; |77| 
	.line	56
           B       .S1     _mcbsp0_write     ; |79| 
           MVKL    .S2     RL210,B3          ; |79| 
           MVKH    .S2     RL210,B3          ; |79| 
           NOP             3
RL210:     ; CALL OCCURS                     ; |79| 
	.line	58
           B       .S1     L13               ; |81| 
           NOP             5
           ; BRANCH OCCURS                   ; |81| 
;** --------------------------------------------------------------------------*
	.line	61
	.endfunc	84,03c08fc00h,296


;******************************************************************************
;* STRINGS                                                                    *
;******************************************************************************
	.sect	".const"
SL1:	.string	"Error in setting up register 5.",10,0
SL2:	.string	"Error in setting up register 4.",10,0
SL3:	.string	"Error in setting up register 3.",10,0
;******************************************************************************
;* UNDEFINED EXTERNAL REFERENCES                                              *
;******************************************************************************
	.global	_exit
	.global	_printf
	.global	_sin
	.global	_cos
	.global	__strasg
	.global	__divd
	.global	__mpyd
	.global	__subd
	.global	__addd
	.global	__fixdu
