;******************************************************************************
;* TMS320C6x ANSI C Codegen                                      Version 4.00 *
;* Date/Time created: Thu Mar 07 11:47:48 2002                                *
;******************************************************************************

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C671x                                          *
;*   Optimization      : Enabled at level 1                                   *
;*   Optimizing for    : Compile time 1st, speed 2nd                          *
;*                       Based on options: -o1, no -ms                        *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Memory Model      : Small                                                *
;*   Calls to RTS      : Near                                                 *
;*   Pipelining        : Disabled                                             *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : Debug                                                *
;*                                                                            *
;******************************************************************************

FP	.set	A15
DP	.set	B14
SP	.set	B15
	.global	$bss

;	opt6x -q -v6710 -O1 C:\WINDOWS\TEMP\TI16434395_2 C:\WINDOWS\TEMP\TI16434395_4 -w D:\ti_proj\Repeat 
	.file	"repeat.c"
	.file	"C:\ti\c6000\cgtools\include\stdlib.h"
	.file	"C:\ti\c6000\cgtools\include\stdio.h"
	.file	"repeat.c"
	.file	"C:\ti\c6000\cgtools\include\c6x.h"
	.file	"repeat.c"
	.global	_temp
	.bss	_temp,4,4
	.sym	_temp,_temp, 4, 2, 32
	.global	_in
	.bss	_in,4,4
	.sym	_in,_in, 4, 2, 32
	.global	_out
	.bss	_out,4,4
	.sym	_out,_out, 4, 2, 32

	.sect	".cinit:c"
	.align	8
	.field  	(CIR - $) - 8, 32
	.field  	_gain+0,32
	.field  	0xa,32			; _gain @ 0

	.sect	".text"
	.global	_gain
_gain:	.usect	".bss:c",4,4
	.sym	_gain,_gain, 4, 2, 32
	.sect	".text"
	.global	_main
	.sym	_main,_main, 36, 2, 0
	.func	28

;******************************************************************************
;* FUNCTION NAME: _main                                                       *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A4,A6,B0,B1,B2,B3,B4,B5,SP                  *
;*   Regs Used         : A0,A1,A2,A4,A6,B0,B1,B2,B3,B4,B5,DP,SP               *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                    *
;******************************************************************************
_main:
;** --------------------------------------------------------------------------*
           STW     .D2T2   B3,*SP--(8)       ; |28| 
	.line	5
           MVK     .S1     256,A0            ; |32| 
           MVC     .S2X    A0,CSR            ; |32| 
	.line	6
           MVK     .S1     1,A0              ; |33| 
           MVC     .S2X    A0,IER            ; |33| 
	.line	7
           ZERO    .L2     B4                ; |34| 
           SET     .S2     B4,0x0,0xf,B4     ; |34| 
           MVC     .S2     B4,ICR            ; |34| 
           NOP             1
	.line	9
           ZERO    .L2     B4                ; |36| 

           MVK     .S1     13056,A0          ; |36| 
||         MVKH    .S2     0x1800000,B4      ; |36| 

           STW     .D2T1   A0,*B4            ; |36| 
	.line	10
           MVKL    .S1     0x1800004,A0      ; |37| 

           MVKH    .S1     0x1800004,A0      ; |37| 
||         MVK     .S2     -221,B4           ; |37| 

           STW     .D1T2   B4,*A0            ; |37| 
;** --------------------------------------------------------------------------*
L1:    
	.line	21
           LDW     .D2T2   *+DP(_in),B5      ; |48| 
           LDW     .D2T2   *+DP(_gain),B4    ; |48| 
           NOP             4
           MPYI    .M2     B4,B5,B5          ; |48| 
           NOP             3
           B       .S1     __divi            ; |48| 
           NOP             2
           MVKL    .S2     RL0,B3            ; |48| 
           MVKH    .S2     RL0,B3            ; |48| 

           MVK     .S2     0xa,B4            ; |48| 
||         MV      .L1X    B5,A4             ; |48| 

RL0:       ; CALL OCCURS                     ; |48| 
           EXTU    .S1     A4,16,17,A0       ; |48| 
           SHL     .S1     A0,1,A0           ; |48| 
           STW     .D2T1   A0,*+DP(_out)     ; |48| 
	.line	24
           B       .S1     L1                ; |51| 
           NOP             5
           ; BRANCH OCCURS                   ; |51| 
;** --------------------------------------------------------------------------*
	.line	27
	.endfunc	54,000080000h,8


	.sect	".text"
	.global	_mcbsp0_init
	.sym	_mcbsp0_init,_mcbsp0_init, 32, 2, 0
	.func	56

;******************************************************************************
;* FUNCTION NAME: _mcbsp0_init                                                *
;*                                                                            *
;*   Regs Modified     : A0,A3,B4,B5                                          *
;*   Regs Used         : A0,A3,B3,B4,B5                                       *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_mcbsp0_init:
;** --------------------------------------------------------------------------*
	.sym	C$1,20, 14, 4, 32
	.sym	C$2,0, 14, 4, 32
	.line	4
           MVKL    .S2     0x18c0008,B5      ; |59| 

           MVKH    .S2     0x18c0008,B5      ; |59| 
||         ZERO    .L2     B4                ; |59| 

           STW     .D2T2   B4,*B5            ; |59| 
	.line	5
           MVKL    .S1     0x18c0024,A0      ; |60| 
           MVKH    .S1     0x18c0024,A0      ; |60| 
           STW     .D1T2   B4,*A0            ; |60| 
	.line	6
           MVKL    .S1     0x18c000c,A3      ; |61| 
           MVKH    .S1     0x18c000c,A3      ; |61| 
           MVKL    .S1     0x10040,A0        ; |61| 
           MVKH    .S1     0x10040,A0        ; |61| 
           STW     .D1T1   A0,*A3            ; |61| 
	.line	7
           MVKL    .S2     0x18c0010,B5      ; |62| 
           MVKH    .S2     0x18c0010,B5      ; |62| 
           STW     .D2T1   A0,*B5            ; |62| 
	.line	8
           MVKL    .S2     0x18c0004,B5      ; |63| 
           MVKH    .S2     0x18c0004,B5      ; |63| 
           STW     .D2T2   B4,*B5            ; |63| 
	.line	9

           MVKL    .S2     0x12001,B4        ; |64| 
||         MVKL    .S1     0x18c0008,A0      ; |64| 

           MVKH    .S2     0x12001,B4        ; |64| 
||         MVKH    .S1     0x18c0008,A0      ; |64| 

           STW     .D1T2   B4,*A0            ; |64| 
	.line	10
           B       .S2     B3                ; |65| 
           NOP             5
           ; BRANCH OCCURS                   ; |65| 
	.endfunc	65,000000000h,0


	.sect	".text"
	.global	_mcbsp0_write
	.sym	_mcbsp0_write,_mcbsp0_write, 32, 2, 0
	.func	67

;******************************************************************************
;* FUNCTION NAME: _mcbsp0_write                                               *
;*                                                                            *
;*   Regs Modified     : A0,B0,B4                                             *
;*   Regs Used         : A0,A4,B0,B3,B4                                       *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_mcbsp0_write:
;** --------------------------------------------------------------------------*
	.sym	_out_data,4, 4, 17, 32
	.sym	_temp,16, 4, 4, 32
	.sym	_out_data,4, 4, 4, 32
	.line	2
	.line	4
           MVKL    .S1     0x18c0008,A0      ; |70| 
           MVKH    .S1     0x18c0008,A0      ; |70| 
           LDW     .D1T1   *A0,A0            ; |70| 
           ZERO    .L2     B4                ; |70| 
           MVKH    .S2     0x20000,B4        ; |70| 
           NOP             2
           AND     .L2X    B4,A0,B0          ; |70| 
	.line	5
   [ B0]   B       .S1     L3                ; |71| 
           NOP             5
           ; BRANCH OCCURS                   ; |71| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L2:    
	.line	7
           MVKL    .S1     0x18c0008,A0      ; |73| 
           MVKH    .S1     0x18c0008,A0      ; |73| 
           LDW     .D1T1   *A0,A0            ; |73| 
           ZERO    .L2     B4                ; |73| 
           MVKH    .S2     0x20000,B4        ; |73| 
           NOP             2
           AND     .L2X    B4,A0,B0          ; |73| 
   [!B0]   B       .S1     L2                ; |73| 
           NOP             5
           ; BRANCH OCCURS                   ; |73| 
;** --------------------------------------------------------------------------*
L3:    
	.line	9
           MVKL    .S1     0x18c0004,A0      ; |75| 
           MVKH    .S1     0x18c0004,A0      ; |75| 
           STW     .D1T1   A4,*A0            ; |75| 
	.line	10
           B       .S2     B3                ; |76| 
           NOP             5
           ; BRANCH OCCURS                   ; |76| 
	.endfunc	76,000000000h,0


	.sect	".text"
	.global	_mcbsp0_read
	.sym	_mcbsp0_read,_mcbsp0_read, 36, 2, 0
	.func	78

;******************************************************************************
;* FUNCTION NAME: _mcbsp0_read                                                *
;*                                                                            *
;*   Regs Modified     : A0,A1,A4                                             *
;*   Regs Used         : A0,A1,A4,B3                                          *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_mcbsp0_read:
;** --------------------------------------------------------------------------*
	.sym	_temp,1, 4, 4, 32
	.line	4
           MVKL    .S1     0x18c0008,A0      ; |81| 
           MVKH    .S1     0x18c0008,A0      ; |81| 
           LDW     .D1T1   *A0,A0            ; |81| 
           NOP             4
           AND     .L1     2,A0,A1           ; |81| 
	.line	5
   [ A1]   B       .S1     L5                ; |82| 
           NOP             5
           ; BRANCH OCCURS                   ; |82| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L4:    
	.line	7
           MVKL    .S1     0x18c0008,A0      ; |84| 
           MVKH    .S1     0x18c0008,A0      ; |84| 
           LDW     .D1T1   *A0,A0            ; |84| 
           NOP             4
           AND     .L1     2,A0,A1           ; |84| 
   [!A1]   B       .S1     L4                ; |84| 
           NOP             5
           ; BRANCH OCCURS                   ; |84| 
;** --------------------------------------------------------------------------*
L5:    
	.line	9
           ZERO    .L1     A0                ; |86| 
           MVKH    .S1     0x18c0000,A0      ; |86| 
	.line	10
           LDW     .D1T1   *A0,A4            ; 
	.line	11
           B       .S2     B3                ; |88| 
           NOP             5
           ; BRANCH OCCURS                   ; |88| 
	.endfunc	88,000000000h,0


	.sect	".text"
	.global	_codec_init
	.sym	_codec_init,_codec_init, 32, 2, 0
	.func	91

;******************************************************************************
;* FUNCTION NAME: _codec_init                                                 *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,B0,B1,B2,B3,B4,B5, *
;*                           B6,B7,B8,B9,SP                                   *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,B0,B1,B2,B3,B4,B5, *
;*                           B6,B7,B8,B9,SP                                   *
;*   Local Frame Size  : 8 Args + 0 Auto + 8 Save = 16 byte                   *
;******************************************************************************
_codec_init:
;** --------------------------------------------------------------------------*
	.sym	_temp,10, 4, 4, 32
           STW     .D2T2   B3,*SP--(16)      ; |91| 
           STW     .D2T1   A10,*+SP(12)      ; |91| 
	.line	6
           B       .S1     _mcbsp0_read      ; |96| 
           MVKL    .S2     RL2,B3            ; |96| 
           MVKH    .S2     RL2,B3            ; |96| 
           NOP             3
RL2:       ; CALL OCCURS                     ; |96| 
	.line	7
           B       .S1     _mcbsp0_write     ; |97| 
           MVKL    .S2     RL4,B3            ; |97| 
           MVKH    .S2     RL4,B3            ; |97| 
           ZERO    .L1     A4                ; |97| 
           NOP             2
RL4:       ; CALL OCCURS                     ; |97| 
	.line	8
           B       .S1     _mcbsp0_read      ; |98| 
           MVKL    .S2     RL6,B3            ; |98| 
           MVKH    .S2     RL6,B3            ; |98| 
           NOP             3
RL6:       ; CALL OCCURS                     ; |98| 
	.line	9
           B       .S1     _mcbsp0_write     ; |99| 
           MVKL    .S2     RL8,B3            ; |99| 
           MVKH    .S2     RL8,B3            ; |99| 
           ZERO    .L1     A4                ; |99| 
           NOP             2
RL8:       ; CALL OCCURS                     ; |99| 
	.line	10
           B       .S1     _mcbsp0_read      ; |100| 
           MVKL    .S2     RL10,B3           ; |100| 
           MVKH    .S2     RL10,B3           ; |100| 
           NOP             3
RL10:      ; CALL OCCURS                     ; |100| 
	.line	11
           B       .S1     _mcbsp0_write     ; |101| 
           MVKL    .S2     RL12,B3           ; |101| 
           ZERO    .L1     A4                ; |101| 
           MVKH    .S2     RL12,B3           ; |101| 
           NOP             2
RL12:      ; CALL OCCURS                     ; |101| 
	.line	12
           B       .S1     _mcbsp0_read      ; |102| 
           MVKL    .S2     RL14,B3           ; |102| 
           MVKH    .S2     RL14,B3           ; |102| 
           NOP             3
RL14:      ; CALL OCCURS                     ; |102| 
	.line	13
           B       .S1     _mcbsp0_write     ; |103| 
           MVKL    .S2     RL16,B3           ; |103| 
           MVKH    .S2     RL16,B3           ; |103| 
           MVK     .S1     0x1,A4            ; |103| 
           NOP             2
RL16:      ; CALL OCCURS                     ; |103| 
	.line	14
           B       .S1     _mcbsp0_read      ; |104| 
           MVKL    .S2     RL18,B3           ; |104| 
           MVKH    .S2     RL18,B3           ; |104| 
           NOP             3
RL18:      ; CALL OCCURS                     ; |104| 
	.line	15
           B       .S1     _mcbsp0_write     ; |105| 
           MVKL    .S2     RL20,B3           ; |105| 
           MVKH    .S2     RL20,B3           ; |105| 
           MVK     .S1     0x386,A4          ; |105| 
           NOP             2
RL20:      ; CALL OCCURS                     ; |105| 
	.line	16
           B       .S1     _mcbsp0_read      ; |106| 
           MVKL    .S2     RL22,B3           ; |106| 
           MVKH    .S2     RL22,B3           ; |106| 
           NOP             3
RL22:      ; CALL OCCURS                     ; |106| 
;** --------------------------------------------------------------------------*
	.line	17
           B       .S1     _mcbsp0_write     ; |107| 
           MVKL    .S2     RL24,B3           ; |107| 
           MVKH    .S2     RL24,B3           ; |107| 
           ZERO    .L1     A4                ; |107| 
           NOP             2
RL24:      ; CALL OCCURS                     ; |107| 
	.line	18
           B       .S1     _mcbsp0_read      ; |108| 
           MVKL    .S2     RL26,B3           ; |108| 
           MVKH    .S2     RL26,B3           ; |108| 
           NOP             3
RL26:      ; CALL OCCURS                     ; |108| 
	.line	21
           B       .S1     _mcbsp0_write     ; |111| 
           MVKL    .S2     RL28,B3           ; |111| 
           MVKH    .S2     RL28,B3           ; |111| 
           ZERO    .L1     A4                ; |111| 
           NOP             2
RL28:      ; CALL OCCURS                     ; |111| 
	.line	22
           B       .S1     _mcbsp0_read      ; |112| 
           MVKL    .S2     RL30,B3           ; |112| 
           MVKH    .S2     RL30,B3           ; |112| 
           NOP             3
RL30:      ; CALL OCCURS                     ; |112| 
	.line	23
           B       .S1     _mcbsp0_write     ; |113| 
           MVKL    .S2     RL32,B3           ; |113| 
           MVKH    .S2     RL32,B3           ; |113| 
           ZERO    .L1     A4                ; |113| 
           NOP             2
RL32:      ; CALL OCCURS                     ; |113| 
	.line	24
           B       .S1     _mcbsp0_read      ; |114| 
           MVKL    .S2     RL34,B3           ; |114| 
           MVKH    .S2     RL34,B3           ; |114| 
           NOP             3
RL34:      ; CALL OCCURS                     ; |114| 
	.line	25
           B       .S1     _mcbsp0_write     ; |115| 
           MVKL    .S2     RL36,B3           ; |115| 
           MVK     .S1     0x1,A4            ; |115| 
           MVKH    .S2     RL36,B3           ; |115| 
           NOP             2
RL36:      ; CALL OCCURS                     ; |115| 
	.line	26
           B       .S1     _mcbsp0_read      ; |116| 
           MVKL    .S2     RL38,B3           ; |116| 
           MVKH    .S2     RL38,B3           ; |116| 
           NOP             3
RL38:      ; CALL OCCURS                     ; |116| 
	.line	27
           B       .S1     _mcbsp0_write     ; |117| 
           MVKL    .S2     RL40,B3           ; |117| 
           MVKH    .S2     RL40,B3           ; |117| 
           MVK     .S1     0x306,A4          ; |117| 
           NOP             2
RL40:      ; CALL OCCURS                     ; |117| 
	.line	28
           B       .S1     _mcbsp0_read      ; |118| 
           MVKL    .S2     RL42,B3           ; |118| 
           MVKH    .S2     RL42,B3           ; |118| 
           NOP             3
RL42:      ; CALL OCCURS                     ; |118| 
	.line	29
           B       .S1     _mcbsp0_write     ; |119| 
           MVKL    .S2     RL44,B3           ; |119| 
           MVKH    .S2     RL44,B3           ; |119| 
           ZERO    .L1     A4                ; |119| 
           NOP             2
RL44:      ; CALL OCCURS                     ; |119| 
;** --------------------------------------------------------------------------*
	.line	30
           B       .S1     _mcbsp0_read      ; |120| 
           MVKL    .S2     RL46,B3           ; |120| 
           MVKH    .S2     RL46,B3           ; |120| 
           NOP             3
RL46:      ; CALL OCCURS                     ; |120| 
	.line	32
           B       .S1     _mcbsp0_write     ; |122| 
           MVKL    .S2     RL48,B3           ; |122| 
           MVKH    .S2     RL48,B3           ; |122| 
           ZERO    .L1     A4                ; |122| 
           NOP             2
RL48:      ; CALL OCCURS                     ; |122| 
	.line	33
           B       .S1     _mcbsp0_read      ; |123| 
           MVKL    .S2     RL50,B3           ; |123| 
           MVKH    .S2     RL50,B3           ; |123| 
           NOP             3
RL50:      ; CALL OCCURS                     ; |123| 
	.line	34
           B       .S1     _mcbsp0_write     ; |124| 
           MVKL    .S2     RL52,B3           ; |124| 
           MVKH    .S2     RL52,B3           ; |124| 
           MVK     .S1     0x1,A4            ; |124| 
           NOP             2
RL52:      ; CALL OCCURS                     ; |124| 
	.line	35
           B       .S1     _mcbsp0_read      ; |125| 
           MVKL    .S2     RL54,B3           ; |125| 
           MVKH    .S2     RL54,B3           ; |125| 
           NOP             3
RL54:      ; CALL OCCURS                     ; |125| 
	.line	36
           B       .S1     _mcbsp0_write     ; |126| 
           MVKL    .S2     RL56,B3           ; |126| 
           MVKH    .S2     RL56,B3           ; |126| 
           MVK     .S1     0x2330,A4         ; |126| 
           NOP             2
RL56:      ; CALL OCCURS                     ; |126| 
	.line	37
           B       .S1     _mcbsp0_read      ; |127| 
           MVKL    .S2     RL58,B3           ; |127| 
           MVKH    .S2     RL58,B3           ; |127| 
           NOP             3
RL58:      ; CALL OCCURS                     ; |127| 
           MV      .L1     A4,A10            ; 
	.line	38
           B       .S1     _mcbsp0_write     ; |128| 
           MVKL    .S2     RL60,B3           ; |128| 
           MVKH    .S2     RL60,B3           ; |128| 
           ZERO    .L1     A4                ; |128| 
           NOP             2
RL60:      ; CALL OCCURS                     ; |128| 
	.line	39
           B       .S1     _mcbsp0_read      ; |129| 
           MVKL    .S2     RL62,B3           ; |129| 
           MVKH    .S2     RL62,B3           ; |129| 
           NOP             3
RL62:      ; CALL OCCURS                     ; |129| 
	.line	40
           B       .S1     _mcbsp0_write     ; |130| 
           MVKL    .S2     RL64,B3           ; |130| 
           ZERO    .L1     A4                ; |130| 
           MVKH    .S2     RL64,B3           ; |130| 
           NOP             2
RL64:      ; CALL OCCURS                     ; |130| 
	.line	41
           B       .S1     _mcbsp0_read      ; |131| 
           MVKL    .S2     RL66,B3           ; |131| 
           MVKH    .S2     RL66,B3           ; |131| 
           NOP             3
RL66:      ; CALL OCCURS                     ; |131| 
;** --------------------------------------------------------------------------*
	.line	42
           EXTU    .S1     A10,24,24,A0      ; |132| 
           CMPEQ   .L1     A0,6,A1           ; |132| 
   [!A1]   B       .S1     L7                ; |132| 
           NOP             5
           ; BRANCH OCCURS                   ; |132| 
;** --------------------------------------------------------------------------*
	.line	51
           B       .S1     _mcbsp0_write     ; |141| 
           MVKL    .S2     RL68,B3           ; |141| 
           MVKH    .S2     RL68,B3           ; |141| 
           ZERO    .L1     A4                ; |141| 
           NOP             2
RL68:      ; CALL OCCURS                     ; |141| 
	.line	52
           B       .S1     _mcbsp0_read      ; |142| 
           MVKL    .S2     RL70,B3           ; |142| 
           MVKH    .S2     RL70,B3           ; |142| 
           NOP             3
RL70:      ; CALL OCCURS                     ; |142| 
	.line	53
           B       .S1     _mcbsp0_write     ; |143| 
           MVKL    .S2     RL72,B3           ; |143| 
           MVKH    .S2     RL72,B3           ; |143| 
           ZERO    .L1     A4                ; |143| 
           NOP             2
RL72:      ; CALL OCCURS                     ; |143| 
	.line	54
           B       .S1     _mcbsp0_read      ; |144| 
           MVKL    .S2     RL74,B3           ; |144| 
           MVKH    .S2     RL74,B3           ; |144| 
           NOP             3
RL74:      ; CALL OCCURS                     ; |144| 
	.line	55
           B       .S1     _mcbsp0_write     ; |145| 
           MVKL    .S2     RL76,B3           ; |145| 
           MVKH    .S2     RL76,B3           ; |145| 
           MVK     .S1     0x1,A4            ; |145| 
           NOP             2
RL76:      ; CALL OCCURS                     ; |145| 
	.line	56
           B       .S1     _mcbsp0_read      ; |146| 
           MVKL    .S2     RL78,B3           ; |146| 
           MVKH    .S2     RL78,B3           ; |146| 
           NOP             3
RL78:      ; CALL OCCURS                     ; |146| 
	.line	57
           B       .S1     _mcbsp0_write     ; |147| 
           MVKL    .S2     RL80,B3           ; |147| 
           MVK     .S1     0x400,A4          ; |147| 
           MVKH    .S2     RL80,B3           ; |147| 
           NOP             2
RL80:      ; CALL OCCURS                     ; |147| 
	.line	58
           B       .S1     _mcbsp0_read      ; |148| 
           MVKL    .S2     RL82,B3           ; |148| 
           MVKH    .S2     RL82,B3           ; |148| 
           NOP             3
RL82:      ; CALL OCCURS                     ; |148| 
	.line	59
           B       .S1     _mcbsp0_write     ; |149| 
           MVKL    .S2     RL84,B3           ; |149| 
           MVKH    .S2     RL84,B3           ; |149| 
           ZERO    .L1     A4                ; |149| 
           NOP             2
RL84:      ; CALL OCCURS                     ; |149| 
	.line	60
           B       .S1     _mcbsp0_read      ; |150| 
           MVKL    .S2     RL86,B3           ; |150| 
           MVKH    .S2     RL86,B3           ; |150| 
           NOP             3
RL86:      ; CALL OCCURS                     ; |150| 
	.line	62
           B       .S1     _mcbsp0_write     ; |152| 
           MVKL    .S2     RL88,B3           ; |152| 
           MVKH    .S2     RL88,B3           ; |152| 
           ZERO    .L1     A4                ; |152| 
           NOP             2
RL88:      ; CALL OCCURS                     ; |152| 
;** --------------------------------------------------------------------------*
	.line	63
           B       .S1     _mcbsp0_read      ; |153| 
           MVKL    .S2     RL90,B3           ; |153| 
           MVKH    .S2     RL90,B3           ; |153| 
           NOP             3
RL90:      ; CALL OCCURS                     ; |153| 
	.line	64
           B       .S1     _mcbsp0_write     ; |154| 
           MVKL    .S2     RL92,B3           ; |154| 
           MVKH    .S2     RL92,B3           ; |154| 
           MVK     .S1     0x1,A4            ; |154| 
           NOP             2
RL92:      ; CALL OCCURS                     ; |154| 
	.line	65
           B       .S1     _mcbsp0_read      ; |155| 
           MVKL    .S2     RL94,B3           ; |155| 
           MVKH    .S2     RL94,B3           ; |155| 
           NOP             3
RL94:      ; CALL OCCURS                     ; |155| 
	.line	66
           B       .S1     _mcbsp0_write     ; |156| 
           MVKL    .S2     RL96,B3           ; |156| 
           MVKH    .S2     RL96,B3           ; |156| 
           MVK     .S1     0x2430,A4         ; |156| 
           NOP             2
RL96:      ; CALL OCCURS                     ; |156| 
	.line	67
           B       .S1     _mcbsp0_read      ; |157| 
           MVKL    .S2     RL98,B3           ; |157| 
           MVKH    .S2     RL98,B3           ; |157| 
           NOP             3
RL98:      ; CALL OCCURS                     ; |157| 
           MV      .L1     A4,A10            ; 
	.line	68
           B       .S1     _mcbsp0_write     ; |158| 
           MVKL    .S2     RL100,B3          ; |158| 
           MVKH    .S2     RL100,B3          ; |158| 
           ZERO    .L1     A4                ; |158| 
           NOP             2
RL100:     ; CALL OCCURS                     ; |158| 
	.line	69
           B       .S1     _mcbsp0_read      ; |159| 
           MVKL    .S2     RL102,B3          ; |159| 
           MVKH    .S2     RL102,B3          ; |159| 
           NOP             3
RL102:     ; CALL OCCURS                     ; |159| 
	.line	70
           B       .S1     _mcbsp0_write     ; |160| 
           MVKL    .S2     RL104,B3          ; |160| 
           MVKH    .S2     RL104,B3          ; |160| 
           ZERO    .L1     A4                ; |160| 
           NOP             2
RL104:     ; CALL OCCURS                     ; |160| 
	.line	71
           B       .S1     _mcbsp0_read      ; |161| 
           MVKL    .S2     RL106,B3          ; |161| 
           MVKH    .S2     RL106,B3          ; |161| 
           NOP             3
RL106:     ; CALL OCCURS                     ; |161| 
	.line	72
           EXTU    .S1     A10,24,24,A1      ; |162| 
   [ A1]   B       .S1     L6                ; |162| 
           NOP             5
           ; BRANCH OCCURS                   ; |162| 
;** --------------------------------------------------------------------------*
	.line	81
           B       .S1     _mcbsp0_write     ; |171| 
           MVKL    .S2     RL108,B3          ; |171| 
           MVKH    .S2     RL108,B3          ; |171| 
           ZERO    .L1     A4                ; |171| 
           NOP             2
RL108:     ; CALL OCCURS                     ; |171| 
	.line	82
           B       .S1     _mcbsp0_read      ; |172| 
           MVKL    .S2     RL110,B3          ; |172| 
           MVKH    .S2     RL110,B3          ; |172| 
           NOP             3
RL110:     ; CALL OCCURS                     ; |172| 
	.line	83
           B       .S1     _mcbsp0_write     ; |173| 
           MVKL    .S2     RL112,B3          ; |173| 
           MVKH    .S2     RL112,B3          ; |173| 
           ZERO    .L1     A4                ; |173| 
           NOP             2
RL112:     ; CALL OCCURS                     ; |173| 
	.line	84
           B       .S1     _mcbsp0_read      ; |174| 
           MVKL    .S2     RL114,B3          ; |174| 
           MVKH    .S2     RL114,B3          ; |174| 
           NOP             3
RL114:     ; CALL OCCURS                     ; |174| 
	.line	85
           B       .S1     _mcbsp0_write     ; |175| 
           MVKL    .S2     RL116,B3          ; |175| 
           MVKH    .S2     RL116,B3          ; |175| 
           MVK     .S1     0x1,A4            ; |175| 
           NOP             2
RL116:     ; CALL OCCURS                     ; |175| 
	.line	86
           B       .S1     _mcbsp0_read      ; |176| 
           MVKL    .S2     RL118,B3          ; |176| 
           MVKH    .S2     RL118,B3          ; |176| 
           NOP             3
RL118:     ; CALL OCCURS                     ; |176| 
	.line	87
           B       .S1     _mcbsp0_write     ; |177| 
           MVKL    .S2     RL120,B3          ; |177| 
           MVK     .S1     0x502,A4          ; |177| 
           MVKH    .S2     RL120,B3          ; |177| 
           NOP             2
RL120:     ; CALL OCCURS                     ; |177| 
	.line	88
           B       .S1     _mcbsp0_read      ; |178| 
           MVKL    .S2     RL122,B3          ; |178| 
           MVKH    .S2     RL122,B3          ; |178| 
           NOP             3
RL122:     ; CALL OCCURS                     ; |178| 
	.line	89
           B       .S1     _mcbsp0_write     ; |179| 
           MVKL    .S2     RL124,B3          ; |179| 
           MVKH    .S2     RL124,B3          ; |179| 
           ZERO    .L1     A4                ; |179| 
           NOP             2
RL124:     ; CALL OCCURS                     ; |179| 
	.line	90
           B       .S1     _mcbsp0_read      ; |180| 
           MVKL    .S2     RL126,B3          ; |180| 
           MVKH    .S2     RL126,B3          ; |180| 
           NOP             3
RL126:     ; CALL OCCURS                     ; |180| 
	.line	92
           B       .S1     _mcbsp0_write     ; |182| 
           MVKL    .S2     RL128,B3          ; |182| 
           MVKH    .S2     RL128,B3          ; |182| 
           ZERO    .L1     A4                ; |182| 
           NOP             2
RL128:     ; CALL OCCURS                     ; |182| 
;** --------------------------------------------------------------------------*
	.line	93
           B       .S1     _mcbsp0_read      ; |183| 
           MVKL    .S2     RL130,B3          ; |183| 
           MVKH    .S2     RL130,B3          ; |183| 
           NOP             3
RL130:     ; CALL OCCURS                     ; |183| 
	.line	94
           B       .S1     _mcbsp0_write     ; |184| 
           MVKL    .S2     RL132,B3          ; |184| 
           MVKH    .S2     RL132,B3          ; |184| 
           MVK     .S1     0x1,A4            ; |184| 
           NOP             2
RL132:     ; CALL OCCURS                     ; |184| 
	.line	95
           B       .S1     _mcbsp0_read      ; |185| 
           MVKL    .S2     RL134,B3          ; |185| 
           MVKH    .S2     RL134,B3          ; |185| 
           NOP             3
RL134:     ; CALL OCCURS                     ; |185| 
	.line	96
           B       .S1     _mcbsp0_write     ; |186| 
           MVKL    .S2     RL136,B3          ; |186| 
           MVKH    .S2     RL136,B3          ; |186| 
           MVK     .S1     0x2530,A4         ; |186| 
           NOP             2
RL136:     ; CALL OCCURS                     ; |186| 
	.line	97
           B       .S1     _mcbsp0_read      ; |187| 
           MVKL    .S2     RL138,B3          ; |187| 
           MVKH    .S2     RL138,B3          ; |187| 
           NOP             3
RL138:     ; CALL OCCURS                     ; |187| 
           MV      .L1     A4,A10            ; 
	.line	98
           B       .S1     _mcbsp0_write     ; |188| 
           MVKL    .S2     RL140,B3          ; |188| 
           MVKH    .S2     RL140,B3          ; |188| 
           ZERO    .L1     A4                ; |188| 
           NOP             2
RL140:     ; CALL OCCURS                     ; |188| 
	.line	99
           B       .S1     _mcbsp0_read      ; |189| 
           MVKL    .S2     RL142,B3          ; |189| 
           MVKH    .S2     RL142,B3          ; |189| 
           NOP             3
RL142:     ; CALL OCCURS                     ; |189| 
	.line	100
           B       .S1     _mcbsp0_write     ; |190| 
           MVKL    .S2     RL144,B3          ; |190| 
           ZERO    .L1     A4                ; |190| 
           MVKH    .S2     RL144,B3          ; |190| 
           NOP             2
RL144:     ; CALL OCCURS                     ; |190| 
	.line	101
           B       .S1     _mcbsp0_read      ; |191| 
           MVKL    .S2     RL146,B3          ; |191| 
           MVKH    .S2     RL146,B3          ; |191| 
           NOP             3
RL146:     ; CALL OCCURS                     ; |191| 
	.line	102
           EXTU    .S1     A10,24,25,A0      ; |192| 
           SHL     .S1     A0,1,A0           ; |192| 
           CMPEQ   .L1     A0,2,A1           ; |192| 
   [ A1]   B       .S1     L8                ; |192| 
           NOP             5
           ; BRANCH OCCURS                   ; |192| 
;** --------------------------------------------------------------------------*
;***	; the preceding call never returns
	.line	105
           B       .S1     _printf           ; |195| 
           MVKL    .S1     SL1+0,A0          ; |195| 
           MVKH    .S1     SL1+0,A0          ; |195| 
           MVKL    .S2     RL148,B3          ; |195| 
           STW     .D2T1   A0,*+SP(4)        ; |195| 
           MVKH    .S2     RL148,B3          ; |195| 
RL148:     ; CALL OCCURS                     ; |195| 
	.line	106
           B       .S1     _exit             ; |196| 
           MVKL    .S2     RL150,B3          ; |196| 
           MVKH    .S2     RL150,B3          ; |196| 
           ZERO    .L1     A4                ; |196| 
           NOP             2
RL150:     ; CALL OCCURS                     ; |196| 
;** --------------------------------------------------------------------------*
L6:    
;***	; the preceding call never returns
	.line	75
           B       .S1     _printf           ; |165| 
           MVKL    .S1     SL2+0,A0          ; |165| 
           MVKH    .S1     SL2+0,A0          ; |165| 
           MVKL    .S2     RL152,B3          ; |165| 
           STW     .D2T1   A0,*+SP(4)        ; |165| 
           MVKH    .S2     RL152,B3          ; |165| 
RL152:     ; CALL OCCURS                     ; |165| 
	.line	76
           B       .S1     _exit             ; |166| 
           MVKL    .S2     RL154,B3          ; |166| 
           MVKH    .S2     RL154,B3          ; |166| 
           ZERO    .L1     A4                ; |166| 
           NOP             2
RL154:     ; CALL OCCURS                     ; |166| 
;** --------------------------------------------------------------------------*
L7:    
;***	; the preceding call never returns
	.line	45
           B       .S1     _printf           ; |135| 
           MVKL    .S1     SL3+0,A0          ; |135| 
           MVKH    .S1     SL3+0,A0          ; |135| 
           MVKL    .S2     RL156,B3          ; |135| 
           STW     .D2T1   A0,*+SP(4)        ; |135| 
           MVKH    .S2     RL156,B3          ; |135| 
RL156:     ; CALL OCCURS                     ; |135| 
	.line	46
           B       .S1     _exit             ; |136| 
           MVKL    .S2     RL158,B3          ; |136| 
           MVKH    .S2     RL158,B3          ; |136| 
           ZERO    .L1     A4                ; |136| 
           NOP             2
RL158:     ; CALL OCCURS                     ; |136| 
;** --------------------------------------------------------------------------*
L8:    
	.line	110
           LDW     .D2T1   *+SP(12),A10      ; |200| 
           LDW     .D2T2   *++SP(16),B3      ; |200| 
           NOP             4
           B       .S2     B3                ; |200| 
           NOP             5
           ; BRANCH OCCURS                   ; |200| 
	.endfunc	200,000080400h,16


;******************************************************************************
;* MARK THE END OF THE SCALAR INIT RECORD IN CINIT:C                          *
;******************************************************************************
CIR:	.sect	".cinit:c"
;******************************************************************************
;* STRINGS                                                                    *
;******************************************************************************
	.sect	".const"
SL1:	.string	"Error in setting up register 5.",10,0
SL2:	.string	"Error in setting up register 4.",10,0
SL3:	.string	"Error in setting up register 3.",10,0
;******************************************************************************
;* UNDEFINED EXTERNAL REFERENCES                                              *
;******************************************************************************
	.global	_exit
	.global	_printf
	.global	__divi
