;******************************************************************************
;* TMS320C6x ANSI C Codegen                                      Version 4.00 *
;* Date/Time created: Mon Jun 18 02:13:00 2001                                *
;******************************************************************************

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C620x                                          *
;*   Optimization      : Enabled at level 1                                   *
;*   Optimizing for    : Compile time 1st, speed 2nd                          *
;*                       Based on options: -o1, no -ms                        *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Memory Model      : Small                                                *
;*   Calls to RTS      : Near                                                 *
;*   Pipelining        : Disabled                                             *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : Debug                                                *
;*                                                                            *
;******************************************************************************

FP	.set	A15
DP	.set	B14
SP	.set	B15
	.global	$bss

;	opt6x -q -O1 C:\WINDOWS\TEMP\TI382643_2 C:\WINDOWS\TEMP\TI382643_4 -w D:\ti_proj\adapt 
	.file	"adapt.c"
	.file	"C:\ti\c6000\cgtools\include\stdlib.h"
	.file	"C:\ti\c6000\cgtools\include\stdio.h"
	.file	"adapt.c"
	.file	"C:\ti\c6000\cgtools\include\c6x.h"
	.file	"adapt.c"
	.global	_in
	.bss	_in,4,4
	.sym	_in,_in, 4, 2, 32
	.global	_out
	.bss	_out,4,4
	.sym	_out,_out, 4, 2, 32
	.global	_output
	.bss	_output,8,8
	.sym	_output,_output, 7, 2, 64
	.global	_input
	.bss	_input,8,8
	.sym	_input,_input, 7, 2, 64
	.global	_y
	.bss	_y,8,8
	.sym	_y,_y, 7, 2, 64
	.global	_e
	.bss	_e,8,8
	.sym	_e,_e, 7, 2, 64
	.global	_ue
	.bss	_ue,8,8
	.sym	_ue,_ue, 7, 2, 64
	.global	_w
	.bss	_w,960,8
	.sym	_w,_w, 55, 2, 7680,, 120
	.global	_hist
	.bss	_hist,1368,8
	.sym	_hist,_hist, 55, 2, 10944,, 171
	.sect	".text"
	.global	_main
	.sym	_main,_main, 36, 2, 0
	.func	37

;******************************************************************************
;* FUNCTION NAME: _main                                                       *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,B0,B1, *
;*                           B2,B3,B4,B5,B6,B7,B8,B9,SP                       *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,B0,B1, *
;*                           B2,B3,B4,B5,B6,B7,B8,B9,DP,SP                    *
;*   Local Frame Size  : 0 Args + 0 Auto + 20 Save = 20 byte                  *
;******************************************************************************
_main:
;** --------------------------------------------------------------------------*
	.sym	C$1,4, 4, 4, 32
	.sym	C$2,11, 23, 4, 32
	.sym	C$3,4, 7, 4, 64
	.sym	C$4,20, 23, 4, 32
	.sym	C$5,4, 7, 4, 64
	.sym	Y$0,4, 4, 4, 32
	.sym	_i,10, 4, 4, 32
           STW     .D2T2   B3,*SP--(24)      ; |37| 
           STW     .D2T1   A10,*+SP(8)       ; |37| 
           STW     .D2T1   A11,*+SP(12)      ; |37| 
           STW     .D2T1   A12,*+SP(16)      ; |37| 
           STW     .D2T1   A13,*+SP(20)      ; |37| 
	.line	7
           MVK     .S1     256,A0            ; |43| 
           MVC     .S2X    A0,CSR            ; |43| 
	.line	8
           MVK     .S1     1,A0              ; |44| 
           MVC     .S2X    A0,IER            ; |44| 
	.line	9
           ZERO    .L2     B4                ; |45| 
           SET     .S2     B4,0x0,0xf,B4     ; |45| 
           MVC     .S2     B4,ICR            ; |45| 
           NOP             1
	.line	11
           ZERO    .L2     B4                ; |47| 

           MVK     .S1     13056,A0          ; |47| 
||         MVKH    .S2     0x1800000,B4      ; |47| 

           STW     .D2T1   A0,*B4            ; |47| 
	.line	12
           MVKL    .S1     0x1800004,A0      ; |48| 

           MVKH    .S1     0x1800004,A0      ; |48| 
||         MVK     .S2     -221,B4           ; |48| 

           STW     .D1T2   B4,*A0            ; |48| 
	.line	13

           ZERO    .L1     A0                ; |49| 
||         ZERO    .D1     A10               ; |49| 
||         MVK     .S1     170,A3            ; |49| 

;** --------------------------------------------------------------------------*
L1:    
           MVK     .S2     (_hist-$bss),B4   ; |49| 

           ADD     .L2     DP,B4,B4          ; |49| 
||         SHL     .S1     A10,3,A4          ; |49| 

           ADD     .L1X    B4,A4,A4          ; |49| 
           STW     .D1T1   A0,*A4            ; |49| 
           STW     .D1T1   A0,*+A4(4)        ; |49| 
           ADD     .L1     1,A10,A10         ; |49| 
           CMPLT   .L1     A10,A3,A1         ; |49| 
   [ A1]   B       .S1     L1                ; |49| 
           NOP             5
           ; BRANCH OCCURS                   ; |49| 
;** --------------------------------------------------------------------------*
	.line	14

           ZERO    .L1     A10               ; |50| 
||         MVK     .S1     120,A4            ; |50| 

;** --------------------------------------------------------------------------*
L2:    
           MVK     .S2     (_w-$bss),B4      ; |50| 

           ADD     .L2     DP,B4,B4          ; |50| 
||         SHL     .S1     A10,3,A3          ; |50| 

           ADD     .L1X    B4,A3,A3          ; |50| 
           STW     .D1T1   A0,*A3            ; |50| 
           STW     .D1T1   A0,*+A3(4)        ; |50| 
           ADD     .L1     1,A10,A10         ; |50| 
           CMPLT   .L1     A10,A4,A1         ; |50| 
   [ A1]   B       .S1     L2                ; |50| 
           NOP             5
           ; BRANCH OCCURS                   ; |50| 
;** --------------------------------------------------------------------------*
	.line	17
           B       .S1     _mcbsp0_init      ; |53| 
           MVKL    .S2     RL0,B3            ; |53| 
           MVKH    .S2     RL0,B3            ; |53| 
           NOP             3
RL0:       ; CALL OCCURS                     ; |53| 
	.line	18
           B       .S1     _codec_init       ; |54| 
           MVKL    .S2     RL2,B3            ; |54| 
           MVKH    .S2     RL2,B3            ; |54| 
           NOP             3
RL2:       ; CALL OCCURS                     ; |54| 
;** --------------------------------------------------------------------------*
L3:    
	.line	24
           B       .S1     _mcbsp0_read      ; |60| 
           MVKL    .S2     RL4,B3            ; |60| 
           MVKH    .S2     RL4,B3            ; |60| 
           NOP             3
RL4:       ; CALL OCCURS                     ; |60| 
           STW     .D2T1   A4,*+DP(_in)      ; |60| 
	.line	26
           B       .S1     __fltid           ; |62| 
           MVKL    .S2     RL8,B3            ; |62| 
           MVKH    .S2     RL8,B3            ; |62| 
           NOP             3
RL8:       ; CALL OCCURS                     ; |62| 
           B       .S1     __divd            ; |62| 
           ZERO    .L2     B5                ; |62| 
           MVKH    .S2     0x40e00000,B5     ; |62| 
           MVKL    .S2     RL10,B3           ; |62| 
           MVKH    .S2     RL10,B3           ; |62| 
           ZERO    .L2     B4                ; |62| 
RL10:      ; CALL OCCURS                     ; |62| 
           STW     .D2T1   A4,*+DP(_input)   ; |62| 
           STW     .D2T1   A5,*+DP(_input+4) ; |62| 
	.line	27
           STW     .D2T1   A4,*+DP(_hist+1360) ; |63| 
           STW     .D2T1   A5,*+DP(_hist+1364) ; |63| 
	.line	28

           ZERO    .L1     A10               ; |64| 
||         MVK     .S1     170,A0            ; |66| 

;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L4:    
	.line	29
           MVK     .S2     (_hist-$bss),B4   ; |65| 
           ADD     .L2     DP,B4,B4          ; 
           SHL     .S1     A10,3,A3          ; |65| 
           ADD     .L1X    B4,A3,A3          ; |65| 
           LDW     .D1T1   *+A3(8),A5        ; |65| 
           LDW     .D1T1   *+A3(12),A4       ; |65| 
           SHL     .S1     A10,3,A3          ; |65| 
           ADD     .L2X    B4,A3,B4          ; |65| 
           NOP             1
           STW     .D2T1   A5,*B4            ; |65| 
           STW     .D2T1   A4,*+B4(4)        ; |65| 
	.line	30
           ADD     .L1     1,A10,A10         ; |66| 
           CMPLT   .L1     A10,A0,A1         ; |66| 
   [ A1]   B       .S1     L4                ; |66| 
           NOP             5
           ; BRANCH OCCURS                   ; |66| 
;** --------------------------------------------------------------------------*
	.line	32
           ZERO    .L2     B4                ; |68| 
           STW     .D2T2   B4,*+DP(_y)       ; |68| 
           STW     .D2T2   B4,*+DP(_y+4)     ; |68| 
	.line	33
           MVK     .S1     120,A11           ; |71| 

           ZERO    .L1     A10               ; |69| 
||         MVK     .S1     119,A12           ; |70| 

;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L5:    
	.line	34

           SUB     .L1     A12,A10,A3        ; |70| 
||         MVK     .S2     (_w-$bss),B4      ; |70| 
||         MVK     .S1     (_hist-$bss),A0   ; |70| 

           SHL     .S1     A3,3,A3           ; |70| 
||         ADD     .L1X    DP,A0,A0          ; |70| 
||         ADD     .L2     DP,B4,B4          ; |70| 
||         SHL     .S2X    A10,3,B5          ; |70| 

           ADD     .L2X    B4,A3,B4          ; |70| 
||         ADD     .L1X    A0,B5,A0          ; |70| 

           B       .S1     __mpyd            ; |70| 
||         LDW     .D2T2   *+B4(4),B5        ; 
||         LDW     .D1T1   *A0,A4            ; 

           LDW     .D2T2   *B4,B4            ; 
||         LDW     .D1T1   *+A0(4),A5        ; 

           MVKL    .S2     RL14,B3           ; |70| 
           MVKH    .S2     RL14,B3           ; |70| 
           NOP             2
RL14:      ; CALL OCCURS                     ; |70| 

           B       .S1     __addd            ; |70| 
||         MV      .L2X    A5,B5             ; 
||         LDW     .D2T1   *+DP(_y+4),A5     ; |70| 

           MV      .L2X    A4,B4             ; 
||         LDW     .D2T1   *+DP(_y),A4       ; |70| 

           MVKL    .S2     RL16,B3           ; |70| 
           MVKH    .S2     RL16,B3           ; |70| 
           NOP             2
RL16:      ; CALL OCCURS                     ; |70| 
           STW     .D2T1   A4,*+DP(_y)       ; |70| 
           STW     .D2T1   A5,*+DP(_y+4)     ; |70| 
	.line	35
           ADD     .L1     1,A10,A10         ; |71| 
           CMPLT   .L1     A10,A11,A1        ; |71| 
   [ A1]   B       .S1     L5                ; |71| 
           NOP             5
           ; BRANCH OCCURS                   ; |71| 
;** --------------------------------------------------------------------------*
	.line	37
           LDW     .D2T2   *+DP(_y),B4       ; |73| 
           LDW     .D2T2   *+DP(_y+4),B5     ; |73| 

           B       .S1     __subd            ; |73| 
||         LDW     .D2T1   *+DP(_input+4),A5 ; |73| 

           LDW     .D2T1   *+DP(_input),A4   ; |73| 
           MVKL    .S2     RL18,B3           ; |73| 
           MVKH    .S2     RL18,B3           ; |73| 
           NOP             2
RL18:      ; CALL OCCURS                     ; |73| 
           STW     .D2T1   A4,*+DP(_e)       ; |73| 
           STW     .D2T1   A5,*+DP(_e+4)     ; |73| 
	.line	38

           B       .S1     __mpyd            ; |74| 
||         MVKL    .S2     RL20,B3           ; |74| 

           MVKL    .S2     0x3f947ae1,B5     ; |74| 
           MVKL    .S2     0x47ae147b,B4     ; |74| 
           MVKH    .S2     RL20,B3           ; |74| 
           MVKH    .S2     0x3f947ae1,B5     ; |74| 
           MVKH    .S2     0x47ae147b,B4     ; |74| 
RL20:      ; CALL OCCURS                     ; |74| 
           STW     .D2T1   A4,*+DP(_ue)      ; |74| 
           STW     .D2T1   A5,*+DP(_ue+4)    ; |74| 
	.line	39

           ZERO    .L1     A10               ; |75| 
||         MVK     .S1     120,A13           ; |77| 

;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L6:    
	.line	40
           MVK     .S1     (_w-$bss),A0      ; |76| 
           ADD     .L1X    DP,A0,A11         ; 

           SUB     .L1     A12,A10,A0        ; |76| 
||         MVK     .S2     (_hist-$bss),B4   ; |76| 

           SHL     .S1     A0,3,A0           ; |76| 
||         ADD     .L2     DP,B4,B4          ; |76| 

           ADD     .L1X    B4,A0,A0          ; |76| 

           B       .S1     __mpyd            ; |76| 
||         LDW     .D1T1   *A0,A4            ; 
||         LDW     .D2T2   *+DP(_ue+4),B5    ; |76| 

           LDW     .D2T2   *+DP(_ue),B4      ; |76| 
||         LDW     .D1T1   *+A0(4),A5        ; 

           MVKL    .S2     RL24,B3           ; |76| 
           MVKH    .S2     RL24,B3           ; |76| 
           NOP             2
RL24:      ; CALL OCCURS                     ; |76| 
           SHL     .S2X    A10,3,B4          ; |76| 
           ADD     .L2X    A11,B4,B6         ; |76| 

           B       .S1     __addd            ; |76| 
||         MV      .L2X    A5,B5             ; 
||         LDW     .D2T1   *+B6(4),A5        ; 

           MV      .L2X    A4,B4             ; 
||         LDW     .D2T1   *B6,A4            ; 

           MVKL    .S2     RL26,B3           ; |76| 
           MVKH    .S2     RL26,B3           ; |76| 
           NOP             2
RL26:      ; CALL OCCURS                     ; |76| 
           SHL     .S1     A10,3,A0          ; |76| 
           ADD     .L1     A11,A0,A0         ; |76| 
           STW     .D1T1   A4,*A0            ; |76| 
           STW     .D1T1   A5,*+A0(4)        ; |76| 
	.line	41
           ADD     .L1     1,A10,A10         ; |77| 
           CMPLT   .L1     A10,A13,A1        ; |77| 
   [ A1]   B       .S1     L6                ; |77| 
           NOP             5
           ; BRANCH OCCURS                   ; |77| 
;** --------------------------------------------------------------------------*
	.line	42

           B       .S1     __mpyd            ; |78| 
||         LDW     .D2T1   *+DP(_e+4),A5     ; |78| 

           LDW     .D2T1   *+DP(_e),A4       ; |78| 
           MVKL    .S2     RL30,B3           ; |78| 
           MVKH    .S2     RL30,B3           ; |78| 
           ZERO    .L2     B5                ; |78| 

           MVKH    .S2     0x40e00000,B5     ; |78| 
||         ZERO    .L2     B4                ; |78| 

RL30:      ; CALL OCCURS                     ; |78| 
           B       .S1     __fixdu           ; |78| 
           MVKL    .S2     RL32,B3           ; |78| 
           MVKH    .S2     RL32,B3           ; |78| 
           NOP             3
RL32:      ; CALL OCCURS                     ; |78| 
           EXTU    .S1     A4,16,17,A0       ; |78| 
           SHL     .S1     A0,1,A4           ; |78| 
           STW     .D2T1   A4,*+DP(_out)     ; |78| 
	.line	45
           B       .S1     _mcbsp0_write     ; |81| 
           MVKL    .S2     RL34,B3           ; |81| 
           MVKH    .S2     RL34,B3           ; |81| 
           NOP             3
RL34:      ; CALL OCCURS                     ; |81| 
	.line	47
           B       .S1     L3                ; |83| 
           NOP             5
           ; BRANCH OCCURS                   ; |83| 
;** --------------------------------------------------------------------------*
	.line	48
	.endfunc	84,000083c00h,24


	.sect	".text"
	.global	_mcbsp0_init
	.sym	_mcbsp0_init,_mcbsp0_init, 32, 2, 0
	.func	86

;******************************************************************************
;* FUNCTION NAME: _mcbsp0_init                                                *
;*                                                                            *
;*   Regs Modified     : A0,A3,B4,B5                                          *
;*   Regs Used         : A0,A3,B3,B4,B5                                       *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_mcbsp0_init:
;** --------------------------------------------------------------------------*
	.sym	C$1,20, 14, 4, 32
	.sym	C$2,0, 14, 4, 32
	.line	4
           MVKL    .S2     0x18c0008,B5      ; |89| 

           MVKH    .S2     0x18c0008,B5      ; |89| 
||         ZERO    .L2     B4                ; |89| 

           STW     .D2T2   B4,*B5            ; |89| 
	.line	5
           MVKL    .S1     0x18c0024,A0      ; |90| 
           MVKH    .S1     0x18c0024,A0      ; |90| 
           STW     .D1T2   B4,*A0            ; |90| 
	.line	6
           MVKL    .S1     0x18c000c,A3      ; |91| 
           MVKH    .S1     0x18c000c,A3      ; |91| 
           MVKL    .S1     0x10040,A0        ; |91| 
           MVKH    .S1     0x10040,A0        ; |91| 
           STW     .D1T1   A0,*A3            ; |91| 
	.line	7
           MVKL    .S2     0x18c0010,B5      ; |92| 
           MVKH    .S2     0x18c0010,B5      ; |92| 
           STW     .D2T1   A0,*B5            ; |92| 
	.line	8
           MVKL    .S2     0x18c0004,B5      ; |93| 
           MVKH    .S2     0x18c0004,B5      ; |93| 
           STW     .D2T2   B4,*B5            ; |93| 
	.line	9

           MVKL    .S2     0x12001,B4        ; |94| 
||         MVKL    .S1     0x18c0008,A0      ; |94| 

           MVKH    .S2     0x12001,B4        ; |94| 
||         MVKH    .S1     0x18c0008,A0      ; |94| 

           STW     .D1T2   B4,*A0            ; |94| 
	.line	10
           B       .S2     B3                ; |95| 
           NOP             5
           ; BRANCH OCCURS                   ; |95| 
	.endfunc	95,000000000h,0


	.sect	".text"
	.global	_mcbsp0_write
	.sym	_mcbsp0_write,_mcbsp0_write, 32, 2, 0
	.func	97

;******************************************************************************
;* FUNCTION NAME: _mcbsp0_write                                               *
;*                                                                            *
;*   Regs Modified     : A0,B0,B4                                             *
;*   Regs Used         : A0,A4,B0,B3,B4                                       *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_mcbsp0_write:
;** --------------------------------------------------------------------------*
	.sym	_out_data,4, 4, 17, 32
	.sym	_temp,16, 4, 4, 32
	.sym	_out_data,4, 4, 4, 32
	.line	2
	.line	4
           MVKL    .S1     0x18c0008,A0      ; |100| 
           MVKH    .S1     0x18c0008,A0      ; |100| 
           LDW     .D1T1   *A0,A0            ; |100| 
           ZERO    .L2     B4                ; |100| 
           MVKH    .S2     0x20000,B4        ; |100| 
           NOP             2
           AND     .L2X    B4,A0,B0          ; |100| 
	.line	5
   [ B0]   B       .S1     L8                ; |101| 
           NOP             5
           ; BRANCH OCCURS                   ; |101| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L7:    
	.line	7
           MVKL    .S1     0x18c0008,A0      ; |103| 
           MVKH    .S1     0x18c0008,A0      ; |103| 
           LDW     .D1T1   *A0,A0            ; |103| 
           ZERO    .L2     B4                ; |103| 
           MVKH    .S2     0x20000,B4        ; |103| 
           NOP             2
           AND     .L2X    B4,A0,B0          ; |103| 
   [!B0]   B       .S1     L7                ; |103| 
           NOP             5
           ; BRANCH OCCURS                   ; |103| 
;** --------------------------------------------------------------------------*
L8:    
	.line	9
           MVKL    .S1     0x18c0004,A0      ; |105| 
           MVKH    .S1     0x18c0004,A0      ; |105| 
           STW     .D1T1   A4,*A0            ; |105| 
	.line	10
           B       .S2     B3                ; |106| 
           NOP             5
           ; BRANCH OCCURS                   ; |106| 
	.endfunc	106,000000000h,0


	.sect	".text"
	.global	_mcbsp0_read
	.sym	_mcbsp0_read,_mcbsp0_read, 36, 2, 0
	.func	108

;******************************************************************************
;* FUNCTION NAME: _mcbsp0_read                                                *
;*                                                                            *
;*   Regs Modified     : A0,A1,A4                                             *
;*   Regs Used         : A0,A1,A4,B3                                          *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_mcbsp0_read:
;** --------------------------------------------------------------------------*
	.sym	_temp,1, 4, 4, 32
	.line	4
           MVKL    .S1     0x18c0008,A0      ; |111| 
           MVKH    .S1     0x18c0008,A0      ; |111| 
           LDW     .D1T1   *A0,A0            ; |111| 
           NOP             4
           AND     .L1     2,A0,A1           ; |111| 
	.line	5
   [ A1]   B       .S1     L10               ; |112| 
           NOP             5
           ; BRANCH OCCURS                   ; |112| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L9:    
	.line	7
           MVKL    .S1     0x18c0008,A0      ; |114| 
           MVKH    .S1     0x18c0008,A0      ; |114| 
           LDW     .D1T1   *A0,A0            ; |114| 
           NOP             4
           AND     .L1     2,A0,A1           ; |114| 
   [!A1]   B       .S1     L9                ; |114| 
           NOP             5
           ; BRANCH OCCURS                   ; |114| 
;** --------------------------------------------------------------------------*
L10:    
	.line	9
           ZERO    .L1     A0                ; |116| 
           MVKH    .S1     0x18c0000,A0      ; |116| 
	.line	10
           LDW     .D1T1   *A0,A4            ; 
	.line	11
           B       .S2     B3                ; |118| 
           NOP             5
           ; BRANCH OCCURS                   ; |118| 
	.endfunc	118,000000000h,0


	.sect	".text"
	.global	_codec_init
	.sym	_codec_init,_codec_init, 32, 2, 0
	.func	121

;******************************************************************************
;* FUNCTION NAME: _codec_init                                                 *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,B0,B1,B2,B3,B4,B5, *
;*                           B6,B7,B8,B9,SP                                   *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,B0,B1,B2,B3,B4,B5, *
;*                           B6,B7,B8,B9,SP                                   *
;*   Local Frame Size  : 8 Args + 0 Auto + 8 Save = 16 byte                   *
;******************************************************************************
_codec_init:
;** --------------------------------------------------------------------------*
	.sym	_temp,10, 4, 4, 32
           STW     .D2T2   B3,*SP--(16)      ; |121| 
           STW     .D2T1   A10,*+SP(12)      ; |121| 
	.line	6
           B       .S1     _mcbsp0_read      ; |126| 
           MVKL    .S2     RL36,B3           ; |126| 
           MVKH    .S2     RL36,B3           ; |126| 
           NOP             3
RL36:      ; CALL OCCURS                     ; |126| 
	.line	7
           B       .S1     _mcbsp0_write     ; |127| 
           MVKL    .S2     RL38,B3           ; |127| 
           MVKH    .S2     RL38,B3           ; |127| 
           ZERO    .L1     A4                ; |127| 
           NOP             2
RL38:      ; CALL OCCURS                     ; |127| 
	.line	8
           B       .S1     _mcbsp0_read      ; |128| 
           MVKL    .S2     RL40,B3           ; |128| 
           MVKH    .S2     RL40,B3           ; |128| 
           NOP             3
RL40:      ; CALL OCCURS                     ; |128| 
	.line	9
           B       .S1     _mcbsp0_write     ; |129| 
           MVKL    .S2     RL42,B3           ; |129| 
           MVKH    .S2     RL42,B3           ; |129| 
           ZERO    .L1     A4                ; |129| 
           NOP             2
RL42:      ; CALL OCCURS                     ; |129| 
	.line	10
           B       .S1     _mcbsp0_read      ; |130| 
           MVKL    .S2     RL44,B3           ; |130| 
           MVKH    .S2     RL44,B3           ; |130| 
           NOP             3
RL44:      ; CALL OCCURS                     ; |130| 
	.line	11
           B       .S1     _mcbsp0_write     ; |131| 
           MVKL    .S2     RL46,B3           ; |131| 
           ZERO    .L1     A4                ; |131| 
           MVKH    .S2     RL46,B3           ; |131| 
           NOP             2
RL46:      ; CALL OCCURS                     ; |131| 
	.line	12
           B       .S1     _mcbsp0_read      ; |132| 
           MVKL    .S2     RL48,B3           ; |132| 
           MVKH    .S2     RL48,B3           ; |132| 
           NOP             3
RL48:      ; CALL OCCURS                     ; |132| 
	.line	13
           B       .S1     _mcbsp0_write     ; |133| 
           MVKL    .S2     RL50,B3           ; |133| 
           MVKH    .S2     RL50,B3           ; |133| 
           MVK     .S1     0x1,A4            ; |133| 
           NOP             2
RL50:      ; CALL OCCURS                     ; |133| 
	.line	14
           B       .S1     _mcbsp0_read      ; |134| 
           MVKL    .S2     RL52,B3           ; |134| 
           MVKH    .S2     RL52,B3           ; |134| 
           NOP             3
RL52:      ; CALL OCCURS                     ; |134| 
	.line	15
           B       .S1     _mcbsp0_write     ; |135| 
           MVKL    .S2     RL54,B3           ; |135| 
           MVKH    .S2     RL54,B3           ; |135| 
           MVK     .S1     0x386,A4          ; |135| 
           NOP             2
RL54:      ; CALL OCCURS                     ; |135| 
	.line	16
           B       .S1     _mcbsp0_read      ; |136| 
           MVKL    .S2     RL56,B3           ; |136| 
           MVKH    .S2     RL56,B3           ; |136| 
           NOP             3
RL56:      ; CALL OCCURS                     ; |136| 
;** --------------------------------------------------------------------------*
	.line	17
           B       .S1     _mcbsp0_write     ; |137| 
           MVKL    .S2     RL58,B3           ; |137| 
           MVKH    .S2     RL58,B3           ; |137| 
           ZERO    .L1     A4                ; |137| 
           NOP             2
RL58:      ; CALL OCCURS                     ; |137| 
	.line	18
           B       .S1     _mcbsp0_read      ; |138| 
           MVKL    .S2     RL60,B3           ; |138| 
           MVKH    .S2     RL60,B3           ; |138| 
           NOP             3
RL60:      ; CALL OCCURS                     ; |138| 
	.line	21
           B       .S1     _mcbsp0_write     ; |141| 
           MVKL    .S2     RL62,B3           ; |141| 
           MVKH    .S2     RL62,B3           ; |141| 
           ZERO    .L1     A4                ; |141| 
           NOP             2
RL62:      ; CALL OCCURS                     ; |141| 
	.line	22
           B       .S1     _mcbsp0_read      ; |142| 
           MVKL    .S2     RL64,B3           ; |142| 
           MVKH    .S2     RL64,B3           ; |142| 
           NOP             3
RL64:      ; CALL OCCURS                     ; |142| 
	.line	23
           B       .S1     _mcbsp0_write     ; |143| 
           MVKL    .S2     RL66,B3           ; |143| 
           MVKH    .S2     RL66,B3           ; |143| 
           ZERO    .L1     A4                ; |143| 
           NOP             2
RL66:      ; CALL OCCURS                     ; |143| 
	.line	24
           B       .S1     _mcbsp0_read      ; |144| 
           MVKL    .S2     RL68,B3           ; |144| 
           MVKH    .S2     RL68,B3           ; |144| 
           NOP             3
RL68:      ; CALL OCCURS                     ; |144| 
	.line	25
           B       .S1     _mcbsp0_write     ; |145| 
           MVKL    .S2     RL70,B3           ; |145| 
           MVK     .S1     0x1,A4            ; |145| 
           MVKH    .S2     RL70,B3           ; |145| 
           NOP             2
RL70:      ; CALL OCCURS                     ; |145| 
	.line	26
           B       .S1     _mcbsp0_read      ; |146| 
           MVKL    .S2     RL72,B3           ; |146| 
           MVKH    .S2     RL72,B3           ; |146| 
           NOP             3
RL72:      ; CALL OCCURS                     ; |146| 
	.line	27
           B       .S1     _mcbsp0_write     ; |147| 
           MVKL    .S2     RL74,B3           ; |147| 
           MVKH    .S2     RL74,B3           ; |147| 
           MVK     .S1     0x306,A4          ; |147| 
           NOP             2
RL74:      ; CALL OCCURS                     ; |147| 
	.line	28
           B       .S1     _mcbsp0_read      ; |148| 
           MVKL    .S2     RL76,B3           ; |148| 
           MVKH    .S2     RL76,B3           ; |148| 
           NOP             3
RL76:      ; CALL OCCURS                     ; |148| 
	.line	29
           B       .S1     _mcbsp0_write     ; |149| 
           MVKL    .S2     RL78,B3           ; |149| 
           MVKH    .S2     RL78,B3           ; |149| 
           ZERO    .L1     A4                ; |149| 
           NOP             2
RL78:      ; CALL OCCURS                     ; |149| 
;** --------------------------------------------------------------------------*
	.line	30
           B       .S1     _mcbsp0_read      ; |150| 
           MVKL    .S2     RL80,B3           ; |150| 
           MVKH    .S2     RL80,B3           ; |150| 
           NOP             3
RL80:      ; CALL OCCURS                     ; |150| 
	.line	32
           B       .S1     _mcbsp0_write     ; |152| 
           MVKL    .S2     RL82,B3           ; |152| 
           MVKH    .S2     RL82,B3           ; |152| 
           ZERO    .L1     A4                ; |152| 
           NOP             2
RL82:      ; CALL OCCURS                     ; |152| 
	.line	33
           B       .S1     _mcbsp0_read      ; |153| 
           MVKL    .S2     RL84,B3           ; |153| 
           MVKH    .S2     RL84,B3           ; |153| 
           NOP             3
RL84:      ; CALL OCCURS                     ; |153| 
	.line	34
           B       .S1     _mcbsp0_write     ; |154| 
           MVKL    .S2     RL86,B3           ; |154| 
           MVKH    .S2     RL86,B3           ; |154| 
           MVK     .S1     0x1,A4            ; |154| 
           NOP             2
RL86:      ; CALL OCCURS                     ; |154| 
	.line	35
           B       .S1     _mcbsp0_read      ; |155| 
           MVKL    .S2     RL88,B3           ; |155| 
           MVKH    .S2     RL88,B3           ; |155| 
           NOP             3
RL88:      ; CALL OCCURS                     ; |155| 
	.line	36
           B       .S1     _mcbsp0_write     ; |156| 
           MVKL    .S2     RL90,B3           ; |156| 
           MVKH    .S2     RL90,B3           ; |156| 
           MVK     .S1     0x2330,A4         ; |156| 
           NOP             2
RL90:      ; CALL OCCURS                     ; |156| 
	.line	37
           B       .S1     _mcbsp0_read      ; |157| 
           MVKL    .S2     RL92,B3           ; |157| 
           MVKH    .S2     RL92,B3           ; |157| 
           NOP             3
RL92:      ; CALL OCCURS                     ; |157| 
           MV      .L1     A4,A10            ; 
	.line	38
           B       .S1     _mcbsp0_write     ; |158| 
           MVKL    .S2     RL94,B3           ; |158| 
           MVKH    .S2     RL94,B3           ; |158| 
           ZERO    .L1     A4                ; |158| 
           NOP             2
RL94:      ; CALL OCCURS                     ; |158| 
	.line	39
           B       .S1     _mcbsp0_read      ; |159| 
           MVKL    .S2     RL96,B3           ; |159| 
           MVKH    .S2     RL96,B3           ; |159| 
           NOP             3
RL96:      ; CALL OCCURS                     ; |159| 
	.line	40
           B       .S1     _mcbsp0_write     ; |160| 
           MVKL    .S2     RL98,B3           ; |160| 
           ZERO    .L1     A4                ; |160| 
           MVKH    .S2     RL98,B3           ; |160| 
           NOP             2
RL98:      ; CALL OCCURS                     ; |160| 
	.line	41
           B       .S1     _mcbsp0_read      ; |161| 
           MVKL    .S2     RL100,B3          ; |161| 
           MVKH    .S2     RL100,B3          ; |161| 
           NOP             3
RL100:     ; CALL OCCURS                     ; |161| 
;** --------------------------------------------------------------------------*
	.line	42
           EXTU    .S1     A10,24,24,A0      ; |162| 
           CMPEQ   .L1     A0,6,A1           ; |162| 
   [!A1]   B       .S1     L12               ; |162| 
           NOP             5
           ; BRANCH OCCURS                   ; |162| 
;** --------------------------------------------------------------------------*
	.line	51
           B       .S1     _mcbsp0_write     ; |171| 
           MVKL    .S2     RL102,B3          ; |171| 
           MVKH    .S2     RL102,B3          ; |171| 
           ZERO    .L1     A4                ; |171| 
           NOP             2
RL102:     ; CALL OCCURS                     ; |171| 
	.line	52
           B       .S1     _mcbsp0_read      ; |172| 
           MVKL    .S2     RL104,B3          ; |172| 
           MVKH    .S2     RL104,B3          ; |172| 
           NOP             3
RL104:     ; CALL OCCURS                     ; |172| 
	.line	53
           B       .S1     _mcbsp0_write     ; |173| 
           MVKL    .S2     RL106,B3          ; |173| 
           MVKH    .S2     RL106,B3          ; |173| 
           ZERO    .L1     A4                ; |173| 
           NOP             2
RL106:     ; CALL OCCURS                     ; |173| 
	.line	54
           B       .S1     _mcbsp0_read      ; |174| 
           MVKL    .S2     RL108,B3          ; |174| 
           MVKH    .S2     RL108,B3          ; |174| 
           NOP             3
RL108:     ; CALL OCCURS                     ; |174| 
	.line	55
           B       .S1     _mcbsp0_write     ; |175| 
           MVKL    .S2     RL110,B3          ; |175| 
           MVKH    .S2     RL110,B3          ; |175| 
           MVK     .S1     0x1,A4            ; |175| 
           NOP             2
RL110:     ; CALL OCCURS                     ; |175| 
	.line	56
           B       .S1     _mcbsp0_read      ; |176| 
           MVKL    .S2     RL112,B3          ; |176| 
           MVKH    .S2     RL112,B3          ; |176| 
           NOP             3
RL112:     ; CALL OCCURS                     ; |176| 
	.line	57
           B       .S1     _mcbsp0_write     ; |177| 
           MVKL    .S2     RL114,B3          ; |177| 
           MVK     .S1     0x400,A4          ; |177| 
           MVKH    .S2     RL114,B3          ; |177| 
           NOP             2
RL114:     ; CALL OCCURS                     ; |177| 
	.line	58
           B       .S1     _mcbsp0_read      ; |178| 
           MVKL    .S2     RL116,B3          ; |178| 
           MVKH    .S2     RL116,B3          ; |178| 
           NOP             3
RL116:     ; CALL OCCURS                     ; |178| 
	.line	59
           B       .S1     _mcbsp0_write     ; |179| 
           MVKL    .S2     RL118,B3          ; |179| 
           MVKH    .S2     RL118,B3          ; |179| 
           ZERO    .L1     A4                ; |179| 
           NOP             2
RL118:     ; CALL OCCURS                     ; |179| 
	.line	60
           B       .S1     _mcbsp0_read      ; |180| 
           MVKL    .S2     RL120,B3          ; |180| 
           MVKH    .S2     RL120,B3          ; |180| 
           NOP             3
RL120:     ; CALL OCCURS                     ; |180| 
	.line	62
           B       .S1     _mcbsp0_write     ; |182| 
           MVKL    .S2     RL122,B3          ; |182| 
           MVKH    .S2     RL122,B3          ; |182| 
           ZERO    .L1     A4                ; |182| 
           NOP             2
RL122:     ; CALL OCCURS                     ; |182| 
;** --------------------------------------------------------------------------*
	.line	63
           B       .S1     _mcbsp0_read      ; |183| 
           MVKL    .S2     RL124,B3          ; |183| 
           MVKH    .S2     RL124,B3          ; |183| 
           NOP             3
RL124:     ; CALL OCCURS                     ; |183| 
	.line	64
           B       .S1     _mcbsp0_write     ; |184| 
           MVKL    .S2     RL126,B3          ; |184| 
           MVKH    .S2     RL126,B3          ; |184| 
           MVK     .S1     0x1,A4            ; |184| 
           NOP             2
RL126:     ; CALL OCCURS                     ; |184| 
	.line	65
           B       .S1     _mcbsp0_read      ; |185| 
           MVKL    .S2     RL128,B3          ; |185| 
           MVKH    .S2     RL128,B3          ; |185| 
           NOP             3
RL128:     ; CALL OCCURS                     ; |185| 
	.line	66
           B       .S1     _mcbsp0_write     ; |186| 
           MVKL    .S2     RL130,B3          ; |186| 
           MVKH    .S2     RL130,B3          ; |186| 
           MVK     .S1     0x2430,A4         ; |186| 
           NOP             2
RL130:     ; CALL OCCURS                     ; |186| 
	.line	67
           B       .S1     _mcbsp0_read      ; |187| 
           MVKL    .S2     RL132,B3          ; |187| 
           MVKH    .S2     RL132,B3          ; |187| 
           NOP             3
RL132:     ; CALL OCCURS                     ; |187| 
           MV      .L1     A4,A10            ; 
	.line	68
           B       .S1     _mcbsp0_write     ; |188| 
           MVKL    .S2     RL134,B3          ; |188| 
           MVKH    .S2     RL134,B3          ; |188| 
           ZERO    .L1     A4                ; |188| 
           NOP             2
RL134:     ; CALL OCCURS                     ; |188| 
	.line	69
           B       .S1     _mcbsp0_read      ; |189| 
           MVKL    .S2     RL136,B3          ; |189| 
           MVKH    .S2     RL136,B3          ; |189| 
           NOP             3
RL136:     ; CALL OCCURS                     ; |189| 
	.line	70
           B       .S1     _mcbsp0_write     ; |190| 
           MVKL    .S2     RL138,B3          ; |190| 
           MVKH    .S2     RL138,B3          ; |190| 
           ZERO    .L1     A4                ; |190| 
           NOP             2
RL138:     ; CALL OCCURS                     ; |190| 
	.line	71
           B       .S1     _mcbsp0_read      ; |191| 
           MVKL    .S2     RL140,B3          ; |191| 
           MVKH    .S2     RL140,B3          ; |191| 
           NOP             3
RL140:     ; CALL OCCURS                     ; |191| 
	.line	72
           EXTU    .S1     A10,24,24,A1      ; |192| 
   [ A1]   B       .S1     L11               ; |192| 
           NOP             5
           ; BRANCH OCCURS                   ; |192| 
;** --------------------------------------------------------------------------*
	.line	81
           B       .S1     _mcbsp0_write     ; |201| 
           MVKL    .S2     RL142,B3          ; |201| 
           MVKH    .S2     RL142,B3          ; |201| 
           ZERO    .L1     A4                ; |201| 
           NOP             2
RL142:     ; CALL OCCURS                     ; |201| 
	.line	82
           B       .S1     _mcbsp0_read      ; |202| 
           MVKL    .S2     RL144,B3          ; |202| 
           MVKH    .S2     RL144,B3          ; |202| 
           NOP             3
RL144:     ; CALL OCCURS                     ; |202| 
	.line	83
           B       .S1     _mcbsp0_write     ; |203| 
           MVKL    .S2     RL146,B3          ; |203| 
           MVKH    .S2     RL146,B3          ; |203| 
           ZERO    .L1     A4                ; |203| 
           NOP             2
RL146:     ; CALL OCCURS                     ; |203| 
	.line	84
           B       .S1     _mcbsp0_read      ; |204| 
           MVKL    .S2     RL148,B3          ; |204| 
           MVKH    .S2     RL148,B3          ; |204| 
           NOP             3
RL148:     ; CALL OCCURS                     ; |204| 
	.line	85
           B       .S1     _mcbsp0_write     ; |205| 
           MVKL    .S2     RL150,B3          ; |205| 
           MVKH    .S2     RL150,B3          ; |205| 
           MVK     .S1     0x1,A4            ; |205| 
           NOP             2
RL150:     ; CALL OCCURS                     ; |205| 
	.line	86
           B       .S1     _mcbsp0_read      ; |206| 
           MVKL    .S2     RL152,B3          ; |206| 
           MVKH    .S2     RL152,B3          ; |206| 
           NOP             3
RL152:     ; CALL OCCURS                     ; |206| 
	.line	87
           B       .S1     _mcbsp0_write     ; |207| 
           MVKL    .S2     RL154,B3          ; |207| 
           MVK     .S1     0x502,A4          ; |207| 
           MVKH    .S2     RL154,B3          ; |207| 
           NOP             2
RL154:     ; CALL OCCURS                     ; |207| 
	.line	88
           B       .S1     _mcbsp0_read      ; |208| 
           MVKL    .S2     RL156,B3          ; |208| 
           MVKH    .S2     RL156,B3          ; |208| 
           NOP             3
RL156:     ; CALL OCCURS                     ; |208| 
	.line	89
           B       .S1     _mcbsp0_write     ; |209| 
           MVKL    .S2     RL158,B3          ; |209| 
           MVKH    .S2     RL158,B3          ; |209| 
           ZERO    .L1     A4                ; |209| 
           NOP             2
RL158:     ; CALL OCCURS                     ; |209| 
	.line	90
           B       .S1     _mcbsp0_read      ; |210| 
           MVKL    .S2     RL160,B3          ; |210| 
           MVKH    .S2     RL160,B3          ; |210| 
           NOP             3
RL160:     ; CALL OCCURS                     ; |210| 
	.line	92
           B       .S1     _mcbsp0_write     ; |212| 
           MVKL    .S2     RL162,B3          ; |212| 
           MVKH    .S2     RL162,B3          ; |212| 
           ZERO    .L1     A4                ; |212| 
           NOP             2
RL162:     ; CALL OCCURS                     ; |212| 
;** --------------------------------------------------------------------------*
	.line	93
           B       .S1     _mcbsp0_read      ; |213| 
           MVKL    .S2     RL164,B3          ; |213| 
           MVKH    .S2     RL164,B3          ; |213| 
           NOP             3
RL164:     ; CALL OCCURS                     ; |213| 
	.line	94
           B       .S1     _mcbsp0_write     ; |214| 
           MVKL    .S2     RL166,B3          ; |214| 
           MVKH    .S2     RL166,B3          ; |214| 
           MVK     .S1     0x1,A4            ; |214| 
           NOP             2
RL166:     ; CALL OCCURS                     ; |214| 
	.line	95
           B       .S1     _mcbsp0_read      ; |215| 
           MVKL    .S2     RL168,B3          ; |215| 
           MVKH    .S2     RL168,B3          ; |215| 
           NOP             3
RL168:     ; CALL OCCURS                     ; |215| 
	.line	96
           B       .S1     _mcbsp0_write     ; |216| 
           MVKL    .S2     RL170,B3          ; |216| 
           MVKH    .S2     RL170,B3          ; |216| 
           MVK     .S1     0x2530,A4         ; |216| 
           NOP             2
RL170:     ; CALL OCCURS                     ; |216| 
	.line	97
           B       .S1     _mcbsp0_read      ; |217| 
           MVKL    .S2     RL172,B3          ; |217| 
           MVKH    .S2     RL172,B3          ; |217| 
           NOP             3
RL172:     ; CALL OCCURS                     ; |217| 
           MV      .L1     A4,A10            ; 
	.line	98
           B       .S1     _mcbsp0_write     ; |218| 
           MVKL    .S2     RL174,B3          ; |218| 
           MVKH    .S2     RL174,B3          ; |218| 
           ZERO    .L1     A4                ; |218| 
           NOP             2
RL174:     ; CALL OCCURS                     ; |218| 
	.line	99
           B       .S1     _mcbsp0_read      ; |219| 
           MVKL    .S2     RL176,B3          ; |219| 
           MVKH    .S2     RL176,B3          ; |219| 
           NOP             3
RL176:     ; CALL OCCURS                     ; |219| 
	.line	100
           B       .S1     _mcbsp0_write     ; |220| 
           MVKL    .S2     RL178,B3          ; |220| 
           ZERO    .L1     A4                ; |220| 
           MVKH    .S2     RL178,B3          ; |220| 
           NOP             2
RL178:     ; CALL OCCURS                     ; |220| 
	.line	101
           B       .S1     _mcbsp0_read      ; |221| 
           MVKL    .S2     RL180,B3          ; |221| 
           MVKH    .S2     RL180,B3          ; |221| 
           NOP             3
RL180:     ; CALL OCCURS                     ; |221| 
	.line	102
           EXTU    .S1     A10,24,25,A0      ; |222| 
           SHL     .S1     A0,1,A0           ; |222| 
           CMPEQ   .L1     A0,2,A1           ; |222| 
   [ A1]   B       .S1     L13               ; |222| 
           NOP             5
           ; BRANCH OCCURS                   ; |222| 
;** --------------------------------------------------------------------------*
;***	; the preceding call never returns
	.line	105
           B       .S1     _printf           ; |225| 
           MVKL    .S1     SL1+0,A0          ; |225| 
           MVKH    .S1     SL1+0,A0          ; |225| 
           MVKL    .S2     RL182,B3          ; |225| 
           STW     .D2T1   A0,*+SP(4)        ; |225| 
           MVKH    .S2     RL182,B3          ; |225| 
RL182:     ; CALL OCCURS                     ; |225| 
	.line	106
           B       .S1     _exit             ; |226| 
           MVKL    .S2     RL184,B3          ; |226| 
           MVKH    .S2     RL184,B3          ; |226| 
           ZERO    .L1     A4                ; |226| 
           NOP             2
RL184:     ; CALL OCCURS                     ; |226| 
;** --------------------------------------------------------------------------*
L11:    
;***	; the preceding call never returns
	.line	75
           B       .S1     _printf           ; |195| 
           MVKL    .S1     SL2+0,A0          ; |195| 
           MVKH    .S1     SL2+0,A0          ; |195| 
           MVKL    .S2     RL186,B3          ; |195| 
           STW     .D2T1   A0,*+SP(4)        ; |195| 
           MVKH    .S2     RL186,B3          ; |195| 
RL186:     ; CALL OCCURS                     ; |195| 
	.line	76
           B       .S1     _exit             ; |196| 
           MVKL    .S2     RL188,B3          ; |196| 
           MVKH    .S2     RL188,B3          ; |196| 
           ZERO    .L1     A4                ; |196| 
           NOP             2
RL188:     ; CALL OCCURS                     ; |196| 
;** --------------------------------------------------------------------------*
L12:    
;***	; the preceding call never returns
	.line	45
           B       .S1     _printf           ; |165| 
           MVKL    .S1     SL3+0,A0          ; |165| 
           MVKH    .S1     SL3+0,A0          ; |165| 
           MVKL    .S2     RL190,B3          ; |165| 
           STW     .D2T1   A0,*+SP(4)        ; |165| 
           MVKH    .S2     RL190,B3          ; |165| 
RL190:     ; CALL OCCURS                     ; |165| 
	.line	46
           B       .S1     _exit             ; |166| 
           MVKL    .S2     RL192,B3          ; |166| 
           MVKH    .S2     RL192,B3          ; |166| 
           ZERO    .L1     A4                ; |166| 
           NOP             2
RL192:     ; CALL OCCURS                     ; |166| 
;** --------------------------------------------------------------------------*
L13:    
	.line	110
           LDW     .D2T1   *+SP(12),A10      ; |230| 
           LDW     .D2T2   *++SP(16),B3      ; |230| 
           NOP             4
           B       .S2     B3                ; |230| 
           NOP             5
           ; BRANCH OCCURS                   ; |230| 
	.endfunc	230,000080400h,16


;******************************************************************************
;* STRINGS                                                                    *
;******************************************************************************
	.sect	".const"
SL1:	.string	"Error in setting up register 5.",10,0
SL2:	.string	"Error in setting up register 4.",10,0
SL3:	.string	"Error in setting up register 3.",10,0
;******************************************************************************
;* UNDEFINED EXTERNAL REFERENCES                                              *
;******************************************************************************
	.global	_exit
	.global	_printf
	.global	__divd
	.global	__fltid
	.global	__mpyd
	.global	__addd
	.global	__subd
	.global	__fixdu
