;******************************************************************************
;* TMS320C6x ANSI C Codegen                                      Version 4.00 *
;* Date/Time created: Thu Mar 07 13:09:20 2002                                *
;******************************************************************************

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C620x                                          *
;*   Optimization      : Disabled                                             *
;*   Optimizing for    : Compile time, Ease of Development                    *
;*                       Based on options: no -o, no -ms                      *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Memory Model      : Large                                                *
;*   Calls to RTS      : Near                                                 *
;*   Pipelining        : Disabled                                             *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : Debug                                                *
;*                                                                            *
;******************************************************************************

FP	.set	A15
DP	.set	B14
SP	.set	B15
	.global	$bss

;	acp6x --large_model=0 -m --i_output_file C:\WINDOWS\TEMP\TI16503811_2 --template_info_file C:\WINDOWS\TEMP\TI16503811_3 --object_file blink.obj --opt_shell 4 blink.c blink.c -gks -ml0 blink.c 
	.file	"blink.c"
	.sym	_uv_int, 0, 14, 13, 32
	.file	"C:\ti\c6000\cgtools\include\c6x.h"
	.file	"blink.c"
	.sect	".text"
	.global	_main
	.sym	_main,_main, 36, 2, 0
	.func	42
;----------------------------------------------------------------------
;  42 | int main()                                                             
;----------------------------------------------------------------------

;******************************************************************************
;* FUNCTION NAME: _main                                                       *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                    *
;******************************************************************************
_main:
;** --------------------------------------------------------------------------*
           STW     .D2T2   B3,*SP--(8)       ; |42| 
	.line	4
;----------------------------------------------------------------------
;  45 | CSR=0x100;                           /* Disable all interrupts
;     |      */                                                                
;----------------------------------------------------------------------
           MVK     .S1     256,A0            ; |45| 
           MVC     .S2X    A0,CSR            ; |45| 
	.line	5
;----------------------------------------------------------------------
;  46 | IER=1;                               /* Disable all interrupts except N
;     | MI   */                                                                
;----------------------------------------------------------------------
           MVK     .S1     1,A0              ; |46| 
           MVC     .S2X    A0,IER            ; |46| 
	.line	6
;----------------------------------------------------------------------
;  47 | ICR=0xffff;                          /* Clear all pending interrupts
;     |      */                                                                
;----------------------------------------------------------------------
           ZERO    .L2     B4                ; |47| 
           SET     .S2     B4,0x0,0xf,B4     ; |47| 
           MVC     .S2     B4,ICR            ; |47| 
           NOP             1
	.line	8
;----------------------------------------------------------------------
;  49 | *(uv_int *)EMIF_GCR = 0x3300;    /* EMIF global control      */        
;----------------------------------------------------------------------
           ZERO    .L1     A0                ; |49| 

           MVKH    .S1     0x1800000,A0      ; |49| 
||         MVK     .S2     13056,B4          ; |49| 

           STW     .D1T2   B4,*A0            ; |49| 
	.line	9
;----------------------------------------------------------------------
;  50 | *(uv_int *)EMIF_CE1 = CE1_32;    /* EMIF CE1 control, 32bit  */        
;----------------------------------------------------------------------
           MVKL    .S1     0x1800004,A0      ; |50| 

           MVKH    .S1     0x1800004,A0      ; |50| 
||         MVK     .S2     -221,B4           ; |50| 

           STW     .D1T2   B4,*A0            ; |50| 
	.line	14
;----------------------------------------------------------------------
;  55 | delay_msec(50);                                                        
;----------------------------------------------------------------------
           B       .S1     _delay_msec       ; |55| 
           MVKL    .S2     RL0,B3            ; |55| 
           MVKH    .S2     RL0,B3            ; |55| 
           MVK     .S1     0x32,A4           ; |55| 
           NOP             2
RL0:       ; CALL OCCURS                     ; |55| 
	.line	15
;----------------------------------------------------------------------
;  56 | LEDS = 0x07000000; /* Turn off all user LEDs*/                         
;----------------------------------------------------------------------

           ZERO    .L1     A0                ; |56| 
||         ZERO    .L2     B4                ; |56| 

           MVKH    .S1     0x7000000,A0      ; |56| 
||         MVKH    .S2     0x90080000,B4     ; |56| 

           STW     .D2T1   A0,*B4            ; |56| 
	.line	16
;----------------------------------------------------------------------
;  57 | delay_msec(500);                                                       
;----------------------------------------------------------------------
           B       .S1     _delay_msec       ; |57| 
           MVKL    .S2     RL2,B3            ; |57| 
           MVKH    .S2     RL2,B3            ; |57| 
           MVK     .S1     0x1f4,A4          ; |57| 
           NOP             2
RL2:       ; CALL OCCURS                     ; |57| 
	.line	18
;----------------------------------------------------------------------
;  59 | LEDS = 0x0e000000; /* Display 1 on LEDs */                             
;----------------------------------------------------------------------

           ZERO    .L1     A0                ; |59| 
||         ZERO    .L2     B4                ; |59| 

           MVKH    .S1     0xe000000,A0      ; |59| 
||         MVKH    .S2     0x90080000,B4     ; |59| 

           STW     .D2T1   A0,*B4            ; |59| 
	.line	19
;----------------------------------------------------------------------
;  60 | delay_msec(500);                                                       
;----------------------------------------------------------------------
           B       .S1     _delay_msec       ; |60| 
           MVKL    .S2     RL4,B3            ; |60| 
           MVKH    .S2     RL4,B3            ; |60| 
           MVK     .S1     0x1f4,A4          ; |60| 
           NOP             2
RL4:       ; CALL OCCURS                     ; |60| 
	.line	21
;----------------------------------------------------------------------
;  62 | LEDS = 0x0D000000; /* Display 2 on LEDs */                             
;----------------------------------------------------------------------

           ZERO    .L1     A0                ; |62| 
||         ZERO    .L2     B4                ; |62| 

           MVKH    .S1     0xd000000,A0      ; |62| 
||         MVKH    .S2     0x90080000,B4     ; |62| 

           STW     .D2T1   A0,*B4            ; |62| 
	.line	22
;----------------------------------------------------------------------
;  63 | delay_msec(500);                                                       
;----------------------------------------------------------------------
           B       .S1     _delay_msec       ; |63| 
           MVKL    .S2     RL6,B3            ; |63| 
           MVKH    .S2     RL6,B3            ; |63| 
           MVK     .S1     0x1f4,A4          ; |63| 
           NOP             2
RL6:       ; CALL OCCURS                     ; |63| 
	.line	24
;----------------------------------------------------------------------
;  65 | LEDS = 0x0C000000; /* Display 3 on LEDs */                             
;----------------------------------------------------------------------

           ZERO    .L1     A0                ; |65| 
||         ZERO    .L2     B4                ; |65| 

           MVKH    .S1     0xc000000,A0      ; |65| 
||         MVKH    .S2     0x90080000,B4     ; |65| 

           STW     .D2T1   A0,*B4            ; |65| 
	.line	25
;----------------------------------------------------------------------
;  66 | delay_msec(500);                                                       
;----------------------------------------------------------------------
           B       .S1     _delay_msec       ; |66| 
           MVKL    .S2     RL8,B3            ; |66| 
           MVKH    .S2     RL8,B3            ; |66| 
           MVK     .S1     0x1f4,A4          ; |66| 
           NOP             2
RL8:       ; CALL OCCURS                     ; |66| 
	.line	27
;----------------------------------------------------------------------
;  68 | LEDS = 0x0B000000; /* Display 4 on LEDs */                             
;----------------------------------------------------------------------

           ZERO    .L1     A0                ; |68| 
||         ZERO    .L2     B4                ; |68| 

           MVKH    .S1     0xb000000,A0      ; |68| 
||         MVKH    .S2     0x90080000,B4     ; |68| 

           STW     .D2T1   A0,*B4            ; |68| 
	.line	28
;----------------------------------------------------------------------
;  69 | delay_msec(500);                                                       
;----------------------------------------------------------------------
           B       .S1     _delay_msec       ; |69| 
           MVKL    .S2     RL10,B3           ; |69| 
           MVKH    .S2     RL10,B3           ; |69| 
           MVK     .S1     0x1f4,A4          ; |69| 
           NOP             2
RL10:      ; CALL OCCURS                     ; |69| 
	.line	30
;----------------------------------------------------------------------
;  71 | LEDS = 0x0A000000; /* Display 5 on LEDs */                             
;----------------------------------------------------------------------

           ZERO    .L1     A0                ; |71| 
||         ZERO    .L2     B4                ; |71| 

           MVKH    .S1     0xa000000,A0      ; |71| 
||         MVKH    .S2     0x90080000,B4     ; |71| 

           STW     .D2T1   A0,*B4            ; |71| 
	.line	31
;----------------------------------------------------------------------
;  72 | delay_msec(500);                                                       
;----------------------------------------------------------------------
           B       .S1     _delay_msec       ; |72| 
           MVKL    .S2     RL12,B3           ; |72| 
           MVKH    .S2     RL12,B3           ; |72| 
           MVK     .S1     0x1f4,A4          ; |72| 
           NOP             2
RL12:      ; CALL OCCURS                     ; |72| 
	.line	33
;----------------------------------------------------------------------
;  74 | LEDS = 0x09000000; /* Display 6 on LEDs */                             
;----------------------------------------------------------------------

           ZERO    .L1     A0                ; |74| 
||         ZERO    .L2     B4                ; |74| 

           MVKH    .S1     0x90080000,A0     ; |74| 
||         MVKH    .S2     0x9000000,B4      ; |74| 

           STW     .D1T2   B4,*A0            ; |74| 
	.line	34
;----------------------------------------------------------------------
;  75 | delay_msec(500);                                                       
;  80 | for (;;)                                                               
;----------------------------------------------------------------------
           B       .S1     _delay_msec       ; |75| 
           MVKL    .S2     RL14,B3           ; |75| 
           MVKH    .S2     RL14,B3           ; |75| 
           MVK     .S1     0x1f4,A4          ; |75| 
           NOP             2
RL14:      ; CALL OCCURS                     ; |75| 
;** --------------------------------------------------------------------------*
L1:    
	.line	41
;----------------------------------------------------------------------
;  82 | led_blink(5, 1000);                                                    
;----------------------------------------------------------------------
           B       .S1     _led_blink        ; |82| 
           MVKL    .S2     RL16,B3           ; |82| 
           MVK     .S2     0x3e8,B4          ; |82| 
           MVKH    .S2     RL16,B3           ; |82| 
           MVK     .S1     0x5,A4            ; |82| 
           NOP             1
RL16:      ; CALL OCCURS                     ; |82| 
	.line	42
           B       .S1     L1                ; |83| 
           NOP             5
           ; BRANCH OCCURS                   ; |83| 
;** --------------------------------------------------------------------------*
	.line	43
	.endfunc	84,000080000h,8


	.sect	".text"
	.global	_led_blink
	.sym	_led_blink,_led_blink, 32, 2, 0
	.func	100
;----------------------------------------------------------------------
; 100 | void led_blink(int count, int ms_period)                               
;----------------------------------------------------------------------

;******************************************************************************
;* FUNCTION NAME: _led_blink                                                  *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,B10,SP                                  *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,B10,SP                                  *
;*   Local Frame Size  : 0 Args + 12 Auto + 8 Save = 20 byte                  *
;******************************************************************************
_led_blink:
;** --------------------------------------------------------------------------*
	.sym	_count,4, 4, 17, 32
	.sym	_ms_period,20, 4, 17, 32
	.sym	_count,4, 4, 1, 32
	.sym	_ms_period,8, 4, 1, 32
	.sym	_i,12, 4, 1, 32
           STW     .D2T2   B10,*SP--(24)     ; |100| 
           STW     .D2T2   B3,*+SP(20)       ; |100| 
	.line	2
;----------------------------------------------------------------------
; 102 | int i;                                                                 
;----------------------------------------------------------------------
           STW     .D2T2   B4,*+SP(8)        ; |101| 
           STW     .D2T1   A4,*+SP(4)        ; |101| 
	.line	5
;----------------------------------------------------------------------
; 104 | for (i=0;i<count;i++)                                                  
;----------------------------------------------------------------------
           ZERO    .L1     A0                ; |104| 
           STW     .D2T1   A0,*+SP(12)       ; |104| 
           CMPLT   .L1     A0,A4,A1          ; 
   [!A1]   B       .S1     L3                ; |104| 
           ZERO    .L2     B10               ; |106| 
           NOP             4
           ; BRANCH OCCURS                   ; |104| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L2:    
	.line	7
;----------------------------------------------------------------------
; 106 | LEDS = 0x0;        /* Turn on all user LEDs */                         
;----------------------------------------------------------------------
           ZERO    .L2     B4                ; |106| 
           MVKH    .S2     0x90080000,B4     ; |106| 
           STW     .D2T2   B10,*B4           ; |106| 
	.line	8
;----------------------------------------------------------------------
; 107 | delay_msec(ms_period/2);                                               
;----------------------------------------------------------------------
           LDW     .D2T2   *+SP(8),B4        ; |107| 
           MVKL    .S2     RL18,B3           ; |107| 
           B       .S1     _delay_msec       ; |107| 
           MVKH    .S2     RL18,B3           ; |107| 
           NOP             1
           SHRU    .S1X    B4,31,A0          ; |107| 
           ADD     .L1X    A0,B4,A0          ; |107| 
           EXT     .S1     A0,15,16,A4       ; 
RL18:      ; CALL OCCURS                     ; |107| 
	.line	9
;----------------------------------------------------------------------
; 108 | LEDS = 0x07000000 &  KEYS; /* Turn off all user LEDs*/                 
;----------------------------------------------------------------------
           ZERO    .L1     A0                ; |108| 
           MVKH    .S1     0x90080000,A0     ; |108| 
           LDW     .D1T1   *A0,A0            ; |108| 
           ZERO    .L2     B4                ; |108| 
           MVKH    .S2     0x7000000,B4      ; |108| 
           ZERO    .L2     B5                ; |108| 
           MVKH    .S2     0x90080000,B5     ; |108| 
           AND     .L1X    B4,A0,A0          ; |108| 
           STW     .D2T1   A0,*B5            ; |108| 
	.line	10
;----------------------------------------------------------------------
; 109 | delay_msec(ms_period/2);                                               
;----------------------------------------------------------------------
           LDW     .D2T2   *+SP(8),B4        ; |109| 
           MVKL    .S2     RL20,B3           ; |109| 
           B       .S1     _delay_msec       ; |109| 
           MVKH    .S2     RL20,B3           ; |109| 
           NOP             1
           SHRU    .S1X    B4,31,A0          ; |109| 
           ADD     .L1X    A0,B4,A0          ; |109| 
           EXT     .S1     A0,15,16,A4       ; 
RL20:      ; CALL OCCURS                     ; |109| 
	.line	11
           LDW     .D2T2   *+SP(12),B4       ; |110| 
           NOP             4
           ADD     .L2     1,B4,B4           ; |110| 
           STW     .D2T2   B4,*+SP(12)       ; |110| 
           LDW     .D2T2   *+SP(4),B5        ; |110| 
           NOP             4
           CMPLT   .L2     B4,B5,B0          ; 
   [ B0]   B       .S1     L2                ; |110| 
           NOP             5
           ; BRANCH OCCURS                   ; |110| 
;** --------------------------------------------------------------------------*
L3:    
	.line	12
;----------------------------------------------------------------------
; 111 | LEDS = 0x7000000;   /* Turn off all user LEDs */                       
;----------------------------------------------------------------------

           ZERO    .L2     B4                ; |111| 
||         ZERO    .L1     A0                ; |111| 

           MVKH    .S2     0x7000000,B4      ; |111| 
||         MVKH    .S1     0x90080000,A0     ; |111| 

           STW     .D1T2   B4,*A0            ; |111| 
	.line	13
           LDW     .D2T2   *+SP(20),B3       ; |112| 
           LDW     .D2T2   *++SP(24),B10     ; |112| 
           NOP             3
           B       .S2     B3                ; |112| 
           NOP             5
           ; BRANCH OCCURS                   ; |112| 
	.endfunc	112,004080000h,24


	.sect	".text"
	.global	_delay_msec
	.sym	_delay_msec,_delay_msec, 32, 2, 0
	.func	127
;----------------------------------------------------------------------
; 127 | void delay_msec(short msec)                                            
;----------------------------------------------------------------------

;******************************************************************************
;* FUNCTION NAME: _delay_msec                                                 *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Local Frame Size  : 0 Args + 12 Auto + 4 Save = 16 byte                  *
;******************************************************************************
_delay_msec:
;** --------------------------------------------------------------------------*
	.sym	_msec,4, 3, 17, 16
	.sym	_msec,4, 3, 1, 16
	.sym	_timer_limit,8, 4, 1, 32
	.sym	_time_start,12, 4, 1, 32
           STW     .D2T2   B3,*SP--(16)      ; |127| 
	.line	2
           STH     .D2T1   A4,*+SP(4)        ; |128| 
	.line	4
;----------------------------------------------------------------------
; 130 | int timer_limit = (msec*9375)<<2;                                      
; 131 | int time_start;                                                        
;----------------------------------------------------------------------
           LDH     .D2T2   *+SP(4),B4        ; |130| 
           MVKL    .S1     0x927c,A0         ; |130| 
           MVKH    .S1     0x927c,A0         ; |130| 
           NOP             2
           MPYUS   .M2X    A0,B4,B4          ; |130| 
           NOP             1
           STW     .D2T2   B4,*+SP(8)        ; |130| 
	.line	7
;----------------------------------------------------------------------
; 133 | timer0_start();                                                        
;----------------------------------------------------------------------
           B       .S1     _timer0_start     ; |133| 
           MVKL    .S2     RL22,B3           ; |133| 
           MVKH    .S2     RL22,B3           ; |133| 
           NOP             3
RL22:      ; CALL OCCURS                     ; |133| 
	.line	8
;----------------------------------------------------------------------
; 134 | time_start = timer0_read();                                            
;----------------------------------------------------------------------
           B       .S1     _timer0_read      ; |134| 
           MVKL    .S2     RL24,B3           ; |134| 
           MVKH    .S2     RL24,B3           ; |134| 
           NOP             3
RL24:      ; CALL OCCURS                     ; |134| 
           STW     .D2T1   A4,*+SP(12)       ; |134| 
	.line	9
;----------------------------------------------------------------------
; 135 | while ((timer0_read()-time_start) < timer_limit);                      
;----------------------------------------------------------------------
           B       .S1     _timer0_read      ; |135| 
           MVKL    .S2     RL26,B3           ; |135| 
           MVKH    .S2     RL26,B3           ; |135| 
           NOP             3
RL26:      ; CALL OCCURS                     ; |135| 
           LDW     .D2T2   *+SP(12),B5       ; |135| 
           LDW     .D2T2   *+SP(8),B4        ; |135| 
           NOP             3
           SUB     .L1X    A4,B5,A0          ; 
           CMPLT   .L1X    A0,B4,A1          ; |135| 
   [!A1]   B       .S1     L5                ; |135| 
           NOP             5
           ; BRANCH OCCURS                   ; |135| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L4:    
           B       .S1     _timer0_read      ; |135| 
           MVKL    .S2     RL28,B3           ; |135| 
           MVKH    .S2     RL28,B3           ; |135| 
           NOP             3
RL28:      ; CALL OCCURS                     ; |135| 
           LDW     .D2T2   *+SP(12),B4       ; |135| 
           LDW     .D2T2   *+SP(8),B5        ; |135| 
           NOP             3
           SUB     .L1X    A4,B4,A0          ; 
           CMPLT   .L1X    A0,B5,A1          ; |135| 
   [ A1]   B       .S1     L4                ; |135| 
           NOP             5
           ; BRANCH OCCURS                   ; |135| 
;** --------------------------------------------------------------------------*
;** --------------------------------------------------------------------------*
L5:    
	.line	10
           LDW     .D2T2   *++SP(16),B3      ; |136| 
           NOP             4
           B       .S2     B3                ; |136| 
           NOP             5
           ; BRANCH OCCURS                   ; |136| 
	.endfunc	136,000080000h,16


	.sect	".text"
	.global	_timer0_read
	.sym	_timer0_read,_timer0_read, 36, 2, 0
	.func	151
;----------------------------------------------------------------------
; 151 | int timer0_read()                                                      
; 153 | int i;                                                                 
;----------------------------------------------------------------------

;******************************************************************************
;* FUNCTION NAME: _timer0_read                                                *
;*                                                                            *
;*   Regs Modified     : A0,A4,SP                                             *
;*   Regs Used         : A0,A4,B3,SP                                          *
;*   Local Frame Size  : 0 Args + 4 Auto + 0 Save = 4 byte                    *
;******************************************************************************
_timer0_read:
;** --------------------------------------------------------------------------*
	.sym	_i,4, 4, 1, 32
           SUB     .L2     SP,8,SP           ; |151| 
	.line	5
;----------------------------------------------------------------------
; 155 | i = *(uv_int *)TIMER0_COUNT;                                           
;----------------------------------------------------------------------
           MVKL    .S1     0x1940008,A0      ; |155| 
           MVKH    .S1     0x1940008,A0      ; |155| 
           LDW     .D1T1   *A0,A4            ; |155| 
           NOP             4
           STW     .D2T1   A4,*+SP(4)        ; |155| 
	.line	6
;----------------------------------------------------------------------
; 156 | return i;                                                              
;----------------------------------------------------------------------
	.line	7
           B       .S2     B3                ; |157| 
           ADD     .L2     8,SP,SP           ; |157| 
           NOP             4
           ; BRANCH OCCURS                   ; |157| 
	.endfunc	157,000000000h,8


	.sect	".text"
	.global	_timer0_start
	.sym	_timer0_start,_timer0_start, 32, 2, 0
	.func	172
;----------------------------------------------------------------------
; 172 | void timer0_start()                                                    
;----------------------------------------------------------------------

;******************************************************************************
;* FUNCTION NAME: _timer0_start                                               *
;*                                                                            *
;*   Regs Modified     : A0,A3,B4,B5                                          *
;*   Regs Used         : A0,A3,B3,B4,B5                                       *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_timer0_start:
;** --------------------------------------------------------------------------*
	.line	4
;----------------------------------------------------------------------
; 175 | *(uv_int *)TIMER0_CTRL &= 0xff3f;                                      
;----------------------------------------------------------------------
           ZERO    .L2     B4                ; |175| 
           MVKH    .S2     0x1940000,B4      ; |175| 
           LDW     .D2T1   *B4,A3            ; |175| 
           MVKL    .S1     0xff3f,A0         ; |175| 
           MVKH    .S1     0xff3f,A0         ; |175| 
           NOP             2
           AND     .L1     A0,A3,A0          ; |175| 
           STW     .D2T1   A0,*B4            ; |175| 
	.line	7
;----------------------------------------------------------------------
; 178 | *(uv_int *)TIMER0_CTRL |= 0x200;                                       
;----------------------------------------------------------------------
           ZERO    .L1     A0                ; |178| 
           MVKH    .S1     0x1940000,A0      ; |178| 
           LDW     .D1T2   *A0,B4            ; |178| 
           NOP             4
           SET     .S2     B4,9,9,B4         ; |178| 
           STW     .D1T2   B4,*A0            ; |178| 
	.line	10
;----------------------------------------------------------------------
; 181 | *(uv_int *)TIMER0_PRD  |= 0xffffffff;                                  
;----------------------------------------------------------------------
           MVKL    .S2     0x1940004,B4      ; |181| 
           MVKH    .S2     0x1940004,B4      ; |181| 
           LDW     .D2T2   *B4,B5            ; |181| 
           NOP             4
           OR      .L2     -1,B5,B5          ; |181| 
           STW     .D2T2   B5,*B4            ; |181| 
	.line	13
;----------------------------------------------------------------------
; 184 | *(uv_int *)TIMER0_CTRL |= 0xC0;                                        
;----------------------------------------------------------------------
           ZERO    .L1     A3                ; |184| 
           MVKH    .S1     0x1940000,A3      ; |184| 
           LDW     .D1T1   *A3,A0            ; |184| 
           NOP             4
           SET     .S1     A0,6,7,A0         ; |184| 
           STW     .D1T1   A0,*A3            ; |184| 
	.line	14
           B       .S2     B3                ; |185| 
           NOP             5
           ; BRANCH OCCURS                   ; |185| 
	.endfunc	185,000000000h,0


	.sect	".text"
	.global	_timer0_init
	.sym	_timer0_init,_timer0_init, 32, 2, 0
	.func	201
;----------------------------------------------------------------------
; 201 | void timer0_init()                                                     
;----------------------------------------------------------------------

;******************************************************************************
;* FUNCTION NAME: _timer0_init                                                *
;*                                                                            *
;*   Regs Modified     : A0,A3,B4,B5                                          *
;*   Regs Used         : A0,A3,B3,B4,B5                                       *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_timer0_init:
;** --------------------------------------------------------------------------*
	.line	4
;----------------------------------------------------------------------
; 204 | *(uv_int *)TIMER0_CTRL &= 0xff3f;                                      
;----------------------------------------------------------------------
           ZERO    .L1     A0                ; |204| 
           MVKH    .S1     0x1940000,A0      ; |204| 
           LDW     .D1T1   *A0,A3            ; |204| 
           MVKL    .S2     0xff3f,B4         ; |204| 
           MVKH    .S2     0xff3f,B4         ; |204| 
           NOP             2
           AND     .L2X    B4,A3,B4          ; |204| 
           STW     .D1T2   B4,*A0            ; |204| 
	.line	7
;----------------------------------------------------------------------
; 207 | *(uv_int *)TIMER0_CTRL |= 0x200;                                       
;----------------------------------------------------------------------
           ZERO    .L2     B4                ; |207| 
           MVKH    .S2     0x1940000,B4      ; |207| 
           LDW     .D2T2   *B4,B5            ; |207| 
           NOP             4
           SET     .S2     B5,9,9,B5         ; |207| 
           STW     .D2T2   B5,*B4            ; |207| 
	.line	10
;----------------------------------------------------------------------
; 210 | *(uv_int *)TIMER0_PRD   = 0x200;                                       
;----------------------------------------------------------------------
           MVKL    .S2     0x1940004,B4      ; |210| 

           MVKH    .S2     0x1940004,B4      ; |210| 
||         MVK     .S1     512,A0            ; |210| 

           STW     .D2T1   A0,*B4            ; |210| 
	.line	13
;----------------------------------------------------------------------
; 213 | *(uv_int *)TIMER0_CTRL |= 0x3C0;                                       
;----------------------------------------------------------------------
           ZERO    .L1     A0                ; |213| 
           MVKH    .S1     0x1940000,A0      ; |213| 
           LDW     .D1T1   *A0,A3            ; |213| 
           NOP             4
           SET     .S1     A3,6,9,A3         ; |213| 
           STW     .D1T1   A3,*A0            ; |213| 
	.line	14
           B       .S2     B3                ; |214| 
           NOP             5
           ; BRANCH OCCURS                   ; |214| 
	.endfunc	214,000000000h,0


