;******************************************************************************
;* TMS320C6x ANSI C Codegen                                      Version 4.00 *
;* Date/Time created: Thu Mar 07 12:56:17 2002                                *
;******************************************************************************

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C671x                                          *
;*   Optimization      : Enabled at level 1                                   *
;*   Optimizing for    : Compile time 1st, speed 2nd                          *
;*                       Based on options: -o1, no -ms                        *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Memory Model      : Small                                                *
;*   Calls to RTS      : Near                                                 *
;*   Pipelining        : Disabled                                             *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : Debug                                                *
;*                                                                            *
;******************************************************************************

FP	.set	A15
DP	.set	B14
SP	.set	B15
	.global	$bss

;	opt6x -q -v6710 -O1 C:\WINDOWS\TEMP\TI16439403_2 C:\WINDOWS\TEMP\TI16439403_4 -w D:\ti_proj\repeat3 
	.file	"amp.c"
	.file	"codec.h"
	.file	"amp.c"
	.sect	".text"
	.global	_set_reg
	.sym	_set_reg,_set_reg, 32, 2, 0
	.func	4

;******************************************************************************
;* FUNCTION NAME: _set_reg                                                    *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,B0,B1,B2,B3,B4,*
;*                           B5,B6,B7,B8,B9,SP                                *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,B0,B1,B2,B3,B4,*
;*                           B5,B6,B7,B8,B9,SP                                *
;*   Local Frame Size  : 0 Args + 0 Auto + 12 Save = 12 byte                  *
;******************************************************************************
_set_reg:
;** --------------------------------------------------------------------------*
	.sym	_reg_no,4, 12, 17, 8
	.sym	_value,20, 12, 17, 8
	.sym	_reg_no,10, 12, 4, 8
	.sym	_value,11, 12, 4, 8
           STW     .D2T2   B3,*SP--(16)      ; |4| 
           STW     .D2T1   A10,*+SP(8)       ; |4| 
           STW     .D2T1   A11,*+SP(12)      ; |4| 
	.line	2

           MV      .L1     A4,A10            ; 
||         MV      .S1X    B4,A11            ; 

	.line	5
           B       .S1     _mcbsp0_write     ; |8| 
           MVKL    .S2     RL0,B3            ; |8| 
           ZERO    .L1     A4                ; |8| 
           MVKH    .S2     RL0,B3            ; |8| 
           NOP             2
RL0:       ; CALL OCCURS                     ; |8| 
	.line	6
           B       .S1     _mcbsp0_read      ; |9| 
           MVKL    .S2     RL2,B3            ; |9| 
           MVKH    .S2     RL2,B3            ; |9| 
           NOP             3
RL2:       ; CALL OCCURS                     ; |9| 
	.line	7
           B       .S1     _mcbsp0_write     ; |10| 
           MVKL    .S2     RL4,B3            ; |10| 
           MVKH    .S2     RL4,B3            ; |10| 
           ZERO    .L1     A4                ; |10| 
           NOP             2
RL4:       ; CALL OCCURS                     ; |10| 
	.line	8
           B       .S1     _mcbsp0_read      ; |11| 
           MVKL    .S2     RL6,B3            ; |11| 
           MVKH    .S2     RL6,B3            ; |11| 
           NOP             3
RL6:       ; CALL OCCURS                     ; |11| 
	.line	9
           B       .S1     _mcbsp0_write     ; |12| 
           MVKL    .S2     RL8,B3            ; |12| 
           MVK     .S1     0x1,A4            ; |12| 
           MVKH    .S2     RL8,B3            ; |12| 
           NOP             2
RL8:       ; CALL OCCURS                     ; |12| 
	.line	10
           B       .S1     _mcbsp0_read      ; |13| 
           MVKL    .S2     RL10,B3           ; |13| 
           MVKH    .S2     RL10,B3           ; |13| 
           NOP             3
RL10:      ; CALL OCCURS                     ; |13| 
	.line	11
           B       .S1     _mcbsp0_write     ; |14| 
           AND     .L1     15,A10,A0         ; |14| 
           EXTU    .S1     A0,24,24,A0       ; |14| 
           SHL     .S1     A0,8,A0           ; |14| 
           MVKL    .S2     RL12,B3           ; |14| 

           ADD     .L1     A11,A0,A4         ; |14| 
||         MVKH    .S2     RL12,B3           ; |14| 

RL12:      ; CALL OCCURS                     ; |14| 
	.line	12
           B       .S1     _mcbsp0_read      ; |15| 
           MVKL    .S2     RL14,B3           ; |15| 
           MVKH    .S2     RL14,B3           ; |15| 
           NOP             3
RL14:      ; CALL OCCURS                     ; |15| 
	.line	13
           B       .S1     _mcbsp0_write     ; |16| 
           MVKL    .S2     RL16,B3           ; |16| 
           MVKH    .S2     RL16,B3           ; |16| 
           ZERO    .L1     A4                ; |16| 
           NOP             2
RL16:      ; CALL OCCURS                     ; |16| 
	.line	14
           B       .S1     _mcbsp0_read      ; |17| 
           MVKL    .S2     RL18,B3           ; |17| 
           MVKH    .S2     RL18,B3           ; |17| 
           NOP             3
RL18:      ; CALL OCCURS                     ; |17| 
	.line	16
           LDW     .D2T1   *+SP(8),A10       ; |19| 
           LDW     .D2T1   *+SP(12),A11      ; |19| 
           LDW     .D2T2   *++SP(16),B3      ; |19| 
           NOP             4
           B       .S2     B3                ; |19| 
           NOP             5
           ; BRANCH OCCURS                   ; |19| 
	.endfunc	19,000080c00h,16


	.sect	".text"
	.global	_get_reg
	.sym	_get_reg,_get_reg, 36, 2, 0
	.func	20

;******************************************************************************
;* FUNCTION NAME: _get_reg                                                    *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,B0,B1,B2,B3,B4,B5, *
;*                           B6,B7,B8,B9,SP                                   *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,B0,B1,B2,B3,B4,B5, *
;*                           B6,B7,B8,B9,SP                                   *
;*   Local Frame Size  : 0 Args + 0 Auto + 8 Save = 8 byte                    *
;******************************************************************************
_get_reg:
;** --------------------------------------------------------------------------*
	.sym	_reg_no,4, 12, 17, 8
	.sym	_temp,10, 4, 4, 32
	.sym	_reg_no,10, 12, 4, 8
           STW     .D2T2   B3,*SP--(8)       ; |20| 
           STW     .D2T1   A10,*+SP(4)       ; |20| 
	.line	2
           MV      .L1     A4,A10            ; |21| 
	.line	7
           B       .S1     _mcbsp0_write     ; |26| 
           MVKL    .S2     RL20,B3           ; |26| 
           ZERO    .L1     A4                ; |26| 
           MVKH    .S2     RL20,B3           ; |26| 
           NOP             2
RL20:      ; CALL OCCURS                     ; |26| 
	.line	8
           B       .S1     _mcbsp0_read      ; |27| 
           MVKL    .S2     RL22,B3           ; |27| 
           MVKH    .S2     RL22,B3           ; |27| 
           NOP             3
RL22:      ; CALL OCCURS                     ; |27| 
	.line	9
           B       .S1     _mcbsp0_write     ; |28| 
           MVKL    .S2     RL24,B3           ; |28| 
           MVKH    .S2     RL24,B3           ; |28| 
           MVK     .S1     0x1,A4            ; |28| 
           NOP             2
RL24:      ; CALL OCCURS                     ; |28| 
	.line	10
           B       .S1     _mcbsp0_read      ; |29| 
           MVKL    .S2     RL26,B3           ; |29| 
           MVKH    .S2     RL26,B3           ; |29| 
           NOP             3
RL26:      ; CALL OCCURS                     ; |29| 
	.line	11
           B       .S1     _mcbsp0_write     ; |30| 
           AND     .L1     15,A10,A0         ; |30| 
           EXTU    .S1     A0,24,24,A0       ; |30| 
           MVK     .S1     8240,A3           ; |30| 

           MVKL    .S2     RL28,B3           ; |30| 
||         SHL     .S1     A0,8,A0           ; |30| 

           MVKH    .S2     RL28,B3           ; |30| 
||         ADD     .L1     A3,A0,A4          ; |30| 

RL28:      ; CALL OCCURS                     ; |30| 
	.line	12
           B       .S1     _mcbsp0_read      ; |31| 
           MVKL    .S2     RL30,B3           ; |31| 
           MVKH    .S2     RL30,B3           ; |31| 
           NOP             3
RL30:      ; CALL OCCURS                     ; |31| 
           MV      .L1     A4,A10            ; 
	.line	13
           B       .S1     _mcbsp0_write     ; |32| 
           MVKL    .S2     RL32,B3           ; |32| 
           MVKH    .S2     RL32,B3           ; |32| 
           ZERO    .L1     A4                ; |32| 
           NOP             2
RL32:      ; CALL OCCURS                     ; |32| 
	.line	14
           B       .S1     _mcbsp0_read      ; |33| 
           MVKL    .S2     RL34,B3           ; |33| 
           MVKH    .S2     RL34,B3           ; |33| 
           NOP             3
RL34:      ; CALL OCCURS                     ; |33| 
	.line	15
           B       .S1     _mcbsp0_write     ; |34| 
           MVKL    .S2     RL36,B3           ; |34| 
           MVKH    .S2     RL36,B3           ; |34| 
           ZERO    .L1     A4                ; |34| 
           NOP             2
RL36:      ; CALL OCCURS                     ; |34| 
	.line	16
           B       .S1     _mcbsp0_read      ; |35| 
           MVKL    .S2     RL38,B3           ; |35| 
           MVKH    .S2     RL38,B3           ; |35| 
           NOP             3
RL38:      ; CALL OCCURS                     ; |35| 
	.line	17
           MV      .L1     A10,A4            ; |36| 
	.line	18
           LDW     .D2T1   *+SP(4),A10       ; |37| 
           LDW     .D2T2   *++SP(8),B3       ; |37| 
           NOP             4
           B       .S2     B3                ; |37| 
           NOP             5
           ; BRANCH OCCURS                   ; |37| 
	.endfunc	37,000080400h,8


	.sect	".text"
	.global	_mic_preamp_on
	.sym	_mic_preamp_on,_mic_preamp_on, 32, 2, 0
	.func	40

;******************************************************************************
;* FUNCTION NAME: _mic_preamp_on                                              *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                    *
;******************************************************************************
_mic_preamp_on:
;** --------------------------------------------------------------------------*
	.sym	_temp,4, 4, 4, 32
           STW     .D2T2   B3,*SP--(8)       ; |40| 
	.line	5
           B       .S1     _get_reg          ; |44| 
           MVKL    .S2     RL40,B3           ; |44| 
           MVKH    .S2     RL40,B3           ; |44| 
           MVK     .S1     0x4,A4            ; |44| 
           NOP             2
RL40:      ; CALL OCCURS                     ; |44| 
	.line	7
           B       .S1     _set_reg          ; |46| 
           SET     .S1     A4,6,6,A4         ; |46| 
           EXTU    .S1     A4,24,24,A0       ; |46| 
           MVKL    .S2     RL42,B3           ; |46| 
           MVK     .S1     0x4,A4            ; |46| 

           MV      .L2X    A0,B4             ; |46| 
||         MVKH    .S2     RL42,B3           ; |46| 

RL42:      ; CALL OCCURS                     ; |46| 
	.line	8
           LDW     .D2T2   *++SP(8),B3       ; |47| 
           NOP             4
           B       .S2     B3                ; |47| 
           NOP             5
           ; BRANCH OCCURS                   ; |47| 
	.endfunc	47,000080000h,8


	.sect	".text"
	.global	_mic_preamp_off
	.sym	_mic_preamp_off,_mic_preamp_off, 32, 2, 0
	.func	48

;******************************************************************************
;* FUNCTION NAME: _mic_preamp_off                                             *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                    *
;******************************************************************************
_mic_preamp_off:
;** --------------------------------------------------------------------------*
	.sym	_temp,4, 4, 4, 32
           STW     .D2T2   B3,*SP--(8)       ; |48| 
	.line	4
           B       .S1     _get_reg          ; |51| 
           MVKL    .S2     RL44,B3           ; |51| 
           MVKH    .S2     RL44,B3           ; |51| 
           MVK     .S1     0x4,A4            ; |51| 
           NOP             2
RL44:      ; CALL OCCURS                     ; |51| 
	.line	6
           B       .S1     _set_reg          ; |53| 
           MVK     .S2     191,B4            ; |53| 
           AND     .L1X    B4,A4,A4          ; |53| 
           EXTU    .S1     A4,24,24,A0       ; |53| 
           MVKL    .S2     RL46,B3           ; |53| 

           MV      .L2X    A0,B4             ; |53| 
||         MVK     .S1     0x4,A4            ; |53| 
||         MVKH    .S2     RL46,B3           ; |53| 

RL46:      ; CALL OCCURS                     ; |53| 
	.line	7
           LDW     .D2T2   *++SP(8),B3       ; |54| 
           NOP             4
           B       .S2     B3                ; |54| 
           NOP             5
           ; BRANCH OCCURS                   ; |54| 
	.endfunc	54,000080000h,8


	.sect	".text"
	.global	_set_in_gain
	.sym	_set_in_gain,_set_in_gain, 32, 2, 0
	.func	56

;******************************************************************************
;* FUNCTION NAME: _set_in_gain                                                *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,B0,B1,B2,B3,B4,B5, *
;*                           B6,B7,B8,B9,SP                                   *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,B0,B1,B2,B3,B4,B5, *
;*                           B6,B7,B8,B9,SP                                   *
;*   Local Frame Size  : 0 Args + 0 Auto + 8 Save = 8 byte                    *
;******************************************************************************
_set_in_gain:
;** --------------------------------------------------------------------------*
	.sym	_gain,4, 12, 17, 8
	.sym	_temp,4, 4, 4, 32
	.sym	_gain,10, 12, 4, 8
           STW     .D2T2   B3,*SP--(8)       ; |56| 
           STW     .D2T1   A10,*+SP(4)       ; |56| 
	.line	2
           MV      .L1     A4,A10            ; |57| 
	.line	5
           B       .S1     _get_reg          ; |60| 
           MVKL    .S2     RL48,B3           ; |60| 
           MVK     .S1     0x4,A4            ; |60| 
           MVKH    .S2     RL48,B3           ; |60| 
           NOP             2
RL48:      ; CALL OCCURS                     ; |60| 
	.line	6
           MVK     .S2     192,B4            ; |61| 
           AND     .L2X    B4,A4,B4          ; |61| 
           ADD     .L1X    A10,B4,A4         ; |61| 
	.line	8
           B       .S1     _set_reg          ; |63| 
           EXTU    .S1     A4,24,24,A0       ; |63| 
           MVKL    .S2     RL50,B3           ; |63| 
           MV      .L2X    A0,B4             ; |63| 
           MVK     .S1     0x4,A4            ; |63| 
           MVKH    .S2     RL50,B3           ; |63| 
RL50:      ; CALL OCCURS                     ; |63| 
	.line	9
           LDW     .D2T1   *+SP(4),A10       ; |64| 
           LDW     .D2T2   *++SP(8),B3       ; |64| 
           NOP             4
           B       .S2     B3                ; |64| 
           NOP             5
           ; BRANCH OCCURS                   ; |64| 
	.endfunc	64,000080400h,8


	.sect	".text"
	.global	_set_out_gain
	.sym	_set_out_gain,_set_out_gain, 32, 2, 0
	.func	66

;******************************************************************************
;* FUNCTION NAME: _set_out_gain                                               *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,B0,B1,B2,B3,B4,B5, *
;*                           B6,B7,B8,B9,SP                                   *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,B0,B1,B2,B3,B4,B5, *
;*                           B6,B7,B8,B9,SP                                   *
;*   Local Frame Size  : 0 Args + 0 Auto + 8 Save = 8 byte                    *
;******************************************************************************
_set_out_gain:
;** --------------------------------------------------------------------------*
	.sym	_gain,4, 12, 17, 8
	.sym	_temp,4, 4, 4, 32
	.sym	_gain,10, 12, 4, 8
           STW     .D2T2   B3,*SP--(8)       ; |66| 
           STW     .D2T1   A10,*+SP(4)       ; |66| 
	.line	2
           MV      .L1     A4,A10            ; |67| 
	.line	5
           B       .S1     _get_reg          ; |70| 
           MVKL    .S2     RL52,B3           ; |70| 
           MVK     .S1     0x5,A4            ; |70| 
           MVKH    .S2     RL52,B3           ; |70| 
           NOP             2
RL52:      ; CALL OCCURS                     ; |70| 
	.line	6
           AND     .L1     3,A4,A0           ; |71| 
           ADD     .L1     A10,A0,A4         ; |71| 
	.line	8
           B       .S1     _set_reg          ; |73| 
           EXTU    .S1     A4,24,24,A0       ; |73| 
           MVKL    .S2     RL54,B3           ; |73| 
           MVK     .S1     0x5,A4            ; |73| 
           MV      .L2X    A0,B4             ; |73| 
           MVKH    .S2     RL54,B3           ; |73| 
RL54:      ; CALL OCCURS                     ; |73| 
	.line	10
           LDW     .D2T1   *+SP(4),A10       ; |75| 
           LDW     .D2T2   *++SP(8),B3       ; |75| 
           NOP             4
           B       .S2     B3                ; |75| 
           NOP             5
           ; BRANCH OCCURS                   ; |75| 
	.endfunc	75,000080400h,8


;******************************************************************************
;* UNDEFINED EXTERNAL REFERENCES                                              *
;******************************************************************************
	.global	_mcbsp0_read
	.global	_mcbsp0_write
