/*************************************************************************
**   Plik naglowkowy projektu sterowania wzmocnieniem przetwornika A/C  **
**   zawiera:                                                           **
**   		gains-tablica wartoci odpowiadajcych za wzmocnienia,  **
**		      krok co 1,5 dB.				        **
**		mic_preamp_on - funkcja wlacza przedwzmacniacz mikrofonu**
**		mic_preamp_off - funkcja wylacza przedwzmacniacz        **
**		set_in_gain - funkcja ustawia wzmocnienie na WEJSCIU    **
**			      przetwornika, mozna podac bezposrednio    **
**			      wartosci z tablicy gains		        **
**		set_out_gain - funkcja ustawia wzmocnienie na WYJSCIU   **
**				przetwornika, wartosc z tablicy gains   **
**				nalezy przesunac w lewo (gains[i]<<2)   **
**				o 2 bity        			**
*************************************************************************/


/*#include "c6211dsk.h"*/
/*#include "codec_poll.h"*/

unsigned char gains[35]=
{ 0x30, /*mute*/
  0x21, /*12 dB*/  
  0x20, /*10.5 dB*/  
  0x1f, /*9 dB*/  
  0x1e, /*7,5 dB*/
  0x1d, /*4,5 dB*/
  0x1c, /*3 dB*/
  0x1b, /*1,5 dB*/
  0x1a, /*0 dB*/
  0x19, /*-1,5 dB*/
  0x18, /*-3 dB*/
  0x17, /*-4,5 dB*/
  0x16, /*-6 dB*/
  0x15, /*-7,5 dB*/
  0x14, /*-9 dB*/
  0x13, /*-10,5 dB*/
  0x12, /*-12 dB*/
  0x11, /* dB*/
  0x10, /* dB*/
  0x0f, /* dB*/
  0x0e, /* dB*/
  0x0d, /* dB*/
  0x0c, /* dB*/
  0x0b, /* dB*/
  0x0a, /* dB*/
  0x09, /* dB*/
  0x08, /* dB*/
  0x07, /* dB*/
  0x06, /* dB*/
  0x05, /* dB*/
  0x04, /* dB*/
  0x03, /* dB*/
  0x02, /*-36 dB*/
  0x01, /*0 dB*/
  0x00};      
  
  
void mic_preamp_on();
void mic_preamp_off();
void set_in_gain(unsigned char);  
void set_out_gain(unsigned char);
