;******************************************************************************
;* TMS320C6x ANSI C Codegen                                      Version 4.00 *
;* Date/Time created: Thu Mar 07 12:56:13 2002                                *
;******************************************************************************

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C671x                                          *
;*   Optimization      : Enabled at level 1                                   *
;*   Optimizing for    : Compile time 1st, speed 2nd                          *
;*                       Based on options: -o1, no -ms                        *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Memory Model      : Small                                                *
;*   Calls to RTS      : Near                                                 *
;*   Pipelining        : Disabled                                             *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : Debug                                                *
;*                                                                            *
;******************************************************************************

FP	.set	A15
DP	.set	B14
SP	.set	B15
	.global	$bss

;	opt6x -q -v6710 -O1 C:\WINDOWS\TEMP\TI16439403_2 C:\WINDOWS\TEMP\TI16439403_4 -w D:\ti_proj\repeat3 
	.file	"repeat.c"
	.file	"C:\ti\c6000\cgtools\include\stdlib.h"
	.file	"C:\ti\c6000\cgtools\include\stdio.h"
	.file	"repeat.c"
	.file	"C:\ti\c6000\cgtools\include\c6x.h"
	.file	"amp.h"
	.file	"repeat.c"
	.global	_temp
	.bss	_temp,4,4
	.sym	_temp,_temp, 4, 2, 32
	.global	_in
	.bss	_in,4,4
	.sym	_in,_in, 4, 2, 32
	.global	_out
	.bss	_out,4,4
	.sym	_out,_out, 4, 2, 32
	.file	"amp.h"

	.sect	".cinit"
	.align	8
	.field  	IR_1,32
	.field  	_gains+0,32
	.field  	0x30,8			; _gains[0] @ 0
	.field  	0x21,8			; _gains[1] @ 8
	.field  	0x20,8			; _gains[2] @ 16
	.field  	0x1f,8			; _gains[3] @ 24
	.field  	0x1e,8			; _gains[4] @ 32
	.field  	0x1d,8			; _gains[5] @ 40
	.field  	0x1c,8			; _gains[6] @ 48
	.field  	0x1b,8			; _gains[7] @ 56
	.field  	0x1a,8			; _gains[8] @ 64
	.field  	0x19,8			; _gains[9] @ 72
	.field  	0x18,8			; _gains[10] @ 80
	.field  	0x17,8			; _gains[11] @ 88
	.field  	0x16,8			; _gains[12] @ 96
	.field  	0x15,8			; _gains[13] @ 104
	.field  	0x14,8			; _gains[14] @ 112
	.field  	0x13,8			; _gains[15] @ 120
	.field  	0x12,8			; _gains[16] @ 128
	.field  	0x11,8			; _gains[17] @ 136
	.field  	0x10,8			; _gains[18] @ 144
	.field  	0xf,8			; _gains[19] @ 152
	.field  	0xe,8			; _gains[20] @ 160
	.field  	0xd,8			; _gains[21] @ 168
	.field  	0xc,8			; _gains[22] @ 176
	.field  	0xb,8			; _gains[23] @ 184
	.field  	0xa,8			; _gains[24] @ 192
	.field  	0x9,8			; _gains[25] @ 200
	.field  	0x8,8			; _gains[26] @ 208
	.field  	0x7,8			; _gains[27] @ 216
	.field  	0x6,8			; _gains[28] @ 224
	.field  	0x5,8			; _gains[29] @ 232
	.field  	0x4,8			; _gains[30] @ 240
	.field  	0x3,8			; _gains[31] @ 248
	.field  	0x2,8			; _gains[32] @ 256
	.field  	0x1,8			; _gains[33] @ 264
	.field  	0,8			; _gains[34] @ 272
IR_1:	.set	35

	.sect	".text"
	.global	_gains
	.bss	_gains,35,4
	.sym	_gains,_gains, 60, 2, 280,, 35
	.file	"repeat.c"

	.sect	".cinit:c"
	.align	8
	.field  	(CIR - $) - 8, 32
	.field  	_gain+0,32
	.field  	0x1,32			; _gain @ 0

	.sect	".text"
	.global	_gain
_gain:	.usect	".bss:c",4,4
	.sym	_gain,_gain, 4, 2, 32

	.sect	".cinit:c"
	.align	4
	.field  	0x1,32			; _old_gain @ 0

	.sect	".text"
	.global	_old_gain
_old_gain:	.usect	".bss:c",4,4
	.sym	_old_gain,_old_gain, 4, 2, 32
	.sect	".text"
	.global	_main
	.sym	_main,_main, 36, 2, 0
	.func	30

;******************************************************************************
;* FUNCTION NAME: _main                                                       *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A4,A6,B0,B1,B2,B3,B4,B5,SP                  *
;*   Regs Used         : A0,A1,A2,A4,A6,B0,B1,B2,B3,B4,B5,DP,SP               *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                    *
;******************************************************************************
_main:
;** --------------------------------------------------------------------------*
           STW     .D2T2   B3,*SP--(8)       ; |30| 
	.line	5
           MVK     .S1     256,A0            ; |34| 
           MVC     .S2X    A0,CSR            ; |34| 
	.line	6
           MVK     .S1     1,A0              ; |35| 
           MVC     .S2X    A0,IER            ; |35| 
	.line	7
           ZERO    .L2     B4                ; |36| 
           SET     .S2     B4,0x0,0xf,B4     ; |36| 
           MVC     .S2     B4,ICR            ; |36| 
           NOP             1
	.line	9
           ZERO    .L2     B4                ; |38| 

           MVK     .S1     13056,A0          ; |38| 
||         MVKH    .S2     0x1800000,B4      ; |38| 

           STW     .D2T1   A0,*B4            ; |38| 
	.line	10
           MVKL    .S1     0x1800004,A0      ; |39| 

           MVKH    .S1     0x1800004,A0      ; |39| 
||         MVK     .S2     -221,B4           ; |39| 

           STW     .D1T2   B4,*A0            ; |39| 
;** --------------------------------------------------------------------------*
L1:    
	.line	33
           LDW     .D2T2   *+DP(_in),B5      ; |62| 
           LDW     .D2T2   *+DP(_gain),B4    ; |62| 
           NOP             4
           MPYI    .M2     B4,B5,B5          ; |62| 
           NOP             3
           B       .S1     __divi            ; |62| 
           NOP             2
           MVKL    .S2     RL0,B3            ; |62| 
           MVKH    .S2     RL0,B3            ; |62| 

           MVK     .S2     0xa,B4            ; |62| 
||         MV      .L1X    B5,A4             ; |62| 

RL0:       ; CALL OCCURS                     ; |62| 
           EXTU    .S1     A4,16,17,A0       ; |62| 
           SHL     .S1     A0,1,A0           ; |62| 
           STW     .D2T1   A0,*+DP(_out)     ; |62| 
	.line	36
           B       .S1     L1                ; |65| 
           NOP             5
           ; BRANCH OCCURS                   ; |65| 
;** --------------------------------------------------------------------------*
	.line	39
	.endfunc	68,000080000h,8


	.sect	".text"
	.global	_mcbsp0_init
	.sym	_mcbsp0_init,_mcbsp0_init, 32, 2, 0
	.func	70

;******************************************************************************
;* FUNCTION NAME: _mcbsp0_init                                                *
;*                                                                            *
;*   Regs Modified     : A0,A3,B4,B5                                          *
;*   Regs Used         : A0,A3,B3,B4,B5                                       *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_mcbsp0_init:
;** --------------------------------------------------------------------------*
	.sym	C$1,20, 14, 4, 32
	.sym	C$2,0, 14, 4, 32
	.line	4
           MVKL    .S2     0x18c0008,B5      ; |73| 

           MVKH    .S2     0x18c0008,B5      ; |73| 
||         ZERO    .L2     B4                ; |73| 

           STW     .D2T2   B4,*B5            ; |73| 
	.line	5
           MVKL    .S1     0x18c0024,A0      ; |74| 
           MVKH    .S1     0x18c0024,A0      ; |74| 
           STW     .D1T2   B4,*A0            ; |74| 
	.line	6
           MVKL    .S1     0x18c000c,A3      ; |75| 
           MVKH    .S1     0x18c000c,A3      ; |75| 
           MVKL    .S1     0x10040,A0        ; |75| 
           MVKH    .S1     0x10040,A0        ; |75| 
           STW     .D1T1   A0,*A3            ; |75| 
	.line	7
           MVKL    .S2     0x18c0010,B5      ; |76| 
           MVKH    .S2     0x18c0010,B5      ; |76| 
           STW     .D2T1   A0,*B5            ; |76| 
	.line	8
           MVKL    .S2     0x18c0004,B5      ; |77| 
           MVKH    .S2     0x18c0004,B5      ; |77| 
           STW     .D2T2   B4,*B5            ; |77| 
	.line	9

           MVKL    .S2     0x12001,B4        ; |78| 
||         MVKL    .S1     0x18c0008,A0      ; |78| 

           MVKH    .S2     0x12001,B4        ; |78| 
||         MVKH    .S1     0x18c0008,A0      ; |78| 

           STW     .D1T2   B4,*A0            ; |78| 
	.line	10
           B       .S2     B3                ; |79| 
           NOP             5
           ; BRANCH OCCURS                   ; |79| 
	.endfunc	79,000000000h,0


	.sect	".text"
	.global	_mcbsp0_write
	.sym	_mcbsp0_write,_mcbsp0_write, 32, 2, 0
	.func	81

;******************************************************************************
;* FUNCTION NAME: _mcbsp0_write                                               *
;*                                                                            *
;*   Regs Modified     : A0,B0,B4                                             *
;*   Regs Used         : A0,A4,B0,B3,B4                                       *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_mcbsp0_write:
;** --------------------------------------------------------------------------*
	.sym	_out_data,4, 4, 17, 32
	.sym	_temp,16, 4, 4, 32
	.sym	_out_data,4, 4, 4, 32
	.line	2
	.line	4
           MVKL    .S1     0x18c0008,A0      ; |84| 
           MVKH    .S1     0x18c0008,A0      ; |84| 
           LDW     .D1T1   *A0,A0            ; |84| 
           ZERO    .L2     B4                ; |84| 
           MVKH    .S2     0x20000,B4        ; |84| 
           NOP             2
           AND     .L2X    B4,A0,B0          ; |84| 
	.line	5
   [ B0]   B       .S1     L3                ; |85| 
           NOP             5
           ; BRANCH OCCURS                   ; |85| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L2:    
	.line	7
           MVKL    .S1     0x18c0008,A0      ; |87| 
           MVKH    .S1     0x18c0008,A0      ; |87| 
           LDW     .D1T1   *A0,A0            ; |87| 
           ZERO    .L2     B4                ; |87| 
           MVKH    .S2     0x20000,B4        ; |87| 
           NOP             2
           AND     .L2X    B4,A0,B0          ; |87| 
   [!B0]   B       .S1     L2                ; |87| 
           NOP             5
           ; BRANCH OCCURS                   ; |87| 
;** --------------------------------------------------------------------------*
L3:    
	.line	9
           MVKL    .S1     0x18c0004,A0      ; |89| 
           MVKH    .S1     0x18c0004,A0      ; |89| 
           STW     .D1T1   A4,*A0            ; |89| 
	.line	10
           B       .S2     B3                ; |90| 
           NOP             5
           ; BRANCH OCCURS                   ; |90| 
	.endfunc	90,000000000h,0


	.sect	".text"
	.global	_mcbsp0_read
	.sym	_mcbsp0_read,_mcbsp0_read, 36, 2, 0
	.func	92

;******************************************************************************
;* FUNCTION NAME: _mcbsp0_read                                                *
;*                                                                            *
;*   Regs Modified     : A0,A1,A4                                             *
;*   Regs Used         : A0,A1,A4,B3                                          *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_mcbsp0_read:
;** --------------------------------------------------------------------------*
	.sym	_temp,1, 4, 4, 32
	.line	4
           MVKL    .S1     0x18c0008,A0      ; |95| 
           MVKH    .S1     0x18c0008,A0      ; |95| 
           LDW     .D1T1   *A0,A0            ; |95| 
           NOP             4
           AND     .L1     2,A0,A1           ; |95| 
	.line	5
   [ A1]   B       .S1     L5                ; |96| 
           NOP             5
           ; BRANCH OCCURS                   ; |96| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L4:    
	.line	7
           MVKL    .S1     0x18c0008,A0      ; |98| 
           MVKH    .S1     0x18c0008,A0      ; |98| 
           LDW     .D1T1   *A0,A0            ; |98| 
           NOP             4
           AND     .L1     2,A0,A1           ; |98| 
   [!A1]   B       .S1     L4                ; |98| 
           NOP             5
           ; BRANCH OCCURS                   ; |98| 
;** --------------------------------------------------------------------------*
L5:    
	.line	9
           ZERO    .L1     A0                ; |100| 
           MVKH    .S1     0x18c0000,A0      ; |100| 
	.line	10
           LDW     .D1T1   *A0,A4            ; 
	.line	11
           B       .S2     B3                ; |102| 
           NOP             5
           ; BRANCH OCCURS                   ; |102| 
	.endfunc	102,000000000h,0


	.sect	".text"
	.global	_codec_init
	.sym	_codec_init,_codec_init, 32, 2, 0
	.func	105

;******************************************************************************
;* FUNCTION NAME: _codec_init                                                 *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,B0,B1,B2,B3,B4,B5, *
;*                           B6,B7,B8,B9,SP                                   *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,B0,B1,B2,B3,B4,B5, *
;*                           B6,B7,B8,B9,SP                                   *
;*   Local Frame Size  : 8 Args + 0 Auto + 8 Save = 16 byte                   *
;******************************************************************************
_codec_init:
;** --------------------------------------------------------------------------*
	.sym	_temp,10, 4, 4, 32
           STW     .D2T2   B3,*SP--(16)      ; |105| 
           STW     .D2T1   A10,*+SP(12)      ; |105| 
	.line	6
           B       .S1     _mcbsp0_read      ; |110| 
           MVKL    .S2     RL2,B3            ; |110| 
           MVKH    .S2     RL2,B3            ; |110| 
           NOP             3
RL2:       ; CALL OCCURS                     ; |110| 
	.line	7
           B       .S1     _mcbsp0_write     ; |111| 
           MVKL    .S2     RL4,B3            ; |111| 
           MVKH    .S2     RL4,B3            ; |111| 
           ZERO    .L1     A4                ; |111| 
           NOP             2
RL4:       ; CALL OCCURS                     ; |111| 
	.line	8
           B       .S1     _mcbsp0_read      ; |112| 
           MVKL    .S2     RL6,B3            ; |112| 
           MVKH    .S2     RL6,B3            ; |112| 
           NOP             3
RL6:       ; CALL OCCURS                     ; |112| 
	.line	9
           B       .S1     _mcbsp0_write     ; |113| 
           MVKL    .S2     RL8,B3            ; |113| 
           MVKH    .S2     RL8,B3            ; |113| 
           ZERO    .L1     A4                ; |113| 
           NOP             2
RL8:       ; CALL OCCURS                     ; |113| 
	.line	10
           B       .S1     _mcbsp0_read      ; |114| 
           MVKL    .S2     RL10,B3           ; |114| 
           MVKH    .S2     RL10,B3           ; |114| 
           NOP             3
RL10:      ; CALL OCCURS                     ; |114| 
	.line	11
           B       .S1     _mcbsp0_write     ; |115| 
           MVKL    .S2     RL12,B3           ; |115| 
           ZERO    .L1     A4                ; |115| 
           MVKH    .S2     RL12,B3           ; |115| 
           NOP             2
RL12:      ; CALL OCCURS                     ; |115| 
	.line	12
           B       .S1     _mcbsp0_read      ; |116| 
           MVKL    .S2     RL14,B3           ; |116| 
           MVKH    .S2     RL14,B3           ; |116| 
           NOP             3
RL14:      ; CALL OCCURS                     ; |116| 
	.line	13
           B       .S1     _mcbsp0_write     ; |117| 
           MVKL    .S2     RL16,B3           ; |117| 
           MVKH    .S2     RL16,B3           ; |117| 
           MVK     .S1     0x1,A4            ; |117| 
           NOP             2
RL16:      ; CALL OCCURS                     ; |117| 
	.line	14
           B       .S1     _mcbsp0_read      ; |118| 
           MVKL    .S2     RL18,B3           ; |118| 
           MVKH    .S2     RL18,B3           ; |118| 
           NOP             3
RL18:      ; CALL OCCURS                     ; |118| 
	.line	15
           B       .S1     _mcbsp0_write     ; |119| 
           MVKL    .S2     RL20,B3           ; |119| 
           MVKH    .S2     RL20,B3           ; |119| 
           MVK     .S1     0x386,A4          ; |119| 
           NOP             2
RL20:      ; CALL OCCURS                     ; |119| 
	.line	16
           B       .S1     _mcbsp0_read      ; |120| 
           MVKL    .S2     RL22,B3           ; |120| 
           MVKH    .S2     RL22,B3           ; |120| 
           NOP             3
RL22:      ; CALL OCCURS                     ; |120| 
;** --------------------------------------------------------------------------*
	.line	17
           B       .S1     _mcbsp0_write     ; |121| 
           MVKL    .S2     RL24,B3           ; |121| 
           MVKH    .S2     RL24,B3           ; |121| 
           ZERO    .L1     A4                ; |121| 
           NOP             2
RL24:      ; CALL OCCURS                     ; |121| 
	.line	18
           B       .S1     _mcbsp0_read      ; |122| 
           MVKL    .S2     RL26,B3           ; |122| 
           MVKH    .S2     RL26,B3           ; |122| 
           NOP             3
RL26:      ; CALL OCCURS                     ; |122| 
	.line	21
           B       .S1     _mcbsp0_write     ; |125| 
           MVKL    .S2     RL28,B3           ; |125| 
           MVKH    .S2     RL28,B3           ; |125| 
           ZERO    .L1     A4                ; |125| 
           NOP             2
RL28:      ; CALL OCCURS                     ; |125| 
	.line	22
           B       .S1     _mcbsp0_read      ; |126| 
           MVKL    .S2     RL30,B3           ; |126| 
           MVKH    .S2     RL30,B3           ; |126| 
           NOP             3
RL30:      ; CALL OCCURS                     ; |126| 
	.line	23
           B       .S1     _mcbsp0_write     ; |127| 
           MVKL    .S2     RL32,B3           ; |127| 
           MVKH    .S2     RL32,B3           ; |127| 
           ZERO    .L1     A4                ; |127| 
           NOP             2
RL32:      ; CALL OCCURS                     ; |127| 
	.line	24
           B       .S1     _mcbsp0_read      ; |128| 
           MVKL    .S2     RL34,B3           ; |128| 
           MVKH    .S2     RL34,B3           ; |128| 
           NOP             3
RL34:      ; CALL OCCURS                     ; |128| 
	.line	25
           B       .S1     _mcbsp0_write     ; |129| 
           MVKL    .S2     RL36,B3           ; |129| 
           MVK     .S1     0x1,A4            ; |129| 
           MVKH    .S2     RL36,B3           ; |129| 
           NOP             2
RL36:      ; CALL OCCURS                     ; |129| 
	.line	26
           B       .S1     _mcbsp0_read      ; |130| 
           MVKL    .S2     RL38,B3           ; |130| 
           MVKH    .S2     RL38,B3           ; |130| 
           NOP             3
RL38:      ; CALL OCCURS                     ; |130| 
	.line	27
           B       .S1     _mcbsp0_write     ; |131| 
           MVKL    .S2     RL40,B3           ; |131| 
           MVKH    .S2     RL40,B3           ; |131| 
           MVK     .S1     0x306,A4          ; |131| 
           NOP             2
RL40:      ; CALL OCCURS                     ; |131| 
	.line	28
           B       .S1     _mcbsp0_read      ; |132| 
           MVKL    .S2     RL42,B3           ; |132| 
           MVKH    .S2     RL42,B3           ; |132| 
           NOP             3
RL42:      ; CALL OCCURS                     ; |132| 
	.line	29
           B       .S1     _mcbsp0_write     ; |133| 
           MVKL    .S2     RL44,B3           ; |133| 
           MVKH    .S2     RL44,B3           ; |133| 
           ZERO    .L1     A4                ; |133| 
           NOP             2
RL44:      ; CALL OCCURS                     ; |133| 
;** --------------------------------------------------------------------------*
	.line	30
           B       .S1     _mcbsp0_read      ; |134| 
           MVKL    .S2     RL46,B3           ; |134| 
           MVKH    .S2     RL46,B3           ; |134| 
           NOP             3
RL46:      ; CALL OCCURS                     ; |134| 
	.line	32
           B       .S1     _mcbsp0_write     ; |136| 
           MVKL    .S2     RL48,B3           ; |136| 
           MVKH    .S2     RL48,B3           ; |136| 
           ZERO    .L1     A4                ; |136| 
           NOP             2
RL48:      ; CALL OCCURS                     ; |136| 
	.line	33
           B       .S1     _mcbsp0_read      ; |137| 
           MVKL    .S2     RL50,B3           ; |137| 
           MVKH    .S2     RL50,B3           ; |137| 
           NOP             3
RL50:      ; CALL OCCURS                     ; |137| 
	.line	34
           B       .S1     _mcbsp0_write     ; |138| 
           MVKL    .S2     RL52,B3           ; |138| 
           MVKH    .S2     RL52,B3           ; |138| 
           MVK     .S1     0x1,A4            ; |138| 
           NOP             2
RL52:      ; CALL OCCURS                     ; |138| 
	.line	35
           B       .S1     _mcbsp0_read      ; |139| 
           MVKL    .S2     RL54,B3           ; |139| 
           MVKH    .S2     RL54,B3           ; |139| 
           NOP             3
RL54:      ; CALL OCCURS                     ; |139| 
	.line	36
           B       .S1     _mcbsp0_write     ; |140| 
           MVKL    .S2     RL56,B3           ; |140| 
           MVKH    .S2     RL56,B3           ; |140| 
           MVK     .S1     0x2330,A4         ; |140| 
           NOP             2
RL56:      ; CALL OCCURS                     ; |140| 
	.line	37
           B       .S1     _mcbsp0_read      ; |141| 
           MVKL    .S2     RL58,B3           ; |141| 
           MVKH    .S2     RL58,B3           ; |141| 
           NOP             3
RL58:      ; CALL OCCURS                     ; |141| 
           MV      .L1     A4,A10            ; 
	.line	38
           B       .S1     _mcbsp0_write     ; |142| 
           MVKL    .S2     RL60,B3           ; |142| 
           MVKH    .S2     RL60,B3           ; |142| 
           ZERO    .L1     A4                ; |142| 
           NOP             2
RL60:      ; CALL OCCURS                     ; |142| 
	.line	39
           B       .S1     _mcbsp0_read      ; |143| 
           MVKL    .S2     RL62,B3           ; |143| 
           MVKH    .S2     RL62,B3           ; |143| 
           NOP             3
RL62:      ; CALL OCCURS                     ; |143| 
	.line	40
           B       .S1     _mcbsp0_write     ; |144| 
           MVKL    .S2     RL64,B3           ; |144| 
           ZERO    .L1     A4                ; |144| 
           MVKH    .S2     RL64,B3           ; |144| 
           NOP             2
RL64:      ; CALL OCCURS                     ; |144| 
	.line	41
           B       .S1     _mcbsp0_read      ; |145| 
           MVKL    .S2     RL66,B3           ; |145| 
           MVKH    .S2     RL66,B3           ; |145| 
           NOP             3
RL66:      ; CALL OCCURS                     ; |145| 
;** --------------------------------------------------------------------------*
	.line	42
           EXTU    .S1     A10,24,24,A0      ; |146| 
           CMPEQ   .L1     A0,6,A1           ; |146| 
   [!A1]   B       .S1     L7                ; |146| 
           NOP             5
           ; BRANCH OCCURS                   ; |146| 
;** --------------------------------------------------------------------------*
	.line	51
           B       .S1     _mcbsp0_write     ; |155| 
           MVKL    .S2     RL68,B3           ; |155| 
           MVKH    .S2     RL68,B3           ; |155| 
           ZERO    .L1     A4                ; |155| 
           NOP             2
RL68:      ; CALL OCCURS                     ; |155| 
	.line	52
           B       .S1     _mcbsp0_read      ; |156| 
           MVKL    .S2     RL70,B3           ; |156| 
           MVKH    .S2     RL70,B3           ; |156| 
           NOP             3
RL70:      ; CALL OCCURS                     ; |156| 
	.line	53
           B       .S1     _mcbsp0_write     ; |157| 
           MVKL    .S2     RL72,B3           ; |157| 
           MVKH    .S2     RL72,B3           ; |157| 
           ZERO    .L1     A4                ; |157| 
           NOP             2
RL72:      ; CALL OCCURS                     ; |157| 
	.line	54
           B       .S1     _mcbsp0_read      ; |158| 
           MVKL    .S2     RL74,B3           ; |158| 
           MVKH    .S2     RL74,B3           ; |158| 
           NOP             3
RL74:      ; CALL OCCURS                     ; |158| 
	.line	55
           B       .S1     _mcbsp0_write     ; |159| 
           MVKL    .S2     RL76,B3           ; |159| 
           MVKH    .S2     RL76,B3           ; |159| 
           MVK     .S1     0x1,A4            ; |159| 
           NOP             2
RL76:      ; CALL OCCURS                     ; |159| 
	.line	56
           B       .S1     _mcbsp0_read      ; |160| 
           MVKL    .S2     RL78,B3           ; |160| 
           MVKH    .S2     RL78,B3           ; |160| 
           NOP             3
RL78:      ; CALL OCCURS                     ; |160| 
	.line	57
           B       .S1     _mcbsp0_write     ; |161| 
           MVKL    .S2     RL80,B3           ; |161| 
           MVK     .S1     0x400,A4          ; |161| 
           MVKH    .S2     RL80,B3           ; |161| 
           NOP             2
RL80:      ; CALL OCCURS                     ; |161| 
	.line	58
           B       .S1     _mcbsp0_read      ; |162| 
           MVKL    .S2     RL82,B3           ; |162| 
           MVKH    .S2     RL82,B3           ; |162| 
           NOP             3
RL82:      ; CALL OCCURS                     ; |162| 
	.line	59
           B       .S1     _mcbsp0_write     ; |163| 
           MVKL    .S2     RL84,B3           ; |163| 
           MVKH    .S2     RL84,B3           ; |163| 
           ZERO    .L1     A4                ; |163| 
           NOP             2
RL84:      ; CALL OCCURS                     ; |163| 
	.line	60
           B       .S1     _mcbsp0_read      ; |164| 
           MVKL    .S2     RL86,B3           ; |164| 
           MVKH    .S2     RL86,B3           ; |164| 
           NOP             3
RL86:      ; CALL OCCURS                     ; |164| 
	.line	62
           B       .S1     _mcbsp0_write     ; |166| 
           MVKL    .S2     RL88,B3           ; |166| 
           MVKH    .S2     RL88,B3           ; |166| 
           ZERO    .L1     A4                ; |166| 
           NOP             2
RL88:      ; CALL OCCURS                     ; |166| 
;** --------------------------------------------------------------------------*
	.line	63
           B       .S1     _mcbsp0_read      ; |167| 
           MVKL    .S2     RL90,B3           ; |167| 
           MVKH    .S2     RL90,B3           ; |167| 
           NOP             3
RL90:      ; CALL OCCURS                     ; |167| 
	.line	64
           B       .S1     _mcbsp0_write     ; |168| 
           MVKL    .S2     RL92,B3           ; |168| 
           MVKH    .S2     RL92,B3           ; |168| 
           MVK     .S1     0x1,A4            ; |168| 
           NOP             2
RL92:      ; CALL OCCURS                     ; |168| 
	.line	65
           B       .S1     _mcbsp0_read      ; |169| 
           MVKL    .S2     RL94,B3           ; |169| 
           MVKH    .S2     RL94,B3           ; |169| 
           NOP             3
RL94:      ; CALL OCCURS                     ; |169| 
	.line	66
           B       .S1     _mcbsp0_write     ; |170| 
           MVKL    .S2     RL96,B3           ; |170| 
           MVKH    .S2     RL96,B3           ; |170| 
           MVK     .S1     0x2430,A4         ; |170| 
           NOP             2
RL96:      ; CALL OCCURS                     ; |170| 
	.line	67
           B       .S1     _mcbsp0_read      ; |171| 
           MVKL    .S2     RL98,B3           ; |171| 
           MVKH    .S2     RL98,B3           ; |171| 
           NOP             3
RL98:      ; CALL OCCURS                     ; |171| 
           MV      .L1     A4,A10            ; 
	.line	68
           B       .S1     _mcbsp0_write     ; |172| 
           MVKL    .S2     RL100,B3          ; |172| 
           MVKH    .S2     RL100,B3          ; |172| 
           ZERO    .L1     A4                ; |172| 
           NOP             2
RL100:     ; CALL OCCURS                     ; |172| 
	.line	69
           B       .S1     _mcbsp0_read      ; |173| 
           MVKL    .S2     RL102,B3          ; |173| 
           MVKH    .S2     RL102,B3          ; |173| 
           NOP             3
RL102:     ; CALL OCCURS                     ; |173| 
	.line	70
           B       .S1     _mcbsp0_write     ; |174| 
           MVKL    .S2     RL104,B3          ; |174| 
           MVKH    .S2     RL104,B3          ; |174| 
           ZERO    .L1     A4                ; |174| 
           NOP             2
RL104:     ; CALL OCCURS                     ; |174| 
	.line	71
           B       .S1     _mcbsp0_read      ; |175| 
           MVKL    .S2     RL106,B3          ; |175| 
           MVKH    .S2     RL106,B3          ; |175| 
           NOP             3
RL106:     ; CALL OCCURS                     ; |175| 
	.line	72
           EXTU    .S1     A10,24,24,A1      ; |176| 
   [ A1]   B       .S1     L6                ; |176| 
           NOP             5
           ; BRANCH OCCURS                   ; |176| 
;** --------------------------------------------------------------------------*
	.line	81
           B       .S1     _mcbsp0_write     ; |185| 
           MVKL    .S2     RL108,B3          ; |185| 
           MVKH    .S2     RL108,B3          ; |185| 
           ZERO    .L1     A4                ; |185| 
           NOP             2
RL108:     ; CALL OCCURS                     ; |185| 
	.line	82
           B       .S1     _mcbsp0_read      ; |186| 
           MVKL    .S2     RL110,B3          ; |186| 
           MVKH    .S2     RL110,B3          ; |186| 
           NOP             3
RL110:     ; CALL OCCURS                     ; |186| 
	.line	83
           B       .S1     _mcbsp0_write     ; |187| 
           MVKL    .S2     RL112,B3          ; |187| 
           MVKH    .S2     RL112,B3          ; |187| 
           ZERO    .L1     A4                ; |187| 
           NOP             2
RL112:     ; CALL OCCURS                     ; |187| 
	.line	84
           B       .S1     _mcbsp0_read      ; |188| 
           MVKL    .S2     RL114,B3          ; |188| 
           MVKH    .S2     RL114,B3          ; |188| 
           NOP             3
RL114:     ; CALL OCCURS                     ; |188| 
	.line	85
           B       .S1     _mcbsp0_write     ; |189| 
           MVKL    .S2     RL116,B3          ; |189| 
           MVKH    .S2     RL116,B3          ; |189| 
           MVK     .S1     0x1,A4            ; |189| 
           NOP             2
RL116:     ; CALL OCCURS                     ; |189| 
	.line	86
           B       .S1     _mcbsp0_read      ; |190| 
           MVKL    .S2     RL118,B3          ; |190| 
           MVKH    .S2     RL118,B3          ; |190| 
           NOP             3
RL118:     ; CALL OCCURS                     ; |190| 
	.line	87
           B       .S1     _mcbsp0_write     ; |191| 
           MVKL    .S2     RL120,B3          ; |191| 
           MVK     .S1     0x502,A4          ; |191| 
           MVKH    .S2     RL120,B3          ; |191| 
           NOP             2
RL120:     ; CALL OCCURS                     ; |191| 
	.line	88
           B       .S1     _mcbsp0_read      ; |192| 
           MVKL    .S2     RL122,B3          ; |192| 
           MVKH    .S2     RL122,B3          ; |192| 
           NOP             3
RL122:     ; CALL OCCURS                     ; |192| 
	.line	89
           B       .S1     _mcbsp0_write     ; |193| 
           MVKL    .S2     RL124,B3          ; |193| 
           MVKH    .S2     RL124,B3          ; |193| 
           ZERO    .L1     A4                ; |193| 
           NOP             2
RL124:     ; CALL OCCURS                     ; |193| 
	.line	90
           B       .S1     _mcbsp0_read      ; |194| 
           MVKL    .S2     RL126,B3          ; |194| 
           MVKH    .S2     RL126,B3          ; |194| 
           NOP             3
RL126:     ; CALL OCCURS                     ; |194| 
	.line	92
           B       .S1     _mcbsp0_write     ; |196| 
           MVKL    .S2     RL128,B3          ; |196| 
           MVKH    .S2     RL128,B3          ; |196| 
           ZERO    .L1     A4                ; |196| 
           NOP             2
RL128:     ; CALL OCCURS                     ; |196| 
;** --------------------------------------------------------------------------*
	.line	93
           B       .S1     _mcbsp0_read      ; |197| 
           MVKL    .S2     RL130,B3          ; |197| 
           MVKH    .S2     RL130,B3          ; |197| 
           NOP             3
RL130:     ; CALL OCCURS                     ; |197| 
	.line	94
           B       .S1     _mcbsp0_write     ; |198| 
           MVKL    .S2     RL132,B3          ; |198| 
           MVKH    .S2     RL132,B3          ; |198| 
           MVK     .S1     0x1,A4            ; |198| 
           NOP             2
RL132:     ; CALL OCCURS                     ; |198| 
	.line	95
           B       .S1     _mcbsp0_read      ; |199| 
           MVKL    .S2     RL134,B3          ; |199| 
           MVKH    .S2     RL134,B3          ; |199| 
           NOP             3
RL134:     ; CALL OCCURS                     ; |199| 
	.line	96
           B       .S1     _mcbsp0_write     ; |200| 
           MVKL    .S2     RL136,B3          ; |200| 
           MVKH    .S2     RL136,B3          ; |200| 
           MVK     .S1     0x2530,A4         ; |200| 
           NOP             2
RL136:     ; CALL OCCURS                     ; |200| 
	.line	97
           B       .S1     _mcbsp0_read      ; |201| 
           MVKL    .S2     RL138,B3          ; |201| 
           MVKH    .S2     RL138,B3          ; |201| 
           NOP             3
RL138:     ; CALL OCCURS                     ; |201| 
           MV      .L1     A4,A10            ; 
	.line	98
           B       .S1     _mcbsp0_write     ; |202| 
           MVKL    .S2     RL140,B3          ; |202| 
           MVKH    .S2     RL140,B3          ; |202| 
           ZERO    .L1     A4                ; |202| 
           NOP             2
RL140:     ; CALL OCCURS                     ; |202| 
	.line	99
           B       .S1     _mcbsp0_read      ; |203| 
           MVKL    .S2     RL142,B3          ; |203| 
           MVKH    .S2     RL142,B3          ; |203| 
           NOP             3
RL142:     ; CALL OCCURS                     ; |203| 
	.line	100
           B       .S1     _mcbsp0_write     ; |204| 
           MVKL    .S2     RL144,B3          ; |204| 
           ZERO    .L1     A4                ; |204| 
           MVKH    .S2     RL144,B3          ; |204| 
           NOP             2
RL144:     ; CALL OCCURS                     ; |204| 
	.line	101
           B       .S1     _mcbsp0_read      ; |205| 
           MVKL    .S2     RL146,B3          ; |205| 
           MVKH    .S2     RL146,B3          ; |205| 
           NOP             3
RL146:     ; CALL OCCURS                     ; |205| 
	.line	102
           EXTU    .S1     A10,24,25,A0      ; |206| 
           SHL     .S1     A0,1,A0           ; |206| 
           CMPEQ   .L1     A0,2,A1           ; |206| 
   [ A1]   B       .S1     L8                ; |206| 
           NOP             5
           ; BRANCH OCCURS                   ; |206| 
;** --------------------------------------------------------------------------*
;***	; the preceding call never returns
	.line	105
           B       .S1     _printf           ; |209| 
           MVKL    .S1     SL1+0,A0          ; |209| 
           MVKH    .S1     SL1+0,A0          ; |209| 
           MVKL    .S2     RL148,B3          ; |209| 
           STW     .D2T1   A0,*+SP(4)        ; |209| 
           MVKH    .S2     RL148,B3          ; |209| 
RL148:     ; CALL OCCURS                     ; |209| 
	.line	106
           B       .S1     _exit             ; |210| 
           MVKL    .S2     RL150,B3          ; |210| 
           MVKH    .S2     RL150,B3          ; |210| 
           ZERO    .L1     A4                ; |210| 
           NOP             2
RL150:     ; CALL OCCURS                     ; |210| 
;** --------------------------------------------------------------------------*
L6:    
;***	; the preceding call never returns
	.line	75
           B       .S1     _printf           ; |179| 
           MVKL    .S1     SL2+0,A0          ; |179| 
           MVKH    .S1     SL2+0,A0          ; |179| 
           MVKL    .S2     RL152,B3          ; |179| 
           STW     .D2T1   A0,*+SP(4)        ; |179| 
           MVKH    .S2     RL152,B3          ; |179| 
RL152:     ; CALL OCCURS                     ; |179| 
	.line	76
           B       .S1     _exit             ; |180| 
           MVKL    .S2     RL154,B3          ; |180| 
           MVKH    .S2     RL154,B3          ; |180| 
           ZERO    .L1     A4                ; |180| 
           NOP             2
RL154:     ; CALL OCCURS                     ; |180| 
;** --------------------------------------------------------------------------*
L7:    
;***	; the preceding call never returns
	.line	45
           B       .S1     _printf           ; |149| 
           MVKL    .S1     SL3+0,A0          ; |149| 
           MVKH    .S1     SL3+0,A0          ; |149| 
           MVKL    .S2     RL156,B3          ; |149| 
           STW     .D2T1   A0,*+SP(4)        ; |149| 
           MVKH    .S2     RL156,B3          ; |149| 
RL156:     ; CALL OCCURS                     ; |149| 
	.line	46
           B       .S1     _exit             ; |150| 
           MVKL    .S2     RL158,B3          ; |150| 
           MVKH    .S2     RL158,B3          ; |150| 
           ZERO    .L1     A4                ; |150| 
           NOP             2
RL158:     ; CALL OCCURS                     ; |150| 
;** --------------------------------------------------------------------------*
L8:    
	.line	110
           LDW     .D2T1   *+SP(12),A10      ; |214| 
           LDW     .D2T2   *++SP(16),B3      ; |214| 
           NOP             4
           B       .S2     B3                ; |214| 
           NOP             5
           ; BRANCH OCCURS                   ; |214| 
	.endfunc	214,000080400h,16


;******************************************************************************
;* MARK THE END OF THE SCALAR INIT RECORD IN CINIT:C                          *
;******************************************************************************
CIR:	.sect	".cinit:c"
;******************************************************************************
;* STRINGS                                                                    *
;******************************************************************************
	.sect	".const"
SL1:	.string	"Error in setting up register 5.",10,0
SL2:	.string	"Error in setting up register 4.",10,0
SL3:	.string	"Error in setting up register 3.",10,0
;******************************************************************************
;* UNDEFINED EXTERNAL REFERENCES                                              *
;******************************************************************************
	.global	_exit
	.global	_printf
	.global	__divi
